<?php

//CUSTOMIZE MENU BUTTON
function ocdi_plugin_page_setup( $default_settings ) {
    if (!pulse_validate_key()) {
        $default_settings['parent_slug'] = '';
        $default_settings['menu_slug']   = 'not-really';
    }
    else {
        $default_settings['parent_slug'] = 'themes.php';
        $default_settings['page_title']  = esc_html__( '1-Click Demo Import' , 'pt-ocdi' );
        $default_settings['menu_title']  = esc_html__( '1-Click Demo Import' , 'pt-ocdi' );
        $default_settings['capability']  = 'import';
        $default_settings['menu_slug']   = 'pt-one-click-demo-import';
    }

    return $default_settings;
}
add_filter( 'pt-ocdi/plugin_page_setup', 'ocdi_plugin_page_setup' );

function ocdi_plugin_intro_text( $default_text ) {
    $default_text .= '<div class="ocdi__intro-text"><div class="ocdi__intro-notice pulse_notice notice notice-warning is-dismissible">
    <p>Before you begin, make sure all the required plugins are activated.<br />If you want to generate shop related content make sure that you install and activate <em>WooCommerce by Automattic</em>.<br />If you want to generate the Mailchimp form make sure that you install and activate <em>MailChimp for WordPress by ibericode</em>.<br>Having trouble with this feature? Try the older import procedure. <a href="'.get_admin_url().'themes.php?page=theme_activation_options">Click here to proceed &rarr;</a></p>
  <button type="button" class="notice-dismiss"><span class="screen-reader-text">Dismiss this notice.</span></button></div></div>';

    return $default_text;
}
add_filter( 'pt-ocdi/plugin_intro_text', 'ocdi_plugin_intro_text' );



function ocdi_import_files() {
    return array(
        //DEMO
        array(
            'import_file_name'           => 'Business',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/business.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/business.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/business.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/business.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-biz/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Restaurant',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/restaurant.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/restaurant.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/restaurant.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/restaurant.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/restaurant/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Agency - Dark',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/agency-dark.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/agency-dark.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/agency-dark.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/agency-dark.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-agency-two/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Adventure - Travel',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/adventure.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/adventure.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/adventure.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/adventure.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-adventure/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Personal - Web',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/personal-web.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/personal-web.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/personal-web.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/personal-web.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/personal-three/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Personal - digital Artist',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/personal-digital.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/personal-digital.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/personal-digital.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/personal-digital.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-personal-two/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Photography - Dark',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/photography-dark.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/photography-dark.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/photography-dark.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/photography-dark.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-photography-dark/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Lawyer',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/lawyer.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/lawyer.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/lawyer.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/lawyer.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-lawyer/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'App - Tech',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/app-tech.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/app-tech.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/app-tech.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/app-tech.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-app-one/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Kindergarten',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/kindergarten.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/kindergarten.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/kindergarten.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/kindergarten.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-kindergarten/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Event',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/event.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/event.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/event.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/event.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-event/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Artist - Minimal',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/artist-minimal.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/artist-minimal.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/artist-minimal.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/artist-minimal.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-artist/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Photography',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/photography.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/photography.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/photography.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/photography.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-photography/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Personal - vCard',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/personal-vcard.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/personal-vcard.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/personal-vcard.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/personal-vcard.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-personal-one/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Wedding',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/wedding.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/wedding.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/wedding.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/wedding.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-wedding/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Coming Soon',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/coming-soon.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/coming-soon.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/coming-soon.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/coming-soon.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-coming-soon/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Main Demo - Multipage',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/main.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/main.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/main.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/main.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse/main/',
        ),
        //DEMO
        array(
            'import_file_name'           => 'Agency - Multipage',
            'categories'                 => array(''),
            'import_file_url'            => 'http://www.pirenko.com/theme_plugins/pulse/import/agency.xml',
            'import_widget_file_url'     => 'http://www.pirenko.com/theme_plugins/pulse/import/agency.wie',
            'import_customizer_file_url' => '',
            'import_redux'               => array(
                array(
                    'file_url'    => 'http://www.pirenko.com/theme_plugins/pulse/import/agency.json',
                    'option_name' => 'prk_pulse_options',
                ),
            ),
            'import_preview_image_url'   => plugin_dir_url( __FILE__ ).'/images/demos/agency.jpg',
            'import_notice'              => __( '', 'pulse' ),
            'preview_url'                => 'https://www.pirenko-themes.com/pulse-agency-one/',
        ),


    );
}
add_filter( 'pt-ocdi/import_files', 'ocdi_import_files' );


//SET UP HOMEPAGE AND MENUS
function ocdi_after_import_setup() {

    //Assign menus to their locations.
    $main_menu = get_term_by( 'name', 'MainMenu', 'nav_menu' );
    $mobile_menu = get_term_by( 'name', 'MainMenu', 'nav_menu' );

    set_theme_mod(
        'nav_menu_locations', array(
            'prk_main_navigation' => $main_menu->term_id,
            'prk_mobile_navigation' => $mobile_menu->term_id,
        )
    );

    //Assign front page
    $front_page_id = get_page_by_title( 'Home' );

    update_option( 'show_on_front', 'page' );
    update_option( 'page_on_front', $front_page_id->ID );

}
add_action( 'pt-ocdi/after_import', 'ocdi_after_import_setup' );



//DISABLE GETTING THUMBNAILS AND OTHER SIZES DURING IMPORT
add_filter( 'pt-ocdi/regenerate_thumbnails_in_content_import', '__return_false' );

//DISABLE BRANDING
add_filter( 'pt-ocdi/disable_pt_branding', '__return_true' );

//DISABLE POPUP WITH MODAL WINDOW
//add_filter( 'pt-ocdi/enable_grid_layout_import_popup_confirmation', '__return_false' );











