<?php
	/*
		Plugin Name: Pirenko vCard
		Plugin URI: https://www.pirenko.com
		Description: A widget to show some generic info about an entity.
		Version: 1.5
		Author: Pirenko
		Author URI: https://www.pirenko.com
	*/
	
	//ADD WIDGET LOADING
	add_action( 'widgets_init', 'load_pirenko_vcard' );
	//REGISTER WIDGET
	function load_pirenko_vcard() {
		register_widget('pulse_Vcard_Widget');
	}
	class pulse_Vcard_Widget extends WP_Widget {
	  	function __construct() {
			$widget_ops = array('classname' => 'widget_pulse_vcard', 'description' => __('Use this widget to add a vCard', 'pulse'));
			parent::__construct('widget_pulse_vcard', __('Pulse: vCard', 'pulse'), $widget_ops);
			$this->alt_option_name = 'widget_pulse_vcard';
		
	  	}

	  	function widget($args, $instance) 
		{
			$cache = wp_cache_get('widget_pulse_vcard', 'widget');
		
			if (!is_array($cache)) {
			  $cache = array();
			}
		
			if (!isset($args['widget_id'])) {
			  $args['widget_id'] = null;
			}
		
			if (isset($cache[$args['widget_id']])) {
			  echo pulse_output().$cache[$args['widget_id']];
			  return;
			}

			ob_start();
			extract($args, EXTR_SKIP);
		
			$title = apply_filters('widget_title', empty($instance['title']) ? '' : $instance['title'], $instance, $this->id_base);
			
			if(function_exists('icl_translate')){
				if (!isset($instance['description_text'])) { $instance['description_text'] = ''; } else { $instance['description_text'] = icl_translate( 'pulse', 'vcard_widget_description_text', $instance['description_text'] ); }
				if (!isset($instance['company_name'])) { $instance['company_name'] = ''; } else { $instance['company_name'] = icl_translate( 'pulse', 'vcard_widget_company_name', $instance['company_name'] ); }
				if (!isset($instance['street_address'])) { $instance['street_address'] = ''; } else { $instance['street_address'] = icl_translate( 'pulse', 'vcard_widget_street_address', $instance['street_address'] ); }
				if (!isset($instance['locality'])) { $instance['locality'] = ''; } else { $instance['locality'] = icl_translate( 'pulse', 'vcard_widget_locality', $instance['locality'] ); }
				if (!isset($instance['postal_code'])) { $instance['postal_code'] = ''; } else {  $instance['postal_code'] = icl_translate( 'pulse', 'vcard_widget_postal_code', $instance['postal_code'] ); }
				if (!isset($instance['tel'])) { $instance['tel'] = ''; } else {  $instance['tel'] = icl_translate( 'pulse', 'vcard_widget_company_tel', $instance['tel'] ); }
				if (!isset($instance['fax'])) { $instance['fax'] = ''; } else {  $instance['fax'] = icl_translate( 'pulse', 'vcard_widget_company_fax', $instance['fax'] ); }
				if (!isset($instance['hours'])) { $instance['hours'] = ''; } else {  $instance['hours'] = icl_translate( 'pulse', 'vcard_widget_company_hours', $instance['hours'] ); }
				if (!isset($instance['email'])) { $instance['email'] = ''; } else {  $instance['email'] = icl_translate( 'pulse', 'vcard_widget_company_email', $instance['email'] ); }
			
			} else {
				if (!isset($instance['description_text'])) { $instance['description_text'] = ''; }
				if (!isset($instance['company_name'])) { $instance['company_name'] = ''; }
				if (!isset($instance['street_address'])) { $instance['street_address'] = ''; }
				if (!isset($instance['locality'])) { $instance['locality'] = ''; }
				if (!isset($instance['postal_code'])) { $instance['postal_code'] = ''; }
				if (!isset($instance['tel'])) { $instance['tel'] = ''; }
				if (!isset($instance['fax'])) { $instance['fax'] = ''; }
				if (!isset($instance['hours'])) { $instance['hours'] = ''; }
				if (!isset($instance['email'])) { $instance['email'] = ''; }
			}
			
			echo pulse_output().$before_widget;
			if ($title) {
			  	echo pulse_output().$before_title;
			  	echo pulse_output().$title;
			  	echo pulse_output().$after_title;
	    	}
	  	?>
	    <div class="pulse_vcard">
	    	<?php 
				if ($instance['image_path']!="")
				{
					?>
					<img src="<?php echo pulse_output().$instance['image_path']; ?>" alt="" class="pulse_vcard_logo" />
					<?php
				}
				if ($instance['description_text']!="")
				{
					echo '<div class="small-12 pulse_vcard_description"><div class="wpb_text_column">'.$instance['description_text'].'</div></div>';
				}
			?>
	      	<div class="adr clearfix">
	            <?php 
					if ($instance['company_name']!="")
					{
						?>
						<div class="pulse_vcard_title header_font prk_heavier_700 not_zero_color"><?php echo pulse_output().$instance['company_name']; ?></div>
						<?php
					}
					if ($instance['street_address']!="" || $instance['locality']!="" || $instance['postal_code']!="")
					{
						echo '<i class="pulse_fa-map-marker pulse_address_icon prk_less_opacity"></i>';
					}
					if ($instance['street_address']!="")
					{
						?>
						<div class="street-address pulse_after_vcard_icon"><?php echo pulse_output().$instance['street_address']; ?></div>
	                    <?php
					}
					if ($instance['locality']!="")
					{
						?>
						<div class="locality pulse_after_vcard_icon"><?php echo pulse_output().$instance['locality'];?></div>
						<?php
					}
					if ($instance['postal_code']!="")
					{
						?>
						<div class="postal-code pulse_after_vcard_icon"><?php echo pulse_output().$instance['postal_code']; ?></div>
						<?php
					}
				?>
	      	</div>
			<?php 
				if ($instance['tel']!="")
				{
					?>
		            <div class="pulse_vcard_block">
		            	<i class="pulse_fa-phone pulse_address_icon prk_less_opacity"></i>
		                <div class="pulse_after_vcard_icon">
		                	<?php echo pulse_output().$instance['tel']; ?>
		                </div>
		            </div>
		            <div class="clearfix"></div>
		            <?php
				}
				if ($instance['fax']!="")
				{
					?>
		            <div class="pulse_vcard_block">
		            	<i class="pulse_fa-print pulse_address_icon prk_less_opacity"></i>
		                <div class="pulse_after_vcard_icon">
		                	<?php echo pulse_output().$instance['fax']; ?>
		                </div>
		            </div>
		            <div class="clearfix"></div>
		            <?php
				}
				if ($instance['hours']!="")
				{
					?>
		            <div class="pulse_vcard_block">
		            	<i class="pulse_fa-clock-o pulse_address_icon prk_less_opacity"></i>
		                <div class="pulse_after_vcard_icon">
		                	<?php echo pulse_output().$instance['hours']; ?>
		                </div>
		            </div>
		            <div class="clearfix"></div>
		            <?php
				}
				if ($instance['email']!="")
				{
					?>
		            <div class="pulse_vcard_block">
		            	<i class="pulse_fa-envelope pulse_address_icon prk_less_opacity"></i>
		                <div class="pulse_after_vcard_icon">
			                <a href="mailto:<?php echo antispambot($instance['email']); ?>" class="body_colored"><?php echo antispambot($instance['email']); ?></a>
			            </div>
		            </div>
		            <div class="clearfix"></div>
		            <?php
				}
	        ?>
	        <div class="clearfix"></div>  
	    </div>
	  	<?php
	    echo pulse_output().$after_widget;
	    $cache[$args['widget_id']] = ob_get_flush();
	    wp_cache_set('widget_pulse_vcard', $cache, 'widget');
	}

	function update($new_instance, $old_instance) 
	{
		$instance = $old_instance;
	    $instance['title'] = strip_tags($new_instance['title']);
		$instance['image_path'] = strip_tags($new_instance['image_path']);
		$instance['description_text'] = strip_tags($new_instance['description_text']);
		$instance['company_name'] = strip_tags($new_instance['company_name']);
	    $instance['street_address'] = strip_tags($new_instance['street_address']);
	    $instance['locality'] = strip_tags($new_instance['locality']);
	    $instance['postal_code'] = strip_tags($new_instance['postal_code']);
	    $instance['tel'] = strip_tags($new_instance['tel']);
	    $instance['fax'] = strip_tags($new_instance['fax']);
	    $instance['hours'] = $new_instance['hours'];
	    $instance['email'] = strip_tags($new_instance['email']);

	    if (function_exists('icl_translate')) { 
			icl_translate('pulse', 'widget_title', $instance['title']); 
		 	icl_translate('pulse', 'vcard_widget_description_text', $instance['description_text']);
		 	icl_translate('pulse', 'vcard_widget_company_name', $instance['company_name']);
		 	icl_translate('pulse', 'vcard_widget_street_address', $instance['street_address']);
		 	icl_translate('pulse', 'vcard_widget_locality', $instance['locality']);
		 	icl_translate('pulse', 'vcard_widget_postal_code', $instance['postal_code']);
		 	icl_translate('pulse', 'vcard_widget_company_tel', $instance['tel']);
		 	icl_translate('pulse', 'vcard_widget_company_fax', $instance['fax']);
		 	icl_translate('pulse', 'vcard_widget_company_hours', $instance['hours']);
		 	icl_translate('pulse', 'vcard_widget_company_email', $instance['email']);
		}

	    return $instance;
	}

	function form($instance) 
  	{
    	$title = isset($instance['title']) ? esc_attr($instance['title']) : '';
		$image_path = isset($instance['image_path']) ? esc_attr($instance['image_path']) : '';
		$description_text = isset($instance['description_text']) ? esc_attr($instance['description_text']) : '';
    	$company_name = isset($instance['company_name']) ? esc_attr($instance['company_name']) : '';
		$street_address = isset($instance['street_address']) ? esc_attr($instance['street_address']) : '';
    	$locality = isset($instance['locality']) ? esc_attr($instance['locality']) : '';
    	$postal_code = isset($instance['postal_code']) ? esc_attr($instance['postal_code']) : '';
    	$tel = isset($instance['tel']) ? esc_attr($instance['tel']) : '';
    	$fax = isset($instance['fax']) ? esc_attr($instance['fax']) : '';
    	$hours = isset($instance['hours']) ? esc_attr($instance['hours']) : '';
    	$email = isset($instance['email']) ? esc_attr($instance['email']) : '';
  		?>
    	<p>
      		<label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php _e('Title (optional):', 'pulse'); ?></label>
      		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('title')); ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
    	</p>
        <p>
				<label>Image URL Path:</label>
				<input class="widefat" id="prk_vcard_image" name="<?php echo pulse_output().$this->get_field_name( 'image_path' ); ?>" type="text" value="<?php echo pulse_output().$image_path; ?>" />
				<?php
				if ($image_path!="")
				{
					?>
					<br />
					<img id="prk_vcard_image_image" src="<?php echo pulse_output().$image_path; ?>" width="200" />
					<?php
				}
				?>
				<br />
			</p>
		<p>
      		<label for="<?php echo esc_attr($this->get_field_id('description_text')); ?>"><?php _e('Description text (optional):', 'pulse'); ?></label>
      		<textarea class="widefat" id="<?php echo esc_attr($this->get_field_id('description_text')); ?>" name="<?php echo esc_attr($this->get_field_name('description_text')); ?>" type="text"><?php echo esc_attr($description_text); ?></textarea>
    	</p>
        <p>
      		<label for="<?php echo esc_attr($this->get_field_id('company_name')); ?>"><?php _e('Company Name:', 'pulse'); ?></label>
      		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('company_name')); ?>" name="<?php echo esc_attr($this->get_field_name('company_name')); ?>" type="text" value="<?php echo esc_attr($company_name); ?>" />
    	</p>
    	<p>
      		<label for="<?php echo esc_attr($this->get_field_id('street_address')); ?>"><?php _e('Street Address:', 'pulse'); ?></label>
      		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('street_address')); ?>" name="<?php echo esc_attr($this->get_field_name('street_address')); ?>" type="text" value="<?php echo esc_attr($street_address); ?>" />
    	</p>
    	<p>
      		<label for="<?php echo esc_attr($this->get_field_id('locality')); ?>"><?php _e('City/Locality:', 'pulse'); ?></label>
      		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('locality')); ?>" name="<?php echo esc_attr($this->get_field_name('locality')); ?>" type="text" value="<?php echo esc_attr($locality); ?>" />
    	</p>
    	<p>
      		<label for="<?php echo esc_attr($this->get_field_id('postal_code')); ?>"><?php _e('Zipcode/Postal Code:', 'pulse'); ?></label>
      		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('postal_code')); ?>" name="<?php echo esc_attr($this->get_field_name('postal_code')); ?>" type="text" value="<?php echo esc_attr($postal_code); ?>" />
    	</p>
    	<p>
      		<label for="<?php echo esc_attr($this->get_field_id('tel')); ?>"><?php _e('Telephone:', 'pulse'); ?></label>
      		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('tel')); ?>" name="<?php echo esc_attr($this->get_field_name('tel')); ?>" type="text" value="<?php echo esc_attr($tel); ?>" />
    	</p>
    	<p>
      		<label for="<?php echo esc_attr($this->get_field_id('fax')); ?>"><?php _e('Fax:', 'pulse'); ?></label>
      		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('fax')); ?>" name="<?php echo esc_attr($this->get_field_name('fax')); ?>" type="text" value="<?php echo esc_attr($fax); ?>" />
    	</p>
    	<p>
      		<label for="<?php echo esc_attr($this->get_field_id('hours')); ?>"><?php _e('Opening hours:', 'pulse'); ?></label>
      		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('hours')); ?>" name="<?php echo esc_attr($this->get_field_name('hours')); ?>" type="text" value="<?php echo esc_attr($hours); ?>" />
    	</p>
    	<p>
      		<label for="<?php echo esc_attr($this->get_field_id('email')); ?>"><?php _e('Email:', 'pulse'); ?></label>
      		<input class="widefat" id="<?php echo esc_attr($this->get_field_id('email')); ?>" name="<?php echo esc_attr($this->get_field_name('email')); ?>" type="text" value="<?php echo esc_attr($email); ?>" />
    	</p>
  		<?php
  	}
}
?>