<?php
/*
Plugin Name: Pulse Framework
Plugin URI: http://bit.ly/view_pirenko
Description: Plugin that creates custom post types and shortcodes to work with Pulse WordPress Theme
Version: 4.7
Author: Pirenko
Author URI: https://www.pirenko.com/
License: GPLv2
*/

if( !defined('PLUGIN_PATH') ) {
    define( 'PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
}
if( !defined('PLUGIN_URL') ) {
    define( 'PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}

define('PULSE_PLUGIN_ID','12407534');

if (!function_exists('register_field_group') && !function_exists('get_field')) {
    include_once PLUGIN_PATH . '/inc/modules/advanced-custom-fields/acf.php';
}
include_once PLUGIN_PATH . '/shortcodes.php' ;
include_once PLUGIN_PATH . '/custom_post_types.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/pirenko-twitter/pirenko-twitter.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/pirenko-social-links/social.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/pirenko-vcard/vcard.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/pirenko-advertising/pirenko-ads.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/pirenko-tags/tags.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/pirenko-recent_portfolio/posts.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/pirenko-recent_posts/posts.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/pirenko-tags_portfolio/tags.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/pirenko-video/pirenko-video.php';
include_once PLUGIN_PATH . '/inc/theme_widgets/decent-comments/decent-comments.php';
include_once PLUGIN_PATH . '/inc/modules/acf-sidebar-selector-field/acf-sidebar_selector.php';
include_once PLUGIN_PATH . '/inc/modules/vt_resize.php';
include_once PLUGIN_PATH . '/inc/core.php';
include_once PLUGIN_PATH . '/inc/lamp.php';
if (!class_exists('Mobile_Detect')) {
    include_once PLUGIN_PATH.'/inc/modules/mobile_detect.php';//Mobile detection
}

if (!function_exists('pulse_fonts')) {
    function pulse_fonts()
    {
//FONTS - 99 IS NEXT
        $prk_select_font_options = array(
            '9' => array(
                'value' => 'Acme',
                'hosted' => 'google',
                'css' => 'Acme',
                'label' => __('Acme', 'pulse')
            ),
            '4' => array(
                'value' => 'Alegreya:400italic,700italic,400,700',
                'hosted' => 'google',
                'css' => 'Alegreya',
                'label' => __('Alegreya', 'pulse')
            ),
            '98' => array(
                'value' => 'Amatic+SC:400,700',
                'hosted' => 'google',
                'css' => "'Amatic SC', cursive;",
                'label' => __('Amatic SC', 'pulse')
            ),
            '16' => array(
                'value' => 'Anton',
                'hosted' => 'google',
                'css' => "'Anton', sans-serif",
                'label' => __('Anton', 'pulse')
            ),
            '14' => array(
                'value' => 'arial',
                'hosted' => 'self',
                'css' => 'Arial, sans-serif',
                'label' => __('Arial', 'pulse')
            ),
            '88' => array(
                'value' => 'Arimo:400,700,400italic',
                'hosted' => 'google',
                'css' => "'Arimo', sans-serif;",
                'label' => __('Arimo', 'pulse')
            ),
            '72' => array(
                'value' => 'Arizonia',
                'hosted' => 'google',
                'css' => "'Arizonia', cursive",
                'label' => __('Arizonia', 'pulse')
            ),
            '5' => array(
                'value' => 'Arvo',
                'hosted' => 'google',
                'css' => 'Arvo',
                'label' => __('Arvo', 'pulse')
            ),
            '10' => array(
                'value' => 'Asap',
                'hosted' => 'google',
                'css' => 'Asap',
                'label' => __('Asap', 'pulse')
            ),
            '7' => array(
                'value' => 'Asul:400,700',
                'hosted' => 'google',
                'css' => 'Asul',
                'label' => __('Asul', 'pulse')
            ),
            '43' => array(
                'value' => 'Average+Sans',
                'hosted' => 'google',
                'css' => "'Average Sans', sans-serif",
                'label' => __('Average Sans', 'pulse')
            ),
            '84' => array(
                'value' => 'Berkshire+Swash',
                'hosted' => 'google',
                'css' => "'Berkshire Swash', cursive",
                'label' => __('Berkshire Swash', 'pulse')
            ),
            '42' => array(
                'value' => 'Bitter:400,700,400italic',
                'hosted' => 'google',
                'css' => "'Bitter', serif",
                'label' => __('Bitter', 'pulse')
            ),
            '25' => array(
                'value' => 'Bree+Serif',
                'hosted' => 'google',
                'css' => "'Bree Serif', serif",
                'label' => __('Bree Serif', 'pulse')
            ),
            '11' => array(
                'value' => 'Cabin:400,600,700',
                'hosted' => 'google',
                'css' => "'Cabin', sans-serif",
                'label' => __('Cabin', 'pulse')
            ),
            '70' => array(
                'value' => 'Cabin+Condensed:400,600,700',
                'hosted' => 'google',
                'css' => "'Cabin Condensed', sans-serif",
                'label' => __('Cabin Condensed', 'pulse')
            ),
            '48' => array(
                'value' => 'Changa+One:400,400italic',
                'hosted' => 'google',
                'css' => "'Changa One', cursive;",
                'label' => __('Changa One', 'pulse')
            ),
            '83' => array(
                'value' => 'Ceviche+One',
                'hosted' => 'google',
                'css' => "'Ceviche One', cursive;",
                'label' => __('Ceviche One', 'pulse')
            ),
            '61' => array(
                'value' => 'Cinzel:400,700,900',
                'hosted' => 'google',
                'css' => "'Cinzel', serif",
                'label' => __('Cinzel', 'pulse')
            ),
            '29' => array(
                'value' => 'courier_new',
                'hosted' => 'self',
                'css' => "'Courier New', Courier, monospace",
                'label' => __('Courier New', 'pulse')
            ),
            '24' => array(
                'value' => 'Cousine:400,700',
                'hosted' => 'google',
                'css' => "'Cousine', sans-serif",
                'label' => __('Cousine', 'pulse')
            ),
            '51' => array(
                'value' => 'Coustard',
                'hosted' => 'google',
                'css' => "'Coustard', serif",
                'label' => __('Coustard', 'pulse')
            ),
            '56' => array(
                'value' => 'Crimson+Text:400,400italic,600,600italic',
                'hosted' => 'google',
                'css' => "'Crimson Text', serif",
                'label' => __('Crimson Text', 'pulse')
            ),
            '81' => array(
                'value' => 'Cutive+Mono',
                'hosted' => 'google',
                'css' => "'Cutive Mono', serif",
                'label' => __('Cutive Mono', 'pulse')
            ),
            '95' => array(
                'value' => 'Dancing+Script:400,700',
                'hosted' => 'google',
                'css' => "'Dancing Script', cursive;",
                'label' => __('Dancing Script', 'pulse')
            ),
            '22' => array(
                'value' => 'Dosis:300,400,500,600,700',
                'hosted' => 'google',
                'css' => "'Dosis', sans-serif",
                'label' => __('Dosis', 'pulse')
            ),
            '1' => array(
                'value' => 'Droid+Sans:400,700',
                'css' => 'Droid Sans',
                'hosted' => 'google',
                'label' => __('Droid Sans', 'pulse')
            ),
            '8' => array(
                'value' => 'Droid+Serif:400,700,400italic,700italic',
                'css' => 'Droid Serif',
                'hosted' => 'google',
                'label' => __('Droid Serif', 'pulse')
            ),
            '73' => array(
                'value' => 'Dr+Sugiyama',
                'hosted' => 'google',
                'css' => "'Dr Sugiyama', cursive",
                'label' => __('Dr Sugiyama', 'pulse')
            ),
            '18' => array(
                'value' => 'Economica:700',
                'hosted' => 'google',
                'css' => "'Economica', sans-serif",
                'label' => __('Economica', 'pulse')
            ),
            '79' => array(
                'value' => 'Engagement',
                'hosted' => 'google',
                'css' => "'Engagement', cursive",
                'label' => __('Engagement', 'pulse')
            ),
            '17' => array(
                'value' => 'Exo:400,500,600,700,400italic',
                'hosted' => 'google',
                'css' => "'Exo', sans-serif",
                'label' => __('Exo Sans', 'pulse')
            ),
            '65' => array(
                'value' => 'Exo+2:400,600,700,400italic,500',
                'hosted' => 'google',
                'css' => "'Exo 2', sans-serif",
                'label' => __('Exo 2', 'pulse')
            ),
            '69' => array(
                'value' => 'Expletus+Sans:400,500,600,700',
                'hosted' => 'google',
                'css' => "'Expletus Sans', cursive",
                'label' => __('Expletus Sans', 'pulse')
            ),
            '15' => array(
                'value' => 'Francois+One',
                'hosted' => 'google',
                'css' => "'Francois One', sans-serif",
                'label' => __('Francois One', 'pulse')
            ),
            '96' => array(
                'value' => 'Fredoka+One',
                'hosted' => 'google',
                'css' => "'Fredoka One', cursive;",
                'label' => __('Fredoka', 'pulse')
            ),
            '93' => array(
                'value' => 'Gentium+Book+Basic:400,400italic,700',
                'hosted' => 'google',
                'css' => "'Gentium Book Basic', serif;",
                'label' => __('Gentium Book Basic', 'pulse')
            ),
            '89' => array(
                'value' => 'georgia',
                'hosted' => 'self',
                'css' => "Georgia, serif",
                'label' => __('Georgia', 'pulse')
            ),
            '74' => array(
                'value' => 'Great+Vibes',
                'hosted' => 'google',
                'css' => "'Great Vibes', cursive;",
                'label' => __('Great Vibes', 'pulse')
            ),
            '30' => array(
                'value' => 'helvetica',
                'hosted' => 'self',
                'css' => "Helvetica, Arial, sans-serif",
                'label' => __('Helvetica', 'pulse')
            ),
            '91' => array(
                'value' => 'Inconsolata:400,700',
                'hosted' => 'google',
                'css' => "'Inconsolata', serif",
                'label' => __('Inconsolata', 'pulse')
            ),
            '86' => array(
                'value' => 'Imprima',
                'hosted' => 'google',
                'css' => "'Imprima', sans-serif",
                'label' => __('Helvetica', 'pulse')
            ),
            '52' => array(
                'value' => 'Josefin+Sans:300,400,600,700,400italic',
                'hosted' => 'google',
                'css' => "'Josefin Sans', sans-serif",
                'label' => __('Josefin Sans', 'pulse')
            ),
            '63' => array(
                'value' => 'Josefin+Slab:400,700,400italic,700italic',
                'hosted' => 'google',
                'css' => "'Josefin Slab', serif",
                'label' => __('Josefin Slab', 'pulse')
            ),
            '92' => array(
                'value' => 'Libre+Baskerville:400,400italic',
                'hosted' => 'google',
                'css' => "'Libre Baskerville', serif;",
                'label' => __('Libre Baskerville', 'pulse')
            ),
            '26' => array(
                'value' => 'Lato:100,300,400,700,400italic',
                'hosted' => 'google',
                'css' => "'Lato', sans-serif",
                'label' => __('Lato', 'pulse')
            ),
            '59' => array(
                'value' => 'Lekton:400,700,400italic',
                'hosted' => 'google',
                'css' => "'Lekton', sans-serif",
                'label' => __('Lekton', 'pulse')
            ),
            '32' => array(
                'value' => 'Lora:400,700,400italic',
                'hosted' => 'google',
                'css' => "'Lora', serif",
                'label' => __('Lora', 'pulse')
            ),
            '82' => array(
                'value' => 'Love+Ya+Like+A+Sister',
                'hosted' => 'google',
                'css' => "'Love Ya Like A Sister', cursive",
                'label' => __('Love Ya Like A Sister', 'pulse')
            ),
            '46' => array(
                'value' => 'Maven+Pro:400,700',
                'hosted' => 'google',
                'css' => "'Maven Pro', sans-serif",
                'label' => __('Maven Pro', 'pulse')
            ),
            '54' => array(
                'value' => 'Merriweather:400,300,700,400italic,300italic',
                'hosted' => 'google',
                'css' => "'Merriweather', serif",
                'label' => __('Merriweather', 'pulse')
            ),
            '67' => array(
                'value' => 'Merriweather+Sans:400italic,400,700',
                'hosted' => 'google',
                'css' => "'Merriweather Sans', sans-serif",
                'label' => __('Merriweather Sans', 'pulse')
            ),
            '97' => array(
                'value' => 'Montaga',
                'hosted' => 'google',
                'css' => "'Montaga', serif",
                'label' => __('Montaga', 'pulse')
            ),
            '31' => array(
                'value' => 'Montserrat:400,700',
                'hosted' => 'google',
                'css' => "'Montserrat', sans-serif",
                'label' => __('Montserrat', 'pulse')
            ),
            '37' => array(
                'value' => 'Muli:400,400italic',
                'hosted' => 'google',
                'css' => "'Muli', sans-serif",
                'label' => __('Muli', 'pulse')
            ),
            '68' => array(
                'value' => 'Neuton:300,400,700,400italic',
                'hosted' => 'google',
                'css' => "'Neuton', serif",
                'label' => __('Neuton', 'pulse')
            ),
            '50' => array(
                'value' => 'News+Cycle:400,700',
                'hosted' => 'google',
                'css' => "'News Cycle', sans-serif",
                'label' => __('News Cycle', 'pulse')
            ),
            '71' => array(
                'value' => 'Niconne',
                'hosted' => 'google',
                'css' => "'Niconne', cursive",
                'label' => __('Niconne', 'pulse')
            ),
            '60' => array(
                'value' => 'Nobile:400,400italic,700,700italic',
                'hosted' => 'google',
                'css' => "'Nobile', sans-serif",
                'label' => __('Nobile', 'pulse')
            ),
            '0' => array(
                'value' => 'Open+Sans:300italic,400italic,400,300,700,600,800',
                'css' => 'Open Sans',
                'hosted' => 'google',
                'label' => __('Open Sans', 'pulse')
            ),
            '47' => array(
                'value' => 'Open+Sans+Condensed:300,700,300italic',
                'hosted' => 'google',
                'css' => "'Open Sans Condensed', sans-serif",
                'label' => __('Open Sans Condensed', 'pulse')
            ),
            '45' => array(
                'value' => 'Orienta',
                'hosted' => 'google',
                'css' => "'Orienta', sans-serif",
                'label' => __('Orienta', 'pulse')
            ),
            '13' => array(
                'value' => 'Oswald:700,400,300',
                'hosted' => 'google',
                'css' => "'Oswald', sans-serif",
                'label' => __('Oswald', 'pulse')
            ),
            '36' => array(
                'value' => 'Overlock+SC',
                'hosted' => 'google',
                'css' => "'Overlock SC', cursive",
                'label' => __('Overlock SC', 'pulse')
            ),
            '64' => array(
                'value' => 'Oxygen:300,400,700',
                'hosted' => 'google',
                'css' => "'Oxygen', sans-serif",
                'label' => __('Oxygen', 'pulse')
            ),
            '33' => array(
                'value' => 'Oxygen+Mono',
                'hosted' => 'google',
                'css' => "'Oxygen Mono', sans-serif",
                'label' => __('Oxygen Mono', 'pulse')
            ),
            '75' => array(
                'value' => 'Pacifico',
                'hosted' => 'google',
                'css' => "'Pacifico', cursive",
                'label' => __('Pacifico', 'pulse')
            ),
            '41' => array(
                'value' => 'Patua+One',
                'hosted' => 'google',
                'css' => "'Patua One', cursive",
                'label' => __('Patua One', 'pulse')
            ),
            '76' => array(
                'value' => 'Playball',
                'hosted' => 'google',
                'css' => "'Playball', cursive",
                'label' => __('Playball', 'pulse')
            ),
            '94' => array(
                'value' => 'Playfair+Display:400,700,400italic,700italic',
                'hosted' => 'google',
                'css' => "'Playfair Display', serif",
                'label' => __('Playfair', 'pulse')
            ),
            '39' => array(
                'value' => 'Pompiere',
                'hosted' => 'google',
                'css' => "'Pompiere', cursive",
                'label' => __('Pompiere', 'pulse')
            ),
            '2' => array(
                'value' => 'PT+Sans:400,700,400italic,700italic',
                'hosted' => 'google',
                'css' => "'PT Sans', sans-serif",
                'label' => __('PT Sans', 'pulse')
            ),
            '87' => array(
                'value' => 'PT+Serif:400,700',
                'hosted' => 'google',
                'css' => "'PT Serif', serif",
                'label' => __('PT Serif', 'pulse')
            ),
            '28' => array(
                'value' => 'PT+Sans+Narrow',
                'hosted' => 'google',
                'css' => "'PT Sans Narrow', sans-serif",
                'label' => __('PT Sans Narrow', 'pulse')
            ),
            '23' => array(
                'value' => 'Questrial',
                'hosted' => 'google',
                'css' => "'Questrial', sans-serif",
                'label' => __('Questrial', 'pulse')
            ),
            '35' => array(
                'value' => 'Quicksand:400,700',
                'hosted' => 'google',
                'css' => "'Quicksand', sans-serif",
                'label' => __('Quicksand', 'pulse')
            ),
            '34' => array(
                'value' => 'Raleway:300,400,600,700,800,900',
                'hosted' => 'google',
                'css' => "'Raleway', sans-serif",
                'label' => __('Raleway', 'pulse')
            ),
            '57' => array(
                'value' => 'Rambla:400,700,400italic,700italic',
                'hosted' => 'google',
                'css' => "'Rambla', sans-serif",
                'label' => __('Rambla', 'pulse')
            ),
            '62' => array(
                'value' => 'Roboto:400,700,400italic,700italic',
                'hosted' => 'google',
                'css' => "'Roboto', sans-serif",
                'label' => __('Roboto', 'pulse')
            ),
            '55' => array(
                'value' => 'Roboto+Condensed:400italic,700italic,400,700',
                'hosted' => 'google',
                'css' => "'Roboto Condensed', sans-serif",
                'label' => __('Roboto Condensed', 'pulse')
            ),
            '66' => array(
                'value' => 'Roboto+Slab:100,300,400,700',
                'hosted' => 'google',
                'css' => "'Roboto Slab', serif",
                'label' => __('Roboto Slab', 'pulse')
            ),
            '53' => array(
                'value' => 'Rokkitt:400,700',
                'hosted' => 'google',
                'css' => "'Rokkitt', serif",
                'label' => __('Rokkit', 'pulse')
            ),
            '12' => array(
                'value' => 'Ruda:400,700,900',
                'hosted' => 'google',
                'css' => "'Ruda', sans-serif",
                'label' => __('Ruda', 'pulse')
            ),
            '38' => array(
                'value' => 'Rye',
                'hosted' => 'google',
                'css' => "'Rye', cursive",
                'label' => __('Rye', 'pulse')
            ),
            '58' => array(
                'value' => 'Sanchez:400italic,400',
                'hosted' => 'google',
                'css' => "'Sanchez', serif",
                'label' => __('Sanchez', 'pulse')
            ),
            '77' => array(
                'value' => 'Satisfy',
                'hosted' => 'google',
                'css' => "'Satisfy', cursive",
                'label' => __('Satisfy', 'pulse')
            ),
            '44' => array(
                'value' => 'Share+Tech',
                'hosted' => 'google',
                'css' => "'Share Tech', sans-serif",
                'label' => __('Share Tech', 'pulse')
            ),
            '49' => array(
                'value' => 'Source+Sans+Pro:400,600,700,400italic,700italic',
                'hosted' => 'google',
                'css' => "'Source Sans Pro', sans-serif",
                'label' => __('Source Sans Pro', 'pulse')
            ),
            '80' => array(
                'value' => 'Special+Elite',
                'hosted' => 'google',
                'css' => "'Special Elite', cursive",
                'label' => __('Special Elite', 'pulse')
            ),
            '40' => array(
                'value' => 'Titillium+Web:400,400italic,600,700,700italic',
                'hosted' => 'google',
                'css' => "'Titillium Web', sans-serif",
                'label' => __('Titillium Web', 'pulse')
            ),
            '6' => array(
                'value' => 'Ubuntu:400,500,700,400italic,500italic,700italic',
                'hosted' => 'google',
                'css' => "'Ubuntu', sans-serif",
                'label' => __('Ubuntu', 'pulse')
            ),
            '90' => array(
                'value' => 'Unifraktur:700',
                'hosted' => 'google',
                'css' => "'UnifrakturCook', cursive;",
                'label' => __('Unifraktur', 'pulse')
            ),
            '27' => array(
                'value' => 'Vollkorn:400italic,400',
                'hosted' => 'google',
                'css' => "'Vollkorn', serif",
                'label' => __('Vollkorn', 'pulse')
            ),
            '3' => array(
                'value' => 'Yanone+Kaffeesatz:400,700',
                'hosted' => 'google',
                'css' => "'Yanone Kaffeesatz', sans-serif",
                'label' => __('Yanone Kaffeesatz', 'pulse')
            ),
            '85' => array(
                'value' => 'Yellowtail',
                'hosted' => 'google',
                'css' => "'Yellowtail', cursive",
                'label' => __('Yellowtail', 'pulse')
            ),
            '78' => array(
                'value' => 'Yesteryear',
                'hosted' => 'google',
                'css' => "'Yesteryear', cursive",
                'label' => __('Yesteryear', 'pulse')
            ),
        );
        return $prk_select_font_options;
    }
}

//LOAD THEME OPTIONS
if(!class_exists('ReduxFramework')){
    include_once PLUGIN_PATH.'/inc/modules/options/framework.php';
}
add_action( 'plugins_loaded', 'pulse_register_options' );
function pulse_register_options () {
    include_once PLUGIN_PATH.'/inc/modules/options/theme/options.php';
}

include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
if (is_plugin_active('js_composer/js_composer.php')) {
    global $prk_pulse_options;
    $opt_array=get_option('prk_pulse_options');
    //print_r($opt_array);
    if ($opt_array['pulse_light_vc']=="1") {
        include_once PLUGIN_PATH . '/inc/builder-light.php';
    }
    else {
        include_once PLUGIN_PATH . '/inc/builder.php';
    }
}

if (!function_exists('pulse_attachment_id')) {
    function pulse_attachment_id( $pulse_url ) {
        $pulse_attachment_id="EMPTY";
        $pulse_dir=wp_upload_dir();
        if ( false !== strpos( $pulse_url, $pulse_dir['baseurl'].'/' ) ) {
            $pulse_file=basename( $pulse_url );
            $pulse_query_args=array(
                'post_type'   => 'attachment',
                'post_status' => 'inherit',
                'fields'      => 'ids',
                'meta_query'  => array(
                    array(
                        'value'   => $pulse_file,
                        'compare' => 'LIKE',
                        'key'     => '_wp_attachment_metadata',
                    ),
                )
            );
            $pulse_query=new WP_Query( $pulse_query_args );
            if ( $pulse_query->have_posts() ) {
                foreach ( $pulse_query->posts as $pulse_post_id ) {
                    $pulse_meta=wp_get_attachment_metadata( $pulse_post_id );
                    $pulse_original_file=basename( $pulse_meta['file'] );
                    $pulse_cropped_image_file=wp_list_pluck( $pulse_meta['sizes'], 'file' );
                    if (isset($pulse_meta['sizes'])) {
                        if ( $pulse_original_file === $pulse_file || in_array( $pulse_file, $pulse_cropped_image_file ) ) {
                            $pulse_attachment_id=$pulse_post_id;
                            break;
                        }
                    }
                    else {
                        if ( $pulse_original_file === $pulse_file) {
                            $pulse_attachment_id=$pulse_post_id;
                            break;
                        }
                    }
                }
            }
        }
        return $pulse_attachment_id;
    }
}
if (!function_exists('pulse_alt_tag')) {
    function pulse_alt_tag($pulse_id_flag,$pulse_img_path) {
        if ($pulse_id_flag==false) {
            $pulse_img_id=pulse_attachment_id($pulse_img_path);
            if ($pulse_img_id!="EMPTY") {
                $pulse_alt_text=get_post_meta($pulse_img_id, '_wp_attachment_image_alt', true);
                return $pulse_alt_text;
            }
            else {
                return "Image Not Found On Media Library";
            }
        }
        else {
            $pulse_alt_text=get_post_meta($pulse_img_path, '_wp_attachment_image_alt', true);
            return $pulse_alt_text;
        }
    }
}

//VALIDATE FUNCTIONS
function pulse_widget_scripts($hook) {
    if( 'appearance_page_theme_activation_options' != $hook ) {
        return;
    }
    $active_theme = wp_get_theme();
    wp_enqueue_script( 'pirenko-widget-script', plugins_url( 'js/main.js', __FILE__ ), array('jquery'),$active_theme->Version );
    wp_localize_script( 'pirenko-widget-script', 'ajax_object', array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );
}
add_action( 'admin_enqueue_scripts', 'pulse_widget_scripts' );

if (!function_exists('pulse_validate_key')) {
    function pulse_validate_key() {
        if (get_option('pulse_prk_one')=="") {
            add_option( 'pulse_prk_one', 'off', '', 'yes' );
        }
        if (get_option('pulse_prk_one')=='off') {
            return false;
        }
        else {
            return true;
        }
    }
}

//CHECK IF PULSE THEME IS ACTIVE
if (function_exists('wp_get_theme'))
    $active_theme = wp_get_theme(get_template());
else
{
    $active_theme->name="";
    $active_theme->Version="1";
}
if ('Pulse' == $active_theme->name || 'Pulse' == $active_theme->parent_theme) {

}
else {
    //THEME IS NOT ACTIVE. LET'S ADD SOME ELEMENTS
    add_action('admin_enqueue_scripts', 'pulse_framework_admin_scripts');
}

//REDUX SPECIAL FUNCTIONS
function pulse_outside_register_ace() {
    wp_dequeue_script( 'wpb_ace' );
    wp_deregister_script( 'wpb_ace' );
}
function pulse_outside_register_select() {
    wp_deregister_script( 'jquerySelect2' );
    wp_dequeue_script('jquerySelect2');
    wp_dequeue_style('jquerySelect2Style');
}

//VISUAL COMPOSER OVERRIDES
//ENQUEUE THE THEME TWEAKED JS AND CSS FILES
function pulse_vc_scripts() {
    global $prk_pulse_options;
    if (function_exists('wp_get_theme')) {
        $prk_theme = wp_get_theme(get_template());
    }
    else {
        $prk_theme->Version="1";
    }
    if (defined('WPB_VC_VERSION') && $prk_pulse_options['pulse_light_vc']=="1" && !isset($_GET['vc_post_id'])) {
        wp_deregister_style('js_composer_custom_css');
        wp_deregister_style('js_composer_front');
        wp_deregister_style('animate-css-css');
        wp_deregister_style('flexslider');
        wp_deregister_style('prettyphoto');
        wp_deregister_script('nivo-slider');
        wp_deregister_script('isotope');
        wp_deregister_script('waypoints');
        wp_deregister_script('vc_accordion_script');
        wp_deregister_script('vc_tabs_script');
        wp_deregister_script('vc_tta_autoplay_script');
        wp_deregister_script('wpb_composer_front_js');
        wp_deregister_script('jquery_ui_tabs_rotate');

        wp_register_script('wpb_composer_front_js',get_template_directory_uri().'/js/js_composer_front-min.js', array('jquery'), $prk_theme->Version, true );
        wp_enqueue_script('wpb_composer_front_js');
    }
    else {
        wp_enqueue_style( 'pulse_frontend_composer', get_template_directory_uri() . '/css/frontend_composer.css',false,$prk_theme->Version );
    }
}
add_action('wp_enqueue_scripts', 'pulse_vc_scripts', 10);//WAS 100

//ADD CUSTOM SCRIPTS FOR THE BACKEND
function pulse_framework_admin_scripts() {
    global $active_theme;
    wp_register_style( 'pulse_framework_admin_css', PLUGIN_URL . 'css/admin.css',false,$active_theme->Version );
    wp_enqueue_style('pulse_framework_admin_css');
}
if (!function_exists('pulse_output')) {
    function pulse_output() {
        return;
    }
}

//Remove REDUX framework messages
function prk_remove_redux_messages() {
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
    }
    if ( class_exists('ReduxFrameworkPlugin') ) {
        remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );
    }
}
add_action('init', 'prk_remove_redux_messages');

add_filter( 'ups_sidebar', 'ups_display_sidebar' );
add_filter( 'ryno_sidebar', 'ups_display_sidebar' );
add_action( 'init', 'ups_options_init' );
add_action( 'admin_init', 'ups_options_admin_init' );
add_action( 'admin_enqueue_scripts', 'ups_options_admin_scripts' );
add_action( 'admin_menu', 'ups_options_add_page' );

/**
 * Displays the sidebar which is attached to the page being viewed.
 *
 * @since Unique Page Sidebars 0.1
 */
function ups_display_sidebar( $default_sidebar ) {
    global $post;

    $sidebars = get_option( 'ups_sidebars' );
    if ($sidebars!="") {
        foreach ( $sidebars as $id => $sidebar ) {
            if ( array_key_exists( 'pages', $sidebar ) ) {
                if ( array_key_exists( 'children', $sidebar ) && $sidebar['children'] == 'on' ) {
                    $child = array_key_exists( $post->post_parent, $sidebar['pages'] );
                } else {
                    $child = false;
                }
                if ( array_key_exists( $post->ID, $sidebar['pages'] ) || $child ) {
                    return $id;
                }
            }
        }
    }

    return $default_sidebar;
}

/**
 * Add the options page to the "Appearance" admin menu
 *
 * @since Unique Page Sidebars 0.1
 */
function ups_options_add_page() {
    add_theme_page( 'Manage Sidebars', 'Manage Sidebars', 'edit_theme_options', 'ups_sidebars', 'ups_sidebars_do_page' );
}

/**
 * Registers all sidebars for use on the front-end and Widgets page
 *
 * @since Unique Page Sidebars 0.1
 */
function ups_options_init() {
    $sidebars = get_option( 'ups_sidebars' );

    if ( is_array( $sidebars ) ) {
        foreach ( (array) $sidebars as $id => $sidebar ) {
            unset( $sidebar['pages'] );
            $sidebar['id'] = $id;
            register_sidebar( $sidebar );
        }
    }
}

function ups_options_admin_scripts() {
    wp_enqueue_script('common');
    wp_enqueue_script('wp-lists');
    wp_enqueue_script('postbox');
}
/**
 * Adds the metaboxes to the main options page for the sidebars in the database.
 *
 * @since Unique Page Sidebars 0.1
 */
function ups_options_admin_init() {

    // Register setting to store all the sidebar options in the *_options table
    register_setting( 'ups_sidebars_options', 'ups_sidebars', 'ups_sidebars_validate' );

    $sidebars = get_option( 'ups_sidebars' );
    if ( is_array( $sidebars ) && count ( $sidebars ) > 0 ) {
        foreach ( $sidebars as $id => $sidebar ) {
            add_meta_box(
                esc_attr( $id ),
                esc_html( $sidebar['name'] ),
                'ups_sidebar_do_meta_box',
                'ups_sidebars',
                'normal',
                'default',
                array(
                    'id' => esc_attr( $id ),
                    'sidebar' => $sidebar
                )
            );

            unset( $sidebar['pages'] );
            $sidebar['id'] = esc_attr( $id );
            register_sidebar( $sidebar );
        }
    } else {
        add_meta_box( 'ups-sidebar-no-sidebars', 'No sidebars', 'ups_sidebar_no_sidebars', 'ups_sidebars', 'normal', 'default' );
    }

    // Sidebar metaboxes
    add_meta_box( 'ups-sidebar-add-new-sidebar', 'Add New Sidebar', 'ups_sidebar_add_new_sidebar', 'ups_sidebars', 'side', 'default' );
    add_meta_box( 'ups-sidebar-about-the-plugin', 'About the Plugin', 'ups_sidebar_about_the_plugin', 'ups_sidebars', 'side', 'default' );
}

function ups_sidebar_no_sidebars() {
    ?>
    <p>You haven&rsquo;t added any sidebars yet. Add one using the form on the right hand side!</p>
    <?php
}

/**
 * Callback function which creates the theme page and adds a spot for the metaboxes
 *
 * @since Unique Page Sidebars 0.1
 */
function ups_sidebars_do_page() {
    if ( ! isset( $_REQUEST['settings-updated'] ) )
        $_REQUEST['settings-updated'] = false;
    ?>
    <div class="wrap">
        <h2>Manage Sidebars</h2>
        <?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
            <div class="updated fade"><p><strong>Sidebar settings saved.</strong> You can now go manage the <a href="<?php echo esc_url(get_admin_url()); ?>widgets.php">widgets</a> for your sidebars.</p></div>
        <?php endif; ?>
        <div id="poststuff" class="metabox-holder has-right-sidebar">
            <div id="post-body" class="has-sidebar">
                <div id="post-body-content" class="has-sidebar-content">
                    <form method="post" action="options.php">
                        <?php settings_fields( 'ups_sidebars_options' ); ?>
                        <?php do_meta_boxes( 'ups_sidebars', 'normal', null ); ?>
                    </form>
                </div>
            </div>
            <div id="side-info-column" class="inner-sidebar">
                <?php do_meta_boxes( 'ups_sidebars', 'side', null ); ?>
            </div>
        </div>
    </div>
    <?php
}

/**
 * Callback function which adds the content of the metaboxes for each sidebar
 *
 * @since Unique Page Sidebars 0.1
 */
function ups_sidebar_do_meta_box( $post, $metabox ) {
    $sidebars = get_option( 'ups_sidebars' );
    $sidebar_id = esc_attr( $metabox['args']['id'] );
    $sidebar = $sidebars[$sidebar_id];

    if ( ! isset( $sidebar['pages'] ) ) {
        $sidebar['pages'] = array();
    }

    $options_fields = array(
        'name' => 'Name',
        'description' => 'Description',
        'before_title' => 'Before Title',
        'after_title' => 'After Title',
        'before_widget' => 'Before Widget',
        'after_widget' => 'After Widget'
    );

    $get_posts = new WP_Query;
    $posts = $get_posts->query( array(
        'offset' => 0,
        'order' => 'ASC',
        'orderby' => 'title',
        'posts_per_page' => -1,
        'post_type' => 'page',
        'suppress_filters' => true,
        'update_post_term_cache' => false,
        'update_post_meta_cache' => false
    ) );
    ?>
    <div class="wp-tab-wrapper left_floated pct_25 prkadmin_hide_now">
        <ul class="wp-tab-bar">
            <li class="wp-tab-active">All Pages</li>
        </ul>
        <div class="wp-tab-panel">
            <ul id="pagechecklist" class="categorychecklist form-no-clear">
                <?php foreach ( $posts as $post ) : ?>
                    <li>
                        <label>
                            <?php
                            $checked = '';
                            if ( array_key_exists( $post->ID, $sidebar['pages'] ) ) {
                                $checked = ' checked="checked"';
                            }
                            ?>
                            <input type="checkbox" class="menu-item-checkbox" name="ups_sidebars[<?php echo esc_attr($sidebar_id); ?>][pages][<?php echo esc_attr( $post->ID ); ?>]" value="<?php echo esc_attr( $post->post_title ); ?>"<?php echo esc_attr($checked); ?> />
                            <?php echo esc_html( $post->post_title ); ?>
                        </label>
                    </li>
                <?php endforeach; ?>
            </ul>
        </div>
    </div>
    <div class="left_floated">
        <table class="form-table">
            <?php foreach ( $options_fields as $id => $label ) : ?>
                <tr valign="top" class="prk_bars_<?php echo esc_attr( $id ); ?>">
                    <th scope="row"><label for="ups_sidebars[<?php echo esc_attr( $sidebar_id ); ?>][<?php echo esc_attr( $id ); ?>]"><?php echo esc_html( $label ); ?></label></th>
                    <td>
                        <?php if ( 'children' == $id ) : ?>
                            <?php
                            $checked = '';
                            if ( array_key_exists( 'children', $sidebar ) && $sidebar['children'] == 'on' ) {
                                $checked = ' checked="checked"';
                            }
                            ?>
                            <label>
                                <input type="checkbox" name="ups_sidebars[<?php echo esc_attr( $sidebar_id ); ?>][<?php echo esc_attr( $id ); ?>]" value="on" id="ups_sidebars[<?php echo esc_attr( $sidebar_id ); ?>][<?php echo esc_attr( $id ); ?>]"<?php echo esc_attr($checked); ?> />
                                <span class="description">Set page children to use the parent page sidebar by default?</span>
                            </label>
                        <?php else : ?>
                            <input id="ups_sidebars[<?php echo esc_attr( $sidebar_id ); ?>][<?php echo esc_attr( $id ); ?>]" class="regular-text" type="text" name="ups_sidebars[<?php echo esc_attr( $sidebar_id ); ?>][<?php echo esc_attr( $id ); ?>]" value="<?php echo esc_html( $sidebar[$id] ); ?>" />
                        <?php endif; ?>
                    </td>
                </tr>
            <?php endforeach; ?>
        </table>
    </div>
    <div class="clear submitbox">
        <input type="submit" class="button-primary" value="Save changes" />&nbsp;&nbsp;&nbsp;
        <label><input type="checkbox" name="ups_sidebars[delete]" value="<?php echo esc_attr( $sidebar_id ); ?>" /> Delete this sidebar?</label>
    </div>
    <?php
}

/**
 * Validates and handles all the post data (adding, updating, deleting sidebars)
 *
 * @since Unique Page Sidebars 0.1
 */
function ups_sidebars_validate( $input ) {
    if ( isset( $input['add_sidebar'] ) ) {
        $sidebars = get_option( 'ups_sidebars' );
        if ( ! empty( $input['add_sidebar'] ) ) {
            if ( is_array( $sidebars ) ) {
                $sidebar_num = count( $sidebars ) + 1;
            } else {
                $sidebar_num = 1;
            }
            //PIRENKO
            $sidebar_num=rand(1,10000);
            //END PIRENKO
            $sidebars['ups-sidebar-' . $sidebar_num] = array(
                'name' => esc_html( $input['add_sidebar'] ),
                'description' => '',
                'before_widget' => '<div id="%1$s" class="widget %2$s columns vertical_widget"><div class="widget_inner">',
                'after_widget' => '</div></div>',
                'before_title' => '<div class="widget-title header_font zero_color prk_heavier_600">',
                'after_title' => '</div>',
                'pages' => array(),
                'children' => 'off'
            );
        }
        return $sidebars;
    }

    if ( isset( $input['delete'] ) ) {
        foreach ( (array) $input['delete'] as $delete_id ) {
            unset( $input[$delete_id] );
        }
        unset( $input['delete'] );
        return $input;
    }

    return $input;
}

/**
 * Handles the content of the metabox which allows adding new sidebars
 *
 * @since Unique Page Sidebars 0.1
 */
function ups_sidebar_add_new_sidebar() {
    ?>
    <form method="post" action="options.php" id="add-new-sidebar">
        <?php settings_fields( 'ups_sidebars_options' ); ?>
        <table class="form-table">
            <tr valign="top">
                <th scope="row">Name</th>
                <td>
                    <input id="ups_sidebars[add_sidebar]" class="text" type="text" name="ups_sidebars[add_sidebar]" value="" />
                </td>
            </tr>
        </table>
        <p class="submit zero_padding">
            <input type="submit" class="button-primary" value="Add Sidebar" />
        </p>
    </form>
    <?php
}

/**
 * Handles the content of the metabox that describes the plugin
 *
 * @since Unique Page Sidebars 0.1
 */
function ups_sidebar_about_the_plugin()
{
    ?>
    <p>This plugin was developed by Andrew Ryno, a WordPress developer based in Phoenix, AZ who never found a decent
        solution to having sidebars on different pages.</p>
    <p>Like the plugin? Think it could be improved? Feel free to contribute over at GitHub!</p>
    <?php
}

//EXTRA FIELDS FOR WORDPRESS USERS
if (!function_exists('modify_contact_methods')) {
    function modify_contact_methods($profile_fields) {
        $profile_fields['prk_subheading'] = 'Subheading text <span class="description">(optional)</span><br /><span class="description pulse_author_help">Displayed under author name</span>';
        $profile_fields['prk_author_custom_avatar'] = 'Custom avatar <span class="description">(optional)</span><br /><span class="description pulse_author_help">Image full path</span>';
        $profile_fields['prk_author_custom_header'] = 'Featured header for author archive page <span class="description">(optional)</span><br /><span class="description pulse_author_help">Image full path</span>';
        $profile_fields['web'] = 'Website link';
        $profile_fields['dribbble'] = 'Dribbble link';
        $profile_fields['facebook'] = 'Facebook link';
        $profile_fields['flickr'] = 'Flickr link';
        $profile_fields['gplus'] = 'Google Plus link';
        $profile_fields['instagram'] = 'Instagram link';
        $profile_fields['linkedin'] = 'Linkedin link';
        $profile_fields['pinterest'] = 'Pinterest link';
        $profile_fields['skype'] = 'Skype link';
        $profile_fields['twitter'] = 'Twitter link';
        $profile_fields['vimeo'] = 'Vimeo link';
        $profile_fields['youtube'] = 'Youtube link';
        return $profile_fields;
    }
}
add_filter('user_contactmethods', 'modify_contact_methods');

function show_author_links() {
    if (get_the_author_meta('dribbble')!="" || get_the_author_meta('facebook')!="" || get_the_author_meta('flickr')!="" || get_the_author_meta('gplus')!="" || get_the_author_meta('instagram')!="" || get_the_author_meta('linkedin')!="" || get_the_author_meta('pinterest')!="" || get_the_author_meta('skype')!="" || get_the_author_meta('twitter')!="" || get_the_author_meta('vimeo')!="" || get_the_author_meta('youtube')!="" || get_the_author_meta('web')!="") {
        $out= '<div class="pirenko_social minimal">';
        $out.= '<div class="pirenko_social_inner">';
        if (get_the_author_meta('web')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-book"><a href="'.get_the_author_meta('web').'" title="Website" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-globe"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('dribbble')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-dribbble"><a href="'.get_the_author_meta('dribbble').'" title="Dribbble" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-dribbble"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('facebook')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-facebook"><a href="'.get_the_author_meta('facebook').'" title="Facebook" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-facebook"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('flickr')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-flickr"><a href="'.get_the_author_meta('flickr').'" title="Flickr" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-flickr"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('gplus')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-google_plus"><a href="'.get_the_author_meta('gplus').'" title="Google Plus" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-google-plus"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('instagram')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-instagram"><a href="'.get_the_author_meta('instagram').'" title="Instagram" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-instagram"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('linkedin')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-linkedin"><a href="'.get_the_author_meta('linkedin').'" title="Linkedin" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-linkedin"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('pinterest')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-pinterest"><a href="'.get_the_author_meta('pinterest').'" title="Pinterest" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-pinterest"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('skype')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-skype"><a href="'.get_the_author_meta('skype').'" title="Skype" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse-skype pulse_fa-skype"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('twitter')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-twitter"><a href="'.get_the_author_meta('twitter').'" title="Twitter" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-twitter"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('vimeo')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-vimeo"><a href="'.get_the_author_meta('vimeo').'" title="Vimeo" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-vimeo-square"></div><div class="bg_shifter"></div></a></div>';
        }
        if (get_the_author_meta('youtube')!="") {
            $out.= '<div class="social_img_wrp pulse_socialink prk_bordered pulse-youtube"><a href="'.get_the_author_meta('youtube').'" title="Youtube" target="_blank" data-color="#FFFFFF"><div class="prk_minimal_icon pulse_fa-youtube"></div><div class="bg_shifter"></div></a></div>';
        }
        $out.= '</div>';
        $out.= '</div>';
        return $out;
    }
    else {
        return;
    }
}


if (!function_exists('prk_mail_before_submit')) {
    function prk_mail_before_submit() {
        if (isset($_POST['action']) && $_POST['action']=="mail_before_submit") {
            check_ajax_referer('ajax-nonce');
            $params = array();
            parse_str($_POST['email_wrap'], $params);
            $name = $params['ser_name'];
            $mail = $params['ser_email'];
            $admin_mail = $params['rec_email'];
            $msg = $params['ser_message'];
            $subject = $params['ser_subject'];

            $headers='MIME-Version: 1.0' . "\r\n";
            $headers.='Content-type: text/html; charset=utf-8' . "\r\n";
            $headers.='From: '.$name.' <'.$mail.'>' ."\r\n";
            $headers.='Reply-To: ' . $mail . "\r\n";
            //$headers.='CC: ' . $mail ."\r\n";
            $headers.='X-Mailer: PHP/' . phpversion();

            $message="You've received a new message. <br><br>";
            $message.="Name: ".$name."<br>";
            $message.="Mail: ".$mail."<br>";
            $message.="Message: ".$msg."<br>";
            //echo pulse_output().$admin_mail.'<br/>'.$subject.'<br/>'.$message.'<br/>'.$headers;
            if ($subject=="") {
                $subject=__("New message from your website");
            }
            $mail_result = wp_mail($admin_mail,$subject,$message,$headers);
            if($mail_result) {
                echo "sent";
            }
            else {
                echo "Email failure. Please try again.";
            }
        }
    }
}

//POSTS ADD MORE COLUMNS FOR THE DASHBOARD VIEW
//ADD HOOKS
add_filter('manage_post_posts_columns', 'pirenko_columns_head_only', 10);
add_action('manage_post_posts_custom_column', 'pirenko_columns_content_only', 10, 2);
//FUNCTION TO RETRIEVE FEATURED IMAGE
function pirenko_get_featured_image_posts($post_ID) {
    $post_thumbnail_id = get_post_thumbnail_id($post_ID);
    if ($post_thumbnail_id) {
        $post_thumbnail_img = wp_get_attachment_image_src($post_thumbnail_id, 'medium');
        return $post_thumbnail_img[0];
    }
}
//RESORT COLUMNS
function pirenko_columns_head_only($defaults) {
    $defaults['featured_image'] = 'Featured Image';
    return $defaults;
}
//FILL SPECIAL COLUMNS
function pirenko_columns_content_only($column_name, $post_ID) {
    global $post;
    if ($column_name == 'featured_image') {
        $post_featured_image = pirenko_get_featured_image_posts($post_ID);
        if ($post_featured_image) {
            // HAS A FEATURED IMAGE
            echo '<img class="slides_image_preview pulse_posts" src="' . $post_featured_image . '" />';
        }
        else {
            // NO FEATURED IMAGE, SHOW THE DEFAULT ONE
            echo ('<span class="pulse_posts">No image</span>');
        }
    }
}

//CUSTOM FUNCTIONS
add_action('init', 'prk_functions_register',5);
function prk_functions_register() {
    if (!function_exists('prk_ref_links')) {
        function prk_ref_links($link)
        {
            return $link;
        }
    }
}

?>