<?php
add_action( 'init', 'prk_pulse_scodes' );
/**
 *
 */
function prk_pulse_scodes() {
    if (!function_exists('html2rgb')) {
        /**
         * @param $color
         * @param $alpha
         * @return array|bool
         */
        function html2rgb($color, $alpha)
        {
            if ($color[0] == '#')
                $color = substr($color, 1);
            if (strlen($color) == 6)
                list($r, $g, $b) = array($color[0].$color[1],$color[2].$color[3],$color[4].$color[5]);
            elseif (strlen($color) == 3)
                list($r, $g, $b) = array($color[0].$color[0], $color[1].$color[1], $color[2].$color[2]);
            else
                return false;
            $r = hexdec($r); $g = hexdec($g); $b = hexdec($b);

            return array($r, $g, $b ,$alpha);
        }
    }
    //SHORTCODES MANAGEMENT

    //TWITTER FEED
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_twt_func ($atts, $content = null) {
        extract(shortcode_atts(array(
            'username'    	 => '',
            'consumerkey'    	 => '',
            'consumersecret'    	 => '',
            'accesstoken'    	 => '',
            'accesstokensecret'    	 => '',
            'cachetime'    	 => '',
            'tweetstoshow'    	 => '',
        ), $atts));
        ob_start();
        the_widget('prk_tp_widget_recent_tweets',$atts);
        $widget = ob_get_contents();
        ob_end_clean();
        $main_classes="pls_page_twt";
        if ($atts['css_animation']!="")
            $main_classes.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        if ($atts['el_class']!="")
            $main_classes.=" ".$atts['el_class'];
        return '<div class="'.$main_classes.'">'.$widget.'</div>';
    }
    add_shortcode('prk_twt', 'prk_twt_func');


    //INTAGRAM FEED
    //According to https://gist.github.com/cosmocatalano/4544576
    /**
     * @param $username
     * @param int $slice
     * @return array|mixed|WP_Error
     */
    function pls_instafeed($username, $slice = 9 ) {

        $username = trim( strtolower( $username ) );

        switch ( substr( $username, 0, 1 ) ) {
            case '#':
                $url              = 'https://instagram.com/explore/tags/'.str_replace( '#', '', $username );
                $transient_prefix = 'h';
                break;

            default:
                $url              = 'https://instagram.com/'.str_replace( '@', '', $username );
                $transient_prefix = 'u';
                break;
        }

        if (false === ( $instagram = get_transient( 'insta-a10-'.$transient_prefix.'-'.sanitize_title_with_dashes( $username ) ) ) ) {

            $remote = wp_remote_get( $url );

            if ( is_wp_error( $remote ) ) {
                return new WP_Error( 'site_down', esc_html__( 'Unable to communicate with Instagram.', 'wp-instagram-widget' ) );
            }

            if ( 200 !== wp_remote_retrieve_response_code( $remote ) ) {
                return new WP_Error( 'invalid_response', esc_html__( 'Instagram did not return a 200.', 'wp-instagram-widget' ) );
            }

            $shards      = explode( 'window._sharedData = ', $remote['body'] );
            $insta_json  = explode( ';</script>', $shards[1] );
            $insta_array = json_decode( $insta_json[0], true );

            if ( ! $insta_array ) {
                return new WP_Error( 'bad_json', esc_html__( 'Instagram has returned invalid data.', 'wp-instagram-widget' ) );
            }

            if ( isset( $insta_array['entry_data']['ProfilePage'][0]['graphql']['user']['edge_owner_to_timeline_media']['edges'] ) ) {
                $images = $insta_array['entry_data']['ProfilePage'][0]['graphql']['user']['edge_owner_to_timeline_media']['edges'];
            } elseif ( isset( $insta_array['entry_data']['TagPage'][0]['graphql']['hashtag']['edge_hashtag_to_media']['edges'] ) ) {
                $images = $insta_array['entry_data']['TagPage'][0]['graphql']['hashtag']['edge_hashtag_to_media']['edges'];
            } else {
                return new WP_Error( 'bad_json_2', esc_html__( 'Instagram has returned invalid data.', 'wp-instagram-widget' ) );
            }

            if ( ! is_array( $images ) ) {
                return new WP_Error( 'bad_array', esc_html__( 'Instagram has returned invalid data.', 'wp-instagram-widget' ) );
            }

            $instagram = array();

            foreach ( $images as $image ) {
                if ( true === $image['node']['is_video'] ) {
                    $type = 'video';
                } else {
                    $type = 'image';
                }

                $caption = __( 'Instagram Image', 'wp-instagram-widget' );
                if ( ! empty( $image['node']['edge_media_to_caption']['edges'][0]['node']['text'] ) ) {
                    $caption = wp_kses( $image['node']['edge_media_to_caption']['edges'][0]['node']['text'], array() );
                }

                $instagram[] = array(
                    'description' => $caption,
                    'link'        => trailingslashit( '//instagram.com/p/'.$image['node']['shortcode'] ),
                    'time'        => $image['node']['taken_at_timestamp'],
                    'comments'    => $image['node']['edge_media_to_comment']['count'],
                    'likes'       => $image['node']['edge_liked_by']['count'],
                    'thumbnail'   => preg_replace( '/^https?\:/i', '', $image['node']['thumbnail_resources'][0]['src'] ),
                    'small'       => preg_replace( '/^https?\:/i', '', $image['node']['thumbnail_resources'][2]['src'] ),
                    'large'       => preg_replace( '/^https?\:/i', '', $image['node']['thumbnail_resources'][4]['src'] ),
                    'original'    => preg_replace( '/^https?\:/i', '', $image['node']['display_url'] ),
                    'type'        => $type,
                );
            } // End foreach().

            // do not set an empty transient - should help catch private or empty accounts.
            if ( ! empty( $instagram ) ) {
                $instagram = base64_encode( serialize( $instagram ) );
                set_transient( 'insta-a10-'.$transient_prefix.'-'.sanitize_title_with_dashes( $username ), $instagram, apply_filters( 'null_instagram_cache_time', HOUR_IN_SECONDS * 2 ) );
            }
        }

        if ( ! empty( $instagram ) ) {

            $instagram = unserialize( base64_decode( $instagram ) );
            return array_slice( $instagram, 0, $slice );

        } else {

            return new WP_Error( 'no_images', esc_html__( 'Instagram did not return any images.', 'wp-instagram-widget' ) );

        }
    }

    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_instagram_func($atts, $content = null ) {
        $out="Instagram connection not available.";
        $current_user = wp_get_current_user();
        if (user_can( $current_user, 'administrator' )) {
            $out='This message is only visible to website administrators! This Instagram widget has been deprecated. More information about this issue at <a href="https://www.pirenko.com/instagram-widget-deprecated/">https://www.pirenko.com/instagram-widget-deprecated/</a>. We are really sorry for the annoyance.';
        }
        return $out;
    }
    add_shortcode('prk_instagram', 'prk_instagram_func');



    //SOCIAL NETWORK LINKS
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function pirenko_social_nets_shortcode($atts, $content = null ) {
        $main_classes="";
        if ($atts['el_class']!="")
            $main_classes=" ".$atts['el_class'];
        if ($atts['css_animation']!="")
            $main_classes.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        $icons_inline="";
        if (!isset($atts['icons_style'])) {
            $atts['icons_style']="minimal_icons";
        }
        if ($atts['icons_style']=="") {
            $atts['icons_style']="minimal_icons";
        }
        if (isset($atts['icons_size']) && $atts['icons_style']=="minimal_icons") {
            $icons_inline=' style="font-size:'.$atts['icons_size'].'px;"';
        }
        $parent_inline=' style="';
        $children_inline="";
        $up_color="default";
        $hover_color="default";
        if (isset($atts['text_color'])) {
            $up_color=$atts['text_color'];
            $children_inline=' style="color:'.$atts['text_color'].';"';
            $parent_inline.='border-color:'.$atts['text_color'].';';
        }
        if (isset($atts['custom_opacity']) && $atts['custom_opacity']!="100") {
            $parent_inline.='opacity:'.($atts['custom_opacity']/100).';';
        }
        if (isset($atts['icons_padding']) && $atts['icons_padding']!="") {
            $parent_inline.='padding-left:'.$atts['icons_padding'].'px;padding-right:'.$atts['icons_padding'].'px;';
        }
        if ($parent_inline!=' style="') {
            $parent_inline.='"';
        }
        else {
            $parent_inline="";
        }
        if (isset($atts['hover_color'])) {
            $hover_color=$atts['hover_color'];
        }
        $out='<div class="social_links_shortcode '.$atts['icons_style'].'"'.$icons_inline.'>';
        if (isset($atts['net_1']) && $atts['net_1']!="none") {
            $out.='<a href="'.prk_ref_links($atts['link_1']).'" target="_blank" data-color="'.$hover_color.'" data-up-color="'.$up_color.'"'.$children_inline.'>';
            $out.='<div class="pulse_inner_social"'.$parent_inline.'>';
            $out.='<i class="pulse_mini_icon '.prk_social_icon($atts['net_1']).'">';
            $out.='</i>';
            $out.='</div>';
            $out.='</a>';
        }
        if (isset($atts['net_2']) && $atts['net_2']!="none") {
            $out.='<a href="'.prk_ref_links($atts['link_2']).'" target="_blank" data-color="'.$hover_color.'" data-up-color="'.$up_color.'"'.$children_inline.'>';
            $out.='<div class="pulse_inner_social"'.$parent_inline.'>';
            $out.='<i class="pulse_mini_icon '.prk_social_icon($atts['net_2']).'">';
            $out.='</i>';
            $out.='</div>';
            $out.='</a>';
        }
        if (isset($atts['net_3']) && $atts['net_3']!="none") {
            $out.='<a href="'.prk_ref_links($atts['link_3']).'" target="_blank" data-color="'.$hover_color.'" data-up-color="'.$up_color.'"'.$children_inline.'>';
            $out.='<div class="pulse_inner_social"'.$parent_inline.'>';
            $out.='<i class="pulse_mini_icon '.prk_social_icon($atts['net_3']).'">';
            $out.='</i>';
            $out.='</div>';
            $out.='</a>';
        }
        if (isset($atts['net_4']) && $atts['net_4']!="none") {
            $out.='<a href="'.prk_ref_links($atts['link_4']).'" target="_blank" data-color="'.$hover_color.'" data-up-color="'.$up_color.'"'.$children_inline.'>';
            $out.='<div class="pulse_inner_social"'.$parent_inline.'>';
            $out.='<i class="pulse_mini_icon '.prk_social_icon($atts['net_4']).'">';
            $out.='</i>';
            $out.='</div>';
            $out.='</a>';
        }
        if (isset($atts['net_5']) && $atts['net_5']!="none") {
            $out.='<a href="'.prk_ref_links($atts['link_5']).'" target="_blank" data-color="'.$hover_color.'" data-up-color="'.$up_color.'"'.$children_inline.'>';
            $out.='<div class="pulse_inner_social"'.$parent_inline.'>';
            $out.='<i class="pulse_mini_icon '.prk_social_icon($atts['net_5']).'">';
            $out.='</i>';
            $out.='</div>';
            $out.='</a>';
        }
        if (isset($atts['net_6']) && $atts['net_6']!="none") {
            $out.='<a href="'.prk_ref_links($atts['link_6']).'" target="_blank" data-color="'.$hover_color.'" data-up-color="'.$up_color.'"'.$children_inline.'>';
            $out.='<div class="pulse_inner_social"'.$parent_inline.'>';
            $out.='<i class="pulse_mini_icon '.prk_social_icon($atts['net_6']).'">';
            $out.='</i>';
            $out.='</div>';
            $out.='</a>';
        }
        if (isset($atts['net_7']) && $atts['net_7']!="none") {
            $out.='<a href="'.prk_ref_links($atts['link_7']).'" target="_blank" data-color="'.$hover_color.'" data-up-color="'.$up_color.'"'.$children_inline.'>';
            $out.='<div class="pulse_inner_social"'.$parent_inline.'>';
            $out.='<i class="pulse_mini_icon '.prk_social_icon($atts['net_7']).'">';
            $out.='</i>';
            $out.='</div>';
            $out.='</a>';
        }
        if (isset($atts['net_8']) && $atts['net_8']!="none") {
            $out.='<a href="'.prk_ref_links($atts['link_8']).'" target="_blank" data-color="'.$hover_color.'"'.$children_inline.'>';
            $out.='<div class="pulse_inner_social"'.$parent_inline.'>';
            $out.='<i class="pulse_mini_icon '.prk_social_icon($atts['net_8']).'">';
            $out.='</i>';
            $out.='</div>';
            $out.='</a>';
        }
        $out.='</div>';
        $out.='<div class="clearfix"></div>';
        return $out;
    }
    add_shortcode('pirenko_social_nets', 'pirenko_social_nets_shortcode');

    //VERTICAL SPACER
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function spacer_shortcode($atts, $content=null ) {
        $atts=shortcode_atts(array(
            'size' => '18',
            'size_767' => '',
            'size_480' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        $main_classes="";
        if ($atts['el_class']!="") {
            $main_classes=" ".$atts['el_class'];
        }
        if ($atts['hide_with_css']!="") {
            $hide_with_css=str_replace(',', ' ', $atts['hide_with_css']);
            $main_classes.=' '.$hide_with_css;
        }
        $output=$desktop_classes=$medium_classes="";
        if ($atts['size_480']!="" && $atts['size_480']!=$atts['size']) {
            $desktop_classes.=" hide_much_later";
            if ($atts['size_480'] > 0) {
                $output.= '<div class="pulse_spacer show_much_later clearfix'.$main_classes.'" style="height:'.$atts['size_480'].'px;"></div>';
            } else {
                $output.= '<div class="pulse_spacer show_much_later clearfix'.$main_classes.'" style="margin-top:'.$atts['size_480'].'px;"></div>';
            }
        }
        if ($atts['size_767']!="" && $atts['size_767']!=$atts['size']) {
            $medium_classes.=" hide_later";
            if ($atts['size_767'] > 0) {
                $output.= '<div class="pulse_spacer show_later clearfix'.$main_classes.$desktop_classes.'" style="height:'.$atts['size_767'].'px;"></div>';
            } else {
                $output.= '<div class="pulse_spacer show_later clearfix'.$main_classes.$desktop_classes.'" style="margin-top:'.$atts['size_767'].'px;"></div>';
            }
        }
        if ($atts['size']>0) {
            $output.='<div class="pulse_spacer clearfix'.$main_classes.$desktop_classes.$medium_classes.'" style="height:'.$atts['size'].'px;"></div>';
        }
        else {
            $output.='<div class="pulse_spacer clearfix'.$main_classes.$desktop_classes.$medium_classes.'" style="margin-top:'.$atts['size'].'px;"></div>';
        }
        return $output;

    }
    add_shortcode('pirenko_spacer', 'spacer_shortcode');

    //THEME ICON
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function pirenko_theme_icon_shortcode($atts, $content = null ) {
        $atts=shortcode_atts(array(
            'icon_size' => '',
            'text_color' => '',
            'align' => '',
            'icon' =>'',
            'icon_type' => '',
            'icon_material' =>'',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);
        if ($atts['icon_size']!="")
        {
            $inline='style="font-size:'.$atts['icon_size'].';';
        }
        else
        {
            $inline='style="font-size:14px;';
        }
        if ($atts['text_color']!="")
        {
            $inline.='color:'.$atts['text_color'].';';
        }
        $inline_wrapper="";
        if ($atts['align']!="") {
            $inline_wrapper=' style="text-align:'.$atts['align'].';"';
        }
        $inline.='"';
        $main_classes="";
        if ($atts['css_animation']!="")
            $main_classes.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        if ($atts['el_class']!="")
            $main_classes.=" ".$atts['el_class'];
        if ($atts['icon_type']=='awesome_icons') {
            $icon=str_replace('fa fa', 'pulse_fa', $atts['icon']);
        }
        else {
            $icon=$atts['icon_material'];
        }
        return '<div class="theme_icon_shortcoded'.$main_classes.'"'.$inline_wrapper.'><i class="'.$icon.'" '.$inline.'></i></div>';
    }
    add_shortcode('pirenko_theme_icon', 'pirenko_theme_icon_shortcode');

    //STYLED TITLE
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function pirenko_sh_styled_title($atts, $content = null ) {
        $atts=shortcode_atts(array(
            'underlined' => '',
            'use_italic' => '',
            'font_type' => '',
            'text_color' => '',
            'margin_bottom' => '',
            'align' => '',
            'title_size' => '',
            'pulse_show_line' => '',
            'line_color' => '',
            'width' => '70px',
            'font_weight' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);
        $main_classes="";
        if ($atts['underlined']!="")
            $main_classes.=" ".$atts['underlined'];
        $classes="";
        if ($atts['use_italic']=="yes")
            $classes="pulse_italic ";
        if ($atts['font_type']!="")
            $classes.=$atts['font_type']." ";
        else {
            $classes.="header_font ";
        }
        $inline="";
        if ($atts['text_color']=="") {
            $classes.="";
        }
        else {
            $splitted_shadow=html2rgb($atts['text_color'],"1");
            $inline="color:".$atts['text_color'].";";
            $inline.="border-bottom-color:rgba(".$splitted_shadow[0].", ".$splitted_shadow[1].", ".$splitted_shadow[2].",0.9);";
            $inline.="text-shadow:0px 0px 1px rgba(".$splitted_shadow[0].", ".$splitted_shadow[1].", ".$splitted_shadow[2].",0.2);";
        }
        if ($atts['margin_bottom']!="") {
            $inline.="margin-bottom:".$atts['margin_bottom'].";";
        }
        if ($atts['align']=="") {
            $atts['align']="left";
        }
        if ($atts['align']=="left") {
            $main_classes.=" pulse_left_align";
        }
        if ($atts['align']=="center") {
            $main_classes.=" pulse_center_align";
        }
        if ($atts['align']=="right") {
            $main_classes.=" pulse_right_align";
        }
        if ($atts['title_size']!="") {
            $h_tag=$atts['title_size'];
        }
        else {
            $h_tag="h1";
        }
        if ($atts['css_animation']!="")
            $main_classes.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        if ($atts['el_class']!="")
            $main_classes.=" ".$atts['el_class'];
        $main_classes.=" ".$h_tag.'_sized';
        if ($atts['pulse_show_line']=="double_lined")
            $main_classes.=" ".$atts['pulse_show_line'];

        $inline_line=' style="';
        if ($atts['line_color']!="") {
            $inline_line.='border-bottom-color:'.$atts['line_color'].';';
        }
        $inline_line.='width:'.$atts['width'].';';
        if ($inline_line==' style="') {
            $inline_line="";
        }
        else {
            $inline_line.='"';
        }
        $out='';
        $out.='<div class="prk_shortcode-title prk_break_word'.$main_classes.'">';
        if ($atts['pulse_show_line']=="above thin" || $atts['pulse_show_line']=="above thick" || $atts['pulse_show_line']=="above thicker") {
            $out.='<div class="simple_line colored '.$atts['pulse_show_line'].' columns small-centered forced_mobile"'.$inline_line.'></div>';
        }
        $inline_h="";
        $inline_h=' style="';
        if ($atts['font_weight']!="") {
            $inline_h.='font-weight:'.$atts['font_weight'].';';
        }
        else {
            $inline_h.='font-weight:100;';
        }
        if ($atts['custom_css']!="") {
            $inline_h.=$atts['custom_css'];
        }
        if ($inline_h==' style="') {
            $inline_h="";
        }
        else {
            $inline_h.='"';
        }
        if ($h_tag=="h1_bigger") {
            $h_tag="h1";
        }
        if ($inline!="") {
            $out.='<div class="'.$classes.'zero_color prk_vc_title" style="'.$inline.'"><'.$h_tag.$inline_h.'>'.$content.'</'.$h_tag.'></div>';
        }
        else {
            $out.='<div class="'.$classes.'zero_color prk_vc_title"><'.$h_tag.$inline_h.'>'.$content.'</'.$h_tag.'></div>';
        }
        if ($atts['pulse_show_line']=="thin" || $atts['pulse_show_line']=="thick" || $atts['pulse_show_line']=="thicker") {
            $out.='<div class="simple_line colored '.$atts['pulse_show_line'].' columns small-centered forced_mobile"'.$inline_line.'></div>';
        }
        $out.='<div class="clearfix"></div></div>';
        return do_shortcode($out);

    }
    add_shortcode('prk_styled_title', 'pirenko_sh_styled_title');

    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function pirenko_sh_prk_text_rotator($atts, $content = null ) {

        $atts=shortcode_atts(array(
            'text_color' => '',
            'title_size' => '',
            'speed' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        $main_classes="";
        $inline="";
        if ($atts['text_color']=="") {
            $main_classes.="";
        }
        else {
            $splitted_shadow=html2rgb($atts['text_color'],"1");
            $inline="color:".$atts['text_color'].";";
            $inline.="text-shadow:0px 0px 1px rgba(".$splitted_shadow[0].", ".$splitted_shadow[1].", ".$splitted_shadow[2].",0.2);";
        }
        $inline.=$atts['custom_css'];
        $h_tag="h1";
        if ($atts['title_size']!="")
            $h_tag=$atts['title_size'];
        if ($atts['css_animation']!="")
            $main_classes.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        if ($atts['el_class']!="")
            $main_classes.=" ".$atts['el_class'];
        $main_classes.=" ".$h_tag.'_sized';
        $out='';
        if ($content!="") {
            if ($inline!="")
                $out.='<div class="prk_text_rotator header_font per_init'.$main_classes.'" style="'.$inline.'">';
            else
                $out.='<div class="prk_text_rotator header_font per_init'.$main_classes.'">';
            if (isset($effect) && $effect!="") {
                $effect_in=$effect;
            }
            else {
                $effect_in="old_timey";
            }
            if (isset($atts['speed']) && $atts['speed']!="") {
                $speed=$atts['speed'];
            }
            else {
                $speed="2500";
            }
            $out.='<div class="cd-headline '.$effect_in.'" data-speed="'.$speed.'">';
            $out.='<span></span>';
            $out.='<span class="cd-words-wrapper">';
            $words_array=explode('+', $content);
            if ($words_array && count($words_array)>0) {
                $i=0;
                foreach ($words_array as $word) {
                    if ($i==0)
                        $out.='<b class="is-visible">'.$word.'</b>';
                    else
                        $out.='<b>'.$word.'</b>';
                    $i++;
                }
            }
            $out.='</span>';
            $out.='</div>';
            $out.='</div>';
        }
        return do_shortcode($out);

    }
    add_shortcode('prk_text_rotator', 'pirenko_sh_prk_text_rotator');

    //BLOCKQUOTES
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function blockquotes_shortcode($atts, $content = null ) {

        $atts=shortcode_atts(array(
            'type' => '',
            'author' => '',
            'after_author' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        if ($atts['css_animation']!="") {
            if ($atts['el_class']!="")
                $atts['css_animation']=$atts['css_animation']." ".$atts['el_class'];
            $output='<div class="pulse_bquote_wrapper wpb_animate_when_almost_visible wpb_'.$atts['css_animation'].'">';
        }
        else
            $output='<div class="pulse_bquote_wrapper">';
        if ($atts['type']=="") {
            $atts['type']="plain";
        }
        if ($atts['type']=="plain") {
            $output.='<div class="prk_blockquote '.$atts['type'].'">';
            $output.='<div class="in_quote small_headings_color">'.$content.'</div><div class="pirenko_author zero_color prk_heavier_600">'.$atts['author'].'<span class="after_author zero_color">'.$atts['after_author']. '</span>';
            $output.='</div></div>';

        }
        else if ($atts['type']=="cropped_corners" || $atts['type']=="tagline") {
            $output.='<div class="prk_bordered prk_blockquote '. $atts['type'].'">';
            if ($atts['author']!="" || $atts['after_author'] !="") {
                $output.='<div class="in_quote small_headings_color">'.$content.'<div class="'. $atts['type'].' pirenko_author prk_heavier_600 zero_color prk_heavier_600">'.$atts['author'].'<span class="after_author zero_color">'.$atts['after_author']. '</span></div></div>';
            }
            else {
                $output.='<div class="in_quote small_headings_color">'.$content.'</div>';
            }
            $output.='</div>';

        }
        else {
            if ($atts['author']!="" || $atts['after_author'] !="") {
                $author_html='<div class="pirenko_author prk_heavier_600">'.$atts['author'].'<span class="after_author">'.$atts['after_author']. '</span></div>';
            }
            else {
                $author_html="";
            }
            $output.='<div class="prk_blockquote '.$atts['type']. '">';
            $output.='<div class="in_quote">'.$content.$author_html.'</div>';
            $output.='</div>';
        }
        $output.='</div>';
        return $output;
    }
    add_shortcode('pirenko_blockquote', 'blockquotes_shortcode');


    //SLIDERS
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function pirenko_sh_slider($atts, $content = null ) {

        extract(shortcode_atts(array(
            'category'  => '',
            'autoplay'	=> '',
            'delay'	=> '',
            'sl_size' => '',
            'hover' => '',
            'f_color' => '',
            'navigation' => '',
            'pagination' => '',
            'parallax_effect' => '',
            'featured_slider_anim' => '',
            'featured_slider_order' => '',
        ), $atts));

        global $prk_pulse_options;
        wp_reset_query();
        if ($category=="show_all")
            $category="";
        if (isset($featured_slider_order) && $featured_slider_order!="") {
            $slider_order=$featured_slider_order;
        }
        else {
            $slider_order='date';
        }
        $args=array(
            'post_type' => 'pirenko_slides',
            'showposts' => 99,
            'pirenko_slide_set' => $category,
            'orderby' => $slider_order,
        );
        $custom_query = new WP_Query( $args );
        $out = '';
        $slide_number=0;
        if (!isset($autoplay) || $autoplay=="" || $autoplay=="yes" || $autoplay=="true")
            $autoplay="true";
        else
            $autoplay="false";
        if (isset($pagination) && $pagination=="true")
            $pagination="true";
        else
            $pagination="false";
        if (isset($navigation) && $navigation=="true")
            $navigation="true";
        else {
            $navigation="false";
        }
        if (isset($featured_slider_anim) && $featured_slider_anim!="") {
            $sl_anim=$featured_slider_anim;
        }
        else {
            $sl_anim="fade";
        }
        if (!isset($delay) || $delay=="")
            $delay="5500";
        if (!isset($sl_size) || $sl_size=="")
            $sl_size="";
        if (!isset($f_color) || $f_color=="")
            $f_color=$prk_pulse_options['active_color'];
        $id="prk_slider_". rand(1, 1000);
        $out.='<div id="'.$id.'" class="per_init owl-carousel pulse_shortcode_slider '.$sl_size.' anim-'.$sl_anim.'"  data-autoplay="'.$autoplay.'" data-navigation="'.$navigation.'" data-pagination="'.$pagination.'" data-delay="'.$delay.'" data-hover="'.$hover.'" data-color="'.$f_color.'" data-anim="'.$sl_anim.'">';
        while ( $custom_query->have_posts() ) : $custom_query->the_post();
            $use_txt = 1;
            if (get_field('hide_slide_text')=="1")
                $use_txt = 0;
            $limit_width = true;
            if (get_field('limit_text_width')!="1")
                $limit_width = false;
            if (get_field('slide_text_size')!="")
                $text_size = get_field('slide_text_size');
            else
                $text_size="medium";
            if (get_field('slide_text_horz'))
                $h_align = get_field('slide_text_horz');
            else
                $h_align="left";
            if (get_field('slide_text_vert'))
                $v_align = get_field('slide_text_vert');
            else
                $v_align="top";
            $pirenko_sh_slide_header_color="";
            $inline="";
            if (get_field('pirenko_sh_slide_header_color'))
            {
                $pirenko_sh_slide_header_color=get_field('pirenko_sh_slide_header_color');
                $splitted_shadow=html2rgb(get_field('pirenko_sh_slide_header_color'),'1');
                $inline="text-shadow:0px 0px 1px rgba(".$splitted_shadow[0].", ".$splitted_shadow[1].", ".$splitted_shadow[2].",0.2);";
            }
            $pirenko_sh_slide_header_bk_color="";
            if (get_field('pirenko_sh_slide_header_bk_color')!="")
            {
                $pirenko_sh_slide_header_bk_color=html2rgba(get_field('pirenko_sh_slide_header_bk_color'),get_field('title_background_color_opacity'));
            }
            else
            {
                $text_size.=" pulse_noback";
            }

            $pos_class="sld_".$h_align." "."sld_".$v_align;
            if (has_post_thumbnail( get_the_ID() ) )
            {
                $image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'single-post-thumbnail' );
            }
            else
            {
                //THERE'S NO FEATURED IMAGE SO LET'S LOAD A DEFAULT IMAGE
                $container="".get_bloginfo('template_directory')."/images/sample/holdera.jpg";
                //$image[0]=get_image_path($container);
            }
            $vt_image = vt_resize( '', $image[0] , 0, 0, true );
            $parallaxy="";
            if ($parallax_effect=="owl_parallaxed")
            {
                $parallaxy=' data-0-top-top="background-position: 50% 0px;" data-0-top-bottom="background-position: 50% 200px;" style="background-image: url('.$image[0].');"';
            }
            $out.='<div id="pulse_slide_'.$slide_number.'" class="item '.$text_size.'"'.$parallaxy.'>';
            if (get_field('pirenko_sh_slide_url')!="")
            {
                $out.='<a href="'.get_field('pirenko_sh_slide_url') .'" target="'.get_field('pirenko_sh_slide_wdw').'" class="pulse_anchor">';
            }
            if (get_the_title()=="" || $use_txt==0)
            {
                $sl_title="&nbsp;";
                $title_class="inv_el";
            }
            else
            {
                if (get_field('pirenko_rotating_text')!="") {
                    if (get_field('pirenko_rotating_effect')!="") {
                        $effect=get_field('pirenko_rotating_effect');
                    }
                    else {
                        $effect="old_timey";
                    }
                    if (get_field('pirenko_rotating_delay')!="") {
                        $data_speed=get_field('pirenko_rotating_delay');
                    }
                    else {
                        $data_speed="5000";
                    }
                    $sl_title='<div class="cd-headline '.$effect.'" data-speed="'.$data_speed.'">';
                    $sl_title.='<span></span>';
                    $sl_title.='<span class="cd-words-wrapper">';
                    $sl_title.='<b class="is-visible">'.get_the_title().'</b>';
                    $words_array=explode('+', get_field('pirenko_rotating_text'));
                    if ($words_array && count($words_array)>0) {
                        foreach ($words_array as $word) {
                            $sl_title.='<b>'.$word.'</b>';
                        }
                    }
                    $sl_title.='</span>';
                    $sl_title.='</div>';
                }
                else {
                    $sl_title=get_the_title();
                }
                $title_class="";
            }
            if (get_field('title_css')!="") {
                $extra_title_class=' '.get_field('title_css');
            }
            else {
                $extra_title_class="";
            }
            if (get_the_content()=="") {
                $sl_body="&nbsp;";
            }
            else
            {
                $sl_body=get_the_content();
            }

            if (get_field('pirenko_sh_video')=="")
            {
                $out.='<div class="slider_text_holder header_font '.$pos_class.'">';
                if ($limit_width==true) {
                    $out.='<div class="small-12 prk_inner_block columns small-centered">';
                }
                if (get_the_title()!="" && $use_txt==1) {
                    $out.='<div id="'.$id.'top_'.$slide_number.'" class="prk_heavier_600 left_floated headings_top '.$title_class.'" style="color:'.$pirenko_sh_slide_header_color.';'.$inline.'">';
                    $out.='<div class="prk_colored_slider'.$extra_title_class.'" style="background-color:'.$pirenko_sh_slide_header_bk_color.'">';
                    $out.=$sl_title;
                    $out.='<div class="clearfix"></div>';
                    $out.='</div>';
                    $out.='</div>';
                    $out.='<div class="clearfix"></div>';
                }
                if (get_the_content()!="") {
                    $out.='<div id="'.$id.'body_'. $slide_number .'" class="prk_heavier_500 headings_body">';
                    $out.='<div>';
                    $out.=do_shortcode($sl_body);
                    $out.='<div class="clearfix"></div>';
                    $out.='</div>';
                    $out.='</div>';
                    $out.='<div class="clearfix"></div>';
                }
                if ($limit_width==true) {
                    $out.='</div>';
                }
                $out.='</div>';
                if ($slide_number==0) {
                    $out.='<img class="pls_preloaded pulse_vsbl" src="'. $image[0] .'" alt="" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" data-or_w="'.$vt_image['width'].'" data-or_h="'.$vt_image['height'].'" />';
                }
                else {
                    $out.='<img class="lazy_pls pulse_vsbl" src="#" data-src="'. $image[0] .'" alt="" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" data-or_w="'.$vt_image['width'].'" data-or_h="'.$vt_image['height'].'" />';
                }
            }
            else
            {
                //IT's A VIDEO SLIDE
                $out.='<div class="slider_text_holder header_font '.$pos_class.'">';
                if ($limit_width==true) {
                    $out.='<div class="small-12 prk_inner_block columns small-centered">';
                }
                if (get_the_title()!="" && $use_txt==1) {
                    $out.='<div id="'.$id.'top_'. $slide_number .'" class="prk_heavier_600 left_floated headings_top '.$title_class.'" style="color:'. $pirenko_sh_slide_header_color .';">';
                    $out.='<span class="prk_colored_slider" style="background-color:'.$pirenko_sh_slide_header_bk_color.'">';
                    $out.=''. $sl_title .'';
                    $out.='<div class="clearfix"></div>';
                    $out.='</span>';
                    $out.='</div>';
                    $out.='<div class="clearfix"></div>';
                }
                if (get_the_content()!="") {
                    $out.='<div id="'.$id.'body_'. $slide_number .'" class="prk_heavier_500 headings_body">';
                    $out.='<span>';
                    $out.=''. $sl_body .'';
                    $out.='<div class="clearfix"></div>';
                    $out.='</span>';
                    $out.='</div>';
                    $out.='<div class="clearfix"></div>';
                }
                if ($limit_width==true) {
                    $out.='</div>';
                }
                $out.='</div>';
                $out.=get_field('pirenko_sh_video');
            }
            if (get_field('pirenko_sh_slide_url')!="")
                $out.='</a>';
            $out.='</div>';
            $slide_number++;
        endwhile;
        $out.='</div>';
        wp_reset_query();
        return $out;
    }
    add_shortcode('prk_slider', 'pirenko_sh_slider');

    //WOO FEATURED PORDUCTS
    if (!function_exists('prk_woo_featured_shortcode')) {
        /**
         * @param $atts
         * @param null $content
         * @return string
         */
        function prk_woo_featured_shortcode($atts, $content = null)
        {
            global $prk_translations;
            global $prk_pulse_options;
            global $prk_retina_device;
            $atts = shortcode_atts(array(
                'category' => '',
                'columns' => 'columns',
                'order_by' => 'best_sellers',
                'items_number' => '12',
                'general_style' => 'classic',
                'content_amount' => 'compressed',
                'icons_position' => 'under',
                'css_animation' => '',
                'el_class' => '',
            ), $atts);
            if ($atts['items_number'] != "")
                $items_number = $atts['items_number'];
            //DEFAULT VALUES
            $columns = 4;
            $fluid = "small-3 columns";
            if ($atts['columns'] == 2) {
                $fluid = "small-6 columns";
                $columns = $atts['columns'];
            }
            if ($atts['columns'] == 3) {
                $fluid = "small-4 columns";
                $columns = $atts['columns'];
            }
            if ($atts['columns'] == 4) {
                $fluid = "small-3 columns";
                $columns = $atts['columns'];
            }
            if ($atts['columns'] == 6) {
                $fluid = "small-2 columns";
                $columns = $atts['columns'];
            }
            $main_classes = "";
            if ($atts['css_animation'] != "")
                $main_classes .= " wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
            if ($atts['el_class'] != "")
                $main_classes .= " ".$atts['el_class'];
            $out = '';
            $i = 0;
            if ($atts['general_style'] != "")
                $general_style = $atts['general_style'];
            if ($atts['content_amount'] != "")
                $content_amount = $atts['content_amount'];
            if ($atts['icons_position'] != "")
                $icons_position = $atts['icons_position'];
            $args = array(
                'post_type' => 'product',
                'post_status' => 'publish',
                'ignore_sticky_posts' => 1,
                'posts_per_page' => $items_number,
                'tax_query' => array(
                    array(
                        'taxonomy' => 'product_visibility',
                        'field'    => 'name',
                        'terms'    => 'exclude-from-catalog',
                        'operator' => 'NOT IN',
                    ),
                ),
            );
            if ($atts['order_by'] == "best_sellers") {
                $args = array(
                    'post_type' => 'product',
                    'post_status' => 'publish',
                    'ignore_sticky_posts' => 1,
                    'meta_key' => 'total_sales',
                    'orderby' => 'meta_value_num',
                    'posts_per_page' => $items_number,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'product_visibility',
                            'field'    => 'name',
                            'terms'    => 'exclude-from-catalog',
                            'operator' => 'NOT IN',
                        ),
                    ),
                );
            }
            if ($atts['order_by'] == "sale_only") {
                $product_ids_on_sale = woocommerce_get_product_ids_on_sale();
                $args = array(
                    'post_type' => 'product',
                    'post_status' => 'publish',
                    'ignore_sticky_posts' => 1,
                    'meta_key' => 'total_sales',
                    'orderby' => 'meta_value_num',
                    'posts_per_page' => $items_number,
                    'post__in' => $product_ids_on_sale,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'product_visibility',
                            'field'    => 'name',
                            'terms'    => 'exclude-from-catalog',
                            'operator' => 'NOT IN',
                        ),
                    ),
                );
            }
            if ($atts['order_by'] == "rating") {
                add_filter('posts_clauses', array(WC()->query, 'order_by_rating_post_clauses'));
            }
            $products = new WP_Query($args);
            remove_filter('posts_clauses', array(WC()->query, 'order_by_rating_post_clauses'));
            if ($products->have_posts()) {
                $out .= '<div class="woocommerce'.$main_classes.'">';
                if ($general_style == 'classic') {
                    $out .= '<div class="row prk_row woocommerce pulse_woo_grider">';
                    $out .= '<ul class="products">';
                    $i = 0;
                    while ($products->have_posts()) : $products->the_post();
                        $out .= '<li class="'.$fluid.'">';
                        $out .= '<ul>';
                        ob_start();
                        woocommerce_get_template_part('content', 'product');
                        $out .= ob_get_clean();
                        $out .= '</ul>';
                        $out .= '</li>';
                        $i++;
                        if ($i % $columns == 0) {
                            $out .= '<li class="columns clearfix bt_40"></li>';
                        }
                    endwhile;
                    $out .= '</ul></div>';
                } else {
                    $out .= '<div class="row prk_row woocommerce pulse_woo_grider">';
                    $touch_enable = "false";
                    if (isset($prk_pulse_options['touch_enable']) && $prk_pulse_options['touch_enable'] == "1") {
                        $touch_enable = "true";
                    }
                    $out .= '<div class="products_ul_slider products per_init" data-navigation="true" data-touch='.$touch_enable.'>';
                    while ($products->have_posts()) : $products->the_post();
                        $out .= '<div class="item pulse_woo_slide"><ul>';
                        ob_start();
                        woocommerce_get_template_part('content', 'product');
                        $out .= ob_get_clean();
                        $out .= '</ul></div>';
                        $i++;
                    endwhile;
                    $out .= '</div></div>';
                }
                $out .= '</div>';
            }
            wp_reset_query();
            return $out;
        }
    }
    add_shortcode('prk_woo_featured', 'prk_woo_featured_shortcode');

    //WOO WIDGET PORDUCTS
    if (!function_exists('prk_woo_widget_shortcode')) {
        /**
         * @param $atts
         * @param null $content
         * @return string
         */
        function prk_woo_widget_shortcode($atts, $content = null) {

            $atts=shortcode_atts(array(
                'items_number' => '',
                'order_by' => '',
                'custom_css' => '',
                'css_animation' => '',
                'el_class' => '',
                'hide_with_css' => '',
            ), $atts);

            if ($atts['items_number'] != "")
                $items_number = $atts['items_number'];
            else
                $items_number = 12;
            //DEFAULT VALUES
            $columns = 1;
            $fluid = "";
            if ($atts['css_animation'] != "")
                $fluid .= " wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
            if ($atts['el_class'] != "")
                $fluid .= " ".$atts['el_class'];
            $out = '';
            $i = 0;

            $args = array(
                'post_type' => 'product',
                'post_status' => 'publish',
                'ignore_sticky_posts' => 1,
                'posts_per_page' => $items_number,
                'tax_query' => array(
                    array(
                        'taxonomy' => 'product_visibility',
                        'field'    => 'name',
                        'terms'    => 'exclude-from-catalog',
                        'operator' => 'NOT IN',
                    ),
                ),
            );
            if ($atts['order_by'] == "best_sellers") {
                $args = array(
                    'post_type' => 'product',
                    'post_status' => 'publish',
                    'ignore_sticky_posts' => 1,
                    'meta_key' => 'total_sales',
                    'orderby' => 'meta_value_num',
                    'posts_per_page' => $items_number,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'product_visibility',
                            'field'    => 'name',
                            'terms'    => 'exclude-from-catalog',
                            'operator' => 'NOT IN',
                        ),
                    ),
                );
            }
            if ($atts['order_by'] == "sale_only") {
                $product_ids_on_sale = woocommerce_get_product_ids_on_sale();
                $args = array(
                    'post_type' => 'product',
                    'post_status' => 'publish',
                    'ignore_sticky_posts' => 1,
                    'meta_key' => 'total_sales',
                    'orderby' => 'meta_value_num',
                    'posts_per_page' => $items_number,
                    'post__in' => $product_ids_on_sale,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'product_visibility',
                            'field'    => 'name',
                            'terms'    => 'exclude-from-catalog',
                            'operator' => 'NOT IN',
                        ),
                    ),
                );
            }
            $extra_class = "";
            if ($atts['order_by'] == "rating") {
                add_filter('posts_clauses', array(WC()->query, 'order_by_rating_post_clauses'));
                $extra_class = " by_rating";
            }
            $products = new WP_Query($args);
            remove_filter('posts_clauses', array(WC()->query, 'order_by_rating_post_clauses'));
            if ($products->have_posts()) {
                $out .= '<div class="woocommerce'.$fluid.'">';
                $out .= '<div class="row prk_row pulse_woo_grider pulse_woo_widget'.$extra_class.'">';
                $out .= '<ul class="products">';
                while ($products->have_posts()) : $products->the_post();
                    $out .= '<li class="small-12 columns">';
                    $out .= '<ul class="pulse_woo_el_wrapper">';
                    ob_start();
                    woocommerce_get_template_part('content', 'product');
                    $out .= ob_get_clean();
                    $out .= '</ul>';
                    $out .= '</li>';
                endwhile;
                $out .= '</ul></div></div>';
            }
            wp_reset_query();
            return $out;
        }
    }
    add_shortcode('prk_woo_widget', 'prk_woo_widget_shortcode');

    //AUTHORS
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_authors_shortcode($atts, $content = null )
    {
        global $prk_translations;
        global $prk_pulse_options;
        global $prk_retina_device;

        $atts=shortcode_atts(array(
            'category' => '',
            'columns' => '',
            'text_align' => '',
            'content_amount' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);


        if ($atts['category']=="show_all")
            $category="";

        //DEFAULT VALUES
        $columns=3;
        $fluid="small-4 columns";
        if ($atts['columns']==2) {
            $fluid="small-6 columns";
            $columns=$atts['columns'];
        }
        if ($atts['columns']==3){
            $fluid="small-4 columns";
            $columns=$atts['columns'];
        }
        if ($atts['columns']==4){
            $fluid="small-3 columns";
            $columns=$atts['columns'];
        }
        if ($atts['columns']==6){
            $fluid="small-2 columns";
            $columns=$atts['columns'];
        }
        $forced_w=ceil(($prk_pulse_options['custom_width']+80*2)/$atts['columns']);
        if ($forced_w<780);
        $forced_w=780;
        if ($atts['css_animation']!="")
            $fluid.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        if ($atts['el_class']!="")
            $fluid.=" ".$atts['el_class'];
        $blogusers = get_users( 'include='.$category );
        $out = '';
        $i=0;
        if ($atts['text_align']!="")
            $main_css=' '.$atts['text_align'];
        else
            $main_css=' text_center';
        if ($atts['content_amount']!="")
            $content_amount=$atts['content_amount'];
        else
            $content_amount='compressed';

        $out.='<div class="row prk_row'.$main_css.'">';
        $out.='<ul class="member_ul pulse_authors">';
        foreach ($blogusers as $author_array) {
            //$author_linka="";
            $author_linka=get_author_posts_url($author_array->ID);
            //print_r ($author_array);
            $out.='<li class="'.$fluid.' sh_member_wrapper">';
            $out.='<a href="'.$author_linka.'" class="sh_member_link pulse_anchor">';
            $out.='<div class="member_colored_block">';
            if (get_the_author_meta('prk_author_custom_avatar',$author_array->ID)!="") {
                $vt_image=vt_resize( '', get_the_author_meta('prk_author_custom_avatar',$author_array->ID) ,$forced_w ,0 , false , $prk_retina_device );
                $out.='<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="" class="mb_in_img" />';
            }
            else {
                $out.=get_avatar(get_the_author_meta('email',$author_array->ID), '480');
            }
            $out.='</div>';
            $out.=' </a>';
            $out.='<div class="clearfix"></div>';
            $out.='<div class="sh_member_name zero_color header_font">';
            $out.='<a href="'.$author_linka.'" class="pulse_anchor">';
            $out.=get_the_author_meta('display_name',$author_array->ID);
            $out.=' </a>';
            $out.='</div>';
            $out.='<div class="clearfix"></div>';
            $out.='<div class="sh_member_function small_headings_color '.$prk_pulse_options['main_subheadings_font'].'">';
            $out.=get_the_author_meta('prk_subheading',$author_array->ID);
            $out.='</div>';
            $out.='<div class="clearfix"></div>';
            if ($content_amount!='compressed') {
                $out.='<div class="body_colored wpb_text_column">';
                $out.=nl2br($author_array->description);
                $out.='</div>';
                $out.='<div class="clearfix"></div>';
            }
            $out.='</li>';
            $i++;
            if ($i%$columns==0) {
                $out.='<li class="clearfix"></li>';
            }
        }
        $out.='</ul></div>';
        wp_reset_query();
        return $out;
    }
    add_shortcode('prk_authors', 'prk_authors_shortcode');

    //TEAM MEMBER
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_member_shortcode($atts, $content = null ) {
        global $prk_translations;
        global $prk_pulse_options;
        global $prk_retina_device;

        $atts=shortcode_atts(array(
            'category' => '',
            'items_number' => '',
            'columns' => '',
            'text_align' => '',
            'general_style' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        if ($atts['category']=="show_all")
            $category="";

        if ($atts['items_number']!="")
            $items_number=$atts['items_number'];
        else
            $items_number=999;

        //DEFAULT VALUES
        $columns=3;
        $fluid="small-4 columns";
        if (!isset($atts['columns']) || $atts['columns']==0 || $atts['columns']=="") {
            $atts['columns']=3;
        }
        if ($atts['columns']==2) {
            $fluid="small-6 columns";
            $columns=$atts['columns'];
        }
        if ($atts['columns']==3){
            $fluid="small-4 columns";
            $columns=$atts['columns'];
        }
        if ($atts['columns']==4){
            $fluid="small-3 columns";
            $columns=$atts['columns'];
        }
        if ($atts['columns']==6){
            $fluid="small-2 columns";
            $columns=$atts['columns'];
        }

        $forced_w=ceil($prk_pulse_options['custom_width']/$atts['columns']);
        if ($forced_w<780) {
            $forced_w = 780;
        }
        if ($atts['css_animation']!="")
            $fluid.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        if ($atts['el_class']!="")
            $fluid.=" ".$atts['el_class'];

        $args=array(
            'post_type' => 'pirenko_team_member',
            'showposts' => $items_number,
            'order_by' => 'menu_order',
            'pirenko_member_group' => $category
        );
        $loop = new WP_Query( $args );
        $out = '';
        $i=0;
        if ($atts['general_style']!="")
            $general_style=$atts['general_style'];
        else
            $general_style='classic';
        if ($atts['text_align']!="")
            $main_css=' '.$atts['text_align'];
        else
            $main_css=' text_center';
        if ($general_style=='classic')
        {
            $out.='<div class="row prk_row'.$main_css.'">';
            $out.='<ul class="pulse_members member_ul unstyled">';
            while ( $loop->have_posts() ) : $loop->the_post();
                if (get_field('member_job')!="")
                    $member_job = get_field('member_job');
                else
                    $member_job="";
                if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                {
                    $featured_color=get_field('featured_color');
                }
                else
                {
                    $featured_color="default";
                }

                $out.='<li class="'.$fluid.' sh_member_wrapper" data-color="'.$featured_color.'">';
                if (get_field('show_member_link')=="1")
                {
                    $out.='<div class="member_colored_block pls_linked" data-link="'.get_permalink().'">';
                }
                else
                {
                    $out.='<div class="member_colored_block">';
                }
                $out.='<div class="sh_member_desc">';
                if (get_field('member_byline')!="") {
                    $out.='<h3 class="header_font sh_member_trg">'.get_field('member_byline').'</h3>';
                }
                else {
                    $out.='<h3 class="header_font sh_member_trg">'.get_the_title().'</h3>';
                }
                $out.='<div class="sh_member_trg">';
                $out.=the_excerpt_dynamic(24,$loop->post->ID);
                $out.='</div>';
                $out.='</div>';
                $out.='<div class="member_colored_block_in">';
                $out.='</div>';
                $out.=wp_get_attachment_image( get_post_thumbnail_id( $loop->post->ID), array($forced_w,0),false,array('class'=>'mb_in_img') );
                $out.='<div class="pulse_member_links">';
                $out.='<div class="pulse_member_links_inner">';
                if (get_field('member_email')!="")
                {
                    $out.='<div class="member_lnk">';
                    $out.='<a href="mailto:'.antispambot(get_field('member_email')).'">';
                    $out.= '<div class="pulse_socialink pulse_fa-envelope-o">';
                    $out.='</div>';
                    $out.=' </a>';
                    $out.='</div>';
                }
                if (get_field('member_social_1')!="none" && get_field('member_social_1')!="")
                {
                    if (get_field('member_social_1_link')!="")
                        $in_link=get_field('member_social_1_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_1')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_1')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_2')!="none" && get_field('member_social_2')!="")
                {
                    if (get_field('member_social_2_link')!="")
                        $in_link=get_field('member_social_2_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_2')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_2')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_3')!="none" && get_field('member_social_3')!="")
                {
                    if (get_field('member_social_3_link')!="")
                        $in_link=get_field('member_social_3_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_3')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_3')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_4')!="none" && get_field('member_social_4')!="")
                {
                    if (get_field('member_social_4_link')!="")
                        $in_link=get_field('member_social_4_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_4')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_4')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_5')!="none" && get_field('member_social_5')!="")
                {
                    if (get_field('member_social_5_link')!="")
                        $in_link=get_field('member_social_5_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_5')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_5')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_6')!="none" && get_field('member_social_6')!="")
                {
                    if (get_field('member_social_6_link')!="")
                        $in_link=get_field('member_social_6_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_6')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_6')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                $out.='</div>';
                $out.='</div>';
                $out.='</div>';
                $out.='<div class="sh_member_name zero_color header_font">';
                if (get_field('show_member_link')=="1")
                {
                    $out.='<a href="'.get_permalink().'" class="pulse_anchor">';
                    $out.=get_the_title();
                    $out.=' </a>';
                }
                else
                {
                    $out.=get_the_title();
                }
                $out.='</div>';
                $out.='<div class="clearfix"></div>';
                $out.='<div class="sh_member_function small_headings_color '.$prk_pulse_options['main_subheadings_font'].'">';
                $out.=$member_job;
                $out.='</div>';
                $out.='<div class="clearfix"></div>';
                $out.='</li>';
                $i++;
                if ($i%$columns==0)
                {
                    $out.='<li class="clearfix"></li>';
                }
            endwhile;
            $out.='</ul></div>';
        }
        else
        {
            $out.='<div class="pulse_members'.$main_css.'">';
            $touch_enable="false";
            if (isset($prk_pulse_options['touch_enable']) && $prk_pulse_options['touch_enable']=="1") {
                $touch_enable="true";
            }
            $out.='<div class="member_ul_slider per_init" data-navigation="true" data-touch='.$touch_enable.'>';
            while ( $loop->have_posts() ) : $loop->the_post();
                if (get_field('member_job')!="")
                    $member_job = get_field('member_job');
                else
                    $member_job="";
                if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                {
                    $featured_color=get_field('featured_color');
                    $featured_class='featured_color';
                }
                else
                {
                    $featured_color="default";
                    $featured_class="";
                }
                if (has_post_thumbnail( get_the_ID() ) ):
                    //GET THE FEATURED IMAGE
                    //$image = wp_get_attachment_image_src( get_post_thumbnail_id( get_the_ID() ), 'single-post-thumbnail' );
                    $vt_image = vt_resize( get_post_thumbnail_id( get_the_ID()), '' ,$forced_w ,0 , false , $prk_retina_device );
                else :
                    //THERE'S NO FEATURED IMAGE SO LET'S LOAD A DEFAULT IMAGE
                    $container="".get_bloginfo('template_directory')."/images/sample/user.jpg";
                    $image[0]=get_image_path($container);
                endif;

                $out.='<div class="item sh_member_wrapper" data-color="'.$featured_color.'">';
                if (get_field('show_member_link')=="1")
                {
                    $out.='<div class="member_colored_block pls_linked" data-link="'.get_permalink().'">';
                }
                else
                {
                    $out.='<div class="member_colored_block">';
                }
                $out.='<div class="sh_member_desc">';
                if (get_field('member_byline')!="") {
                    $out.='<h3 class="header_font sh_member_trg">'.get_field('member_byline').'</h3>';
                }
                else {
                    $out.='<h3 class="header_font sh_member_trg">'.get_the_title().'</h3>';
                }
                $out.='<div class="sh_member_trg">';
                $out.=the_excerpt_dynamic(24,$loop->post->ID);
                $out.='</div>';
                $out.='</div>';
                $out.='<div class="member_colored_block_in">';
                $out.='</div>';
                $out.='<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="" class="mb_in_img" />';
                $out.='<div class="pulse_member_links">';
                $out.='<div class="pulse_member_links_inner">';
                if (get_field('member_email')!="")
                {
                    $out.='<div class="member_lnk">';
                    $out.='<a href="mailto:'.antispambot(get_field('member_email')).'">';
                    $out.= '<div class="pulse_socialink pulse_fa-envelope-o">';
                    $out.='</div>';
                    $out.=' </a>';
                    $out.='</div>';
                }
                if (get_field('member_social_1')!="none" && get_field('member_social_1')!="")
                {
                    if (get_field('member_social_1_link')!="")
                        $in_link=get_field('member_social_1_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_1')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_1')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_2')!="none" && get_field('member_social_2')!="")
                {
                    if (get_field('member_social_2_link')!="")
                        $in_link=get_field('member_social_2_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_2')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_2')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_3')!="none" && get_field('member_social_3')!="")
                {
                    if (get_field('member_social_3_link')!="")
                        $in_link=get_field('member_social_3_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_3')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_3')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_4')!="none" && get_field('member_social_4')!="")
                {
                    if (get_field('member_social_4_link')!="")
                        $in_link=get_field('member_social_4_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_4')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_4')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_5')!="none" && get_field('member_social_5')!="")
                {
                    if (get_field('member_social_5_link')!="")
                        $in_link=get_field('member_social_5_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_5')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_5')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                if (get_field('member_social_6')!="none" && get_field('member_social_6')!="")
                {
                    if (get_field('member_social_6_link')!="")
                        $in_link=get_field('member_social_6_link');
                    else
                        $in_link="";
                    $out.='<div class="member_lnk">';
                    $out.='<a href="'.prk_ref_links($in_link).'" target="_blank" data-color="'.prk_social_color(get_field('member_social_6')).'">';
                    $out.='<div class="pulse_socialink '.prk_social_icon(get_field('member_social_6')).'">';
                    $out.='</div>';
                    $out.='</a>';
                    $out.='</div>';
                }
                $out.='</div>';
                $out.='</div>';
                $out.='</div>';
                $out.='<div class="sh_member_name zero_color header_font">';
                if (get_field('show_member_link')=="1")
                {
                    $out.='<a href="'.get_permalink().'" class="pulse_anchor">';
                    $out.=get_the_title();
                    $out.=' </a>';
                }
                else
                {
                    $out.=get_the_title();
                }
                $out.='</div>';
                $out.='<div class="clearfix"></div>';
                $out.='<div class="sh_member_function small_headings_color '.$prk_pulse_options['main_subheadings_font'].'">';
                $out.=$member_job;
                $out.='</div>';
                $out.='<div class="clearfix"></div>';

                $out.='</div>';
                $i++;
            endwhile;
            $out.='</div></div>';
        }
        wp_reset_query();
        return $out;
    }
    add_shortcode('prk_members', 'prk_member_shortcode');

    //PRICING TABLES
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_price_table_shortcode($atts, $content = null) {

        $atts=shortcode_atts(array(
            'header' => '',
            'color' => '',
            'price' => '',
            'button_label' => '',
            'button_link' => '#',
            'under_price' => '',
            'featured_text' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        $extra_class="";
        $header=$atts['header'];
        $color=$atts['color'];
        $price=$atts['price'];
        $button_label=$atts['button_label'];
        $button_link=$atts['button_link'];
        $under_price=$atts['under_price'];
        $extra_inline="";
        if ($color!="") {
            $extra_inline=' style="background-color:'.$color.';"';
            $extra_class=" featured";
        }
        if ($atts['featured_text']!="")
        {
            $ribbon='<div class="pulse_tables_ribbon"><span class="inner_ribbon">'.$atts['featured_text'].'</span></div>';
        }
        else
        {
            $ribbon='';
        }
        if ($atts['css_animation']!="")
        {
            $extra_class.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        }
        if ($atts['el_class']!="")
        {
            $extra_class.=" ".$atts['el_class'];
        }

        $output='<div class="prk_price_table'.$extra_class.'">'.$ribbon.'<div class="prk_price_header site_background_colored header_font"'.$extra_inline.'>';
        $output.='<div class="site_background_colored prk_table_header">'.$header.'</div><div class="prk_price">'.$price.'</div><div class="underp site_background_colored prk_heavier_600">'.$under_price.'</div></div>';
        $output.='<div class="prk_prices_specs prk_bordered">'.$content;
        if ($button_label!="")
            $output.='<div class="small-12 prk_price_button"><div class="theme_button small"><a href="'.$button_link.'" class="pulse_anchor">'.$button_label.'</a></div></div>';
        $output.='<div class="clearfix"></div></div></div>';

        return $output;
    }
    add_shortcode('prk_price_table', 'prk_price_table_shortcode');

    //SITEMAP
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_sitemap_shortcode($atts, $content = null )
    {
        //start building output string
        $output="<div class='prk_sitemap_wrapper pulse_anchor'>";
        $txt_pages="Pages";
        if (isset($atts['txt_pages']) && $atts['txt_pages']!="")
            $txt_pages=$atts['txt_pages'];
        $show_pages="yes";
        if (isset($atts['show_pages']) && $atts['show_pages']!="")
            $show_pages=$atts['show_pages'];
        if ($show_pages=="yes")
        {
            $output.="<h4 class='zero_color prk_heavier_600'>".$txt_pages."</h4>";
            $output.="<ul class='unstyled body_colored'>".wp_list_pages('title_li=&echo=0')."</ul>";
        }
        $txt_blog_cats="Blog categories";
        if (isset($atts['txt_blog_cats']) && $atts['txt_blog_cats']!="")
            $txt_blog_cats=$atts['txt_blog_cats'];
        $show_blog_cats="yes";
        if (isset($atts['show_blog_cats']) && $atts['show_blog_cats']!="")
            $show_blog_cats=$atts['show_blog_cats'];
        if ($show_blog_cats=="yes")
        {
            $output.="<h4 class='zero_color prk_heavier_600'>".$txt_blog_cats."</h4>";
            $output.="<ul class='unstyled body_colored'>".wp_list_categories('title_li=&echo=0&sort_column=name&optioncount=1&hierarchical=0')."</ul>";
        }
        $txt_blog_posts="Blog posts";
        if (isset($atts['txt_posts']) && $atts['txt_posts']!="")
            $txt_blog_posts=$atts['txt_posts'];
        $show_posts="yes";
        if (isset($atts['show_posts']) && $atts['show_posts']!="")
            $show_posts=$atts['show_posts'];
        if ($show_posts=="yes")
        {
            global $month, $wpdb, $wp_version;
            $sql = 'SELECT
				DISTINCT YEAR(post_date) AS year,
				MONTH(post_date) AS month,
				count(ID) as posts
			FROM '.$wpdb->posts.'
			WHERE post_status="publish"
				AND post_type="post"
				AND post_password=""
			GROUP BY YEAR(post_date),
				MONTH(post_date)
			ORDER BY post_date DESC';
            $archiveSummary = $wpdb->get_results($sql);
            if ($archiveSummary)
            {
                $output.="<h4 class='zero_color prk_heavier_600'>".$txt_blog_posts."</h4>";
                $output.= "<ul class='unstyled body_colored'>";
                foreach ($archiveSummary as $date)
                {
                    // reset the query vastroble
                    unset ($bmWp);
                    $bmWp = new WP_Query('year='.$date->year.'&monthnum='.zeroise($date->month, 2).'&posts_per_page=-1');
                    if ($bmWp->have_posts())
                    {
                        $url = get_month_link($date->year, $date->month);
                        $text = $month[zeroise($date->month, 2)].' '.$date->year;
                        $output.= get_archives_link($url, $text, '', '<li>', '</li>');
                        $output.= '<ul class="children">';
                        while ($bmWp->have_posts())
                        {
                            $bmWp->the_post();
                            $output.= '<li><a href="'.get_permalink($bmWp->post).'" title="'.esc_html($text, 1).'" class="pulse_anchor">'.wptexturize($bmWp->post->post_title).'</a></li>';
                        }
                        $output.= '</ul>';
                    }
                }
                $output.= '</ul>';
            }
        }
        $txt_port_posts="Portfolio";
        if (isset($atts['txt_port_posts']) && $atts['txt_port_posts']!="")
            $txt_port_posts=$atts['txt_port_posts'];
        $show_port_posts="yes";
        if (isset($atts['show_port_posts']) && $atts['show_port_posts']!="")
            $show_port_posts=$atts['show_port_posts'];
        if ($show_port_posts=="yes")
        {
            $output.="<h4 class='zero_color prk_heavier_600'>".$txt_port_posts."</h4>";
            $output.= "<ul class='unstyled body_colored'>";
            $terms = get_terms( 'pirenko_skills', 'orderby=name' );
            foreach ($terms as $term) {
                $output.= "<li><a href='".get_term_link($term->slug, 'pirenko_skills')."' class='pulse_anchor'>".$term->name."</a>";
                $output.= "<ul class='children'>";
                $args = array(
                    'post_type' => 'pirenko_portfolios',
                    'posts_per_page' => -1,
                    'tax_query' => array(
                        array(
                            'taxonomy' => 'pirenko_skills',
                            'field' => 'slug',
                            'terms' => $term->slug
                        )
                    )
                );
                $new = new WP_Query($args);
                while ($new->have_posts()) {
                    $new->the_post();
                    $output.= '<li><a href="'.get_permalink().'" class="pulse_anchor">'.get_the_title().'</a></li>';
                }
                $output.= "</ul>";
                $output.= "</li>";
            }
            $output.= "</ul>";
        }
        $output.="</div>";
        return $output;
    }
    add_shortcode('prk_sitemap', 'prk_sitemap_shortcode');

    //COUNTER
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_counter_shortcode($atts, $content = null ) {

        $atts=shortcode_atts(array(
            'counter_origin' =>'0',
            'image'		=>'',
            'link' =>	'',
            'prefix' =>	'',
            'suffix' =>	'',
            'counter_number' =>	'1000',
            'link_text' => '',
            'align' => '',
            'css_animation' => '',
            'el_class' => '',
            'serv_image' => '',
            'icon_type' => 'material_icons',
            'icon_material' =>'',
        ), $atts);

        global $prk_translations;
        if ($atts['image']!="fa fa-adjust") {
            $atts['image']=str_replace('fa fa', 'pulse_fa', $atts['image']);
        }
        $image=$atts['image'];
        $link=$atts['link'];
        $counter_number=1000;
        if (is_numeric($atts['counter_number'])) {
            $counter_number=$atts['counter_number'];
        }
        $counter_origin=0;
        if (is_numeric($atts['counter_origin']))
            $counter_origin=$atts['counter_origin'];
        $link_text=$prk_translations['read_more'];
        if ($atts['link_text']!="")
            $link_text=$atts['link_text'];
        $align="";
        if ($atts['align']!="") {
            $align.=" ".$atts['align'];
        }
        if ($atts['css_animation']!="") {
            $align.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        }
        if ($atts['el_class']!="") {
            $align.=" ".$atts['el_class'];
        }
        $serv_image="";
        $imager="";
        if ($atts['serv_image']!="") {
            $serv_image=$atts['serv_image'];
        }
        if ($atts['icon_type']=='custom_image') {
            if ($serv_image!="") {
                $vt_image = vt_resize('',$serv_image,'','',false);
                $imager='<div><img alt="" src="'.$serv_image.'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" /></div>';
            }
        }
        else {
            if ($atts['icon_type']=='awesome_icons') {
                $imager='<i class="'.$image.' colored_link_icon"></i>';
            }
            else {
                $imager='<i class="'.$atts['icon_material'].' colored_link_icon"></i>';
            }
        }
        $out='<div class="prk_counter_wrapper'.$align.'">';
        $out.=$imager.'<div class="clearfix"></div>';
        $out.='<div id="pulse_counter_'. rand(1, 1000) .'" class="header_font pulse_counter" data-prefix="'.$atts['prefix'].'" data-suffix="'.$atts['suffix'].'" data-origin="'.$counter_origin.'" data-counter="'.$counter_number.'" data-duration="3000">&nbsp;</div><div class="pulse_counter_desc header_font">'.$content.'</div></div>';
        return $out;
    }
    add_shortcode('prk_counter', 'prk_counter_shortcode');

    //SERVICES
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_service_shortcode($atts, $content = null ) {

        global $prk_translations;
        global $prk_pulse_options;

        $atts=shortcode_atts(array(
            'name' =>'',
            'link' =>	'',
            'link_text' => '',
            'window' => '_self',
            'pulse_link' => 'pulse_default_service',
            'bk_color' =>	'',
            'text_color' =>	'',
            'icon_up_color' => '',
            'align' => 'left_bigger',
            'css_animation' => '',
            'el_class' => '',
            'icon_color' => '',
            'serv_image' => '',
            'icon_type' => '',
            'icon' => '',
            'icon_material' => '',
        ), $atts);

        $name=$atts['name'];
        $link=$atts['link'];

        $link_text=$prk_translations['read_more'];
        if ($atts['link_text']!="")
            $link_text=$atts['link_text'];
        $align="";
        $extra="";
        if ($atts['bk_color']!="") {
            $align.=" serv_with_color";
            $extra=' style="background-color:'.$atts['bk_color'].';"';
        }
        $inline_icon=$inline="";
        $default_color="default";
        if ($atts['text_color']!="") {
            $inline=' style="color:'.$atts['text_color'].'"';
        }
        if ($atts['icon_up_color']!="") {
            $inline_icon=' style="color:'.$atts['icon_up_color'].'"';
            $default_color=$atts['icon_up_color'];
        }
        if ($atts['align']!="") {
            $align.=" ".$atts['align'];
        }
        else {
            $align.=" left_bigger";
        }
        if ($atts['css_animation']!="")
        {
            $align.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        }
        if ($atts['el_class']!="")
        {
            $align.=" ".$atts['el_class'];
        }
        if ($atts['icon_color']!="")
        {
            $featured_color=$atts['icon_color'];
        }
        else
        {
            $featured_color="default";
        }

        $serv_image="";
        if (isset($atts['serv_image']))
            $serv_image=$atts['serv_image'];
        if ($atts['icon_type']=='custom_image' && $serv_image!="")
        {
            $vt_image = vt_resize('',$serv_image,'','',false);
            $imager='<div><img alt="" src="'.$serv_image.'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" /></div>';
        }
        else {
            $image="";
            if ($atts['icon_type']=='awesome_icons') {
                $image=str_replace('fa fa', 'pulse_fa', $atts['icon']);
            }
            else {
                $image=$atts['icon_material'];
            }
            $imager='<i class="'.$image.' colored_link_icon small_headings_color"'.$inline_icon.'></i>';
        }
        if ($link=="") {
            return '<div class="prk_service'.$align.'"'.$extra.' data-color="'.$featured_color.'" data-default="'.$default_color.'">'.$imager.'<div class="clearfix"></div><div class="prk_service_ctt"><h4 class="big zero_color header_font prk_heavier_600"'.$inline.'>'.$name.'</h4><div class="clearfix"></div><div class="pulse_service_desc wpb_text_column prk_9_em">'.$content.'</div></div></div>';
        }
        else {
            $window=$atts['window'];
            if ($atts['pulse_link']=='pulse_linked_service') {
                return '<a class="zero_color pulse_anchor" href="'.$link.'" target="'.$window.'"'.$inline.'><div class="prk_service'.$align.'"'.$extra.' data-color="'.$featured_color.'" data-default="'.$default_color.'">'.$imager.'<div class="clearfix"></div><div class="prk_service_ctt"><h4 class="big zero_color header_font prk_heavier_600"'.$inline.'>'.$name.'</h4><div class="clearfix"></div><div class="service_inner_desc pulse_service_desc wpb_text_column prk_9_em">'.$content.'</div></div></div></a>';
            }
            else {
                return '<div class="prk_service'.$align.'"'.$extra.' data-color="'.$featured_color.'" data-default="'.$default_color.'">'.$imager.'<div class="clearfix"></div><div class="prk_service_ctt"><h4 class="big zero_color header_font prk_heavier_600"'.$inline.'>'.$name.'</h4><div class="clearfix"></div><div class="service_inner_desc pulse_service_desc wpb_text_column prk_9_em">'.$content.'</div><div class="simple_line thick special_size"></div><div class="service_lnk prk_heavier_600 header_font"><a class="zero_color pulse_anchor" href="'.$link.'" target="'.$window.'"'.$inline.'>'.$link_text.'</a></div></div></div>';
            }
        }
    }
    add_shortcode('prk_service', 'prk_service_shortcode');

    //SIMPLE LINE
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function simple_line_shortcode($atts, $content = null ) {
        global $prk_pulse_options;

        $atts=shortcode_atts(array(
            'icon_bk_color' => '#FFFFFF',
            'color' => '',
            'icon_color' => '',
            'width' => '',
            'height' => '#',
            'align' => '',
            'icon' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        $custom_color=$custom_icon=$custom_icon_color="";
        $out="";

        if ($atts['icon_color']=="") {
            $atts['icon_color']=$prk_pulse_options['lines_color'];
        }
        $custom_color=' style="';
        if ($atts['color']!="") {
            $custom_color.='border-bottom-color:'.$atts['color'].';';
        }
        if ($atts['width']!="") {
            $custom_color.='width:'.$atts['width'].';';
        }
        if ($atts['height']!="") {
            $custom_color.='border-bottom-width:'.$atts['height'].';';
        }
        if ($atts['align']!="") {
            if ($atts['align']=="left") {
                $custom_color.='float:left;';
            }
            if ($atts['align']=="center") {
                $custom_color.='margin-left:auto;margin-right:auto;';
            }
            if ($atts['align']=="right") {
                $custom_color.='float:right;';
            }
        }
        if ($custom_color==' style="') {
            $custom_color="";
        }
        else {
            $custom_color.='"';
        }
        $main_classes="";
        if ($atts['el_class']!="")
            $main_classes=" ".$atts['el_class'];
        if ($atts['css_animation']!="")
            $main_classes.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        if ($atts['icon']!="" && $atts['icon']!="fa fa-adjust") {
            $out.='<div class="simple_line shortcoded'.$main_classes.'"'.$custom_color.'>';
            $custom_icon_color=' style="color:'.$atts['icon_color'].';background-color:'.$atts['icon_bk_color'].'"';
            $atts['icon']=str_replace('fa fa', 'pulse_fa', $atts['icon']);
            $out.='<i class="'.$atts['icon'].'"'.$custom_icon_color.'></i>';
        }
        else
        {
            $out.='<div class="simple_line shortcoded'.$main_classes.'"'.$custom_color.'>';
        }
        $out.='</div>';
        return $out;
    }
    add_shortcode('prk_line', 'simple_line_shortcode');

    //LISTS
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function list_with_icons_shortcode($atts, $content = null )
    {
        $custom_icons="";
        if (isset($atts['icon']))
            $custom_icons=$atts['icon'];
        return '<div class="list_with_icons '. $custom_icons .'">'.$content.'</div>';
    }
    add_shortcode('list_with_icons', 'list_with_icons_shortcode');

    //TOGGLE CHILDNODES RETRIEVAL - LEGACY
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_ac_single($atts, $content = null ) {
        $defaults = array( 'title' => 'Tab' );
        extract( shortcode_atts( $defaults, $atts ) );
        //MAKE TAB ID MATCH THE CONTENT TAB ID
        return '<div class="prk_ac_single">'. do_shortcode( $content ) .'</div>';
    }
    add_shortcode( 'prk_ac_single', 'prk_ac_single' );

    //CAROUSEL
    //CHILDNODES RETRIEVAL
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_carousel_single($atts, $content = null ) {
        $defaults = array( 'path' => '' );
        extract( shortcode_atts( $defaults, $atts ) );
        $path="";
        if (isset($atts['path']))
            $path=$atts['path'];
        //MAKE TAB ID MATCH THE CONTENT TAB ID
        return '<img src="'.$path.'" '.prk_dims($path,1,'both').'/>';
    }
    add_shortcode( 'prk_carousel_single', 'prk_carousel_single' );
    //MAIN CAROUSEL BAR SECTION RETRIEVAL
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_carousel($atts, $content = null ) {
        $atts=shortcode_atts(array(
            'title' => '',
        ), $atts);

        if ($atts['title']!="")
            $title=$atts['title'];
        else
            $title="";
        $output = '';
        if ($title!="")
            $output.=do_shortcode('[prk_styled_title align="left" text_color="" show_lines="no" use_italic="" title_size="small"]'.$title.'[/prk_styled_title]');
        $output .= '<div class="prk_list_carousel">';
        $output .= '<ul class="prk_rousel">';
        $output .= do_shortcode( $content );
        $output .= '</ul>';
        $output .= '</div>';
        return $output;
    }
    add_shortcode( 'prk_carousel', 'prk_carousel' );

    //THEME BUTTONS
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function button_shortcode($atts, $content = null ) {

        $atts=shortcode_atts(array(
            'button_bk_color' =>'',
            'button_icon' =>'',
            'el_class' => '',
            'custom_css' => '',
            'css_animation' => '',
            'link' => '',
            'type' => 'theme_button',
            'button_size' => '',
            'window' => '_self',
        ), $atts);

        $type=$atts['type'];
        if ($atts['button_size']!="") {
            $type.=' '.$atts['button_size'];
        }
        $window=$atts['window'];
        $custom_style=' style="';
        if ($atts['custom_css']!="") {
            $custom_style.=$atts['custom_css'];
        }
        if ($atts['button_bk_color']!="") {
            $custom_style.='border-color:'.$atts['button_bk_color'].';color:'.$atts['button_bk_color'].'" data-color="'.$atts['button_bk_color'].'';
        }
        if ($custom_style==' style="') {
            $custom_style='';
        }
        else {
            $custom_style.='"';
        }
        if ($atts['css_animation']!="") {
            $type.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        }
        if ($atts['el_class']!="") {
            $type.=" ".$atts['el_class'];
        }
        $type.=' pls_shortcoded';
        if ($window!="lightbox") {
            $button_class="pulse_anchor";
        }
        else {
            $button_class="magnificent";
            $window="_self";
        }
        $out='<div class="'.$type.'"><a href="'.$atts['link'].'" target="'.$window.'" class="'.$button_class.'"'.$custom_style.'>'.$content.'</a></div>';
        return $out;
    }
    add_shortcode('theme_button', 'button_shortcode');

    //EXTRA FUNCTION FOR LIGHTBOX
    /**
     * @param $flag
     * @param $pos
     * @param $post
     * @return string
     */
    function get_lightbox_content($flag, $pos, $post) {
        $lg_out="";
        if ($flag==true) {
            $lg_out.='<div class="hide_now">';
            $ext_count=0;
            if (get_field('use_gallery')!="images_only") {
                //PLACE THE OTHER NINETEEN IMAGES
                for ($count=$pos;$count<21;$count++) {
                    if (get_field('image_'.$count)!="") {
                        $ext_count++;
                        $in_image=wp_get_attachment_image_src(get_field('image_'.$count),'full');
                        $lg_out.='<div class="magnificent" data-mfp-src="'.$in_image[0].'" data-title="'.pulse_alt_tag(true,get_field('image_'.$count)).'"></div>';
                    }
                    if (get_field('video_'.$count)!="") {
                        $ext_count++;
                        $magnific_image[0]=get_iframe_src(get_field('video_'.$count));
                        $lg_out.='<div class="magnificent mfp-iframe" data-mfp-src="'.$magnific_image[0].'" data-title=""></div>';
                    }
                }
            }
            else {
                $regex = '/(\w+)\s*=\s*"(.*?)"/';
                $pattern = '/\[gallery(.*?)\]/';
                preg_match_all($regex, get_post_meta($post,'image_gallery',true), $matches);
                $stripped_gallery = array();
                for ($i = 0; $i < count($matches[1]); $i++) {
                    $stripped_gallery[$matches[1][$i]] = $matches[2][$i];
                }
                if (!empty($stripped_gallery) && $stripped_gallery['ids']!="") {
                    $array = explode(',', $stripped_gallery['ids']);
                    foreach($array as $value) {
                        $ext_count++;
                        $in_image=wp_get_attachment_image_src($value,'full');
                        $lg_out.='<div class="magnificent" data-value="'.$value.'" data-mfp-src="'.$in_image[0].'" data-title="'.pulse_alt_tag(true,$value).'"></div>';
                    }
                }
            }
            $lg_out.='</div>';
        }
        return $lg_out;
    }

    //LATEST PORTFOLIOS
    if (!function_exists('pirenko_last_portfolios_shortcode')) {
        /**
         * @param $atts
         * @param null $content
         * @return string
         */
        function pirenko_last_portfolios_shortcode($atts, $content = null ) {
            global $prk_pulse_options;
            global $prk_retina_device;
            global $prk_translations;

            $atts=shortcode_atts(array(
                'cols_number' => '',
                'items_number' => '',
                'cat_filter' => '',
                'show_filter' => '',
                'layout_type_folio' => '',
                'thumbs_mg' => '',
                'thumbs_type_folio' => '',
                'lightbox_type' => '',
                'show_load_more' => '',
                'liner_color' => '',
                'pulse_show_skills' => 'folio_title_and_skills',
                'exclude_post' => '',
                'tag_filter' => '',
                'filter_align' => '',
                'multicolored_thumbs' => '',
                'icons_display' => '',
                'custom_css' => '',
                'css_animation' => '',
                'el_class' => '',
                'hide_with_css' => '',
            ), $atts);

            if ($atts['cols_number']!="0" && $atts['cols_number']!="")
                $cols_number = $atts['cols_number'];
            else
                $cols_number="3";
            if ($atts['items_number']!="")
                $items_number = $atts['items_number'];
            else
                $items_number="9";
            if ($atts['cat_filter']!="")
                $cat_filter = $atts['cat_filter'];
            else
                $cat_filter="";
            if ($atts['show_filter']!="")
                $show_filter = $atts['show_filter'];
            else
                $show_filter="yes";
            if ($atts['layout_type_folio']!="")
                $layout_type_folio = $atts['layout_type_folio'];
            else
                $layout_type_folio="packery";
            if ($atts['thumbs_mg']!="")
                $thumbs_mg=$atts['thumbs_mg'];
            else
                $thumbs_mg="10";
            if ($atts['thumbs_type_folio']!="")
                $thumbs_type_folio=$atts['thumbs_type_folio'];
            else
                $thumbs_type_folio="overlayed_anchor per_init";
            if ($atts['lightbox_type']!="") { }
            else {
                $atts['lightbox_type']='singled';
            }
            $sides_pad=$thumbs_mg;
            if ($layout_type_folio=="packery") {
                $sides_pad="0";
            }
            $show_load_more=true;
            if ($atts['show_load_more']=="no") {
                $show_load_more=false;
            }
            switch ($thumbs_type_folio) {
                case 'lightboxed':
                    $anchor_type="magnificent";
                    break;
                case 'classiqued':
                    $anchor_type="pulse_anchor";
                    break;
                case 'overlayed':
                    $anchor_type="overlayed_anchor per_init";
                    break;
                case 'pls_unlinked':
                    $anchor_type="pls_unlinked";
                    $thumbs_type_folio.=' pls_unlinked';
                    break;
                default:
                    $anchor_type="overlayed_anchor per_init";
                    break;
            }
            $liner_style="";
            if ($atts['liner_color']!="") {
                $liner_style=' style="border-bottom-color:'.$atts['liner_color'].';"';
            }
            $pulse_show_skills=false;
            if ($atts['pulse_show_skills']=="folio_always_title_and_skills" || $atts['pulse_show_skills']=="folio_title_and_skills" || $atts['pulse_show_skills']=="") {
                $pulse_show_skills=true;
                if ($atts['pulse_show_skills']=="") {
                    $atts['pulse_show_skills']="folio_title_and_skills";
                }
            }
            if ($atts['exclude_post']!="") {
                $exclude_post=array($atts['exclude_post']);
            }
            else {
                $exclude_post="";
            }
            $custom_query = new WP_Query();
            if ($atts['tag_filter']!="")
            {
                $args = array (	'post_type' => 'pirenko_portfolios',
                    'posts_per_page' => 999,
                    'portfolio_tag'=>$atts['tag_filter'],
                    'post__not_in'=>$exclude_post,
                );
            }
            else {
                $args = array (	'post_type' => 'pirenko_portfolios',
                    'posts_per_page' => 999,
                    'pirenko_skills'=>$cat_filter,
                    'post__not_in'=>$exclude_post,
                );
            }
            $custom_query->query($args);
            $alt_flag=true;
            $thumbs_mg_2=$thumbs_mg*2;
            if ($show_filter=="yes") {
                $thumbs_mg_2=0;
            }
            $output="";
            ob_start();
            $main_classes="";
            if (!isset($atts['filter_align'])) {
                $atts['filter_align']="pulse_center_align";
            }
            if ($atts['css_animation']!="")
                $main_classes.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
            if ($atts['el_class']!="")
                $main_classes.=" ".$atts['el_class'];
            if ($custom_query->have_posts()) {
                if($layout_type_folio=="info_board") {
                    $output.='<div class="pls_info_board">';
                    $output.='<ul class="unstyled">';
                    $output.='<li class="pls_board_heading header_font prk_heavier_700 zero_color">';
                    $output.='<span style="width:15%;">Date</span>';
                    $output.='<span style="width:45%;">Loan Type</span>';
                    $output.='<span style="width:20%;">Amount</span>';
                    $output.='<span style="width:20%;">Deal Overview</span>';
                    $output.='</li>';
                    while ($custom_query->have_posts()) : $custom_query->the_post();
                        $skills_links=array();
                        $skills_names=array();
                        $skills_yo="";
                        $skills_output="";
                        $terms = get_the_terms (get_the_ID(), 'pirenko_skills');
                        if (!empty($terms)) {
                            foreach ($terms as $term) {
                                $skills_links[] = $term->slug;
                                $skills_names[] = $term->name;
                            }
                            $skills_yo = join(" ", $skills_links);
                            $skills_output = join(", ", $skills_names);
                        }
                        $output.='<li class="pls_board_entry prk_bordered_top prk_9_em">';
                        $output.='<span style="width:15%;min-height:1px;">'.get_the_time(get_option('date_format')).'</span>';
                        $output.='<span style="width:45%;min-height:1px;">'.$skills_output.'</span>';
                        $output.='<span style="width:20%;min-height:1px;">'.get_field('client_url').'</span>';
                        $output.='<span style="width:20%;min-height:1px;">';
                        $output.='<a href="'.get_permalink().'" class="zero_color pulse_italic prk_heavier_600">View Report →</a>';
                        $output.='</span>';
                        $output.='</li>';
                    endwhile;
                    $output.='</ul>';
                    $output.='<div class="clearfix"></div>';
                    $output.='</div>';
                }
                else {
                    $output.='<div id="folio_wrap-'. rand(1, 1000).'" class="recentfolio_ul_wp prk_shorts '.$atts['pulse_show_skills'].$main_classes.'" data-items="'.$items_number.'" style="padding-top: '.$thumbs_mg_2.'px;padding-left:'.$sides_pad.'px;padding-right: '.$sides_pad.'px;">';
                    $shifted="";
                    $ins=0;
                    if ($show_filter=="yes") {
                        $terms = get_terms("pirenko_skills");
                        $count = count($terms);
                        $filter_array=explode(",",$cat_filter);
                        $filter_array=array_filter(array_map('trim', $filter_array));
                        $output.='<div class="clearfix"></div>';
                        if ($show_filter=="yes") {
                            $output.='<div class="filter_folio header_font">';
                            $output.='<div class="pulse_folio_filter '.esc_attr($atts['filter_align']).'" data-text="'.$prk_translations['all_text'].'">';
                            $output.='<ul class="header_font pulse_folio_uppercased clearfix small_headings_color prk_heavier_600 unstyled">';
                            $output.='<li class="active small p_filter">';
                            $output.='<a class="all" data-filter="p_all" href="javascript:void(0)" data-color="'.esc_attr($prk_pulse_options['bd_headings_color']).'">';
                            $output.=esc_attr($prk_translations['all_text']);
                            $output.='</a>';
                            $output.='</li>';
                            if ( $count > 0) {
                                foreach ( $terms as $term ) {
                                    if (in_array($term->slug, $filter_array) !== false || $cat_filter=="") {
                                        $output.='<li class="small p_filter"><a class="'.esc_attr($term->slug).'" data-filter="'.esc_attr($term->slug).'" href="javascript:void(0)" data-color="'.esc_attr($prk_pulse_options['bd_headings_color']).'">'.esc_attr($term->name).'</a></li>';
                                    }
                                }
                            }
                            $output.='</ul>';
                            $output.='</div>';
                            $output.='</div>';
                            if ($thumbs_mg<18) {
                                $output.='<div class="clearfix" style="margin-bottom: 18px"></div>';
                            }
                            else {
                                $output.='<div class="clearfix" style="margin-bottom: '.$thumbs_mg.'px"></div>';
                            }
                        }
                    }
                    if ($atts['multicolored_thumbs']=="no")
                        $multicolored_thumbs=" default_colored_th";
                    else
                        $multicolored_thumbs="";
                    $multi_light=false;
                    if ($anchor_type=="magnificent") {
                        $multicolored_thumbs.=" lightboxed";
                        if ($atts['lightbox_type']=='multipled') {
                            $thumbs_type_folio.=" multipled";
                            $multi_light=true;
                        }
                    }
                    $output.='<div id="folio_masonry-'.rand(1, 500).'" class="columnize-'.$cols_number.' layout-'.$layout_type_folio.' '.$thumbs_type_folio.$multicolored_thumbs.' per_init folio_masonry iso_folio shortcoded" data-columns="'.$cols_number.'" style="margin-right:-'.$thumbs_mg.'px;">';
                    $output.='<div class="grid-sizer"></div>';
                    while ($custom_query->have_posts()) : $custom_query->the_post();
                        $skills_links=array();
                        $skills_names=array();
                        $skills_yo="";
                        $skills_output="";
                        $terms = get_the_terms (get_the_ID(), 'pirenko_skills');
                        if (!empty($terms)) {
                            foreach ($terms as $term) {
                                $skills_links[] = $term->slug;
                                $skills_names[] = $term->name;
                            }
                            $skills_yo = join(" ", $skills_links);
                            $skills_output = join(", ", $skills_names);
                        }
                        $magnific_image=$image = wp_get_attachment_image_src( get_post_thumbnail_id(), '' );
                        //$magnific_image[0] = $image[0] = get_image_path($image[0]);
                        if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                        {
                            $featured_color=get_field('featured_color');
                            $featured_class="featured_color ";
                        }
                        else
                        {
                            $featured_color="default";
                            $featured_class="";
                        }
                        $extra_mfp="";
                        $first_pos=1;
                        if (get_field('skip_featured')==1) {
                            //CHECK IF THERE'S A SECOND IMAGE
                            if (get_field('image_2')!="") {
                                $in_image=wp_get_attachment_image_src(get_field('image_2'),'full');
                                $magnific_image[0]=$in_image[0];
                                $first_pos=3;
                            }
                            else if (get_field('video_2')) {
                                $magnific_image[0]=get_iframe_src(get_field('video_2'));
                                $extra_mfp=" mfp-iframe";
                                $first_pos=3;
                            }
                        }
                        if ($ins<$items_number) {
                            $widtha=get_field('custom_width',$custom_query->post->ID);
                            if ($layout_type_folio!="packery") {
                                $widtha="pulse_hz_one";
                            }
                            $output.='<div id="post-'.get_the_ID().'" class="'.$widtha.' pulse_or_'.get_field('orientation',$custom_query->post->ID).' portfolio_entry_li hidden_by_css '.$featured_class.$skills_yo.' p_all" data-color="'.$featured_color.'" style="padding-right:'.$thumbs_mg.'px;padding-bottom:'.$thumbs_mg.'px'.'">';
                            if ($anchor_type!="pls_unlinked") {
                                $href_val=get_permalink();
                                $target="";
                                if (get_field('skip_to_external')==1 && get_field('ext_url')!="") {
                                    $href_val=get_field('ext_url');
                                    //ADD HTTP PREFIX IF NEEDED
                                    if (substr($href_val,0,7)!="http://" && substr($href_val,0,8)!="https://" && substr($href_val,0,7)!="mailto:")
                                        $href_val="http://".$href_val;
                                    $target=' target="_blank"';
                                    if (get_field('new_window')=="_self") {
                                        $target=' target="_self"';
                                    }
                                }
                                $output.='<a href="'.$href_val.'" class="pls_touch '.$anchor_type.$extra_mfp.'" data-mfp-src="'.esc_attr($magnific_image[0]).'" data-title="'.get_the_title().'" data-pos="'.$ins.'"'.$target.'>';
                                $output.=get_lightbox_content($multi_light,$first_pos,$custom_query->post->ID);
                            }
                            $output.='<div class="grid_image_wrapper">';
                            if (get_field('thumb_tag')!="") {
                                $output.='<div class="pls_thumb_tag">'.get_field('thumb_tag').'</div>';
                            }
                            $output.='<div class="grid_colored_block"></div>';
                            $forced_w=480;
                            if ($cols_number!="variable" && is_numeric($cols_number))
                                $forced_w=ceil(1920/$cols_number);
                            if ($forced_w<480)
                                $forced_w=480;
                            if ($layout_type_folio=="packery") {
                                $multipler=1;
                                if (get_field('custom_width',$custom_query->post->ID)=="pulse_hz_two") {
                                    $multipler=2;
                                }
                                $forced_w=$forced_h=640*$multipler;
                                if (get_field('orientation',$custom_query->post->ID)=="landscape") {
                                    $forced_h=320*$multipler;
                                }
                                if (get_field('orientation',$custom_query->post->ID)=="portrait") {
                                    $forced_h=1280*$multipler;
                                }
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                            }
                            else if ($layout_type_folio=="masonry") {
                                $forced_h=0;
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, false , $prk_retina_device );
                            }
                            else if ($layout_type_folio=="squares")
                            {
                                $forced_h=$forced_w;
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                            }
                            else if ($layout_type_folio=="grid_vertical")
                            {
                                $forced_h=floor($forced_w*3/2);
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                            }
                            else
                            {
                                $forced_h=floor($forced_w*2/3);
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                            }
                            $output.='<div class="pulse_image_parent">';
                            $output.='<img src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.get_the_ID().'" class="custom-img grid_image" alt="" data-featured="no" />';
                            $output.='</div>';
                            if (get_field('video_thumb')!="") {
                                $output.='<video class="pulse_video-bg" autoplay="autoplay" preload="auto" muted="" loop="">';
                                $output.='<source src="'.get_field('video_thumb').'" type="video/mp4">';
                                $output.='<source src="'.get_field('video_thumb_webm').'" type="video/webm">';
                                $output.='</video>';
                            }
                            if ($atts['pulse_show_skills']!="folio_noinfo") {
                                $output.='<div class="centerized_father">';
                                $output.='<div class="centerized_child">';
                                $output.='<div class="grid_single_title pulse_animated">';
                                $output.='<div class="prk_ttl pulse_folio_uppercased">';
                                if (get_field('custom_logo',$custom_query->post->ID)!="") {
                                    $in_image=wp_get_attachment_image_src(get_field('custom_logo',$custom_query->post->ID),'full');
                                    $vt_image = vt_resize('', $in_image[0] , $forced_w, '', false , true);
                                    $output.='<img class="stamp_folio_th" src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="" />';
                                }
                                else {
                                    $output.='<h3 class="header_font body_bk_color small">'.the_title("","",false).'</h3>';
                                }
                                $output.='</div>';
                                if ($skills_output!="" && $pulse_show_skills==true) {
                                    if(get_field('ext_url_label')=="") {
                                        $my_alt=$skills_output;
                                    }
                                    else {
                                        $my_alt=get_field('ext_url_label');
                                    }
                                    $output.='<div class="pulse_liner"'.$liner_style.'></div>';
                                    $output.='<div class="inner_skills body_bk_color '.$prk_pulse_options['main_subheadings_font'].'" data-alt="'.$my_alt.'">';
                                    if (get_field('thumb_skills')!="") {
                                        $output.=get_field('thumb_skills');
                                    }
                                    else {
                                        $output.=$skills_output;
                                    }
                                    $output.='</div>';
                                }
                                $output.='</div>';
                                $output.='</div>';
                                if ($layout_type_folio!="packery") {
                                    $output.='<div class="prk_break_word entry_content body_colored">';
                                    $output.=the_excerpt_dynamic(12,$custom_query->post->ID);
                                    $output.='<div class="clearfix"></div>';
                                    $output.='</div>';
                                }
                                $output.='</div>';
                            }
                            $output.='</div>';
                            if ($anchor_type!="pls_unlinked") {
                                $output.='</a>';
                            }
                            $output.='<div class="folio_icons_wrap">';
                            if (isset($atts['icons_display']) && $atts['icons_display']=="both_icon") {
                                $output.='<div class="lone_linker prk_first">';
                                $output.='<a href="'.get_permalink().'" class="'.$anchor_type.' ic_lnk body_bk_color" data-pos="'.$ins.'">';
                                $output.='<i class="pulse_fa-link"></i>';
                                $output.='</a>';
                                $output.='</div>';
                                $output.='<div class="lone_linker prk_second">';
                                $output.='<a href="'.get_permalink().'" class="lone_link ic_exp body_bk_color" data-mfp-src="'.$magnific_image[0].'" data-title="'.get_the_title().'" data-pos="'.$ins.'">';
                                $output.='<i class="pulse_fa-arrows-alt"></i>';
                                $output.='</a>';
                                $output.='</div>';
                            }
                            $output.='</div>';
                            $output.='</div>';
                        }
                        else
                        {
                            if ($alt_flag==true)
                            {
                                $output.='</div>';
                                $output.='<div class="folio_appender hide_now">';
                                $alt_flag=false;
                            }
                            $widtha=get_field('custom_width',$custom_query->post->ID);
                            if ($layout_type_folio!="packery") {
                                $widtha="pulse_hz_one";
                            }
                            $output.='<div id="post-'.get_the_ID().'" class="'.$widtha.' pulse_or_'.get_field('orientation',$custom_query->post->ID).' portfolio_entry_li hidden_by_css '.$featured_class.$skills_yo.' p_all" data-color="'.$featured_color.'" style="padding-right:'.$thumbs_mg.'px;padding-bottom:'.$thumbs_mg.'px'.'">';
                            if ($anchor_type!="pls_unlinked") {
                                $href_val=get_permalink();
                                $target="";
                                if (get_field('skip_to_external')==1 && get_field('ext_url')!="") {
                                    $href_val=get_field('ext_url');
                                    //ADD HTTP PREFIX IF NEEDED
                                    if (substr($href_val,0,7)!="http://" && substr($href_val,0,8)!="https://" && substr($href_val,0,7)!="mailto:")
                                        $href_val="http://".$href_val;
                                    $target=' target="_blank"';
                                    if (get_field('new_window')=="_self") {
                                        $target=' target="_self"';
                                    }
                                }
                                $output.='<a href="'.$href_val.'" class="pls_touch '.$anchor_type.$extra_mfp.'" data-mfp-src="'.$magnific_image[0].'" data-title="'.get_the_title().'" data-pos="'.$ins.'"'.$target.'>';
                                $output.=get_lightbox_content($multi_light,$first_pos,$custom_query->post->ID);
                            }
                            $output.='<div class="grid_image_wrapper">';
                            if (get_field('thumb_tag')!="") {
                                $output.='<div class="pls_thumb_tag">'.get_field('thumb_tag').'</div>';
                            }
                            $output.='<div class="grid_colored_block"></div>';
                            $forced_w=480;
                            if ($cols_number!="variable" && is_numeric($cols_number))
                                $forced_w=ceil(1920/$cols_number);
                            if ($forced_w<480)
                                $forced_w=480;
                            if ($layout_type_folio=="packery") {
                                $multipler=1;
                                if (get_field('custom_width',$custom_query->post->ID)=="pulse_hz_two") {
                                    $multipler=2;
                                }
                                $forced_w=$forced_h=640*$multipler;
                                if (get_field('orientation',$custom_query->post->ID)=="landscape") {
                                    $forced_h=320*$multipler;
                                }
                                if (get_field('orientation',$custom_query->post->ID)=="portrait") {
                                    $forced_h=1280*$multipler;
                                }
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                            }
                            else if ($layout_type_folio=="masonry") {
                                $forced_h=0;
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, false , $prk_retina_device );
                            }
                            else if ($layout_type_folio=="squares")
                            {
                                $forced_h=$forced_w;
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                            }
                            else if ($layout_type_folio=="grid_vertical")
                            {
                                $forced_h=floor($forced_w*3/2);
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                            }
                            else
                            {
                                $forced_h=floor($forced_w*2/3);
                                $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                            }
                            $output.='<div class="pulse_image_parent">';
                            $output.='<img src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.get_the_ID().'" class="custom-img grid_image" alt="" data-featured="no" />';
                            $output.='</div>';
                            if (get_field('video_thumb')!="") {
                                $output.='<video class="pulse_video-bg" autoplay="autoplay" preload="auto" muted="" loop="">';
                                $output.='<source src="'.get_field('video_thumb').'" type="video/mp4">';
                                $output.='<source src="'.get_field('video_thumb_webm').'" type="video/webm">';
                                $output.='</video>';
                            }
                            if ($atts['pulse_show_skills']!="folio_noinfo") {
                                $output.='<div class="centerized_father">';
                                $output.='<div class="centerized_child">';
                                $output.='<div class="grid_single_title pulse_animated">';
                                $output.='<div class="prk_ttl pulse_folio_uppercased">';
                                if (get_field('custom_logo',$custom_query->post->ID)!="") {
                                    $in_image=wp_get_attachment_image_src(get_field('custom_logo',$custom_query->post->ID),'full');
                                    $vt_image = vt_resize('', $in_image[0] , $forced_w, '', false , true);
                                    $output.='<img class="stamp_folio_th" src="'.get_template_directory_uri().'/images/spacer.gif" data-src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" alt="" />';
                                }
                                else {
                                    $output.='<h3 class="header_font body_bk_color small">'.the_title("","",false).'</h3>';
                                }
                                $output.='</div>';
                                if ($skills_output!="" && $pulse_show_skills==true) {
                                    if(get_field('ext_url_label')=="") {
                                        $my_alt=$skills_output;
                                    }
                                    else {
                                        $my_alt=get_field('ext_url_label');
                                    }
                                    $output.='<div class="pulse_liner"'.$liner_style.'></div>';
                                    $output.='<div class="inner_skills body_bk_color '.$prk_pulse_options['main_subheadings_font'].'" data-alt="'.$my_alt.'">';
                                    if (get_field('thumb_skills')!="") {
                                        $output.=get_field('thumb_skills');
                                    }
                                    else {
                                        $output.=$skills_output;
                                    }
                                    $output.='</div>';
                                }
                                $output.='</div>';
                                $output.='</div>';
                                if ($layout_type_folio!="packery") {
                                    $output.='<div class="prk_break_word entry_content body_colored">';
                                    $output.=the_excerpt_dynamic(12,$custom_query->post->ID);
                                    $output.='<div class="clearfix"></div>';
                                    $output.='</div>';
                                }
                                $output.='</div>';
                            }
                            $output.='</div>';
                            if ($anchor_type!="pls_unlinked") {
                                $output.='</a>';
                            }
                            $output.='<div class="folio_icons_wrap">';
                            if (isset($atts['icons_display']) && $atts['icons_display']=="both_icon") {
                                $output.='<div class="lone_linker prk_first">';
                                $output.='<a href="'.get_permalink().'" class="'.$anchor_type.' ic_lnk body_bk_color" data-pos="'.$ins.'">';
                                $output.='<i class="pulse_fa-link"></i>';
                                $output.='</a>';
                                $output.='</div>';
                                $output.='<div class="lone_linker prk_second">';
                                $output.='<a href="'.get_permalink().'" class="lone_link ic_exp body_bk_color" data-mfp-src="'.$magnific_image[0].'" data-title="'.get_the_title().'" data-pos="'.$ins.'">';
                                $output.='<i class="pulse_fa-arrows-alt"></i>';
                                $output.='</a>';
                                $output.='</div>';
                            }
                            $output.='</div>';
                            $output.='</div>';
                        }
                        $ins++;
                    endwhile;
                    $output.='</div>';
                    if ($alt_flag==false && $show_load_more==true) {
                        $output.='<div class="pf_load_more_wrapper">';
                        $output.='<div class="pf_load_more theme_button" data-no_more="'.$prk_translations['no_more'].'">';
                        $output.='<a href="#" class="pf_link per_init">';
                        $output.=$prk_translations['load_more'];
                        $output.='</a>';
                        $output.='<i class="pulse_button_arrow pulse_fa-chevron-down not_zero_color"></i>';
                        $output.='<div id="ajax_spinner" class="spinner-icon"></div>';
                        $output.='</div>';
                        $output.='</div>';
                    }
                    $output.='<div class="clearfix"></div>';
                    $output.='</div>';
                }
            }
            else
            {
                $output.='<h2 class="pulse_shortcode_warning">No portfolio posts were found!</h2>';
            }
            wp_reset_query();
            ob_get_clean();
            return $output;
        }
    }
    add_shortcode('pirenko_last_portfolios', 'pirenko_last_portfolios_shortcode');

    //LATEST POSTS
    if (!function_exists('pirenko_last_posts_shortcode')) {
        /**
         * @param $atts
         * @param null $content
         * @return string
         */
        function pirenko_last_posts_shortcode($atts, $content = null ) {
            global $prk_pulse_options;
            global $prk_retina_device;
            global $prk_translations;

            $atts=shortcode_atts(array(
                'title' => '',
                'items_number' => '',
                'rows_number' => '',
                'cat_filter' => '',
                'general_style' => '',
                'not_in' => '',
                'custom_css' => '',
                'css_animation' => '',
                'el_class' => '',
                'hide_with_css' => '',
            ), $atts);

            if ($atts['title']!="")
                $title=$atts['title'];
            else
                $title="";
            if ($atts['items_number']!="")
                $items_number = $atts['items_number'];
            else
                $items_number="3";
            if ($atts['rows_number']!="")
                $rows_number = $atts['rows_number'];
            else
                $rows_number="1";
            if ($atts['cat_filter']!="")
                $cat_filter = $atts['cat_filter'];
            else
                $cat_filter="";
            if ($atts['general_style']!="")
                $general_style = $atts['general_style'];
            else
                $general_style="classic";
            wp_reset_query();
            $custom_query = new WP_Query();
            if ($atts['not_in']!="") {
                $args = array (
                    'post_type=posts',
                    'showposts' => $items_number,
                    'category_name'=>$cat_filter,
                    'post__not_in' => array($atts['not_in']),
                    'orderby' => 'rand',
                );
            }
            else {
                $args = array (
                    'post_type=posts',
                    'showposts' => $items_number,
                    'category_name'=>$cat_filter,
                );
            }
            $custom_query->query($args);
            $cols_number=floor($items_number/$rows_number);
            $columnizer=floor(12/$cols_number);
            $rand_nbr=rand(1, 500);
            $i=0;
            $out = '';
            if ($custom_query->have_posts()) {
                if ($cols_number>=$custom_query->post_count)
                    $extra_a="";
                else
                    $extra_a=" extra_spaced";
                if ($atts['css_animation']!="")
                {
                    $extra_a.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
                }
                if ($atts['el_class']!="")
                {
                    $extra_a.=" ".$atts['el_class'];
                }
                if ($general_style=="slider") {
                    $out.='<div id="prk_shortcode_latest_posts_'.rand(1, 500).'" class="recentposts_ul_shortcode'.$extra_a.'">';
                    $out.='<div id="recent_blog-'.$rand_nbr.'" class="recentposts_ul_slider per_init pls_no_nbr" data-navigation="true">';
                    while ($custom_query->have_posts()) : $custom_query->the_post();
                        if ($i<$items_number)
                        {
                            if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                            {
                                $featured_color=get_field('featured_color');
                                $featured_class=" featured_color";
                            }
                            else
                            {
                                $featured_color="default";
                                $featured_class="";
                            }
                            $out.='<div class="blog_entry_li item clearfix'.$featured_class.'" data-color="'.$featured_color.'">';
                            $out.='<div class="masonry_inner">';
                            if (has_post_thumbnail())
                            {
                                $image = wp_get_attachment_image_src( get_post_thumbnail_id(), '' );
                                $out.='<a href="'.get_permalink().'" class="fade_anchor blog_hover">';
                                $out.='<div class="masonr_img_wp">';
                                $out.='<div class="blog_fader_grid">';
                                $out.='<div class="pulse_fa-link titled_link_icon body_bk_color"></div>';
                                $out.='</div>';
                                $vt_image = vt_resize( '', $image[0] , 700 , 436, true , $prk_retina_device );
                                $out.='<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" class="custom-img grid_image" alt="" />';
                                $out.='</div>';
                                $out.='</a>';
                            }
                            else
                            {
                                //CHECK IF THERE'S A VIDEO TO SHOW
                                if (get_field('video_2')!="")
                                {
                                    $out.= "<div class='video-container'>";
                                    $out.=str_replace('autoplay=1','autoplay=0',get_field('video_2'));
                                    $out.= "</div>";
                                }
                            }
                            $out.='<div class="header_font prk_mini_meta small">';
                            $out.='<div class="entry_title prk_left_floated">';
                            $out.='<h4 class="prk_heavier_600 big">';
                            $out.='<a href="'.get_permalink().'" class="pulse_anchor zero_color prk_break_word" data-color="'.$featured_color.'">';
                            $out.=get_the_title();
                            $out.='</a>';
                            $out.='</h4>';
                            $out.='</div>';
                            $out.='<div class="clearfix"></div>';
                            $out.='<div class="pulse_blog_uppercased prk_heavier_600 pulse_blog_meta prk_75_em small_headings_color '.$prk_pulse_options['main_subheadings_font'].'">';
                            $divide_me=false;
                            if (is_sticky()) {
                                $out.='<div class="prk_left_floated pls_sticky not_zero_color">';
                                $out.=$prk_translations['sticky_text'];
                                $out.='</div>';
                                $divide_me=true;
                            }
                            if ($prk_pulse_options['show_date_blog']=="1") {
                                if ($divide_me==false) {
                                    $divide_me=true;
                                }
                                else {
                                    $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                }

                                $out.='<div class="prk_left_floated">';
                                $out.=get_the_time(get_option('date_format'));
                                $out.='</div>';
                            }
                            if ($prk_pulse_options['postedby_blog']=="1") {
                                if ($divide_me==false) {
                                    $divide_me=true;
                                }
                                else {
                                    $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                }
                                $out.='<div class="pulse_anchor prk_left_floated pls_colored_link">';
                                $out.=$prk_translations['posted_by_text'].' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" class="not_zero_color">'.get_the_author().'</a>';
                                $out.='</div>';
                            }
                            $out.='</div>';
                            $out.='</div>';
                            $out.='<div class="clearfix"></div>';
                            $out.='<div class="on_colored prk_break_word entry_content">';
                            $out.='<div class="wpb_text_column">';
                            $cat_helper=$custom_query->post->ID;
                            $out.=the_excerpt_dynamic(22,$custom_query->post->ID);
                            $out.='<div class="clearfix"></div>';
                            if (is_big_excerpt(22,$custom_query->post->ID))
                            {
                                $out.='<div class="fade_anchor left_floated">';
                                $out.='<a href="'.get_permalink().'" class="prk_heavier_700 zero_color" data-color="'.$featured_color.'">';
                                $out.=$prk_translations['read_more'].' &rarr;';
                                $out.='</a>';
                                $out.='</div>';
                            }
                            $out.='</div>';
                            $out.='</div>';
                            $out.='<div class="blog_lower prk_bordered_top prk_heavier_600 header_font prk_75_em small_headings_color pulse_blog_uppercased">';
                            $out.='<div class="small-12">';
                            if ($prk_pulse_options['categoriesby_blog']=="1")
                            {
                                $out.='<div class="prk_left_floated pulse_anchor">';
                                $out.='<div class="prk_left_floated blog_categories">';
                                $arra=get_the_category($custom_query->post->ID);
                                if(!empty($arra)) {
                                    $count_cats=0;
                                    foreach($arra as $s_cat)
                                    {
                                        if ($count_cats>0)
                                            $out.=', ';
                                        $out.='<a href="'.get_category_link( $s_cat->term_id ).'" title="View all posts">'.$s_cat->cat_name.'</a>';
                                        $count_cats++;
                                    }
                                }
                                $out.='</div>';
                                $out.='</div>';
                            }
                            $out.='<div class="prk_right_floated pulse_anchor pls_min_read">';
                            $out.='<a href="'.get_permalink($cat_helper).'" data-color="'.$featured_color.'">';
                            $content = get_post_field('post_content',$custom_query->post->ID);
                            $count = round(str_word_count(strip_tags($content))/200);
                            if ($count==0)
                                $count=1;
                            $out.=$count.' '.$prk_translations['min_read_text'];
                            $out.='</a>';
                            $out.='</div>';
                            $out.='</div>';
                            $out.='<div class="clearfix"></div>';
                            $out.='</div>';
                            $out.='</div>';
                            $out.='</div>';
                        }
                        $i++;
                    endwhile;
                    $out.='</div>';
                    $out.='</div>';
                }
                if ($general_style=="classic") {
                    $out.='<div id="prk_shortcode_latest_posts_'.rand(1, 500).'" class="recentposts_ul_wp row'.$extra_a.'">';
                    $out.='<div id="recent_blog-'.$rand_nbr.'" class="recentposts_ul_shortcode" data-columns='.$cols_number.' data-rows='.$rows_number.'>';
                    while ($custom_query->have_posts()) : $custom_query->the_post();
                        if ($i<$items_number) {
                            $image = wp_get_attachment_image_src( get_post_thumbnail_id(), '' );
                            //$image[0] = get_image_path($image[0]);
                            if (get_field('featured_color')!="" && $prk_pulse_options['use_custom_colors']=="1")
                            {
                                $featured_color=get_field('featured_color');
                                $featured_class=" featured_color";
                            }
                            else
                            {
                                $featured_color="default";
                                $featured_class="";
                            }

                            $out.='<div class="columns small-'.$columnizer.'">';
                            $out.='<div class="blog_entry_li'.$featured_class.'" data-color="'.$featured_color.'">';
                            $out.='<div class="masonry_inner">';
                            if (has_post_thumbnail($custom_query->post->ID)):
                                //GET THE FEATURED IMAGE
                                $image = wp_get_attachment_image_src( get_post_thumbnail_id( $custom_query->post->ID ), '' );
                            else :
                                //THERE'S NO FEATURED IMAGE
                            endif;
                            if (has_post_thumbnail($custom_query->post->ID)) {
                                $out.='<a href="'.get_permalink().'" class="pulse_anchor blog_hover" data-color="'.$featured_color.'">';
                                $out.='<div class="masonr_img_wp">';
                                $out.='<div class="blog_fader_grid centerized_father_blog">';
                                $out.='<div class="pulse_fa-link titled_link_icon body_bk_color"></div>';
                                $out.='</div>';
                                $vt_image = vt_resize( get_post_thumbnail_id( $custom_query->post->ID ), '' , 700, 436, true , $prk_retina_device );//620 is for single row on small screens
                                $out.='<img src="'.$vt_image['url'].'" width="'.$vt_image['width'].'" height="'.$vt_image['height'].'" id="home_fader-'.$custom_query->post->ID.'" class="custom-img grid_image" alt="" />';
                                $out.='</div>';
                                $out.='</a>';
                            }
                            else
                            {
                                //CHECK IF THERE'S A VIDEO TO SHOW
                                if (get_field('video_2')!="")
                                {
                                    $el_class='video-container';
                                    if (strpos(get_field('video_2'),'soundcloud.com') !== false) {
                                        $el_class= 'soundcloud-container';
                                    }
                                    $out.='<div class="'.$el_class.'">';
                                    $out.=str_replace('autoplay=1','autoplay=0',get_field('video_2'));
                                    $out.='</div>';
                                }
                            }
                            $out.='<div class="header_font prk_mini_meta small">';
                            $out.='<div class="entry_title prk_left_floated">';
                            $out.='<h4 class="prk_heavier_600 big">';
                            $out.='<a href="'.get_permalink().'" class="pulse_anchor zero_color prk_break_word" data-color="'.$featured_color.'">';
                            $out.=get_the_title();
                            $out.='</a>';
                            $out.='</h4>';
                            $out.='</div>';
                            $out.='<div class="clearfix"></div>';
                            $out.='<div class="pulse_blog_uppercased prk_heavier_600 pulse_blog_meta prk_75_em small_headings_color '.$prk_pulse_options['main_subheadings_font'].'">';
                            $divide_me=false;
                            if (is_sticky()) {
                                $out.='<div class="prk_left_floated pls_sticky not_zero_color">';
                                $out.=$prk_translations['sticky_text'];
                                $out.='</div>';
                                $divide_me=true;
                            }
                            if ($prk_pulse_options['show_date_blog']=="1") {
                                if ($divide_me==false) {
                                    $divide_me=true;
                                }
                                else {
                                    $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                }

                                $out.='<div class="prk_left_floated">';
                                $out.=get_the_time(get_option('date_format'));
                                $out.='</div>';
                            }
                            if ($prk_pulse_options['postedby_blog']=="1") {
                                if ($divide_me==false) {
                                    $divide_me=true;
                                }
                                else {
                                    $out.='<div class="pir_divider">'.$prk_pulse_options['theme_divider'].'</div>';
                                }
                                $out.='<div class="pulse_anchor prk_left_floated pls_colored_link">';
                                $out.=$prk_translations['posted_by_text'].' <a href="'.get_author_posts_url(get_the_author_meta('ID')).'" class="not_zero_color">'.get_the_author().'</a>';
                                $out.='</div>';
                            }
                            $out.='</div>';
                            $out.='</div>';
                            $out.='<div class="clearfix"></div>';
                            $out.='<div class="on_colored entry_content prk_break_word">';
                            $out.='<div class="wpb_text_column">';
                            $cat_helper=$custom_query->post->ID;
                            $out.=the_excerpt_dynamic(22,$custom_query->post->ID);
                            $out.='<div class="pulse_anchor prk_left_floated">';
                            $out.='<a href="'.get_permalink($cat_helper).'" class="prk_heavier_700 zero_color" data-color="'.$featured_color.'">';
                            $out.=$prk_translations['read_more'].' &rarr;';
                            $out.='</a>';
                            $out.='</div>';
                            $out.='<div class="clearfix"></div>';
                            $out.='</div>';
                            $out.='</div>';
                            $out.='<div class="blog_lower prk_bordered_top prk_heavier_600 header_font prk_75_em small_headings_color pulse_blog_uppercased">';
                            $out.='<div class="small-12">';
                            if ($prk_pulse_options['categoriesby_blog']=="1")
                            {
                                $out.='<div class="prk_left_floated pulse_anchor">';
                                $out.='<div class="prk_left_floated blog_categories">';
                                $arra=get_the_category($custom_query->post->ID);
                                if(!empty($arra)) {
                                    $count_cats=0;
                                    foreach($arra as $s_cat)
                                    {
                                        if ($count_cats>0)
                                            $out.=', ';
                                        $out.='<a href="'.get_category_link( $s_cat->term_id ).'" title="View all posts">'.$s_cat->cat_name.'</a>';
                                        $count_cats++;
                                    }
                                }
                                $out.='</div>';
                                $out.='</div>';
                            }
                            $out.='<div class="prk_right_floated pulse_anchor pls_min_read">';
                            $out.='<a href="'.get_permalink($cat_helper).'" data-color="'.$featured_color.'">';
                            $content = get_post_field('post_content',$custom_query->post->ID);
                            $count = round(str_word_count(strip_tags($content))/200);
                            if ($count==0)
                                $count=1;
                            $out.=$count.' '.$prk_translations['min_read_text'];
                            $out.='</a>';
                            $out.='</div>';
                            $out.='</div>';
                            $out.='<div class="clearfix"></div>';
                            $out.='</div>';
                            $out.='</div>';
                            $out.='</div>';
                            $out.='</div>';
                        }
                        $i++;
                        if ($i%$cols_number==0 && $i<$items_number)
                        {
                            $out.='<div class="clearfix bt_3x"></div>';
                        }
                    endwhile;
                    $out.='</div>';
                    $out.='</div>';
                }
            }
            else
            {
                $out.='<div id="prk_shortcode_latest_posts" class="recentposts_ul_wp small-12">';
                $out.='<div class="shortcode-title">'.$title.'</div>';
                $out.='<div class="simple_line"></div>';
                $out.= '<h2 class="pulse_shortcode_warning">No posts were found!</h2>';
                $out.='</div>';
            }
            wp_reset_query();
            return $out;
        }
    }
    add_shortcode('pirenko_last_posts', 'pirenko_last_posts_shortcode');

    //THEME GALLERY
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function pirenko_gallery_shortcode($atts, $content = null ) {
        global $prk_pulse_options;
        global $prk_retina_device;
        global $prk_translations;

        $atts=shortcode_atts(array(
            'cols_number' => '',
            'type' => '',
            'thumbs_mg' => '',
            'show_titles' => '',
            'images' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        if ($atts['cols_number']!="")
            $cols_number = $atts['cols_number'];
        else
            $cols_number="iso_doubles";
        $items_number="999";
        if ($atts['type']!="")
            $layout_type_folio = $atts['type'];
        else
            $layout_type_folio="masonry";
        if ($atts['thumbs_mg']!="")
            $thumbs_mg = $atts['thumbs_mg'];
        else
            $thumbs_mg="10";
        if ($atts['show_titles']=="no")
            $titles_class = ' no_titles_gallery';
        else
            $titles_class="";
        $arr=explode(",",$atts['images']);
        if (count($arr)>0)
        {
            $rand_nbr=rand(1, 5000);
            $out = '';
            $out.='<div class="small-12 pulse_gallery">';
            $out.='<div id="iso_gallery-'.$rand_nbr.'" class="'.$cols_number.' iso_folio shortcoded per_init pulse_iso_gallery'.$titles_class.'" style="margin-right:-'.$thumbs_mg.'px;" data-margin='.$thumbs_mg.'>';
            $out.='<div class="grid-sizer"></div>';
            foreach ($arr as $single) {
                $magnific_image=$image = wp_get_attachment_image_src( $single,'full' );
                $extra_mfp="";
                $out.='<div class="portfolio_entry_li without_skills" style="padding-right:'.$thumbs_mg.'px;padding-bottom:'.$thumbs_mg.'px;" data-mfp-src="'.$magnific_image[0].'" data-title="'.get_post($single)->post_title.'">';
                $out.='<div class="grid_image_wrapper">';
                $out.='<div class="centerized_father">';
                $out.='<div class="centerized_child">';
                $out.='<div class="grid_single_title zero_color">';
                $out.='<div class="prk_ttl"><h3 class="header_font body_bk_color small">'.get_post($single)->post_title.'</h3></div> ';
                $out.='</div>';
                $out.='</div>';
                $out.='</div>';
                $out.='<div class="grid_colored_block">';
                $out.='</div>';
                $forced_w=480;
                if ($layout_type_folio=="masonry") {
                    $forced_h=0;
                    $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, false , $prk_retina_device );
                }
                else if ($layout_type_folio=="squares")
                {
                    $forced_h=480;
                    $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                }
                else
                {
                    $forced_h=300;
                    $vt_image = vt_resize( '', $image[0] , $forced_w, $forced_h, true , $prk_retina_device );
                }
                $out.='<img src="#" data-src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" class="custom-img grid_image" alt="'.pulse_alt_tag(true,$single).'" data-featured="no" />';
                $out.='</div>';
                $out.='</div>';

            }
            $out.='</div>';
            $out.='</div>';
            $out.='<div class="clearfix"></div>';
        }
        else
        {
            $out.= '<h2 class="pulse_shortcode_warning">No content was found!</h2>';
        }
        wp_reset_query();
        return $out;
    }
    add_shortcode('pirenko_gallery', 'pirenko_gallery_shortcode');

    //LATEST COMMENTS
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function pirenko_comments_shortcode($atts, $content = null ) {

        $atts=shortcode_atts(array(
            'title' => '',
            'items_number' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        if ($atts['title']!="")
            $title=$atts['title'];
        else
            $title="";
        if ($atts['items_number']!="")
            $items_number = $atts['items_number'];
        else
            $items_number="4";
        $temp_str='[decent-comments number="'.$items_number.'" show_avatar="false" max_excerpt_words="80" /]';
        $out = '';
        $out.='<div class="prk_shorts small-12 prk_shortcode_latest_cmts">';
        if ($title!="") {
            $out.='<div class="header_font zero_color"><h3 class="wpb_heading prk_heavier_600 small">'.$title.'</h3></div>';
        };
        $out.=do_shortcode($temp_str);
        $out.='</div>';
        return $out;
    }
    add_shortcode('pirenko_comments', 'pirenko_comments_shortcode');

    //TESTIMONIALS
    if (!function_exists('pirenko_testimonials_shortcode')) {
        /**
         * @param $atts
         * @param null $content
         * @return string
         */
        function pirenko_testimonials_shortcode($atts, $content = null ) {

            $atts=shortcode_atts(array(
                'items_number' => '',
                'category' =>'',
                'align' =>'',
                'autoplay' =>'',
                'delay' => '',
                'css_animation' => '',
                'autoplay' => '',
                'delay' => '5500',
                'show_controls' => '',
                'color' => '',
                'layout' => '',
                'nav_color' => '',
                'size' => '',
                'el_class' => '',
                'layout' => '',
                'align' =>'',
            ), $atts);

            global $prk_retina_device;
            if ($atts['items_number']!="")
                $items_number = $atts['items_number'];
            else
                $items_number="999";
            if ($atts['category']!="")
                $category = $atts['category'];
            else
                $category="";
            if ($atts['align']=="" || $atts['align']=="Center") {
                $atts['align']="pulse_center_align";
            }
            $extra_class=$atts['align'];
            wp_reset_query();
            $args=array(
                'post_type' => 'pirenko_testimonials',
                'showposts' => $items_number,
                'pirenko_testimonial_set' => $category
            );
            $custom_query = new WP_Query( $args );
            if ($atts['autoplay']=="no")
                $autoplay="false";
            else
                $autoplay="true";
            $delay=$atts['delay'];
            if ($atts['show_controls']=="no") {
                $navigation='false';
            }
            else {
                $navigation="true";
                $extra_class.=" with_nav";
            }
            if ($atts['size']=="pulse_smaller") {
                $extra_class.=" pulse_smaller";
            }
            $extra_a="small-12";
            $custom_anim="fade";
            if ($atts['align']=="pulse_center_align") {
                $custom_anim="backSlide";
                $extra_a="small-centered small-11 columns";
            }
            $inline="";
            if ($atts['color']!="") {
                $inline=' style="color:'.$atts['color'].';"';
            }
            if ($atts['css_animation']!="") {
                $extra_a.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
            }
            if ($atts['el_class']!="") {
                $extra_a.=" ".$atts['el_class'];
            }
            if ($atts['nav_color']!="") {
                $extra_a.=$atts['nav_color'];
            }
            if ($atts['layout']=="testimonials_stack") {
                $mainer="testimonials_stack";
            }
            else {
                $mainer="per_init owl-carousel testimonials_slider pls_squared";
            }
            //$id="prk_testimonials_". rand(1, 1000);
            $out='<div class="pulse_tm_wrapper '.$extra_a.'">';
            $out.='<div class="'.$mainer.' '.$extra_class.'" data-autoplay="'.$autoplay.'" data-delay="'.$delay.'" data-pagination="'.$navigation.'" data-anim="'.$custom_anim.'">';
            while ( $custom_query->have_posts() ) : $custom_query->the_post();
                $out.='<div class="item"'.$inline.'>';
                if (has_post_thumbnail(get_the_ID())){
                    $image = wp_get_attachment_image_src( get_post_thumbnail_id(), '' );
                    $vt_image = vt_resize( '', $image[0] , '' , '', false , $prk_retina_device );
                    $out.='<img src="'.$vt_image['url'].'" width="'. $vt_image['width'] .'" height="'. $vt_image['height'] .'" class="testimonial_image" alt="" />';
                }
                $out.='<div class="tm_content">';
                $out.='<h4 class="small">'.get_the_content().'</h4>';
                $out.='<div class="tm_title not_zero_color header_font prk_heavier_600">';
                if (get_field('testimonial_link')!="") {
                    $out.='<a href="'.get_field('testimonial_link').'" target=_blank">'.get_the_title().'</a>';
                }
                else {
                    $out.=get_the_title();
                }
                $out.='</div>';
                if (get_field('testimonial_subheading')!="") {
                    $out.='<div class="tm_subheading">';
                    $out.=get_field('testimonial_subheading');
                    $out.='</div>';
                }
                if (get_field('rating')!="" && get_field('rating')!="none") {
                    $out.='<div class="tm_stars">';
                    for ($count=1;$count<=5;$count++) {
                        if ($count<=get_field('rating'))
                            $out.='<i class="pulse_fa-star not_zero_color"></i>';
                        else
                            $out.='<i class="pulse_fa-star"></i>';
                    }
                    $out.='</div>';
                }
                $out.='</div>';
                $out.='</div>';
            endwhile;
            $out.='</div>';
            $out.='</div>';
            $out.='<div class="clearfix"></div>';
            wp_reset_query();
            return $out;
        }
    }
    add_shortcode('prk_testimonials', 'pirenko_testimonials_shortcode');

    //THEME CONTACT FORM
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_contact_form_shortcode($atts, $content = null ) {
        global $prk_translations;

        $atts=shortcode_atts(array(
            'backs_color' => '',
            'email_adr' => '',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        $extra_a=$inline="";
        if ($atts['backs_color']!="") {
            $inline=' style="background-color:'.$atts['backs_color'].'" data-bk="'.$atts['backs_color'].'"';
        }
        if ($atts['css_animation']!="") {
            $extra_a.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        }
        if ($atts['el_class']!="") {
            $extra_a.=" ".$atts['el_class'];
        }

        $out='<div class="prk_shorts small-12">
        <form action="#" class="pls_contact-form'.$extra_a.'" method="post" data-empty="'.esc_attr($prk_translations['empty_text_error']).'" data-invalid="'.esc_attr($prk_translations['invalid_email_error']).'" data-ok="'.esc_attr($prk_translations['contact_ok_text']).'" data-name="'.get_bloginfo('name').'">
            <div class="row">
	            <div class="small-12 columns">
	                <input type="text" class="pirenko_highlighted" name="ser_name" id="c_name" 
	                placeholder="'.esc_attr($prk_translations['comments_author_text']).esc_attr($prk_translations['required_text']).'"  data-original="'.esc_attr($prk_translations['comments_author_text']).esc_attr($prk_translations['required_text']).'"'.$inline.' />
	            </div>
	            <div class="small-12 columns">
	                    <input type="text" class="pirenko_highlighted" name="ser_email" id="c_email" size="28" placeholder="'.esc_attr($prk_translations['comments_email_text']).esc_attr($prk_translations['required_text']).'"'.$inline.' />
	            </div>
	            <div class="small-12 columns">
	                <textarea class="pirenko_highlighted" name="ser_message" id="c_message" rows="8"
	                placeholder="'.esc_attr($prk_translations['contact_message_text']).'" data-original="'.esc_attr($prk_translations['contact_message_text']).'"'.$inline.'></textarea>
	            </div>
            	<div class="clearfix"></div>
            </div>
        <input type="hidden" id="full_subject" name="full_subject" value="" />
        <input type="hidden" name="rec_email" value="'.antispambot($atts['email_adr']).'" />
        <div id="contact_ok" class="prk_heavier_600 zero_color header_font">'.$prk_translations['contact_wait_text'].'</div>
        <input type="hidden" name="c_submitted" id="c_submitted" value="true" />
        <div class="clearfix"></div>
        <div id="submit_message_div" class="colored_theme_button small">
        <div>
            <a href="#">'.$prk_translations['contact_submit'].'</a>
        </div>
        </div></form></div><div class="clearfix"></div>';
        return $out;
    }
    add_shortcode('prk_contact_form', 'prk_contact_form_shortcode');

    //THEME VCARD
    if (!function_exists('prk_vcard_shortcode')) {
        /**
         * @param $atts
         * @param null $content
         * @return string
         */
        function prk_vcard_shortcode($atts, $content = null ) {

            $atts=shortcode_atts(array(
                'text_color' => '',
                'image_path' =>'',
                'company_name' =>'',
                'street_address' =>'',
                'locality' => '',
                'postal_code' => '',
                'email' => '',
                'tel' => '',
                'fax' => '',
                'hours' => '',
            ), $atts);

            $extra_class=$inline="";
            if ($atts['text_color']!="") {
                $inline=' style="color:'.$atts['text_color'].'"';
                $extra_class=" forced_color";
            }
            $out='<div class="pulse_vcard header_font prk_9_em prk_heavier_600 shortcoded'.$extra_class.'"'.$inline.'>';
            if ($atts['image_path']!="")
            {
                $in_image=wp_get_attachment_image_src( $atts['image_path'],'');
                $out.='<img src="'.$in_image[0].'" alt="" class="pulse_vcard_logo" />';

            }
            if (isset($content) && $content!="" && strlen($content)>8) {
                $out.='<div class="small-12 pulse_vcard_description"><div class="wpb_text_column">'.$content.'</div></div>';
            }
            $out.='<div class="adr small-12 zero_color">';
            if ($atts['company_name']!="")
            {
                $out.='<div class="pulse_company_name zero_color prk_heavier_700"'.$inline.'>'.$atts['company_name'].'</div>';
            }
            $flaga=false;
            if ($atts['street_address']!="")
            {
                $out.='<div class="wpb_text_column"'.$inline.'>'.$atts['street_address'].'</div>';
                $flaga=true;
            }
            if ($atts['locality']!="")
            {
                $out.='<div class="wpb_text_column"'.$inline.'>'.$atts['locality'].'</div>';
                $flaga=true;
            }
            if ($atts['postal_code']!="")
            {
                $out.='<div class="wpb_text_column"'.$inline.'>'.$atts['postal_code'].'</div>';
                $flaga=true;
            }
            $out.='<div class="wpb_text_column"></div>';
            $out.='</div>';
            if ($flaga==true) {
                $out.='<div class="clearfix bt_1x"></div>';
                $out.='<div class="simple_line thick"></div>';
            }
            if (isset($atts['email']) && $atts['email']!="") {
                $pieces = explode(" - ", $atts['email']);
                foreach ($pieces as $piece) {
                    $out.='<div class="pulse_vcard_block small-12">';
                    $out.='<div class="pulse_after_vcard_icon"><div class="wpb_text_column">';
                    $out.='<a class="not_zero_color" href="mailto:'.antispambot($piece).'"'.$inline.'>'.antispambot($piece).'</a>';
                    $out.='</div></div>';
                    $out.='</div>';
                }
            }
            if (isset($atts['tel']) && $atts['tel']!="") {
                $out.='<div class="pulse_vcard_block small-12">';
                $out.='<div class="wpb_text_column zero_color"'.$inline.'>';
                $out.=$atts['tel'];
                $out.='</div>';
                $out.='</div>';
            }
            if (isset($atts['fax']) && $atts['fax']!="")
            {
                $out.='<div class="pulse_vcard_block small-12">';
                $out.='<div class="wpb_text_column zero_color"'.$inline.'>';
                $out.=$atts['fax'];
                $out.='</div>';
                $out.='</div>';
            }
            if (isset($atts['hours']) && $atts['hours']!="")
            {
                $out.='<div class="pulse_vcard_block small-12">';
                $out.='<div class="pulse_after_vcard_icon zero_color"'.$inline.'><div class="wpb_text_column">';
                $out.=$atts['hours'];
                $out.='</div></div>';
                $out.='</div>';
            }
            $out.='<div class="clearfix"></div>';
            $out.='</div>';
            return $out;
        }
    }
    add_shortcode('pirenko_contact_info', 'prk_vcard_shortcode');

    //TIMELINE
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_timeline_shortcode($atts, $content = null ) {

        $atts=shortcode_atts(array(
            'text_color' => '',
            'values' => '2000|Started working at company A,2010|Started working at company B,2015|Started working at company C',
            'custom_css' => '',
            'css_animation' => '',
            'el_class' => '',
            'hide_with_css' => '',
        ), $atts);

        $inline=$inline_bk="";
        if ($atts['text_color']!="") {
            $inline=' style="color:'.$atts['text_color'].'"';
            $inline_bk=' style="background-color:'.$atts['text_color'].'"';
        }
        $out='<div class="prk_timeline"><ul class="unstyled">';
        $timelines = explode( ",", $atts['values']);
        foreach ( $timelines as $timeline ) {

            $data = explode( "|", $timeline );
            $out.='<li'.$inline.'>';
            $out.='<div class="pls_tmmarker"'.$inline_bk.'></div>';
            $out.='<div class="pls_tmheader header_font">'.$data[0].'</div>';
            $out.='<div class="pls_tmdesc header_font">'.$data[1].'</div>';
            $out.='</li>';
        }
        $out.='</ul><div class="clearfix"></div></div>';
        return $out;
    }
    add_shortcode('prk_timeline', 'prk_timeline_shortcode');

    //INFORMATIONAL BOARD
    /**
     * @param $atts
     * @param null $content
     * @return string
     */
    function prk_board_shortcode($atts, $content = null ) {
        $atts = shortcode_atts(array(
            'values' => 'First entry column A|First entry column B|First entry column C,Second entry column A|Second entry column B|Second entry column C',
            'cols_width' => '20%|50%|30%',
            'board_header' => 'Title|Description|Date',
            'link_text' => 'Link text',
            'css_animation' => '',
            'el_class' => ''
        ), $atts);
        $main_classes="";
        if ($atts['css_animation']!="")
            $main_classes.=" wpb_animate_when_almost_visible wpb_".$atts['css_animation'];
        if ($atts['el_class']!="")
            $main_classes.=" ".$atts['el_class'];
        $counter=0;
        $columns = explode( ",", $atts['cols_width']);
        $cols_width = explode( "|", $columns[0]);
        $headings=explode( ",", $atts['board_header']);
        $headings_text=explode( "|", $headings[0]);
        $out='<div class="pls_info_board'.$main_classes.'"><ul class="unstyled"><li class="pls_board_heading header_font prk_heavier_700 zero_color">';
        foreach ($cols_width as $col_width ) {
            $out.='<span style="width:'.$col_width.';">'.$headings_text[$counter].'</span>';
            $counter++;
        }
        $out.='</li>';
        $board_lines = explode( ",", $atts['values']);
        foreach ( $board_lines as $board_line ) {
            $data = explode( "|", $board_line );
            $out.='<li class="pls_board_entry prk_bordered_top prk_9_em">';
            $counter=0;
            foreach ($cols_width as $col_width ) {
                if(filter_var($data[$counter], FILTER_VALIDATE_URL)){
                    $data[$counter]='<a href="'.$data[$counter].'" class="zero_color pulse_italic prk_heavier_600">'.$atts['link_text'].'</a>';
                }
                $out.='<span style="width:'.$col_width.';">'.$data[$counter].'</span>';
                $counter++;
            }
            $out.='</li>';
        }
        $out.='<li class="clearfix"></li>';
        $out.='</ul><div class="clearfix"></div></div>';
        return $out;
    }
    add_shortcode('prk_board', 'prk_board_shortcode');
}