<?php
global $prk_pulse_options;
global $prk_translations;
global $post;
function pulse_comment($comment, $args, $depth) {
    global $prk_pulse_options;
    global $prk_translations;
    $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?>>
    <div id="comment-<?php comment_ID(); ?>" class="clearfix single_comment">
        <header class="comment-author vcard">
            <?php echo pulse_output().get_avatar($comment, $size = '120'); ?>
        </header>
        <div class="comment_floated">
            <div class="comments_meta_wrapper header_font">
                <?php printf(__('<div class="zero_color author_name small-12 prk_heavier_700">%s</div>', 'pulse'), get_comment_author_link()); ?>
                <time datetime="<?php echo comment_date('c'); ?>" class="comment_date prk_left_floated small_headings_color prk_heavier_500">
                    <?php
                    echo pulse_output().get_comment_date()." @ ".get_comment_time();
                    ?>
                </time>
                <div class="pir_divider_cmts prk_left_floated small_headings_color"><?php echo esc_attr($prk_pulse_options['theme_divider']); ?></div>
                <div class="prk_left_floated not_zero_color prk_heavier_600">
                    <?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth'], 'reply_text' => $prk_translations['reply_text']))); ?>
                </div>
            </div>
            <?php if ($comment->comment_approved == '0') { ?>
                <div class="alert alert-block fade in">
                    <a class="close" data-dismiss="alert">&times;</a>
                    <p><?php _e('Your comment is awaiting moderation.', 'pulse'); ?></p>
                </div>
            <?php } ?>
            <div class="comment comment_text prk_left_floated">
                <?php comment_text() ?>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
    <?php
}
if (post_password_required())
{
    ?>
    <div id="comments">
        <div class="alert alert-block fade in">
            <a class="close" data-dismiss="alert">&times;</a>
            <p><?php _e('This post is password protected. Enter the password to view comments.', 'pulse'); ?></p>
        </div>
    </div>
    <?php
    return;
}
if (have_comments()) {
    $num_comments = get_comments_number();
    ?>
    <div id="comments">
        <div class="simple_line"></div>
        <div id="comments_inner">
            <div class="pulse_centered_text header_font">
                <h3 class="zero_color prk_heavier_600 small">
                    <?php
                    if ($num_comments==1) {
                        echo pulse_output().$prk_translations['comments_one_response'];
                    }
                    else {
                        echo pulse_output().$num_comments.' '.$prk_translations['comments_oneplus_response'];
                    }
                    ?>
                </h3>
                <div class="small_headings_color prk_9_em">
                    <?php echo esc_attr($prk_translations['on_text'])." ".get_the_title()."."; ?>
                </div>
            </div>
            <ol class="commentlist">
                <?php wp_list_comments(array('callback' => 'pulse_comment')); ?>
            </ol>
            <?php if (get_comment_pages_count() > 1 && get_option('page_comments')) { // are there comments to navigate through ?>
                <nav id="comments-nav" class="pager">
                    <div class="previous"><?php previous_comments_link(__('&larr; Older comments', 'pulse')); ?></div>
                    <div class="next"><?php next_comments_link(__('Newer comments &rarr;', 'pulse')); ?></div>
                </nav>
                <?php
            }
            ?>
        </div>
        <div class="clearfix"></div>
    </div>
    <?php
}
if (comments_open()) {
    ?>
    <div class="simple_line"></div>
    <div id="respond">
    <div id="prk_respond_header" class="pulse_centered_text header_font">
        <h3 class="zero_color prk_heavier_600 small">
            <?php comment_form_title(($prk_translations['comments_leave_reply']), ($prk_translations['comments_leave_reply'].' to %s')); ?>
        </h3>
        <?php
        if ($prk_translations['comments_under_reply']!="") {
            ?>
            <div class="small_headings_color prk_9_em">
                <?php echo esc_attr($prk_translations['comments_under_reply']); ?>
            </div>
            <?php
        }
        ?>
    </div>
    <p class="cancel-comment-reply not_zero_color"><?php cancel_comment_reply_link(('Click here to cancel reply')); ?></p>
    <?php
    if (get_option('comment_registration') && !is_user_logged_in())
    {
        ?>
        <p class="pulse_login_information prk_9_em"><?php printf(('You must be <a href="%s">logged in</a> to post a comment.'), wp_login_url(get_permalink())); ?></p>
        <?php
    }
    else
    {
        $pulse_theme_req=get_option( 'require_name_email' );
        $pulse_theme_aria_req=( $pulse_theme_req ? " aria-required='true'" : '' );
        $pulse_theme_place_req=( $pulse_theme_req ? $prk_translations['required_text'] : '' );
        $consent  = empty( $commenter['comment_author_email'] ) ? '' : ' checked="checked"';
        $fields= array(
            'author' =>
                '<div class="row"><div class="small-4 columns">
                                    <input type="text" class="text pirenko_highlighted" name="author" id="author" size="22" tabindex="1"'.esc_attr($pulse_theme_aria_req).' placeholder="'.esc_attr($prk_translations['comments_author_text']).esc_attr($pulse_theme_place_req).'" />
							  	</div>',

            'email' =>
                '<div class="small-4 columns">
                                    <input type="email" class="text pirenko_highlighted" name="email" id="email" size="22" tabindex="2"'.esc_attr($pulse_theme_aria_req).' placeholder="'.esc_attr($prk_translations['comments_email_text']).esc_attr($pulse_theme_place_req).'"  />
                                </div>',

            'url' =>
                '<div class="small-4 columns">
                                    <input type="url" class="text pirenko_highlighted" name="url" id="url" size="22" tabindex="3"'.esc_attr($pulse_theme_aria_req).' placeholder="'.esc_attr($prk_translations['comments_url_text']).esc_attr($pulse_theme_place_req).'" />
                                </div>
                                </div>',
            'cookies' => '<p class="comment-form-cookies-consent"><input id="wp-comment-cookies-consent" name="wp-comment-cookies-consent" type="checkbox" value="yes"' . $consent . ' />' .
                '<label for="wp-comment-cookies-consent">' . __( 'Save my name, email, and website in this browser for the next time I comment.','pulse' ) . '</label></p>',
        );
        $args_form=array(
            'id_form'           => 'commentform',
            'class_form'      	=> 'comment-form prk_theme_form',
            'id_submit'         => 'submit_comment_div',
            'class_submit'      => 'theme_button_inverted',
            'name_submit'       => 'submit',
            'title_reply'       => '',
            'title_reply_to'    => esc_html__( 'Leave a Reply to %s', 'pulse' ),
            'cancel_reply_link' => esc_html__( 'Cancel Reply', 'pulse' ),
            'title_reply_before'	=> '<div id="reply-title" class="comment-reply-title">',
            'title_reply_after'	=> '</div>',
            'label_submit'      => $prk_translations['comments_submit'],
            'format'            => 'xhtml',
            'submit_button' => '<div id="contact_ok" class="prk_heavier_600 zero_color header_font">'.$prk_translations['contact_wait_text'].'</div>
        <div class="clearfix"></div>
        <div id="submit_comment_div" class="colored_theme_button">
            <a href="#">'.$prk_translations['comments_submit'].'
            </a>
        </div>
        <div class="clearfix"></div>',
            'comment_field' =>  	'<textarea name="comment" id="comment" class="small-12 pirenko_highlighted" tabindex="4"
                        placeholder="'.$prk_translations['comments_comment_text'].'"></textarea><div class="clearfix"></div>',
            'must_log_in' => '<p class="must-log-in">' .
                sprintf(
                    wp_kses( __('You must be <a href="%s">logged in</a> to post a comment.', 'pulse'),array('a' => array('href'=>array())) ),
                    wp_login_url( apply_filters( 'the_permalink', get_permalink() ) )
                ) . '</p>',
            'logged_in_as' => '<p class="logged-in-as pulse_login_information prk_9_em">' .
                sprintf(
                    wp_kses( __('Logged in as <a href="%1$s" class="not_zero_color">%2$s</a>. <a href="%3$s" title="Log out of this account" class="not_zero_color">Log out?</a>', 'pulse'),array('a' => array('href'=>array())) ),
                    admin_url( 'profile.php' ),
                    $user_identity,
                    wp_logout_url( apply_filters( 'the_permalink', get_permalink( ) ) )
                ) . '</p>',
            'comment_notes_before' => '',
            'comment_notes_after' => '',
            'fields' => apply_filters( 'comment_form_default_fields', $fields ),
        );
        comment_form($args_form);
    }
    ?>
    </div>
    <div class="clearfix"></div>
    <script type="text/javascript">
        jQuery(document).ready(function() {
            var wordpress_directory = '<?php echo esc_url(get_option('siteurl')); ?>';
            var empty_text_error = '<?php echo esc_attr($prk_translations['empty_text_error']); ?>';
            var invalid_email_error = '<?php echo esc_attr($prk_translations['invalid_email_error']); ?>';
            var comment_ok_message = '<?php echo esc_attr($prk_translations['comment_ok_message']); ?>';
            var already_submitted_comment=false;
            jQuery('#submit_comment_div a').click(function(e) {
                e.preventDefault();
                //REMOVE PREVIOUS ERROR MESSAGES IF THEY EXIST
                jQuery("#respond .contact_error").remove();
                error = false;
                emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
                if (already_submitted_comment===false) {
                    //DATA VALIDATION
                    jQuery('#commentform textarea, #author, #email').each(function() {
                        value = jQuery(this).val();
                        theID = jQuery(this).attr('id');
                        if(value == '' || value===jQuery(this).attr('data-original')) {
                            jQuery(this).after('<p class="contact_error pulse_italic prk_heavier_600 header_font">'+empty_text_error+'</p>');
                            error = true;
                        }
                        if(theID === 'email' && value !=='' && value!==jQuery(this).attr('data-original') && !emailReg.test(value)) {
                            jQuery(this).after('<p class="contact_error pulse_italic prk_heavier_600 header_font">'+invalid_email_error+'</p>');
                            error = true;
                        }
                        jQuery('.contact_error').addClass('pulse_animated shake');
                    });
                    //SEND COMMENT IF THERE ARE NO ERRORS
                    if(error === false) {
                        jQuery("#submit_comment_div").addClass("pulse_animated bounceOut");
                        setTimeout(function() {
                            jQuery('#contact_ok').addClass('pulse_animated flash');
                            //POST COMMENT
                            jQuery.ajax({
                                type: "POST",
                                url: wordpress_directory+"/wp-comments-post.php",
                                data: jQuery("#commentform").serialize(),
                                success: function(resp) {
                                    jQuery('#contact_ok').html('');
                                    jQuery('#contact_ok').append(comment_ok_message);
                                    jQuery("#contact_ok").css({'display':'inline-block'});
                                    already_submitted_comment=true;
                                },
                                error: function(e) {
                                    jQuery('#contact_ok').html('');
                                    jQuery('#contact_ok').append('<p class="comment_error">Comment error. Please try again!</p>');
                                    jQuery("#contact_ok").css({'display':'inline-block'});
                                }
                            });
                        },1200);
                    }
                }
            });
        });
    </script>
<?php
}
?>