<?php
include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
//WORDPRESS BACKWARDS COMPATIBILITY
if (!function_exists('get_parent_theme_file_path')) {
    function get_parent_theme_file_path( $file = '' ) {
        $file = ltrim( $file, '/' );

        if ( empty( $file ) ) {
            $path = get_template_directory();
        } else {
            $path = get_template_directory() . '/' . $file;
        }

        /**
         * Filters the path to a file in the parent theme.
         *
         * @since 4.7.0
         *
         * @param string $path The file path.
         * @param string $file The requested file to search for.
         */
        return apply_filters( 'parent_theme_file_path', $path, $file );
    }
}

//ADD CUSTOM SCRIPTS FOR THE BACKEND
function pulse_admin_scripts() {
    wp_register_style( 'prk_admin_css', get_template_directory_uri() . '/css/admin.css',false,PULSE_VERSION );
    wp_enqueue_style('prk_admin_css');
    wp_register_script('prk_admin_js',  get_template_directory_uri(). '/js/admin-min.js', array('jquery', 'jquery-ui-core'), PULSE_VERSION, TRUE);
    wp_enqueue_script('prk_admin_js');
}
if (!function_exists('pulse_output')) {
    function pulse_output() {
        return;
    }
}

include_once get_parent_theme_file_path().'/inc/config.php'; // Configuration and constants
include_once get_parent_theme_file_path().'/inc/cleanup.php'; // Cleanup
include_once get_parent_theme_file_path().'/inc/css.php'; // CSS from theme options
include_once get_parent_theme_file_path().'/inc/dashboard.php'; // Theme Dashboard
include_once get_parent_theme_file_path().'/inc/option-defaults.php'; // Various functions
include_once get_parent_theme_file_path().'/inc/helper.php'; // Various functions
include_once get_parent_theme_file_path().'/inc/modules/vt_resize.php'; //Image Resize Script
include_once get_parent_theme_file_path().'/inc/widgets.php'; // Sidebars and widgets
include_once get_parent_theme_file_path().'/inc/modules/sweet-custom-menu/sweet-custom-menu.php'; // Menu Walker
include_once get_parent_theme_file_path().'/inc/gutenberg.php'; // Gutenberg compatibility

include_once get_parent_theme_file_path().'/inc/modules/ambrosite/ambrosite.php';//Adjacent links

add_action('wp_enqueue_scripts', 'pulse_scripts', 100);
add_action('admin_enqueue_scripts', 'pulse_admin_scripts');
add_action('after_setup_theme', 'pulse_setup');
add_action('wp_footer','jquery_sender');

//ENABLE SHORTCODES ON SIDEBARS
add_filter('widget_text', 'do_shortcode');

//SEND EMAIL FUNCTION
add_action('wp_ajax_mail_before_submit', 'prk_mail_before_submit');
add_action('wp_ajax_nopriv_mail_before_submit', 'prk_mail_before_submit');

//WOOCOMMERCE STUFF
if (PRK_WOO=="true") {
    add_theme_support('woocommerce');
    add_theme_support( 'wc-product-gallery-zoom' );
    add_theme_support( 'wc-product-gallery-lightbox' );
    add_theme_support( 'wc-product-gallery-slider' );

    add_filter( 'get_product_search_form' , 'woo_custom_product_searchform' );

    /**
     * woo_custom_product_searchform
     *
     * @access      public
     * @since       1.0
     * @return      void
     */
    function woo_custom_product_searchform( $form ) {

        $form = '<form method="get" id="searchform" action="'.esc_url(home_url('/')).'">
            <div>
                <label class="screen-reader-text" for="s">'.__( 'Search for:', 'pulse' ).'</label>
                <input class="search-field" type="text" value="'. get_search_query().'" name="s" id="s" placeholder="'. __( 'Search for products', 'pulse' ).'" />
                <input type="submit" id="searchsubmit" value="" />
                <i class="pulse_fa-search site_background_colored"></i>
                <input type="hidden" name="post_type" value="product" />
            </div>
        </form>';

        return $form;

    }
}

//BETTER LOADER FOR CF7
add_filter('wpcf7_ajax_loader', 'my_wpcf7_ajax_loader');
function my_wpcf7_ajax_loader () {
    return  get_template_directory_uri() . '/images/ajax-loader.gif';
}
//BETTER QTRANSLATE SUPPORT
if (function_exists('qtranxf_init_language') || function_exists('qtrans_init')) {
    function qtranslate_edit_taxonomies(){
        $args=array(
            'public' => true ,
            '_builtin' => false
        );
        $output = 'object'; // or objects
        $operator = 'and'; // 'and' or 'or'

        $taxonomies = get_taxonomies($args,$output,$operator);

        if  ($taxonomies) {
            foreach ($taxonomies  as $taxonomy ) {
                add_action( $taxonomy->name.'_add_form', 'qtrans_modifyTermFormFor');
                add_action( $taxonomy->name.'_edit_form', 'qtrans_modifyTermFormFor');

            }
        }
    }
    add_action('admin_init', 'qtranslate_edit_taxonomies');
}

//JETPACK RETINA SCRIPT REMOVE
function dequeue_devicepx() {
    wp_dequeue_script( 'devicepx' );
}
add_action('wp_enqueue_scripts', 'dequeue_devicepx', 20);

//WPBAKERY PAGE BUILDER STUFF
if (PRK_PULSE_COMPOSER) {

    add_filter('wpb_widget_title', 'override_widget_title', 10, 2);
    function override_widget_title($output = '', $params = array('')) {
        $extraclass = (isset($params['extraclass'])) ? " ".$params['extraclass'] : "";
        echo '<div class="header_font zero_color"><h3 class="wpb_heading prk_heavier_600 small'.$extraclass.'">'.$params['title'].'</h3></div>';
    }

    if (!function_exists('pulse_integrateWithVC')) {
        function pulse_integrateWithVC() {
            return;
        }
    }
    add_action( 'vc_before_init', 'pulse_integrateWithVC' );
}

add_action ('wp_loaded', 'pulse_custom_redirect');
function pulse_custom_redirect() {
    if (isset($_GET["prk_act_activate"]) && strlen($_GET["prk_act_activate"])==36) {
        update_option('pulse_prk_one', $_GET["prk_act_activate"]);
        if ($_GET["page"]=='pulse-install-required-plugins') {
            wp_redirect(admin_url('themes.php?page=pulse-admin-settings.php'));
        }
        else {
            wp_redirect(admin_url('themes.php?page=theme_activation_options'));
        }
        exit;
    }
}

if (!function_exists('pulse_validate_key')) {
    function pulse_validate_key() {
        if (get_option('pulse_prk_one')=="") {
            add_option( 'pulse_prk_one', 'off', '', 'yes' );
        }
        if (get_option('pulse_prk_one')=='off') {
            return false;
        }
        else {
            return true;
        }
    }
}
if (!function_exists('pulse_output_keyform')) {
    function pulse_output_keyform() {
        $pulse_theme=wp_get_theme();
        ?>
        <form id="pirenko_verify_form" class="themed" method="post" data-path="<?php echo get_home_url(); ?>" data-admin="<?php echo admin_url('themes.php?page=pulse-install-required-plugins&prk_act_activate='); ?>" data-theme="<?php echo PULSE_THEME_ID; ?>">
            <div class="pirenko_verify_purchase">
                <div class="spinner"></div>
                <input id="pirenko_purchase_key" type="text" name="pirenko_purchase_key" value="" /><br />
                <input type="submit" value="<?php echo esc_attr__( 'Validate Purchase Code', 'pulse'); ?>" class="button button-primary button-large" />
            </div>
            <div id="pirenko_verify_form-output">
                <p>You can purchase a <?php echo esc_attr($pulse_theme->get('Name').' - '.$pulse_theme->get('Description')); ?> license <a href="https://themeforest.net/cart/configure_before_adding/<?php echo PULSE_THEME_ID; ?>?license=regular&ref=Pirenko&size=source&support=bundle_6month" target="_blank">here</a>.</p>
            </div>
        </form>
        <?php
    }
}

//REDIRECT TO LICENSE ACTIVATION PAGE AFTER THE THEME IS ACTIVATED
add_action('after_switch_theme', 'pulse_welcome_page');
function pulse_welcome_page () {
    if (!pulse_validate_key()) {
        wp_redirect(admin_url('themes.php?page=pulse-admin-settings.php'));
    }
}

if (!pulse_validate_key()) {
    add_action('admin_menu', 'pulse_temp_menu');
    function pulse_temp_menu() {
        add_theme_page('Install Plugins Page', 'Install Plugins', 'edit_theme_options', 'pulse-install-required-plugins', 'pulse_license_function');
    }
    function pulse_license_function() {
        $pulse_theme=wp_get_theme();
        ?>
        <div class="wrap"></div>
        <div class="prk_wrap">
            <div id="lic_wrapper" class="left_floated">
                <div id="lic_left_column" class="left_floated"></div>
                <div id="lic_right_column" class="left_floated">
                    <h2 class="pirenko_import_title"><?php echo esc_attr($pulse_theme->get('Name').' '.__('Theme - Install Bundled Plugins', 'pulse')); ?></h2>
                    <em>To acess this feature you need to enter the theme Purchase Code.</em>
                    <?php
                    $output_footer=false;
                    if (isset($_GET["prk_act_activate"])) {
                        echo '<div id="prk_activate_message">';
                        echo '</div>';
                    }
                    else {
                        pulse_output_keyform();
                        $output_footer=true;
                    }
                    ?>
                </div>
            </div>
            <div class="clear"></div>
            <?php
            if ($output_footer==true) {
                ?>
                <div class="clear bt_48"></div>
                <em>If you already have a license, please head to <a href="http://bit.ly/view_pirenko" target="_blank">themeforest.net</a> and here's how to get it in 3 easy steps:</em>
                <div class="clear bt_6"></div>
                <img id="prk_license_img" src="<?php echo get_template_directory_uri(); ?>/images/license.jpg" />
                <?php
            }
            ?>
        </div>
        <?php
    }
}
else {

    /**
     * Include the TGM_Plugin_Activation class.
     */
    require_once get_template_directory().'/inc/modules/tgm-plugin-activation/class-tgm-plugin-activation.php';

    add_action( 'tgmpa_register', 'my_theme_register_required_plugins' );
    if (!function_exists('my_theme_register_required_plugins')) {
        /* Register the required plugins for this theme. */
        function my_theme_register_required_plugins() {

            $plugins = array(
                array(
                    'name'                  => esc_html__('Pulse Framework','pulse'),
                    'slug'                  => 'pulse_framework',
                    'source'                => 'http://www.pirenko.com/theme_plugins/pulse/pulse_framework.php?prk_version=47&prk_key='.trim(get_option('pulse_prk_one')).'&prk_domain='.get_home_url().'&prk_theme_id='.PULSE_THEME_ID,
                    'required'              => true, // If false, the plugin is only 'recommended' instead of required
                    'version'               => '4.7', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                    'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                    'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                    'external_url'          => '', // If set, overrides default API URL and points to an external URL
                ),
                array(
                    'name'                  => esc_html__('One Click Demo Import','pulse'),
                    'slug'                  => 'one-click-demo-import',
                    'required'              => true,
                    'version'               => '2.5.2',
                    'force_activation'      => false,
                    'force_deactivation'    => false,
                    'external_url'          => 'https://wordpress.org/plugins/one-click-demo-import/',
                ),
                array(
                    'name'                  => esc_html__('WPBakery Page Builder','pulse'),
                    'slug'                  => 'js_composer',
                    'source'                => 'http://www.pirenko.com/theme_plugins/js_composer/js_composer.php?prk_version=610&prk_key='.trim(get_option('pulse_prk_one')).'&prk_domain='.get_home_url().'&prk_theme_id='.PULSE_THEME_ID,
                    'required'              => true, // If false, the plugin is only 'recommended' instead of required
                    'version'               => '6.1.0', // E.g. 1.0.0. If set, the active plugin must be this version or higher, otherwise a notice is presented
                    'force_activation'      => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch
                    'force_deactivation'    => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins
                    'external_url'          => '', // If set, overrides default API URL and points to an external URL
                ),
                array(
                    'name'                  => esc_html__('Envato Market','pulse'),
                    'slug'                  => 'envato-market',
                    'source'                => get_template_directory() . '/external_plugins/envato-market.zip',
                    'required'              => false,
                    'version'               => '2.0.3',
                    'force_activation'      => false,
                    'force_deactivation'    => false,
                    'external_url'          => '',
                ),
            );
            $config = array(
                'domain'            => 'pulse',            // Text domain - likely want to be the same as your theme.
                'default_path'      => '',                          // Default absolute path to pre-packaged plugins
                'menu'              => 'install-required-plugins',  // Menu slug
                'has_notices'       => true,                        // Show admin notices or not
                'is_automatic'      => true,                        // Automatically activate plugins after installation or not
                'message'           => '',                         // Message to output right before the plugins table
                'strings'           => array(
                    'page_title'                                => __( 'Install Required Plugins','pulse'),
                    'menu_title'                                => __( 'Install Plugins','pulse'),
                    'installing'                                => __( 'Installing Plugin: %s','pulse'),
                    'oops'                                      => __( 'Something went wrong with the plugin API.','pulse'),
                    'notice_can_install_required'               => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.' , 'pulse'),
                    'notice_can_install_recommended'            => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'pulse' ),
                    'notice_cannot_install'                     => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' , 'pulse'),
                    'notice_can_activate_required'              => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'pulse' ),
                    'notice_can_activate_recommended'           => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'pulse' ),
                    'notice_cannot_activate'                    => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.' , 'pulse'),
                    'notice_ask_to_update'                      => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'pulse' ),
                    'notice_cannot_update'                      => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.' , 'pulse'),
                    'install_link'                              => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'pulse' ),
                    'activate_link'                             => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'pulse' ),
                    'return'                                    => __( 'Return to Required Plugins Installer','pulse'),
                    'plugin_activated'                          => __( 'Plugin activated successfully.','pulse'),
                    'complete'                                  => __( 'All plugins installed and activated successfully. %s','pulse'),
                    'nag_type'                                  => 'updated'
                )
            );
            tgmpa( $plugins, $config );
        }
    }
}
?>