<?php
//EDIT THE THEME NAME HERE IF NEEDED
define('PRK_THEME_NAME', 'Pulse');
//NO MORE EDITING PLEASE

// returns WordPress subdirectory if applicable
function wp_base_dir() {
    preg_match('!(https?://[^/|"]+)([^"]+)?!', site_url(), $matches);
    if (count($matches) === 3) {
        return end($matches);
    } else {
        return '';
    }
}

// opposite of built in WP functions for trailing slashes
function leadingslashit($string) {
    return '/' . unleadingslashit($string);
}

function unleadingslashit($string) {
    return ltrim($string, '/');
}

function add_filters($tags, $function) {
    foreach($tags as $tag) {
        add_filter($tag, $function);
    }
}

// Set the content width based on the theme's design and stylesheet
if (!isset($content_width)) { $content_width = 1920; }

define('POST_EXCERPT_LENGTH',       40);
define('SIDEBAR_CLASSES',           'small-3 columns');
define('WP_BASE',                   wp_base_dir());
define('THEME_NAME',                wp_get_theme());
define('RELATIVE_PLUGIN_PATH',      str_replace(site_url() . '/', '', plugins_url()));
define('FULL_RELATIVE_PLUGIN_PATH', WP_BASE . '/' . RELATIVE_PLUGIN_PATH);
define('RELATIVE_CONTENT_PATH',     str_replace(site_url() . '/', '', content_url()));
define('THEME_PATH',                RELATIVE_CONTENT_PATH . '/themes/' . THEME_NAME);
define('PRK_BACKEND_THEME_NAME',		'pulse');
define('ACF_LITE',false);
define('PULSE_THEME_ID','12407534');


include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

if (function_exists('wp_get_theme')) {
    $prk_theme=wp_get_theme(get_template());
    define('PULSE_VERSION',$prk_theme->Version);
}
else {
    define('PULSE_VERSION',1);
}

if ( function_exists('pulse_vc_scripts') ) {
    define('PRK_PULSE_FRAMEWORK',true);
}
else {
    define('PRK_PULSE_FRAMEWORK',false);
}
if ( class_exists( 'Vc_Manager' ) ) {
    define('PRK_PULSE_COMPOSER',true);
}
else {
    define('PRK_PULSE_COMPOSER',false);
}
if ( class_exists( 'woocommerce' ) ) {
    define('PRK_WOO',true);
}
else {
    define('PRK_WOO',false);
}
if(class_exists('RevSliderFront')) {
    define('PRK_RVSLIDER',true);
}
else {
    define('PRK_RVSLIDER',false);
}
if ( function_exists('icl_object_id') ) {
    define('PRK_WPML',true);
}
else {
    define('PRK_WPML',false);
}


//SHOW PLUGIN REQUIRES UPDATE MESSAGE
if (is_admin()) {
    if (get_option('pulse_last_version')=="") {
        add_option('pulse_last_version', PULSE_VERSION, '', 'yes');
    }
    if (get_option('pulse_last_version')!=PULSE_VERSION) {
        update_option('pulse_last_version', PULSE_VERSION);
        delete_user_meta( get_current_user_id(), 'tgmpa_dismissed_notice_pulse' );
    }
}

//WOO TWEAKS

/*
 * wp-content/themes/pulse/woocommerce/single-product/product-image.php
 * wp-content/themes/pulse/woocommerce/single-product/product-thumbnails.php
 * NOT EDITED - JUST KEPT TO MAKE SURE THAT THEY ARE REPLACED
 *
 *
 */