<?php
function pulse_scripts() {
    $prk_pulse_options=pulse_options();
    $prk_select_font_options=pulse_fonts();
    global $prk_retina_device;



    //WOOCOMMERCE STUFF
    if (PRK_WOO=="true") {
        if (isset($prk_pulse_options['woo_cart_display']) && $prk_pulse_options['woo_cart_display']=="1") {
            add_filter( 'wp_nav_menu_items', 'prk_cart_menu_item', 10, 2 );
        }
        function prk_cart_menu_item ( $items, $args ) {
            //CHANGE ONLY THE MAIN MENU
            global $woocommerce;
            global $prk_pulse_options;
            $cart_url = wc_get_cart_url();
            if ($cart_url=="")
                $cart_url="#";
            $cart_contents_count = $woocommerce->cart->cart_contents_count;
            $cart_contents = sprintf(_n('%d Item', '%d Items', $cart_contents_count, 'pulse'), $cart_contents_count);
            $cart_contents_simple = sprintf(_n('%d', '%d', $cart_contents_count, 'pulse'), $cart_contents_count);
            $cart_total = $woocommerce->cart->get_cart_total();
            if ($cart_contents_count > 0 || (isset($prk_pulse_options['woo_cart_always_display']) && $prk_pulse_options['woo_cart_always_display']=="1")) {
                $items .= '<li id="prk_hidden_cart">';
                $items .= '<a href="'.$cart_url.'">';
                if (is_array($prk_pulse_options['woo_cart_info']) || $prk_pulse_options['woo_cart_info']=="") {
                    $prk_pulse_options['woo_cart_info']="items";
                }
                $items .= '<div class="prk_cart_label">';
                $items.='<i class="mdi-cart-outline"></i>';
                if ($prk_pulse_options['woo_cart_info']=="items") {
                    $items.=$cart_contents;
                }
                else if ($prk_pulse_options['woo_cart_info']=="price") {
                    $items.=$cart_total;
                }
                else if ($prk_pulse_options['woo_cart_info']=="both") {
                    $items.=$cart_contents.' : '. $cart_total;
                }
                $items .='</div></a></li>';
            }
            return $items;
        }
    }

    wp_enqueue_style(
        'pulse_main_style',
        get_template_directory_uri().'/css/main.css',
        false,
        filemtime(get_template_directory( ).'/css/main.css')
    );

    if (is_child_theme()) {
        wp_enqueue_style(
            'pulse_child_styles',
            get_stylesheet_directory_uri().'/style.css',
            false,
            filemtime(get_stylesheet_directory( ) . '/style.css')
        );
    }
    if (is_single() && comments_open() && get_option('thread_comments')) {
        wp_enqueue_script('comment-reply');
    }
    wp_enqueue_script(
        'pulse_main',
        get_template_directory_uri().'/js/main-min.js',
        array('jquery'),
        filemtime(get_template_directory( ).'/js/main-min.js'),
        true)
    ;
    wp_enqueue_script(
        'pulse_other',
        get_template_directory_uri().'/js/other-min.js',
        array('jquery'),
        filemtime(get_template_directory( ).'/js/other-min.js'),
        true
    );

    wp_localize_script('pulse_main', 'ajax_var', array(
        'url' => admin_url('admin-ajax.php'),
        'nonce' => wp_create_nonce('ajax-nonce'),
    ));

    //FONT MANAGEMENT
    if(!isset($prk_pulse_options['header_font'])) {
        $prk_pulse_options['header_font']="";
    }
    if(!isset($prk_pulse_options['body_font'])) {
        $prk_pulse_options['body_font']="";
    }
    $options = $prk_pulse_options;
    foreach ( $prk_select_font_options as $option_header ) {
        if ($prk_pulse_options['header_font'] == $option_header['value'])
        {
            $options['header_font']=$option_header;
            break;
        }
    }
    $prk_font_options=get_option('prk_font_plugin_option');
    if ($prk_font_options!="") {
        foreach ($prk_font_options as $font) {
            if ($font['erased']=="false") {
                if (!is_array($options['header_font']) && strpos($options['header_font'], '&') !== false) {
                    $compare_a=strtok($options['header_font'], '&');
                }
                else {
                    $compare_a=$options['header_font'];
                }
                if (strpos($font['value'], '&') !== false) {
                    $compare_b=strtok($font['value'], '&');
                }
                else {
                    $compare_b=$font['value'];
                }
                if ($compare_a === $compare_b) {
                    $options['header_font']=$font;
                }
            }
        }
    }
    foreach ( $prk_select_font_options as $option_body ) {
        if ($prk_pulse_options['body_font'] == $option_body['value'])
        {
            $options['body_font']=$option_body;
            break;
        }
    }
    $prk_font_options=get_option('prk_font_plugin_option');
    if ($prk_font_options!="") {
        foreach ($prk_font_options as $font) {
            if ($font['erased']=="false") {
                if (!is_array($options['body_font']) && strpos($options['body_font'], '&') !== false) {
                    $compare_a=strtok($options['body_font'], '&');
                }
                else {
                    $compare_a=$options['body_font'];
                }
                if (strpos($font['value'], '&') !== false) {
                    $compare_b=strtok($font['value'], '&');
                }
                else {
                    $compare_b=$font['value'];
                }
                if ($compare_a === $compare_b) {
                    $options['body_font']=$font;
                }
            }
        }
    }
    foreach ( $prk_select_font_options as $option_custom )
    {
        if ($prk_pulse_options['custom_font'] == $option_custom['value'])
        {
            $options['custom_font']=$option_custom;
            break;
        }
    }
    $prk_font_options=get_option('prk_font_plugin_option');
    if ($prk_font_options!="") {
        foreach ($prk_font_options as $font) {
            if ($font['erased']=="false") {
                if (!is_array($options['custom_font']) && strpos($options['custom_font'], '&') !== false) {
                    $compare_a=strtok($options['custom_font'], '&');
                }
                else {
                    $compare_a=$options['custom_font'];
                }
                if (strpos($font['value'], '&') !== false) {
                    $compare_b=strtok($font['value'], '&');
                }
                else {
                    $compare_b=$font['value'];
                }
                if ($compare_a === $compare_b) {
                    $options['custom_font']=$font;
                }
            }
        }
    }

    //FONTS
    $protocol = is_ssl() ? 'https' : 'http';
    $font_families = array();
    //HEADER FONT
    if ($options['header_font']['hosted']=='google') {
        $font_families[]=str_replace('+',' ',$options['header_font']['value']);
    }
    if ($options['header_font']['hosted']=='theme') {
        wp_enqueue_style( 'prk_header_font', get_template_directory_uri().'/inc/fonts/'.$options['header_font']['value'].'/stylesheet.css',false,PULSE_VERSION);
    }
    if ($options['header_font']['hosted']=='plugin') {
        wp_enqueue_style( 'prk_header_font', $options['header_font']['value'],false,PULSE_VERSION);
    }
    //BODY FONT
    if ($options['body_font']['hosted']=='google') {
        $font_families[]=str_replace('+',' ',$options['body_font']['value']);
    }
    if ($options['body_font']['hosted']=='theme') {
        wp_enqueue_style( 'prk_body_font', get_template_directory_uri().'/inc/fonts/'.$options['body_font']['value'].'/stylesheet.css',false,PULSE_VERSION);
    }
    if ($options['body_font']['hosted']=='plugin') {
        wp_enqueue_style( 'prk_body_font', $options['body_font']['value'],false,PULSE_VERSION);
    }
    //EXTRA FONT
    if ($options['custom_font']!="") {
        if ($options['custom_font']['hosted']=='google') {
            $font_families[]=str_replace('+',' ',$options['custom_font']['value']);
        }
        if ($options['custom_font']['hosted']=='theme') {
            wp_enqueue_style( 'prk_custom_font', get_template_directory_uri().'/inc/fonts/'.$options['custom_font']['value'].'/stylesheet.css',false,PULSE_VERSION);
        }
        if ($options['custom_font']['hosted']=='plugin') {
            wp_enqueue_style( 'prk_custom_font', $options['custom_font']['value'],false,PULSE_VERSION);
        }
    }
    if (!empty($font_families)) {
        $query_args = array(
            'family' => urlencode(implode('|', $font_families )),
            'subset' => urlencode('latin,latin-ext'),
        );
        $fonts_url = add_query_arg($query_args,'https://fonts.googleapis.com/css');
        $fonts_url=esc_url_raw($fonts_url);
        wp_enqueue_style('pls_google_fonts', $fonts_url, array(), null );
    }

    if (PRK_PULSE_FRAMEWORK) {
        $sharrre_dir_prk=plugins_url("pulse_framework");
    }
    else {
        $sharrre_dir_prk="";
    }
    $prk_pulse_options['active_visual_composer']=PRK_PULSE_FRAMEWORK;
    if (!isset($prk_pulse_options['active_skin'])) {
        $prk_pulse_options['active_skin'] = '';
    }

        //DETECT MOBILES/RETINA
    $prk_retina_device=false;
    if (class_exists('Mobile_Detect')) {
        $pulse_detect = new Mobile_Detect;
        if ($pulse_detect->isMobile()) {
            $prk_retina_device = true;
        }
    }
    //UNCOMMENT THIS FOR RETINA TESTING
    //$prk_retina_device=true;

    wp_localize_script('pulse_main', 'theme_options', $prk_pulse_options);

    //CONVERT COLORS FOR CSS
    $spl_bk_menu_bar=html2rgba($options['background_color_menu_bar'],$options['header_default_opacity']);
    $spl_bk_menu_bar_after=html2rgba($options['background_color_menu_bar'],$options['header_opacity_after']);
    $spl_bk_menu_overlay=html2rgba($options['bk_color_menu_overlay'],$options['opacity_menu_overlay']);
    $spl_background_color_btns=html2rgba($options['background_color_btns'],$options['custom_opacity_folio']);
    $spl_active_inputs=html2rgba($options['active_color'],65);
    $spl_active_inputs_bk=html2rgba($options['active_color'],5);
    //$spl_active_nav=html2rgba($options['active_color'],15);
    $spl_bd_smallers_color=html2rgba($options['bd_smallers_color'],15);
    $spl_spinner_color=html2rgba($options['bd_headings_color'],30);
    $spl_spinner_color_over=html2rgba($options['headings_color_overlayer'],30);
    $spl_body_color_footer=html2rgba($options['body_color_footer'],20);
    $spl_body_color_sidebar=html2rgba($options['body_color_sidebar'],20);
    $spl_body_color_right_bar=html2rgba($options['body_color_right_bar'],20);
    $spl_bk_sidebar_overlay=html2rgba($options['bk_color_sidebar_overlay'],$options['opacity_sidebar_overlay']);
    $spl_bk_mobile_overlay=html2rgba($options['bk_color_sidebar_overlay'],$options['opacity_mobile_overlay']);
    $spl_search_overlay=html2rgba($options['bk_color_sidebar_overlay'],95);
    $spl_background_color_btns_blog=html2rgba($options['background_color_btns_blog'],$options['custom_opacity']);
    $spl_inputs_bordercolor=html2rgba($options['inputs_bordercolor'],40);
    $spl_folio_overlay=html2rgba($options['background_color_overlayer'],$options['overlayer_opacity']);


    //ADD STYLES ACCORDING TO THE THEME OPTIONS
    $css="";

    //BACKGROUND IMAGES
    if ($options['background_image_sidebar']['url']=!"") {
        $bar_image=wp_get_attachment_image_src($options['background_image_sidebar']['id'],'full');
        if ($bar_image) {
            $css .= "#prk_hidden_bar {background-image: url(" . $bar_image['0'] . ");}";
        }
    }
    if (isset($options['pattern'])) {
        $path_parts = pathinfo($options['pattern']);
        if (isset($path_parts['filename']) && $path_parts['filename']!="" && $path_parts['filename']!="prk_no_pattern") {
            if ($prk_retina_device) {
                $vt_image = vt_resize( '', get_template_directory_uri()."/images/patterns/".$path_parts['filename']."_@2X.".$path_parts['extension'] , 2000, 2000, false );
                //CHECK IF RETINA PATTERN EXISTS
                if (isset($vt_image['not_found']) && $vt_image['not_found']!="true") {
                    $half_width=$vt_image['width']/2;
                    $css .=
                        "body.pulse_theme, .pulse_theme #pulse_ajax_container {background-image: url(".get_template_directory_uri()."/images/patterns/".$path_parts['filename']."_@2X.".$path_parts['extension'].");background-attachment:fixed;background-size:".$half_width."px auto;
                        }";
                }
                else {
                    $css .="body.pulse_theme,.pulse_theme #pulse_ajax_container {background-image: url(".$options['pattern'].");background-attachment:fixed;}";
                }
            }
            else {
                $css .="body.pulse_theme,.pulse_theme #pulse_ajax_container {background-image: url(".$options['pattern'].");background-attachment:fixed;}";
            }
        }
    }
    //FONTS
    $css.="body{font-size:".$options['font_size']."px;}";
    $css.="body,.regular_font,input,textarea {font-family:".$options['body_font']['css'].";}";
    $css.="#calendar_wrap caption,.header_font,.sod_select,.vc_tta-tabs-list {font-family:".$options['header_font']['css'].";}";
    if ($options['uppercase_blog_headings']=="1"){
        $css.=".pulse_blog_uppercased {text-transform:uppercase;}";
    }
    if ($options['uppercase_folio_headings']=="1"){
        $css.=".pulse_folio_uppercased {text-transform:uppercase;}";
    }
    if ($options['custom_font']!="") {
        $css.=".custom_font,.custom_font .header_font,.custom_font.header_font,.extra_font,.custom_font .extra_font,.custom_font.extra_font {font-style:".$options['custom_font_style'].";font-family:".$options['custom_font']['css']."}";
        if ($options['buttons_font']=="custom_f") {
            $css.=".colored_theme_button,.theme_button,.colored_theme_button input,.theme_button input,.ghost_theme_button,.vc_btn,.prk_button_like {font-style:".$options['custom_font_style'].";font-family:".$options['custom_font']['css']."}";
        }
        if ($options['main_subheadings_font']=="custom_font") {
            $css.="#single_meta_header .special_heading,#single_blog_meta.header_font,#single_blog_meta .header_font,#single_blog_meta .pir_divider {font-style:".$options['custom_font_style'].";font-family:".$options['custom_font']['css']."}";
        }
    }
    if ($options['buttons_font']=="headings_f") {
        $css.=".colored_theme_button,.theme_button,.colored_theme_button input,.theme_button input,.ghost_theme_button,.vc_btn,.prk_button_like {
                font-family:".$options['header_font']['css'].";}";
    }
    $css.=".pls_drop_cap>div>p:first-child::first-letter {font-size:".$options['drop_caps_size']."px;}";

    //WIDTH SET MANAGEMENT
    $adjusted_width=$prk_pulse_options['custom_width']+36*2;//PADDING 36PX
    $css.="#pls_comments,.prk_inner_block {max-width: ".$adjusted_width."px;}";
    $css.="#pulse_ajax_container .pulse_gutenberg #s_sec_inner {max-width: ".$prk_pulse_options['custom_width']."px;}";
    $css.=".blog_limited_width {max-width: ".$options['custom_width_blog']."px;}";

    //MENU MANAGEMENT
    $css.="#pulse_header_background,#pulse_header_inner,#pulse_header_inner>div,#pulse_main_menu .pulse-menu-ul>li,#pulse_main_menu,#pls_side_menu,#pulse_mm_inner {height:".$options['menu_vertical']."px;}";
    $css.="#pulse_main_menu .pulse-menu-ul>li>a {height:".$options['menu_vertical']."px;line-height:".$options['menu_vertical']."px;}";
    $css.=".prk_menu_sized,.pulse-menu-ul {font-style:".$options['menu_parent_style'].";}";
    $css.=".prk_menu_sized>li>a,.pulse-menu-ul>li>a {font-weight:".$options['menu_font_weight'].";font-size:".$options['menu_font_size']."px;}";
    $css.="#pulse_main_menu .pulse-menu-ul>li>a .pulse_menu_main {margin-top:".$options['labels_offset']."px;}";
    $css.=".pulse-menu-ul>li>a,#prk_menu_loupe,#menu_social_nets>a {color:".$options['menu_up_color'].";}";
    $css.=".pulse-menu-ul>li.pls_actionized>a:hover:after {background-color:".$options['menu_up_color'].";}";
    $css.=".pulse-menu-ul>li>a:hover,#prk_menu_loupe:hover,#menu_social_nets>a:hover,.pulse-menu-ul>li.active>a {color:".$options['menu_active_color'].";}";
    $css.=".pulse-menu-ul .sub-menu li {border-bottom: 1px solid ".$options['submenu_lines_color'].";}";
    $css.=".pulse-menu-ul .sub-menu li a {font-weight:".$options['submenu_font_weight'].";font-size:".$options['submenu_font_size']."px;height:".$options['menu_sub_padding']."px;line-height:".$options['menu_sub_padding']."px;color:".$options['submenu_text_color'].";background-color:".$options['submenu_background_color']."}";
    //$css.=".pulse_theme #pulse_main_menu .pulse_hover_sub.menu-item-has-children>a {background-color:".$options['submenu_background_color'].";color:".$options['submenu_active_color'].";}";
    $css.="#pulse_main_menu .pulse_hover_sub.menu-item-has-children>a:before {background-color: ".$options['submenu_active_color'].";}";
    $css.=".pulse-menu-ul .sub-menu li>a:hover {color:".$options['submenu_active_color'].";}";
    $css.=".pulse_menu_sub {font-style:".$options['menu_subheadings_style'].";font-weight:".$options['subheadings_font_weight'].";font-size:".$options['subheadings_font_size']."px;top:".$options['subheadings_offset']."px;color:".$options['subheadings_color'].";}";
    $css.=".pulse_forced_menu #pulse_ajax_container {margin-top:".$options['menu_vertical']."px;}";
    $css.="#pulse_header_background {background-color: ".$options['background_color_menu_bar'].";background-color:$spl_bk_menu_bar;;}";
    $css.="#pulse_logos_wrapper {margin-top:".$options['logo_top_margin']."px;}";
    $css.=".prk_menu_block {background-color: ".$options['menu_up_color'].";}";
    $css.=".prk_menu_block:after,.pulse-menu-ul>li>a:before {background-color: ".$options['menu_active_color'].";}";
    $css.="#prk_sidebar_trigger.hover_trigger .prk_menu_block {background-color: ".$options['menu_active_color_after'].";}";
    $menu_height_dif=ceil(($options['menu_vertical']-$options['collapsed_menu_vertical'])/2);
    $menu_height_dif+=$options['logo_collapsed_top_margin'];
    $css.=".pulse_forced_menu #pulse_logos_wrapper {margin-top:".$menu_height_dif."px;}";
    $css.=".pls_hide_nav #pulse_header_section,.pls_hide_nav #pulse_header_background {margin-top:-".$options['menu_vertical']."px;}";
    //$css.="#pls_side_menu:before {background-color: ".$options['menu_up_color'].";}";
    $css.="#menu_social_nets {margin-top: ".$options['nets_offset']."px;}";
    $menu_half=ceil($options['menu_vertical']/2);
    $css.="#prk_blocks_wrapper {top:".$menu_half."px;}";
    if ($options['menu_align']=='st_menu_under') {
        $n_height=0;
        if (isset($prk_pulse_options['logo']) && $prk_pulse_options['logo']['url']!="") {
            $img_url=$prk_pulse_options['logo']['url'];
            $file_path = parse_url( $img_url );
            $file_path = getenv('DOCUMENT_ROOT').$file_path['path'];

            if (!file_exists($file_path)) {
                // Double check for some kind of virtual path that fails with $_SERVER['DOCUMENT_ROOT']
                $imageParts = explode(site_url(), $img_url, 2);
                if (isset($imageParts[1])) {
                    $file_path = ABSPATH .$imageParts[1];
                }
                // if not found with the backup path...
                if (!file_exists($file_path)) {
                    // simple fix for direct links to images on multi-site installs
                    if (isset($blog_id) && $blog_id > 0) {
                        // uploaded images to media folders
                        $imageParts = explode('/files/', $img_url, 2);
                        if (isset($imageParts[1])) {
                            $img_url = get_site_url(1) .'/wp-content/blogs.dir/'. $blog_id .'/files/'. $imageParts[1];
                            $file_path = parse_url( $img_url );
                            $file_path = getenv('DOCUMENT_ROOT').$file_path['path'];
                        }
                        // if not found in media folders check theme folders
                        if (!file_exists($file_path)) {
                            // files in the theme folder
                            $imageParts = explode('THEME_URL', $img_url, 2);
                            if (isset($imageParts[1])) {
                                $file_path = THEME_DIR.$imageParts[1];
                            }
                        }
                    }
                }
            }
            list($n_width, $n_height) = getimagesize($file_path);
        }
        $n_before_height=$n_height+$prk_pulse_options['logo_top_margin']+$options['menu_vertical'];
        //$n_forced_height=$height+$prk_pulse_options['logo_top_margin']+$options['menu_vertical'];
        $css.=".pulse_forced_menu #pulse_header_background, #pulse_header_background {height:".$n_before_height."px;}";
        $css.=".pulse_forced_menu #pulse_logos_wrapper {margin-top:".$options['logo_top_margin']."px;}";
        $css.=".pulse_forced_menu #pulse_ajax_container {margin-top:".$n_before_height."px;}";
    }

    //MENU PADDING
    $css.=".pulse-menu-ul a {padding-left:".$options['menu_padding']."px;padding-right:".$options['menu_padding']."px;}";
    $sub_pad=3*$options['menu_padding'];
    $css.="#pulse_main_menu .sub-menu a {padding-right:".$sub_pad."px;}";
    $css.=".pls_actionized {padding-left:".$options['menu_padding']."px;}";
    $css.=".st_logo_on_left #pulse_logos_wrapper {margin-right:".(2*$options['menu_padding'])."px;}";
    $css.=".st_logo_on_right #pulse_logos_wrapper {margin-left:".(2*$options['menu_padding'])."px;}";
    $css.=".st_logo_on_right #pulse_logos_wrapper {margin-left:".(2*$options['menu_padding'])."px;}";
    $css.=".st_menu_on_right #prk_sidebar_trigger,.st_menu_on_right #prk_menu_loupe,.st_menu_on_right #pls_side_menu {margin-left:".$options['menu_padding']."px;}";
    $css.=".st_menu_on_left #prk_sidebar_trigger,.st_menu_on_left #prk_menu_loupe,.st_menu_on_left #pls_side_menu {margin-right:".$options['menu_padding']."px;}";
    $css.=".st_menu_on_right #menu_social_nets {margin-left: ".($options['menu_padding']-5)."px;}";
    $css.=".st_menu_on_left #menu_social_nets {margin-right: ".($options['menu_padding']-5)."px;}";
    $css.=".st_menu_on_right .pulse-menu-ul>li.menu-item-has-children:last-child>a {margin-right:-".$options['menu_padding']."px;}";
    $css.=".st_menu_on_left .pulse-menu-ul>li.menu-item-has-children:first-child>a {margin-left:-".$options['menu_padding']."px;}";
    $css.=".st_menu_on_right .pulse-menu-ul>li:last-child>a:before {right:-".$options['menu_padding']."px;};";
    $css.=".st_menu_on_left .pulse-menu-ul>li:first-child>a:before {left:-".$options['menu_padding']."px;}";

    //MENU AFTER SCROLL
    $css.=".pulse_forced_menu #pulse_main_menu .pulse-menu-ul>li>a,.pulse_collapsed_menu#pulse_main_menu .pulse-menu-ul>li>a,.pulse_collapsed_menu#prk_menu_loupe,.pulse_forced_menu #prk_menu_loupe,.pulse_collapsed_menu#menu_social_nets>a,.pulse_forced_menu #menu_social_nets>a {color:".$options['menu_up_color_after'].";}";
    $css.=".pulse_forced_menu #pulse_main_menu .pulse-menu-ul>li>a:hover,.pulse_collapsed_menu #pulse_main_menu .pulse-menu-ul>li>a:hover,.pulse_collapsed_menu #prk_menu_loupe:hover,.pulse_forced_menu #prk_menu_loupe:hover,.pulse_collapsed_menu #menu_social_nets>a:hover,.pulse_forced_menu #menu_social_nets>a:hover,.pulse_collapsed_menu #pulse_main_menu .pulse-menu-ul>li.active>a,.pulse_forced_menu #pulse_main_menu .pulse-menu-ul>li.active>a {color:".$options['menu_active_color_after'].";}";

    $css.=".pulse_collapsed_menu#pulse_header_background,#pulse_header_inner.pulse_collapsed_menu,.pulse_collapsed_menu#pulse_header_inner>div,.pulse_collapsed_menu#pulse_main_menu .pulse-menu-ul>li,.pulse_collapsed_menu#nav-main,.pulse_collapsed_menu#pulse_main_menu,.pulse_collapsed_menu#pls_side_menu,.menu_at_top #pulse_header_background,.menu_at_top #pulse_header_inner,.menu_at_top #pulse_header_inner>div,.pulse_collapsed_menu #pulse_mm_inner,.menu_at_top #pulse_header_background.pulse_collapsed_menu {height:".$options['collapsed_menu_vertical']."px;}";
    $css.=".menu_at_top #pulse_ajax_container {margin-top: ".$options['collapsed_menu_vertical']."px;}";

    $css.=".pulse_collapsed_menu#pulse_main_menu .pulse-menu-ul>li>a {height:".$options['collapsed_menu_vertical']."px;line-height:".$options['collapsed_menu_vertical']."px;}";
    $css.=".pulse_forced_menu #pulse_header_background, .pulse_collapsed_menu#pulse_header_background,.menu_at_top #pulse_header_background {background-color: ".$options['background_color_menu_bar'].";background-color:$spl_bk_menu_bar_after;}";
    $css.=".pulse_collapsed_menu .prk_menu_block, .pulse_forced_menu .prk_menu_block,.menu_at_top .prk_menu_block,.pulse_forced_menu #pulse_main_menu .pulse-menu-ul>li.pls_actionized>a:hover:after,.pulse_collapsed_menu #pulse_main_menu .pulse-menu-ul>li.pls_actionized>a:hover:after {background-color: ".$options['menu_up_color_after'].";}";
    $css.=".pulse_collapsed_menu .prk_menu_block:after, .pulse_forced_menu .prk_menu_block:after,.pulse_collapsed_menu .pulse-menu-ul>li>a:before,.pulse_forced_menu .pulse-menu-ul>li>a:before, .menu_at_top .prk_menu_block:after {background-color: ".$options['menu_active_color_after'].";}";
    $css.=".pulse_collapsed_menu #pulse_logos_wrapper,.pulse_collapsed_menu.pulse_forced_menu #pulse_logos_wrapper,.menu_at_top #pulse_logos_wrapper {margin-top:".$options['logo_collapsed_top_margin']."px;}";
    $css.=".pulse_collapsed_menu #prk_sidebar_trigger.hover_trigger .prk_menu_block,.pulse_forced_menu #prk_sidebar_trigger.hover_trigger .prk_menu_block {background-color:".$options['menu_active_color_after']."}";
    $menu_half=ceil($options['collapsed_menu_vertical']/2);
    $css.=".pulse_collapsed_menu #prk_blocks_wrapper,.menu_at_top #prk_blocks_wrapper {top:".$menu_half."px;}";
    $css.="@media only screen and (max-width: 767px) {.pulse_theme .pls_featured_header #single_blog_info.unforced_row .zero_color {color:".$options['bd_headings_color'].";}.pulse_theme .pls_featured_header #single_blog_info.unforced_row .small_headings_color, .pulse_theme .pls_featured_header #single_blog_info.unforced_row .small_headings_color a {color:".$options['bd_smallers_color'].";}}";
    //$css.=".pulse_collapsed_menu #pls_side_menu:before,.pulse_forced_menu #pls_side_menu:before {background-color: ".$options['menu_up_color_after'].";}";

    if (isset($prk_pulse_options['menu_on_mobile']) && $prk_pulse_options['menu_on_mobile']=="0") {
        $css.=".menu_at_top .pulse_theme #pulse_ajax_container {margin-top:0px;}.menu_at_top #pulse_header_section,.menu_at_top #pulse_header_background {display:none;}";
    }

    if ($options['menu_align']=='st_menu_under') {
        $css.="#prk_sidebar_trigger {margin-left:".$options['menu_padding']."px;}#prk_menu_loupe{margin-left:".$options['menu_padding']."px;}";
        if (isset($prk_pulse_options['logo_collapsed']) && $prk_pulse_options['logo_collapsed']['url']!="") {
            $img_url=$prk_pulse_options['logo_collapsed']['url'];
            $file_path = parse_url( $img_url );
            $file_path = getenv('DOCUMENT_ROOT').$file_path['path'];

            if (!file_exists($file_path)) {
                // Double check for some kind of virtual path that fails with $_SERVER['DOCUMENT_ROOT']
                $imageParts = explode(site_url(), $img_url, 2);
                if (isset($imageParts[1])) {
                    $file_path = ABSPATH .$imageParts[1];
                }
                // if not found with the backup path...
                if (!file_exists($file_path)) {
                    // simple fix for direct links to images on multi-site installs
                    if (isset($blog_id) && $blog_id > 0) {
                        // uploaded images to media folders
                        $imageParts = explode('/files/', $img_url, 2);
                        if (isset($imageParts[1])) {
                            $img_url = get_site_url(1) .'/wp-content/blogs.dir/'. $blog_id .'/files/'. $imageParts[1];
                            $file_path = parse_url( $img_url );
                            $file_path = getenv('DOCUMENT_ROOT').$file_path['path'];
                        }
                        // if not found in media folders check theme folders
                        if (!file_exists($file_path)) {
                            // files in the theme folder
                            $imageParts = explode('THEME_URL', $img_url, 2);
                            if (isset($imageParts[1])) {
                                $file_path = THEME_DIR.$imageParts[1];
                            }
                        }
                    }
                }
            }
            list($n_width, $n_height) = getimagesize($file_path);
        }
        $n_after_height=$n_height+$prk_pulse_options['logo_collapsed_top_margin']+$options['collapsed_menu_vertical'];
        //$n_forced_height=$height+$prk_pulse_options['logo_top_margin']+$options['menu_vertical'];
        $css.="#pulse_header_background.pulse_collapsed_menu {height:".$n_after_height."px;}";
        //$css.=".pulse_forced_menu #pulse_header_background{height:".$n_after_height."px;}";
    }

    if ($options['border_menu_bar']!="") {
        $spl_border_menu_bar=html2rgba($options['border_menu_bar'],$options['header_default_opacity']);
        $css.="#pulse_header_background {border-bottom:1px solid $spl_border_menu_bar;}";
        $spl_border_menu_bar_after=html2rgba($options['border_menu_bar'],$options['header_opacity_after']);
        $css.=".pulse_forced_menu #pulse_header_background, #pulse_header_background.pulse_collapsed_menu,.menu_at_top #pulse_header_background {border-bottom:1px solid $spl_border_menu_bar_after;}";
    }
    if (isset($options['minread_blog']) && $options['minread_blog']=="0") {
        $css.=".pls_min_read {display:none;}";
    }


    //OVERLAY
    $css.="#prk_hidden_menu a,#prk_hidden_menu {color:".$options['color_menu_overlay'].";}";
    $css.=".pulse_showing_menu #prk_hidden_menu a:hover {color:".$options['active_color_menu_overlay'].";}";
    $css.=".pulse_showing_menu .prk_menu_block, .pulse_showing_menu .prk_menu_block:after {background-color:".$options['color_menu_overlay'].";}";
    $css.=".pulse_theme.pulse_showing_menu #pulse_header_background,.pulse_theme.pulse_showing_menu #pulse_header_inner,.pulse_theme.pulse_showing_menu #pulse_header_inner>div,.pulse_theme.pulse_showing_menu #pulse_main_menu .pulse-menu-ul>li,.pulse_theme.pulse_showing_menu #pulse_main_menu {height:".$options['menu_vertical']."px;}";
    $css.=".pulse_theme.pulse_showing_menu #pulse_main_menu .pulse-menu-ul>li>a {height:".$options['menu_vertical']."px;line-height:".$options['menu_vertical']."px;}";
    $css.=".pulse_theme.pulse_showing_menu #pulse_logos_wrapper {margin-top:".$options['logo_top_margin']."px;}";
    $css.=".pulse_showing_menu #body_hider {background-color:$spl_bk_menu_overlay;}";

    //FOOTER
    $css.="#prk_footer_wrapper {background-color:".$options['background_color_footer'].";font-size:".$options['footer_font_size']."px;}";
    $css.="#prk_footer_sidebar .simple_line {border-bottom-color: $spl_body_color_footer;}";
    $css.="#prk_footer_sidebar table {border-top-color: $spl_body_color_footer;}";
    $css.="#prk_footer_sidebar table {border-left-color: $spl_body_color_footer;}";
    $css.="#prk_footer_sidebar .pirenko_highlighted,#pulse_main_wrapper #prk_footer_sidebar .tagcloud a, #pulse_main_wrapper #prk_footer_sidebar #wp-calendar th, #pulse_main_wrapper #prk_footer_sidebar #wp-calendar td {border-color: $spl_body_color_footer;}";
    $css.="#prk_footer_sidebar ::-webkit-input-placeholder {color: ".$options['body_color_footer'].";}#prk_footer_sidebar :-moz-placeholder {color: ".$options['body_color_footer'].";}#prk_footer_sidebar ::-moz-placeholder {color: ".$options['body_color_footer'].";}#prk_footer_sidebar :-ms-input-placeholder {color: ".$options['body_color_footer'].";}";
    $css.="#prk_footer_sidebar .zero_color,#prk_footer_sidebar a.zero_color,#prk_footer_sidebar .zero_color a,#pulse_main_wrapper #prk_footer .prk_twt_body .twt_in a.body_colored,#prk_footer_sidebar a.twitter_time {color:".$options['titles_color_footer'].";}";
    $css.="#prk_footer_sidebar,#prk_footer_sidebar a,#prk_after_widgets,#prk_footer_sidebar #prk_after_widgets a,#prk_footer_sidebar .pirenko_highlighted,#prk_footer_wrapper .small_headings_color,#pulse_main_wrapper #prk_footer_sidebar .tagcloud a,#pulse_main_wrapper #prk_footer_sidebar a.body_colored,#prk_footer_page,#prk_footer_page_after {color:".$options['body_color_footer'].";}";
    $css.="#prk_after_widgets {background-color:".$options['footer_text_background_color'].";}";
    if ($options['footer_border_color']!="") {
        $css.="#prk_footer_outer {
                border-top: 5px solid ".$options['footer_border_color']."}";
    }

    //MENU SEARCH
    $css.=".pulse_showing_search #search_hider {background-color:$spl_search_overlay;}";
    $css.="#top_form_close,#searchform_top .pirenko_highlighted {color:".$options['site_background_color'].";}";
    $css.="#searchform_top ::-webkit-input-placeholder {color: ".$options['site_background_color'].";}";
    $css.="#searchform_top :-moz-placeholder {color: ".$options['site_background_color'].";}";
    $css.="#searchform_top ::-moz-placeholder {color: ".$options['site_background_color'].";}";
    $css.="#searchform_top :-ms-input-placeholder {color: ".$options['site_background_color'].";}";
    $css.="#pulse_main_wrapper #searchform_top .pirenko_highlighted:focus {color:".$options['site_background_color'].";}";
    $css.="#prk_hidden_menu a:hover,#top_form_close:hover {color:".$options['active_color'].";}";

    //HIDDEN SIDEBAR
    if ($options['show_hidden_sidebar']=="1") {
        $half_margin=$options['sidebar_width'];
        $css.="#prk_hidden_bar {width:".$options['sidebar_width']."px;background-color:".$options['background_color_sidebar'].";border-left: 1px solid ".$options['background_color_sidebar'].";}";
        $css.=".st_sidebar_on_right #prk_hidden_bar {margin-right:-".$half_margin."px;}";
        $css.=".st_sidebar_on_left #prk_hidden_bar {margin-left:-".$half_margin."px;}";
        $css.="#prk_hidden_bar {color:".$options['body_color_sidebar'].";}";
        $css.="#prk_hidden_bar a,#prk_hidden_bar .zero_color,#prk_hidden_bar .not_zero_color {color:".$options['active_color_sidebar'].";}";
        $css.="#prk_hidden_bar .mCSB_scrollTools .mCSB_draggerRail {background-color: ".$spl_body_color_sidebar."}";
        $css.="#prk_hidden_bar .mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar{background-color: ".$options['active_color_right_bar'].";}";
        $css.="#prk_hidden_bar .pirenko_highlighted {color:".$options['body_color_sidebar'].";border-color:".$spl_body_color_sidebar.";}";


        $css.="#pulse_ajax_container.pulse_second_sidebar_anims,#pulse_header_section.pulse_second_sidebar_anims,#body_hider.pulse_second_sidebar_anims,#pulse_header_background.pulse_second_sidebar_anims,#prk_footer_outer.pulse_second_sidebar_anims {margin-left:-".$options['sidebar_width']."px;}";

        if ($prk_pulse_options['sidebar_position']=="st_sidebar_on_right") {
            $css.="#prk_hidden_bar.pulse_second_sidebar_anims{margin-right:0px;}";
        }
        else {
            $css.="#prk_hidden_bar.pulse_second_sidebar_anims{margin-left:0px;}";
        }

        $css.=".pulse_showing_sidebar #body_hider {background-color:$spl_bk_sidebar_overlay;}";
    }

    //DOTTED NAVIGATION
    $css.="#dotted_navigation li:before {background-color: ".$options['background_color_dots']."}";
    $css.="#dotted_navigation li>a {color: ".$options['active_color']."}";
    $css.="#dotted_navigation li:hover:before {background-color: ".$options['active_color']."}";

    //BLOG
    $css.=".blog_info_wrapper, .blog_info_wrapper .zero_color, .blog_info_wrapper .zero_color a, .blog_info_wrapper a.zero_color, .pls_featured_header #single_blog_info,.pls_featured_header #single_blog_info .zero_color, .pls_featured_header #single_blog_info .small_headings_color,.pls_featured_header #single_blog_info .small_headings_color a {color:".$options['featured_header_color'].";}";
    $css.=".topped_content.vertical_forced_row>.columns>div {padding-top:".$options['menu_vertical']."px;}";
    $css.=".pls_featured_header #single_blog_info .theme_button a {border-color:".$options['featured_header_color'].";}";

    //PORTFOLIO
    $css.=".body_bk_color,.pls_thumb_tag {color:".$options['thumbs_text_color'].";}";
    $css .=".grid_colored_block {background-color: $spl_background_color_btns;}";
    $css.=".pulse_liner {border-bottom-color:".$options['active_color'].";}";
    $css.=".prk_grid-button .prk_grid {background: ".$options['bd_smallers_color'].";color: ".$options['bd_smallers_color'].";}";
    $css.=".prk_grid-button.prk_rearrange:hover .prk_grid {background: ".$options['active_color'].";color: ".$options['active_color'].";}";
    $css.=".pls_thumb_tag {background-color:".$options['active_color'].";}";

    //THEME BUTTONS
    if ($options['uppercase_buttons']=="1") {
        $css .=".colored_theme_button input,.colored_theme_button a,.theme_button input,.theme_button a,.ghost_theme_button a {text-transform:uppercase;}";
    }
    $css.="#pulse_main_wrapper .colored_theme_button input,#pulse_main_wrapper .colored_theme_button a,#pulse_main_wrapper .theme_button input,#pulse_main_wrapper .theme_button a,#pulse_main_wrapper .ghost_theme_button a {-webkit-border-radius: ".$options['buttons_radius']."px;border-radius: ".$options['buttons_radius']."px;border-width: ".$options['buttons_border']."px;color:".$options['buttons_text_color']."}";
    $css.=".theme_button input,.theme_button a,.theme_button.pls_button_off a:hover {background-color:".$options['theme_buttons_color'].";border-color:".$options['theme_buttons_color'].";}";
    $css.=".theme_button input:hover,.theme_button a:hover,#pulse_main_wrapper .prk_buttons_list .theme_button a:hover,#pulse_main_wrapper .tagcloud a:hover,#single_blog_info .theme_button a:hover {background-color:".$options['active_color'].";border-color:".$options['active_color'].";}";
    $css.=".colored_theme_button input,.colored_theme_button a,.prk_minimal_button>span.current {background-color:".$options['active_color'].";border-color:".$options['active_color'].";}";
    $css.=".colored_theme_button input:hover,.colored_theme_button a:hover {background-color:".$options['theme_buttons_color'].";border-color:".$options['theme_buttons_color'].";}";
    $css.="#pulse_main_wrapper .prk_buttons_list .theme_button a,#pulse_main_wrapper .tagcloud a {background-color:transparent;border-color:".$options['inputs_bordercolor'].";color:".$options['inactive_color']."}";
    $css.=".ghost_theme_button a {border-color:".$options['theme_buttons_color'].";color:".$options['theme_buttons_color']."}";
    $css.=".ghost_theme_button a:hover {color:".$options['site_background_color'].";background-color:".$options['theme_buttons_color'].";}";
    $css.=".ghost_theme_button.colored a,.social_img_wrp.pulse_envelope-o {border-color:".$options['active_color'].";color:".$options['active_color']."}";
    $css.=".ghost_theme_button.colored a:hover {color:".$options['theme_buttons_color'].";background-color:".$options['active_color'].";}";
    $css.="#pulse_main_wrapper .theme_button a:hover,#pulse_main_wrapper .colored_theme_button a:hover,#pulse_main_wrapper .tagcloud a:hover,#pulse_main_wrapper #prk_footer_sidebar .tagcloud a:hover {color:".$options['buttons_text_color']."}";

    //COLORS
    $css.="body,#pulse_ajax_container,.pls_bk_site,.pulse_theme .mfp-bg,.featured_owl,.sod_select:after,.sod_select,.sod_select .sod_list_wrapper,.folio_always_title_only .centerized_father, .folio_always_title_and_skills .centerized_father {background-color:".$options['site_background_color'].";}";
    $css.="body,.body_colored,.body_colored a,a.body_colored {color:".$options['inactive_color'].";}";
    $css.=".zero_color,a.zero_color,.zero_color a,.vc_tta-accordion a,.vc_tta-accordion a:hover,.pulse_folio_filter ul li a:hover, .pulse_blog_filter ul li a:hover,.pulse_folio_filter ul li.active a, .pulse_blog_filter ul li.active a,.folio_always_title_and_skills .prk_ttl .body_bk_color,.folio_always_title_only .prk_ttl .body_bk_color {color:".$options['bd_headings_color'].";}";
    $css.="a,a:hover, #prk_hidden_bar a:hover,a.small_headings_color:hover,.small_headings_color a:hover,a.zero_color:hover,.zero_color a:hover,.small_headings_color a.not_zero_color,.not_zero_color,#prk_footer_sidebar a:hover,#prk_after_widgets a:hover,#pulse_main_wrapper #prk_footer .prk_twt_body .twt_in a.body_colored:hover,#pulse_main_wrapper .prk_twt_ul i:hover {color:".$options['active_color'].";}";
    $css.=".prk_caption,.prk_price_header,.prk_button_like,.pulse_envelope-o .bg_shifter {background-color:".$options['active_color'].";color:".$options['site_background_color']."}";
    $css.=".ball-triangle-path>div {border-color:".$options['preloader_color'].";}";
    $css.=".rectangle-bounce>div {background-color:".$options['preloader_color'].";}";
    $css.=".site_background_colored a,a.site_background_colored,.site_background_colored,.owl-numbers,.page-prk-blog-stacked .blog_entry_li:hover .small_headings_color a,.page-prk-blog-stacked .blog_entry_li:hover .small_headings_color,.page-prk-blog-stacked .blog_entry_li:hover .body_colored,.page-prk-blog-stacked .blog_entry_li:hover .zero_color a,.page-prk-blog-stacked .blog_entry_li:hover .zero_color,.prk_minimal_button>span.current {color:".$options['site_background_color']."}";
    $css.="a.small_headings_color,.small_headings_color a,.small_headings_color,.sod_select.open:before,.sod_select .sod_option.selected:before,.sod_select.open,.folio_always_title_and_skills .inner_skills.body_bk_color {color:".$options['bd_smallers_color'].";}";
    $css.=".sod_select .sod_option.active {background-color:$spl_bd_smallers_color;}";
    $css.=".pulse_folio_filter ul li, .pulse_blog_filter ul li {background-color:".$options['filters_bk_color'].";}";
    $css.=".blog_fader_grid {background-color:$spl_background_color_btns_blog;}";
    $css.=".pls_lback {background-color:".$options['active_color'].";color:".$options['site_background_color'].";}";
    $css.="#pulse_classic_blog .soundcloud-container, #pulse_classic_blog .video-container, #pulse_classic_blog .blog_top_image,#pulse_ajax_inner .recentposts_ul_slider .masonry_inner, #pulse_ajax_inner .recentposts_ul_shortcode .masonry_inner,#pulse_ajax_inner .masonry_blog .masonry_inner {border-top-color:".$options['active_color'].";}";

    //LINES AND BORDERS
    $css.="ol.commentlist>li,#wp-calendar th,#wp-calendar td,.simple_line,.pulse_theme .testimonials_stack .item {border-bottom: 1px solid ".$options['lines_color'].";}";
    $css.=".prk_bordered_top,table {border-top: 1px solid ".$options['lines_color'].";}";
    $css.=".prk_bordered_bottom,.prk_vc_title:before,.prk_vc_title:after,th,td {border-bottom: 1px solid ".$options['lines_color'].";}";
    $css.=".prk_bordered_right,th,td {border-right: 1px solid ".$options['lines_color'].";}";
    $css.=".prk_bordered_left,table {border-left: 1px solid ".$options['lines_color'].";}";
    $css.=".prk_bordered,.prk_minimal_button a, .prk_minimal_button span, .prk_minimal_button input {border: 1px solid ".$options['lines_color'].";}";
    $css.="#in_touch:before {background-color: ".$options['lines_color'].";}";
    $css.=".sod_select,.sod_select:hover,.sod_select.open,.sod_select .sod_list_wrapper {border: 1px solid ".$options['inputs_bordercolor'].";}";
    $css.=".pirenko_highlighted {border: 1px solid ".$options['inputs_bordercolor'].";background-color:".$options['background_color'].";color:".$options['inactive_color'].";}";
    $css.="#top_form_close,#searchform_top .pirenko_highlighted {color:".$options['site_background_color'].";}";
    $css.=".pirenko_highlighted::-webkit-input-placeholder {color: ".$options['inactive_color'].";}";
    $css.=".pirenko_highlighted:-moz-placeholder {color: ".$options['inactive_color'].";}";
    $css.=".pirenko_highlighted::-moz-placeholder {color: ".$options['inactive_color'].";}";
    $css.=".pirenko_highlighted:-ms-input-placeholder {color: ".$options['inactive_color'].";}";
    $css.=".prk_blockquote.plain {border-left-color: ".$options['active_color'].";}";

    $css.="#pulse_main_wrapper .pirenko_highlighted:focus {border-color:$spl_active_inputs;background-color:$spl_active_inputs_bk;color:".$options['active_color'].";}";
    $css.="#pulse_main_wrapper .pirenko_highlighted.pls_plain:focus {border: 1px solid ".$options['inputs_bordercolor'].";background-color:".$options['background_color'].";color:".$options['inactive_color'].";}";

    $css.=".pulse_theme .vc_progress_bar .vc_single_bar {background-color:".$options['background_color'].";}";

    $css.=".prk_author_avatar img {border:6px solid ".$options['site_background_color'].";}";
    $css.="#pulse_heading_line {border-color: ".$options['active_color'].";}";
    $css.=".prk_blockquote.pls_active_colored .in_quote:after {border-color: rgba(0,0,0,0) rgba(0,0,0,0) ".$options['site_background_color']." rgba(0,0,0,0);}";

    //TABS+ACCORDION
    $css.=".ui-accordion .ui-accordion-header,.vc_tta-tabs .vc_tta-tabs-list li,.vc_tta-accordion .vc_tta-panel .vc_tta-panel-heading {background-color:$spl_inputs_bordercolor;}";
    $css.=".vc_tta-tabs .vc_tta-tabs-list li a,.ui-accordion .ui-accordion-header a {color:".$options['inactive_color'].";}";
    $css.=".vc_tta-tabs .vc_tta-tabs-list li.vc_active a,.pulse_theme .vc_tta-tabs .vc_tta-tabs-list li:hover a, .ui-accordion .ui-accordion-header.ui-state-hover a,.ui-accordion .ui-accordion-header.ui-state-active a {color:".$options['active_color'].";}";
    $css.=".ui-accordion .ui-accordion-header,.vc_tta-tabs-container .vc_tta-tabs-list li,.vc_tta-accordion .vc_tta-panel-heading, .vc_tta-panels .vc_tta-panel-body {border:1px solid ".$options['inputs_bordercolor'].";}";
    $css.=".vc_tta-accordion .vc_tta-panels .vc_tta-panel-body {border-left:1px solid ".$options['inputs_bordercolor'].";border-right:1px solid ".$options['inputs_bordercolor'].";}";
    $css.=".vc_tta-panels-container .vc_tta-panel:last-child .vc_tta-panel-body {border-bottom:1px solid ".$options['inputs_bordercolor'].";}";

    //TABS - ACTIVE
    $css.=".vc_tta-container .vc_tta-tabs-list .vc_tta-tab.vc_active,.vc_tta-container .vc_tta-tabs-list .vc_tta-tab:hover,.vc_tta-panels .vc_tta-panel,.vc_tta-accordion .vc_tta-panel-body {background-color:".$options['background_color'].";}";
    $css.=".vc_tta-tabs.vc_tta-tabs-position-top .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-bottom:1px solid ".$options['background_color'].";}";
    $css.=".vc_tta-tabs.vc_tta-tabs-position-bottom .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-top:1px solid ".$options['background_color'].";}";
    $css.=".vc_tta-tabs.vc_tta-tabs-position-left .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-right:1px solid ".$options['background_color'].";}";
    $css.=".vc_tta-tabs.vc_tta-tabs-position-right .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-left:1px solid ".$options['background_color'].";}";
    $css.="@media(max-width:600px) {.vc_tta-tabs.vc_tta-tabs-position-left .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-right:1px solid ".$options['inputs_bordercolor'].";}.vc_tta-tabs.vc_tta-tabs-position-right .vc_tta-tabs-container .vc_tta-tabs-list li.vc_active {border-left:1px solid ".$options['inputs_bordercolor'].";}}";

    //OWL SLIDER
    $css.=".owl-page:before {background-color:".$options['site_background_color']."; border:1px solid ".$options['site_background_color'].";}";
    $css.=".pls_btn_like .owl-page:before {background-color:".$options['buttons_color']."; border:1px solid ".$options['buttons_color'].";}";
    $css.=".pls_multi_spinner {border: 3px solid ".$spl_spinner_color.";border-right-color:".$options['bd_headings_color'].";border-left-color:".$options['bd_headings_color'].";}";
    $css.=".owl-prev,.owl-next,.member_colored_block_in,.owl-controls .owl-buttons div {background-color:".$options['buttons_color'].";}";
    $css.=".owl-controls .site_background_colored,.member_colored_block, .member_colored_block .pulse_member_links a {color:".$options['slider_text_color'].";}";
    $css.=".testimonials_slider.owl-theme.pls_squared .owl-page.active:before {background-color:".$options['active_color'].";border-color:".$options['active_color'].";}";



    //SEARCH RESULTS
    if ($prk_pulse_options['search_image']['url']!="") {
        $css.=".pls_search_results #classic_title_wrapper {background-image: url(".$prk_pulse_options['search_image']['url'].");}";
        $css.=".pls_search_results #single_page_title {color:".$options['menu_up_color'].";}";
    }

    //OVERLAYER
    $css.="#pls_overlayer {background-color:$spl_folio_overlay;}";
    $css.="#pls_ajax_portfolio .simple_line {border-bottom-color:".$options['lines_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio .prk_bordered_top {border-top-color:".$options['lines_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio #pls_nav_divider {border-left: 1px solid ".$options['lines_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio .prk_bordered_bottom {border-bottom-color: ".$options['lines_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio .pulse_liner {border-bottom-color:".$options['active_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio .prk_grid-button .prk_grid {color:".$options['body_color_overlayer'].";background:".$options['body_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio {color:".$options['body_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio .prk_9_em a,#pls_ajax_portfolio .prk_9_em a:hover {color:".$options['active_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio .zero_color, #pls_ajax_portfolio a.zero_color,#pls_ajax_portfolio .zero_color a {color:".$options['headings_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio .small_headings_color, #pls_ajax_portfolio a.small_headings_color,#pls_ajax_portfolio .small_headings_color a {color:".$options['smallers_color_overlayer'].";}";
    $css.="#pls_ajax_portfolio .pls_multi_spinner {border: 3px solid ".$spl_spinner_color_over.";border-right-color:".$options['headings_color_overlayer'].";border-left-color:".$options['headings_color_overlayer'].";}";

    //LIGHTBOX
    $css.=".my-mfp-zoom-in.mfp-ready.mfp-bg {filter: alpha(opacity=95);opacity:0.95;}";
    $css.=".pulse_theme .mfp-arrow-left,.pulse_theme .mfp-arrow-right,.pulse_theme .mfp-counter,.pulse_theme .mfp-title {color:".$options['inactive_color'].";
        }";
    $css.=".mfp-close_inner:before,.mfp-close_inner:after{background-color:".$options['inactive_color'].";}";

    //MOBILE BAR
    $css.="#prk_mobile_bar .body_colored a,#prk_mobile_bar a.body_colored,#prk_mobile_bar .body_colored,#prk_mobile_bar,#prk_mobile_bar a {color: ".$options['body_color_right_bar']."; }";
    $css.="#prk_mobile_bar a:hover,#prk_mobile_bar .active>a,#prk_mobile_bar .zero_color,#prk_mobile_bar .zero_color a {color: ".$options['active_color_right_bar'].";}";
    $css.="#prk_mobile_bar #mirror_social_nets,#prk_mobile_bar_inner>.header_stack {border-bottom: 1px solid $spl_body_color_right_bar;}";
    $css.="#prk_mobile_bar .pirenko_highlighted {border: 1px solid $spl_body_color_right_bar;}";
    $css.="#prk_mobile_bar .mCSB_scrollTools .mCSB_draggerRail {background-color: $spl_body_color_right_bar;}";
    $css.="#prk_mobile_bar .mCSB_scrollTools .mCSB_dragger .mCSB_dragger_bar {background-color: ".$options['active_color_right_bar']."}";
    $css.="#prk_mobile_bar {background-color: ".$options['background_color_right_bar'].";border-left: 1px solid ".$options['background_color_right_bar'].";}";
    //$css.=".pulse_showing_mobile #body_hider {background-color:$spl_bk_mobile_overlay;}";

    //OTHER ELEMENTS
    $css.="#body_hider {background-color:$spl_bk_mobile_overlay;}";
    $css.=".prk_menu_sized .sub-menu li a {font-weight:".$options['submenu_font_weight'].";font-size:".$options['submenu_font_size']."px;}";
    $css.="#pulse_to_top {color: ".$options['back_to_top_color']."; background-color: ".$options['back_to_top_bk'].";}";
    $css.="#pulse_to_top:hover,.pls_active_colored,.pls_actionized a:after {background-color: ".$options['active_color'].";}";
    $css.=".pls_tmmarker{background-color: ".$options['inactive_color'].";}";

    if (PRK_WOO=="true") {
        $css.=".woocommerce .cart-collaterals h2,.woocommerce-result-count,.pulse_woo_add_button,.woocommerce-checkout .woocommerce h2,.woocommerce-checkout .woocommerce h3,.woocommerce-checkout .woocommerce h4,.woocommerce #order_review_heading,.woocommerce #customer_details h3, .woocommerce #reply-title, .pulse_woo_product_info h3,.woocommerce-tabs .tabs,.woocommerce .summary h1,.woocommerce .related>h3,.woocommerce .related>h2,.woocommerce .price,.woocommerce .amount,.woocommerce .product-title {font-family:".$options['header_font']['css']."}";
        $css.="#pulse_main_wrapper #pulse_content .cart-collaterals table,#pulse_main_wrapper #pulse_content .shop_table,#pulse_main_wrapper .woocommerce textarea, #pulse_main_wrapper .woocommerce input,.woocommerce #pulse_main_wrapper div.product .woocommerce-tabs .tabs li,.woocommerce-tabs .panel,.woocommerce .quantity input.qty,.woocommerce #pulse_content .quantity input.qty,.woocommerce-page .quantity input.qty,.woocommerce-page #pulse_content .quantity input.qty,.shop_table,.woocommerce #payment,.woocommerce .widget_product_search #s {border: 1px solid ".$options['inputs_bordercolor'].";}";
        $css.="#pulse_main_wrapper #pulse_content .cart-collaterals table {border-top: 0px solid ".$options['inputs_bordercolor'].";}";
        $css.=".woocommerce table.shop_table tbody th, .woocommerce table.shop_table tfoot td, .woocommerce table.shop_table tfoot th,#pulse_main_wrapper #pulse_content .cart-collaterals .cart_totals tr th,#pulse_main_wrapper #pulse_content .cart-collaterals .cart_totals tr td,#pulse_main_wrapper #pulse_content table.shop_table td {border-top:1px solid ".$options['inputs_bordercolor'].";}";
        $css.="#pulse_main_wrapper #pulse_content .woocommerce .button.alt,#pulse_main_wrapper #pulse_content .woocommerce .button,#pulse_main_wrapper .woocommerce .button,.woocommerce .widget_product_search .pulse_fa-search {background: ".$options['theme_buttons_color'].";}";
        $css.="#pulse_main_wrapper #pulse_content .woocommerce .button:hover,#pulse_main_wrapper .woocommerce .button:hover,.woocommerce span.onsale,.woocommerce .widget_product_search #searchsubmit:hover {background:".$options['active_color'].";}";
        $css.="#pulse_main_wrapper #pulse_content .woocommerce .button.alt,#pulse_main_wrapper #pulse_content .woocommerce .button,#pulse_main_wrapper .woocommerce .button, .pulse_woo_add_button {color:".$options['site_background_color'].";}";
        $css.=".woocommerce #pulse_main_wrapper #pulse_content div.product .woocommerce-tabs ul.tabs li.active {background: ".$options['site_background_color'].";border-bottom-color: ".$options['site_background_color'].";}";
        $css.=".pulse_woo_add_button {background:".$options['buttons_color'].";}";
        $css.="html .woocommerce .star-rating span, .woocommerce-MyAccount-navigation li a:hover, .woocommerce-MyAccount-navigation li.is-active a {color: ".$options['active_color'].";}";
        $css.="#pulse_main_wrapper #pls_right_sidebar ul.product_list_widget li a,.woocommerce .pulse_woo_checkout h3,.woocommerce .customer_details dt,.shipping_calculator h2 a,.woocommerce-checkout ul.order_details,.woocommerce-checkout table.order_details tfoot>tr:last-child,.woocommerce-checkout .addresses h3,.woocommerce #order_review_heading, .woocommerce #customer_details h3,.woocommerce .order-total,.woocommerce-result-count,.pp_woocommerce .pp_description,.woocommerce #pulse_main_wrapper .woocommerce-tabs .tabs li a,#pulse_main_wrapper .woocommerce #pulse_content .price,#pulse_main_wrapper .woocommerce .price,#pulse_main_wrapper .woocommerce #pulse_content ins .amount,#pulse_main_wrapper .woocommerce ins .amount,#pulse_main_wrapper .woocommerce .product_title,#pulse_main_wrapper .woocommerce .product_meta,#pulse_main_wrapper .woocommerce h2,.woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current,.woocommerce table th, .woocommerce-MyAccount-navigation li a {color: ".$options['bd_headings_color'].";}";
        $css.=".woocommerce .pulse_woo_thankyou header h2,.woocommerce .simple_line,.woocommerce-checkout #pulse_main_wrapper h3,.woocommerce table.shop_table th,.woocommerce #pulse_main_wrapper .woocommerce-tabs ul.tabs:before {border-bottom-color:".$options['inputs_bordercolor'].";}";
        $css.=".woocommerce #pulse_main_wrapper .woocommerce-tabs .tabs li.active {border-bottom-color:".$options['site_background_color'].";}";
        $css.="#pulse_main_wrapper .price del, #pulse_main_wrapper .woocommerce .price del, .woocommerce #pulse_main_wrapper .price del {color:".$options['bd_smallers_color'].";}";
        //$css.=".woocommerce nav.woocommerce-pagination ul{border:1px solid ".$options['lines_color'].";}";
        $css.=".woocommerce .order_details li {border-right-color: ".$options['lines_color'].";}";
        $css.=".woocommerce nav.woocommerce-pagination ul li a {color: ".$options['inactive_color'].";}";
        $css.=".pulse_woo_el_wrapper,#pulse_main_wrapper #pls_right_sidebar ul.product_list_widget li,.woocommerce-checkout #payment ul.payment_methods,.woocommerce-MyAccount-navigation ul li {border-bottom:1px solid ".$options['lines_color'].";}";
        $css.=".woocommerce-MyAccount-navigation ul>li:first-child {border-top:1px solid ".$options['lines_color'].";}";
        $css.=".cart_totals table,.woocommerce-checkout #payment,.shop_table,.woocommerce .woocommerce-error,.woocommerce .woocommerce-info,.woocommerce .woocommerce-message,.woocommerce #pulse_main_wrapper #pulse_content div.product .woocommerce-tabs ul.tabs li {background:".$options['inputs_bordercolor'].";background:$spl_inputs_bordercolor;}";
        $css.="#pls_cart_info {background-color:".$options['active_color'].";}";
        if ($options['buttons_font']=="headings_f") {
            $css.=".woocommerce button.button,.woocommerce input.button,.woocommerce a.button {font-family:".$options['header_font']['css'].";}";
        }
        if ($options['buttons_font']=="body_f") {
            $css.=".woocommerce button.button,.woocommerce input.button,.woocommerce a.button {font-family:".$options['body_font']['css']."}";
        }
        if ($options['custom_font']!="") {
            if ($options['main_subheadings_font']=="custom_font") {
                $css .= ".pulse_woo_cats {font-style:".$options['custom_font_style'].";font-family:".$options['custom_font']['css']."}";
            }
        }
    }
    //RETINA DESKTOPS - LOGO
    if (isset($options['logo_retina']) && $options['logo_retina']['url']!="") {
        $css.=".pulse_retina_desktop #pulse_logo_before {background-image: url(".$options['logo_retina']['url'].");}.pulse_retina_desktop #pulse_logo_before img {visibility: hidden;}";
    }
    if (isset($options['logo_collapsed_retina']) && $options['logo_collapsed_retina']['url']!="") {
        $css.=".pulse_retina_desktop #pulse_logo_after {background-image: url(".$options['logo_collapsed_retina']['url'].");}.pulse_retina_desktop #pulse_logo_after img {visibility: hidden;}";
    }

    if (isset($prk_pulse_options['css_text']) && $prk_pulse_options['css_text']!="") {
        $css.=wp_specialchars_decode($prk_pulse_options['css_text']);
    }
    //OUTPUT THE CUSTOM STYLES WE JUST BUILT
    wp_add_inline_style('pulse_main_style',$css);
}//PULSE SCRIPTS