<?php
/**
 * Custom Walker
 *
 * @access      public
 * @since       1.0 
 * @return      void
*/
if (!class_exists('rc_scm_walker')) {
    class rc_scm_walker extends Walker_Nav_Menu {
        function start_el(&$output, $item, $depth = 0, $args = array(), $id = 0) {
            global $wp_query;
            global $prk_pulse_options;
            if ($prk_pulse_options['subheadings_font']=="") {
                $prk_pulse_options['subheadings_font']='header_font';
            }
            $indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

            $class_names = '';

            $classes = empty( $item->classes ) ? array() : (array) $item->classes;

            $class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );

            //CHECK IF MENU ITEM SHOULD BE SHOWN
            if (!empty( $item->userdisplay ) && ( ($item->userdisplay=='logged_only' && !is_user_logged_in()) || ($item->userdisplay=='loggedout_only' && is_user_logged_in()) )) {
                $item_output="";
            }
            else {
                if (!empty($item->icon)) {
                    $class_names .= ' pls_iconized';
                }
                if (!empty($item->action)) {
                    $class_names .= ' pls_actionized';
                }

                $output .= $indent . '<li class="' . $class_names . '">';

                $prk_target = !empty($item->target) ? esc_attr($item->target) : '_self';
                $attributes = "";
                //$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
                $attributes .= !empty($item->target) ? ' target="' . esc_attr($item->target) . '"' : '';
                $attributes .= !empty($item->xfn) ? ' rel="' . esc_attr($item->xfn) . '"' : '';
                $attributes .= !empty($item->url) ? ' href="' . esc_attr($item->url) . '"' : '';
                $attributes .= ! empty( $item->lang ) ? ' hreflang="' . esc_attr( $item->lang  ) . '"' : ' ';

                $prepend = '';
                $append = '';
                $description = !empty($item->description) ? '<div>' . esc_attr($item->description) . '</div>' : '';

                if ($depth != 0) {
                    $description = $append = $prepend = "";
                }

                $item_output = $args->before;
                $item_output .= '<a' . $attributes . '><div class="pulse_menu_label">';
                if (!empty($item->attr_title) && $prk_pulse_options['active_subheadings'] == "1") {
                    $item_output .= '<div class="pulse_menu_sub ' . $prk_pulse_options['subheadings_font'] . '">' . esc_attr($item->attr_title) . '</div>';
                }
                if ($depth != 0) {
                    $item_output .= '' . $args->link_before . $prepend . apply_filters('the_title', $item->title, $item->ID) . $append . '';
                } else {
                    $item_output .= '<div class="pulse_menu_main">';
                    $item_output .= $args->link_before . $prepend . apply_filters('the_title', $item->title, $item->ID) . $append;
                    if (!empty($item->icon)) {
                        $item_output .= '<i class="' . esc_attr($item->icon) . '"></i>';
                    }
                    $item_output .= '</div>';
                }
                $item_output .= '</div></a>';
                $item_output .= $args->after;
            }

            $output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
        }
    }
}