<?php
/*
Template Name: Coming Soon Page
*/
?>
<!doctype html>
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie9 lt-ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 8]><!--> 
<html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
    <meta charset="utf-8">
    <title><?php wp_title(); ?></title>
    <?php
        global $prk_pulse_options;
        global $prk_retina_device;
        global $prk_translations;
        prk_pulse_header();
        wp_head();
    ?>
</head>
<body <?php body_class('pulse_theme'); ?>>
    <div id="pulse_main_wrapper" class="<?php if ($prk_pulse_options['buttons_inner_shadow']=="1") {echo "shadowed_buttons ";}if ($prk_pulse_options['show_hidden_sidebar']=="1"){echo pulse_output().$prk_pulse_options['sidebar_position'].' ';}echo pulse_output().$prk_pulse_options['menu_display'].' '.$prk_pulse_options['menu_align'].' '.$prk_pulse_options['logo_align']; ?> prk_wait">
    <?php
        pulse_preloader($prk_retina_device);
        wp_enqueue_script('pulse_countdown', get_template_directory_uri().'/js/jquery.countdown.min.js', array('jquery', 'jquery-ui-core'), NULL, TRUE);
    ?>
    <div id="pulse_ajax_container" data-ajax_path="<?php echo get_template_directory_uri() ?>/inc/ajax-handler.php" class="pulse_coming">
        <div id="pulse_ajax_inner" class="forced_row pls_first_row"> 
            <div id="pulse_main_block" class="row header_font page-<?php echo get_the_ID(); ?>">
                <?php
                    while (have_posts()) : the_post();
                    if (get_the_content()!="") {
                        ?>
                        <div id="pulse_coming_wrapper">
                            <?php the_content(); ?>
                        </div>
                        <?php
                    }
                    endwhile;
                ?>
                <div id="pulse_countdown_wrapper" data-color="<?php echo get_field('text_color'); ?>" class="header_font">
                    <?php
                        $launch_date=get_field('launch_date');
                        if ($launch_date!="") {
                            $year=substr($launch_date, 0, 4);
                            $month=substr($launch_date, 4, 2);
                            $day=substr($launch_date, 6, 2);
                            echo '<div id="pulse_countdown"></div>';
                        }
                        else {
                            $year=$month=$day="0";
                        }
                    ?>
                    <?php
                        if (get_field('below_headings_text')!="") {
                            ?>
                                <div id="pulse_countdown_footer" class="body_font">
                                    <?php echo get_field('below_headings_text'); ?>
                                </div>
                            <?php
                        }
                    ?>
                </div>
            </div>
            <?php
                if (get_field('image_back')!="") {
                    $image=wp_get_attachment_image_src(get_field('image_back'),'full');
                    ?>
                        <div id="pulse_full_back" data-image="<?php echo esc_attr($image[0]); ?>"></div>
                        <div class="pls_preloaded hide_now">
                            <img src="<?php echo esc_attr($image[0]); ?>" alt="<?php echo pulse_output(); ?>" />
                        </div>
                    <?php
                }
            ?>
        </div>
    </div>
    <div>
    <script>
        jQuery(function () {
            var custom_date = new Date(); 
            custom_date = new Date(<?php echo esc_attr($year); ?>, <?php echo esc_attr($month); ?> - 1, <?php echo esc_attr($day); ?>); 
            jQuery('#pulse_countdown').countdown({
                until: custom_date
            }); 
        });
    </script>
    <?php get_footer(); ?>