<?php


function pulse_theme_activation_options_init() {
    if (pulse_get_theme_activation_options() === false) {
        add_option('pulse_theme_activation_options', pulse_get_default_theme_activation_options());
    }

    register_setting(
        'pulse_activation_options',
        'pulse_theme_activation_options',
        'pulse_theme_activation_options_validate'
    );
}
add_action('admin_init', 'pulse_theme_activation_options_init');

function pulse_activation_options_page_capability($capability) {
    return 'edit_theme_options';
}

add_filter('option_page_capability_pulse_activation_options', 'pulse_activation_options_page_capability');

function pulse_theme_activation_options_add_page() {
    $pulse_activation_options = pulse_get_theme_activation_options();
    $theme_page=add_submenu_page(
        null,
        __('1-Click Demo Import', 'pulse'),
        __('1-Click Demo Import', 'pulse'),
        'edit_theme_options',
        'theme_activation_options',
        'pulse_theme_activation_options_render_page'
    );

}
add_action('admin_menu', 'pulse_theme_activation_options_add_page', 50);

function pulse_get_default_theme_activation_options() {
    $default_theme_activation_options = array(
        'generate_content'  => false,
        'adventure'          => "",
        'agency'          => "",
        'agency-dark'          => "",
        'agency_3'          => "",
        'app-tech'             => "",
        'app_2'             => "",
        'artist-minimal'            => "",
        'business'        => "",
        'coming-soon'            => "",
        'event'             => "",
        'kindergarten'      => "",
        'lawyer'            => "",
        'main'              => "",
        'personal-vcard'        => "",
        'personal-digital'        => "",
        'personal-web'        => "",
        'photography'       => "",
        'photography-dark'    => "",
        'restaurant'        => "",
        'wedding'           => "",
    );

    return apply_filters('pulse_default_theme_activation_options', $default_theme_activation_options);
}

function pulse_get_theme_activation_options() {
    return get_option('pulse_theme_activation_options', pulse_get_default_theme_activation_options());
}

function pulse_theme_activation_options_render_page() {
    $pulse_theme=wp_get_theme();
    if (isset($_GET["prk_act_activate"])) {
        echo '<div id="prk_activate_message">';
        echo '</div>';
    }
    ?>
    <div class="wrap">
    </div>
    <div id="pls_one_click">
        <?php
        if (!pulse_validate_key()) {
            ?>
            <div id="lic_wrapper" class="left_floated">
                <div id="lic_left_column" class="left_floated"></div>
                <div id="lic_right_column" class="left_floated">
                    <h2 class="pirenko_import_title"><?php echo esc_attr($pulse_theme->get('Name').' '.__('Theme - One-click install sample content', 'pulse')); ?></h2>
                    <em>To acess this feature you need to enter the theme license key.</em>
                    <form id="pirenko_verify_form" class="plugined" method="post" data-path="<?php echo $_SERVER['HTTP_HOST']; ?>" data-admin="<?php echo admin_url('themes.php?page=theme_activation_options&prk_act_activate='); ?>" data-theme="<?php echo PULSE_PLUGIN_ID; ?>">
                        <div class="pirenko_verify_purchase">
                            <div class="spinner"></div>
                            <input id="pirenko_purchase_key" type="text" name="pirenko_purchase_key" value="" /><br />
                            <input type="submit" value="<?php echo esc_attr__( 'Validate License Key', 'pulse'); ?>" class="button button-primary button-large" />
                        </div>
                        <div id="pirenko_verify_form-output">
                            <p>You can purchase a <?php echo esc_attr($pulse_theme->get('Name').' - '.$pulse_theme->get('Description')); ?> license <a href="https://themeforest.net/cart/configure_before_adding/<?php echo PULSE_PLUGIN_ID; ?>?license=regular&ref=Pirenko&size=source&support=bundle_6month" target="_blank">here</a>.</p>
                        </div>
                    </form>
                </div>
            </div>
            <div class="clear bt_48"></div>
            <em>If you already have a license, please head to <a href="http://bit.ly/view_pirenko" target="_blank">themeforest.net</a> and here's how to get it in 3 easy steps:</em>
            <div class="clear bt_6"></div>
            <img id="prk_license_img" src="<?php echo get_template_directory_uri(); ?>/images/license.jpg" />
            <?php
        }
        else if (PRK_PULSE_FRAMEWORK==false) {
            ?>
            <div id="lic_wrapper" class="left_floated lic_fulled">
                <div id="lic_right_column" class="left_floated">
                    <em>This option is only available after installing and activating the bundled plugins. You can access the Demo Import feature later by clicking on Appearance>Demo Import.</em>
                </div>
            </div>
            <?php
        }
        else {
            ?>
            <div id="redux-header">
                <div class="display_header">
                    <h2><?php _e('Install sample content?', 'pulse'); ?></h2>
                </div>
                <div class="clear"></div>
            </div>
            <form method="post" action="options.php" class="pls_one_form">
                <?php
                settings_fields('pulse_activation_options');
                $pulse_activation_options = pulse_get_theme_activation_options();
                ?>
                <div id="pls_oc_title" class="redux-group-tab" data-rel="14" >
                    <h4>This feature will generate some pages and related content to help you creating your own custom website.<br />Portfolio Items, Blog Posts, Team Members and Testimonials will always be generated if they don't exist already.</h4>
                    <p>Please select the demos that should be generated.</p>
                </div>
                <?php submit_button('Generate Content'); ?>
                <table class="form-table no-border" style="margin-top: 0;">
                    <tbody id="one-click-table">
                    <tr id="one-click-first" class="fold pls_page">
                        <th id="pls_toggle_row" scope="row">
                            <fieldset class="redux-field-container redux-field redux-container-checkbox">
                                <input type="checkbox" name="pls_toggle_all" id="pls_toggle_all" value="1" class="checkbox" checked="checked">
                                <label for="pls_toggle_all"><span></span></label>
                            </fieldset>
                            <div class="redux_field_th">Toggle selection</div>
                        </th>
                        <td>
                        </td>
                    </tr>
                    
                    <?php
                    $pages_array=array(
                        'adventure'  => 'Adventure Travel',
                        'agency'  => 'Agency Multipage - 5 pages',
                        'agency-dark'  => 'Agency - Dark',
                        'app-tech'  => 'App - Tech',
                        //'app_2'  => 'App - Soccer',
                        'artist-minimal'  => 'Artist - Minimal',
                        'business'  => 'Business',
                        'coming-soon'  => 'Coming Soon',
                        'event'  => 'Event',
                        'kindergarten'  => 'Kindergarten',
                        'lawyer'  => 'Lawyer',
                        'main'  => 'Main - 15 pages',
                        'personal-vcard'  => 'Personal - Intro',
                        'personal-digital'  => 'Personal - Digital Artist',
                        'personal-web'  => 'Personal - Web',
                        'photography'  => 'Photography',
                        'photography-dark'  => 'Photography - Dark',
                        'restaurant'  => 'Restaurant',
                        'wedding'  => 'Wedding',
                    );
                    $links_array=array(
                        'adventure'  => 'http://pirenko-themes.com/pulse-adventure/',
                        'agency'  => 'http://pirenko-themes.com/pulse-agency-one/',
                        'agency-dark'  => 'http://pirenko-themes.com/pulse-agency-two/',
                        'app-tech'  => 'http://pirenko-themes.com/pulse-app-one/',
                        //'app_2'  => 'http://www.pirenko-themes.com/pulse-app-two/',
                        'artist-minimal'  => 'http://pirenko-themes.com/pulse-artist/',
                        'business'  => 'http://pirenko-themes.com/pulse-biz/',
                        'coming-soon'  => 'http://pirenko-themes.com/pulse-coming-soon/',
                        'event'  => 'http://pirenko-themes.com/pulse-event/',
                        'kindergarten'  => 'http://pirenko-themes.com/pulse-kindergarten/',
                        'lawyer'  => 'http://pirenko-themes.com/pulse-lawyer/',
                        'main'  => 'http://www.pirenko-themes.com/pulse/main/',
                        'personal-vcard'  => 'http://pirenko-themes.com/pulse-personal-one/',
                        'personal-digital'  => 'http://pirenko-themes.com/pulse-personal-two/',
                        'personal-web'  => 'http://pirenko-themes.com/personal-three/',
                        'photography'  => 'http://pirenko-themes.com/pulse-photography/',
                        'photography-dark'  => 'http://pirenko-themes.com/pulse-photography-dark/',
                        'restaurant'  => 'http://pirenko-themes.com/restaurant/',
                        'wedding'  => 'http://pirenko-themes.com/pulse-wedding/',
                    );
                    $i=0;
                    foreach ($pages_array as $page=>$stringer) {
                        echo '<tr class="fold pls_page">';
                        echo '<th scope="row">';
                        echo '<fieldset class="redux-field-container redux-field redux-container-checkbox">
                      <input type="checkbox" name="pulse_theme_activation_options['.$page.']" id="'.$page.'" class="checkbox pls_check" checked="checked">
                      <label for="'.$page.'"><span></span></label>
                    </fieldset>
                    <div class="redux_field_th">'.$stringer.'</div>
                    <img src="'.plugin_dir_url( __FILE__ ).'images/demos/'.$page.'.jpg" />
                    <a class="prk_demo_link" href="'.$links_array[$page].'" target="_blank">Demo Preview &rarr;</a>
                  </th><td></td>';
                        echo '</tr>';
                        $i++;
                        if ($i%3==0) {
                            echo '<tr class="fold pls_clear"></tr>';
                        }
                    }
                    ?>
                    </tbody>
                </table>
                <?php submit_button('Generate Content'); ?><br />
            </form>
            <?php
        }
        ?>
    </div>
<?php }

function pulse_theme_activation_options_validate($input) {
    $output = $defaults = pulse_get_default_theme_activation_options();

    $pages_array = array(
        'adventure'         => "",
        'agency'          => "",
        'agency-dark'          => "",
        'agency_3'          => "",
        'app-tech'             => "",
        'app_2'             => "",
        'artist-minimal'            => "",
        'business'        => "",
        'coming-soon'            => "",
        'event'             => "",
        'kindergarten'      => "",
        'lawyer'            => "",
        'main'              => "",
        'personal-vcard'        => "",
        'personal-digital'        => "",
        'personal-web'        => "",
        'photography'       => "",
        'photography-dark'    => "",
        'restaurant'        => "",
        'wedding'           => "",
    );
    foreach ($pages_array as $page=>$value) {
        if (isset($input[$page]) && $input[$page]!="") {
            $output[$page]=$input[$page];
            $output['generate_content']=true;
        }
    }

    return apply_filters('pulse_theme_activation_options_validate', $output, $input, $defaults);
}

function pulse_theme_activation_action() {
    $pulse_theme_activation_options = pulse_get_theme_activation_options();
    if ($pulse_theme_activation_options['generate_content']==true) {
        $pulse_theme_activation_options['generate_content']=false;

        //ADD THE SAMPLE CONTENT
        //CREATE CONTENT

        //------------------------ IMPORT IMAGES ------------------------ //
        global $wpdb;
        $filename_a = get_template_directory_uri().'/images/sample/holder_a.jpg';
        $description_a = 'Paperwork on desk';
        media_sideload_image($filename_a, 0, $description_a);
        $attachment_a = $wpdb->get_row($query = "SELECT * FROM {$wpdb->prefix}posts ORDER BY ID DESC LIMIT 1", ARRAY_A);
        $attachment_a_id = $attachment_a['ID'];

        $filename_b = get_template_directory_uri().'/images/sample/holder_b.jpg';
        $description_b = 'Looking at watch';
        media_sideload_image($filename_b, 0, $description_b);
        $attachment_b = $wpdb->get_row($query = "SELECT * FROM {$wpdb->prefix}posts ORDER BY ID DESC LIMIT 2", ARRAY_A);
        $attachment_b_id = $attachment_b['ID'];

        $filename_c = get_template_directory_uri().'/images/sample/holder_c.jpg';
        $description_c = 'Clean desktop';
        media_sideload_image($filename_c, 0, $description_c);
        $attachment_c = $wpdb->get_row($query = "SELECT * FROM {$wpdb->prefix}posts ORDER BY ID DESC LIMIT 4", ARRAY_A);
        $attachment_c_id = $attachment_c['ID'];

        $filename_d = get_template_directory_uri().'/images/sample/holder_d.jpg';
        $description_d = 'Sitting on floor';
        media_sideload_image($filename_d, 0, $description_d);
        $attachment_d = $wpdb->get_row($query = "SELECT * FROM {$wpdb->prefix}posts ORDER BY ID DESC LIMIT 5", ARRAY_A);
        $attachment_d_id = $attachment_d['ID'];

        $filename_u = get_template_directory_uri().'/images/sample/user.jpg';
        $description_u = 'Guy on wall';
        media_sideload_image($filename_u, 0, $description_u);
        $attachment_u = $wpdb->get_row($query = "SELECT * FROM {$wpdb->prefix}posts ORDER BY ID DESC LIMIT 7", ARRAY_A);
        $attachment_u_id = $attachment_u['ID'];

        $filename_t = get_template_directory_uri().'/images/sample/user.png';
        $description_t = 'Face';
        media_sideload_image($filename_t, 0, $description_t);
        $attachment_t = $wpdb->get_row($query = "SELECT * FROM {$wpdb->prefix}posts ORDER BY ID DESC LIMIT 8", ARRAY_A);
        $attachment_t_id = $attachment_t['ID'];


        //------------------------ CUSTOM POST TYPES ------------------------//

        //ADD A DEFAULT GROUP - SLIDES
        wp_insert_term(
            'Pulse Group', //TERM
            'pirenko_slide_set', //TAXONOMY
            array(
                'description'=> 'A sample slides group',
                'slug' => 'pulse-group'
            )
        );
        $new_group=get_term_by('slug', 'pulse-group', 'pirenko_slide_set');

        //SLIDES ITEM - IMAGE A
        $new_page_title = 'First Slide';
        $new_page_content = 'This is the first slide description.';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_slides');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_slides',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_b_id);
            add_post_meta($new_page_id, 'slide_text_size', 'big');
            add_post_meta($new_page_id, 'pirenko_sh_slide_header_color', '#ffffff');
            add_post_meta($new_page_id, 'title_background_color_opacity', '0');
            add_post_meta($new_page_id, 'slide_text_horz', 'center');
            add_post_meta($new_page_id, 'slide_text_vert', 'v_center');
            wp_set_post_terms( $new_page_id, array($new_group->term_id), 'pirenko_slide_set', false );
        }
        //SLIDES ITEM - IMAGE C
        $new_page_title = 'Second Slide';
        $new_page_content = 'This is the second slide description.';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_slides');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_slides',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_c_id);
            add_post_meta($new_page_id, 'slide_text_size', 'big');
            add_post_meta($new_page_id, 'pirenko_sh_slide_header_color', '#ffffff');
            add_post_meta($new_page_id, 'title_background_color_opacity', '0');
            add_post_meta($new_page_id, 'slide_text_horz', 'center');
            add_post_meta($new_page_id, 'slide_text_vert', 'v_center');
            wp_set_post_terms( $new_page_id, array($new_group->term_id), 'pirenko_slide_set', false );
        }

        //ADD A DEFAULT GROUP - TESTIMONIALS
        wp_insert_term(
            'Pulse Testimonials', //TERM
            'pirenko_testimonial_set', //TAXONOMY
            array(
                'description'=> 'A sample testimonials set',
                'slug' => 'pulse-testimonials'
            )
        );
        $new_group=get_term_by('slug', 'pulse-testimonials', 'pirenko_testimonial_set');


        //TESTIMONIALS A
        $new_page_title = 'John Doe';
        $new_page_content = 'In both cases, the stranded whales to which these two skeletons belonged, were originally claimed by their proprietors upon similar grounds. King Tranquo seizing his because he wanted it; and Sir Clifford, because he was lord of the seignories of those parts.';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_testimonials');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_testimonials',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-08',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_t_id);
            add_post_meta($new_page_id, 'testimonial_subheading', 'John, the thinker');
            wp_set_post_terms( $new_page_id, array($new_group->term_id), 'pirenko_testimonial_set', false );
        }
        //TESTIMONIALS B
        $new_page_title = 'Jane Doe';
        $new_page_content = 'Sir Cliffords whale has been articulated throughout; so that, like a great chest of drawers, you can open and shut him, in all his bony cavities out his ribs like a gigantic swing all day upon his lower jaw. Locks are to be put upon some of his trap-doors and shutters; and a footman will show round future visitors with a bunch of keys at his side.';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_testimonials');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_testimonials',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-10',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_t_id);
            add_post_meta($new_page_id, 'testimonial_subheading', 'Jane, the executive');
            wp_set_post_terms( $new_page_id, array($new_group->term_id), 'pirenko_testimonial_set', false );
        }
        //TESTIMONIALS C
        $new_page_title = 'Jackie Doe';
        $new_page_content = 'Sir Clifford thinks of charging twopence for a peep at the whispering gallery in the spinal column; threepence to hear the echo in the hollow of his cerebellum; and sixpence for the unrivalled view from his forehead.';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_testimonials');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_testimonials',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-09',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_t_id);
            add_post_meta($new_page_id, 'testimonial_subheading', 'Jackie, the accountant');
            wp_set_post_terms( $new_page_id, array($new_group->term_id), 'pirenko_testimonial_set', false );
        }

        //ADD A DEFAULT SKILL - PORTFOLIO CLASSIC
        wp_insert_term(
            'Pulse Classic Skill', //TERM
            'pirenko_skills', //TAXONOMY
            array(
                'description'=> 'Portfolio splitted layout skill',
                'slug' => 'pulse-classic-skill'
            )
        );
        //ADD A DEFAULT SKILL - PORTFOLIO FULLSCREEN
        wp_insert_term(
            'Pulse Fullscreen Skill', //TERM
            'pirenko_skills', //TAXONOMY
            array(
                'description'=> 'Portfolio wide layout skill',
                'slug' => 'pulse-wide-skill'
            )
        );
        $new_skill=get_term_by('slug', 'pulse-classic-skill', 'pirenko_skills');
        //PORTFOLIO ITEM - IMAGE
        $new_page_title = 'Half layout with Image';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_portfolios');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_portfolios',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-04',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_a_id);
            wp_publish_post($new_page_id);
            add_post_meta($new_page_id, 'inner_layout', 'half');
            add_post_meta($new_page_id, 'featured_color', '#27ae60');
            add_post_meta($new_page_id, 'client_url', 'Company ABC');
            add_post_meta($new_page_id, 'ext_url', 'http://www.google.com');
            wp_set_post_terms( $new_page_id, array($new_skill->term_id), 'pirenko_skills', false );
        }
        //PORTFOLIO ITEM - SLIDER
        $new_page_title = 'Half layout with Slider';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_portfolios');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_portfolios',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-03',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_b_id);
            wp_publish_post($new_page_id);
            add_post_meta($new_page_id, 'inner_layout', 'half');
            add_post_meta($new_page_id, 'image_2', $attachment_a_id);
            add_post_meta($new_page_id, 'featured_color', '#e67e22');
            add_post_meta($new_page_id, 'custom_width', 'pulse_hz_two');
            add_post_meta($new_page_id, 'orientation', 'landscape');
            add_post_meta($new_page_id, 'client_url', 'Company ABC');
            add_post_meta($new_page_id, 'ext_url', 'http://www.google.com');
            wp_set_post_terms( $new_page_id, array($new_skill->term_id), 'pirenko_skills', false );
        }


        //PORTFOLIO ITEM - VIDEO
        $new_page_title = 'Half layout with Video';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_portfolios');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_portfolios',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-02',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_d_id);
            wp_publish_post($new_page_id);
            add_post_meta($new_page_id, 'inner_layout', 'half');
            add_post_meta($new_page_id, 'skip_featured', '1');
            add_post_meta($new_page_id, 'video_2', '<iframe width="1280" height="720" src="http://www.youtube.com/embed/Q9Phn1yQT8U?html5=1&vq=hd720" frameborder="0" allowfullscreen></iframe>');
            add_post_meta($new_page_id, 'featured_color', '#8e44ad');
            add_post_meta($new_page_id, 'client_url', 'Company ABC');
            add_post_meta($new_page_id, 'ext_url', 'http://www.google.com');
            wp_set_post_terms( $new_page_id, array($new_skill->term_id), 'pirenko_skills', false );
        }

        $new_skill=get_term_by('slug', 'pulse-wide-skill', 'pirenko_skills');

        //PORTFOLIO ITEM - IMAGE
        $new_page_title = 'Wide layout with image';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it. Presently its efforts to reach us ceased entirely, and with a few convulsive movements it turned upon its back quite dead.
And then there came to me a sudden realization of the predicament in which I had placed myself. I was entirely within the power of the savage man whose skiff I had stolen. Still clinging to the spear I looked into his face to find him scrutinizing me intently, and there we stood for some several minutes, each clinging tenaciously to the weapon the while we gazed in stupid wonderment at each other.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_portfolios');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_portfolios',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-08',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_c_id);
            wp_publish_post($new_page_id);
            add_post_meta($new_page_id, 'featured_color', '#27ae60');
            add_post_meta($new_page_id, 'inner_layout', 'wide');
            add_post_meta($new_page_id, 'custom_width', 'pulse_hz_two');
            add_post_meta($new_page_id, 'orientation', 'landscape');
            add_post_meta($new_page_id, 'client_url', 'Company ABC');
            add_post_meta($new_page_id, 'ext_url', 'http://www.google.com');
            wp_set_post_terms( $new_page_id, array($new_skill->term_id), 'pirenko_skills', false );
        }
        //PORTFOLIO ITEM - SLIDER
        $new_page_title = 'Wide layout with slider';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it. Presently its efforts to reach us ceased entirely, and with a few convulsive movements it turned upon its back quite dead.
And then there came to me a sudden realization of the predicament in which I had placed myself. I was entirely within the power of the savage man whose skiff I had stolen. Still clinging to the spear I looked into his face to find him scrutinizing me intently, and there we stood for some several minutes, each clinging tenaciously to the weapon the while we gazed in stupid wonderment at each other.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_portfolios');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_portfolios',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-07',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_a_id);
            wp_publish_post($new_page_id);
            add_post_meta($new_page_id, 'image_2', $attachment_a_id);
            add_post_meta($new_page_id, 'inner_layout', 'wide');
            add_post_meta($new_page_id, 'featured_color', '#e67e22');
            add_post_meta($new_page_id, 'client_url', 'Company ABC');
            add_post_meta($new_page_id, 'ext_url', 'http://www.google.com');
            wp_set_post_terms( $new_page_id, array($new_skill->term_id), 'pirenko_skills', false );
        }


        //PORTFOLIO ITEM - VIDEO
        $new_page_title = 'Wide layout with video';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it. Presently its efforts to reach us ceased entirely, and with a few convulsive movements it turned upon its back quite dead.
And then there came to me a sudden realization of the predicament in which I had placed myself. I was entirely within the power of the savage man whose skiff I had stolen. Still clinging to the spear I looked into his face to find him scrutinizing me intently, and there we stood for some several minutes, each clinging tenaciously to the weapon the while we gazed in stupid wonderment at each other.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_portfolios');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_portfolios',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-06',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_b_id);
            wp_publish_post($new_page_id);
            add_post_meta($new_page_id, 'skip_featured', '1');
            add_post_meta($new_page_id, 'video_2', '<iframe width="1280" height="720" src="http://www.youtube.com/embed/Q9Phn1yQT8U?html5=1&vq=hd720" frameborder="0" allowfullscreen></iframe>');
            add_post_meta($new_page_id, 'featured_color', '#8e44ad');
            add_post_meta($new_page_id, 'inner_layout', 'wide');
            add_post_meta($new_page_id, 'client_url', 'Company ABC');
            add_post_meta($new_page_id, 'ext_url', 'http://www.google.com');
            wp_set_post_terms( $new_page_id, array($new_skill->term_id), 'pirenko_skills', false );
        }

        //------------------------ POSTS ------------------------//

        //ADD A DEFAULT CATEGORY - BLOG
        wp_create_category('Pulse Category');
        $new_category=get_category_by_slug('pulse-category');


        //BLOG ITEM - IMAGE
        $new_page_title = 'Post with Image';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it. Presently its efforts to reach us ceased entirely, and with a few convulsive movements it turned upon its back quite dead.
And then there came to me a sudden realization of the predicament in which I had placed myself. I was entirely within the power of the savage man whose skiff I had stolen. Still clinging to the spear I looked into his face to find him scrutinizing me intently, and there we stood for some several minutes, each clinging tenaciously.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'post');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'post',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-08',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_c_id);
            add_post_meta($new_page_id, 'featured_color', '#9b59b6');
            add_post_meta($new_page_id, 'bl_icon', 'pulse_fa-bullhorn');
            wp_set_post_terms( $new_page_id, array($new_category->term_id), 'category', false );
        }

        //BLOG ITEM - SLIDER
        $new_page_title = 'Post with Slider';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it. Presently its efforts to reach us ceased entirely, and with a few convulsive movements it turned upon its back quite dead.
And then there came to me a sudden realization of the predicament in which I had placed myself. I was entirely within the power of the savage man whose skiff I had stolen. Still clinging to the spear I looked into his face to find him scrutinizing me intently, and there we stood for some several minutes, each clinging tenaciously.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'post');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'post',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-07',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            set_post_thumbnail($new_page_id, $attachment_a_id);
            add_post_meta($new_page_id, 'bl_icon', 'pulse_fa-bullhorn');
            add_post_meta($new_page_id, 'image_2', $attachment_c_id);
            add_post_meta($new_page_id, 'featured_color', '#27ae60');
            wp_set_post_terms( $new_page_id, array($new_category->term_id), 'category', false );
        }


        //BLOG ITEM - VIDEO
        $new_page_title = 'Post with Video';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it. Presently its efforts to reach us ceased entirely, and with a few convulsive movements it turned upon its back quite dead.
And then there came to me a sudden realization of the predicament in which I had placed myself. I was entirely within the power of the savage man whose skiff I had stolen. Still clinging to the spear I looked into his face to find him scrutinizing me intently, and there we stood for some several minutes, each clinging tenaciously.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'post');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'post',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-06',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            add_post_meta($new_page_id, 'skip_featured', '1');
            add_post_meta($new_page_id, 'bl_icon', 'pulse_fa-bullhorn');
            add_post_meta($new_page_id, 'featured_color', '#8e44ad');
            add_post_meta($new_page_id, 'video_2', '<iframe width="1280" height="720" src="http://www.youtube.com/embed/Q9Phn1yQT8U?html5=1&vq=hd720" frameborder="0" allowfullscreen></iframe>');
            wp_set_post_terms( $new_page_id, array($new_category->term_id), 'category', false );
        }


        //BLOG ITEM - AUDIO
        $new_page_title = 'Post with Audio';
        $new_page_content = '[vc_row][vc_column width="1/1"][vc_column_text]The aborigine, apparently uninjured, climbed quickly into the skiff, and seizing the spear with me helped to hold off the infuriated creature. Blood from the wounded reptile was now crimsoning the waters about us and soon from the weakening struggles it became evident that I had inflicted a death wound upon it. Presently its efforts to reach us ceased entirely, and with a few convulsive movements it turned upon its back quite dead.
And then there came to me a sudden realization of the predicament in which I had placed myself. I was entirely within the power of the savage man whose skiff I had stolen. Still clinging to the spear I looked into his face to find him scrutinizing me intently, and there we stood for some several minutes, each clinging tenaciously.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'post');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'post',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-05',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            add_post_meta($new_page_id, 'skip_featured', '1');
            add_post_meta($new_page_id, 'bl_icon', 'pulse_fa-bullhorn');
            add_post_meta($new_page_id, 'featured_color', '#e67e22');
            add_post_meta($new_page_id, 'video_2', '<iframe width="100%" height="166" scrolling="no" frameborder="no" src="https://w.soundcloud.com/player/?url=http%3A%2F%2Fapi.soundcloud.com%2Ftracks%2F58223409"></iframe>');
            wp_set_post_terms( $new_page_id, array($new_category->term_id), 'category', false );
        }

        //ADD A DEFAULT TEAM - TEAM MEMBERS
        wp_insert_term(
            'Pulse Team', //TERM
            'pirenko_member_group', //TAXONOMY
            array(
                'description'=> 'A sample team',
                'slug' => 'pulse-team'
            )
        );
        $new_group=get_term_by('slug', 'pulse-team', 'pirenko_member_group');


        //MEMBERS - MEMBER A
        $new_page_title = 'John Doe';
        $new_page_content = '[vc_row][vc_column][vc_column_text]In both cases, the stranded whales to which these two skeletons belonged, were originally claimed by their proprietors upon similar grounds. King Tranquo seizing his because he wanted it; and Sir Clifford, because he was lord of the seignories of those parts. Sir Cliffords whale has been articulated throughout; so that, like a great chest of drawers, you can open and shut him, in all his bony cavities out his ribs like a gigantic swing all day upon his lower jaw. Locks are to be put upon some of his trap-doors and shutters; and a footman will show round future visitors with a bunch of keys at his side. Sir Clifford thinks of charging twopence for a peep at the whispering gallery in the spinal column; threepence to hear the echo in the hollow of his cerebellum; and sixpence for the unrivalled view from his forehead.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_team_member');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_team_member',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-08',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'member_layout', 'regular');
            add_post_meta($new_page_id, 'member_social_1', 'none');
            add_post_meta($new_page_id, 'member_social_2', 'none');
            add_post_meta($new_page_id, 'member_social_3', 'none');
            add_post_meta($new_page_id, 'member_social_4', 'none');
            add_post_meta($new_page_id, 'member_social_5', 'none');
            add_post_meta($new_page_id, 'member_social_6', 'none');
            add_post_meta($new_page_id, 'member_job', 'Creative Director');
            add_post_meta($new_page_id, 'member_email', 'john@pulse.com');
            add_post_meta($new_page_id, 'show_member_link', '1');
            add_post_meta($new_page_id, 'show_member_image', '1');
            add_post_meta($new_page_id, 'image_2', $attachment_u_id);
            set_post_thumbnail($new_page_id, $attachment_u_id);
            wp_set_post_terms( $new_page_id, array($new_group->term_id), 'pirenko_member_group', false );
        }
        //MEMBERS - MEMBER B
        $new_page_title = 'Jane Doe';
        $new_page_content = '[vc_row][vc_column][vc_column_text]In both cases, the stranded whales to which these two skeletons belonged, were originally claimed by their proprietors upon similar grounds. King Tranquo seizing his because he wanted it; and Sir Clifford, because he was lord of the seignories of those parts. Sir Cliffords whale has been articulated throughout; so that, like a great chest of drawers, you can open and shut him, in all his bony cavities out his ribs like a gigantic swing all day upon his lower jaw. Locks are to be put upon some of his trap-doors and shutters; and a footman will show round future visitors with a bunch of keys at his side. Sir Clifford thinks of charging twopence for a peep at the whispering gallery in the spinal column; threepence to hear the echo in the hollow of his cerebellum; and sixpence for the unrivalled view from his forehead.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_team_member');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_team_member',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-10',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'member_layout', 'regular');
            add_post_meta($new_page_id, 'member_social_1', 'none');
            add_post_meta($new_page_id, 'member_social_2', 'none');
            add_post_meta($new_page_id, 'member_social_3', 'none');
            add_post_meta($new_page_id, 'member_social_4', 'none');
            add_post_meta($new_page_id, 'member_social_5', 'none');
            add_post_meta($new_page_id, 'member_social_6', 'none');
            add_post_meta($new_page_id, 'member_job', 'Creative Director');
            add_post_meta($new_page_id, 'member_email', 'jane@pulse.com');
            add_post_meta($new_page_id, 'show_member_link', '1');
            add_post_meta($new_page_id, 'show_member_image', '1');
            add_post_meta($new_page_id, 'image_2', $attachment_u_id);
            set_post_thumbnail($new_page_id, $attachment_u_id);
            wp_set_post_terms( $new_page_id, array($new_group->term_id), 'pirenko_member_group', false );
        }
        //MEMBERS - MEMBER C
        $new_page_title = 'Jackie Doe';
        $new_page_content = '[vc_row][vc_column][vc_column_text]In both cases, the stranded whales to which these two skeletons belonged, were originally claimed by their proprietors upon similar grounds. King Tranquo seizing his because he wanted it; and Sir Clifford, because he was lord of the seignories of those parts. Sir Cliffords whale has been articulated throughout; so that, like a great chest of drawers, you can open and shut him, in all his bony cavities out his ribs like a gigantic swing all day upon his lower jaw. Locks are to be put upon some of his trap-doors and shutters; and a footman will show round future visitors with a bunch of keys at his side. Sir Clifford thinks of charging twopence for a peep at the whispering gallery in the spinal column; threepence to hear the echo in the hollow of his cerebellum; and sixpence for the unrivalled view from his forehead.[/vc_column_text][/vc_column][/vc_row]';
        $page_check = get_page_by_title($new_page_title, '', 'pirenko_team_member');
        if(!isset($page_check->ID)){
            $new_page = array(
                'post_type' => 'pirenko_team_member',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_date' => '2014-09-09',
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'member_layout', 'divided');
            add_post_meta($new_page_id, 'member_social_1', 'none');
            add_post_meta($new_page_id, 'member_social_2', 'none');
            add_post_meta($new_page_id, 'member_social_3', 'none');
            add_post_meta($new_page_id, 'member_social_4', 'none');
            add_post_meta($new_page_id, 'member_social_5', 'none');
            add_post_meta($new_page_id, 'member_social_6', 'none');
            add_post_meta($new_page_id, 'member_job', 'Creative Director');
            add_post_meta($new_page_id, 'member_email', 'jackie@pulse.com');
            add_post_meta($new_page_id, 'show_member_link', '1');
            add_post_meta($new_page_id, 'show_member_image', '1');
            add_post_meta($new_page_id, 'image_2', $attachment_u_id);
            set_post_thumbnail($new_page_id, $attachment_u_id);
            wp_set_post_terms( $new_page_id, array($new_group->term_id), 'pirenko_member_group', false );
        }

        //------------------------ PAGES ------------------------//

        if ($pulse_theme_activation_options['personal-vcard']!="") {
            $pulse_theme_activation_options['personal-vcard']="";
            //Personal 1
            $new_page_title = 'Personal 1';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" row_height="forced_row bottom_forced_row" append_arrow="no" bk_element="image" bg_image="'.$attachment_d_id.'" vid_parallax="no" hide_with_css="" font_color="#ffffff" bg_image_repeat="pulse_cover" el_class="pulse_padding" preload_bk="yes"][vc_column width="1/3" align="pulse_left_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" column_height="pulse_forced_clm bottom_forced_clm"][prkwp_styled_title prk_in="Mike Müller" align="Left" font_type="header_font" title_size="h1" use_italic="No" pulse_show_line="no" width="70px"][vc_column_text el_class="header_font"]<h4><span style="color: #ffffff;">DIGITAL ARTIST</span></h4>[/vc_column_text][prkwp_spacer size="14"][vc_column_text]Besides his hoisted boats, an American whaler is outwardly distinguished by his try-works. He presents the curious anomaly of the most solid masonry joining with oak and hemp in constituting the completed ship.[/vc_column_text][vc_column_text]<a href="mailto:mike@pulse.com">mike@pulse.com →</a>[/vc_column_text][/vc_column][vc_column width="1/3"][/vc_column][vc_column width="1/3" align="pulse_right_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" column_height="pulse_forced_clm bottom_forced_clm"][pirenko_social_nets icons_style="rounded_icons" icons_size="14" net_1="dribbble" net_2="instagram" net_3="behance" net_4="pinterest" net_5="none" net_6="none" net_7="none" net_8="none" link_1="http://www.google.com" link_2="http://www.google.com" link_3="http://www.google.com" text_color="#ffffff" hover_color="#b5b5b5" custom_opacity="75" link_4="http://www.google.com"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
        }

        if ($pulse_theme_activation_options['personal-digital']!="") {
            $pulse_theme_activation_options['personal-digital']="";
            //Personal 2
            $new_page_title = 'Personal 2';
            $new_page_content='[vc_row align="pulse_center_align" font_color="#ffffff" row_height="forced_row vertical_forced_row" append_arrow="yes" bk_element="image" preload_bk="yes" bg_image_repeat="pulse_cover_bottom" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="THE GORGEOUS WORK OF" align="Center" font_weight="400" text_color="#ffffff" title_size="h4" margin_bottom="4px" css_animation="pls_fadeInDownBig" el_class="delay-500"][prkwp_styled_title prk_in="MATT RILEY" align="Center" font_weight="500" text_color="#ffffff" title_size="h1_bigger" css_animation="pls_fadeInUpBig" custom_css="letter-spacing:3px;" el_class="delay-500"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" row_height="forced_row vertical_forced_row" height_adjust="72" margin_bottom="0" bk_element="colored" el_class="pulse_retina" el_id="about" bg_color="#27292c"][vc_column column_height="pulse_forced_clm pulse_vertical_clm" caption="Hanging out in NY" caption_position="prk_caption_right" width="1/2" bg_image="'.$attachment_a_id.'" caption_color="#ffffff"][vc_column_text][/vc_column_text][/vc_column][vc_column column_height="pulse_forced_clm pulse_vertical_clm" col_width="66" width="1/2"][prkwp_spacer size="54"][prkwp_styled_title prk_in="Thoughts &amp; Feelings " align="Center" font_type="custom_font" font_weight="400" text_color="#ffffff" title_size="h3" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="ABOUT ME" align="Center" font_weight="600" text_color="#0080bd" title_size="h1" margin_bottom="22px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="prk_smooth_font"]<p style="text-align: center;">In a moment the entire palace was alive with people. Guardsmen, officers, courtiers, servants, and slaves ran helter-skelter through the corridors and apartments carrying messages and orders, and searching for signs.</p>
          <p style="text-align: center;">This was my opportunity and slim as it appeared I grasped it, for as a number of soldiers came hurrying past my hiding place I fell in behind them and followed through the mazes of the palace until, in passing through a great hall, I saw the blessed light of day coming in through a series.</p>
          [/vc_column_text][prkwp_spacer size="12"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" css_animation="pulse_fade_waypoint"][prkwp_spacer size="54"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" el_id="work"][vc_column width="1/1"][pirenko_last_portfolios cols_number="4" items_number="7" show_load_more="no" cat_filter="" show_filter="no" thumbs_mg="0" liner_color="#ffffff"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" row_height="forced_row" height_adjust="72" bk_element="colored" el_id="contact" bg_color="#27292c"][vc_column column_height="pulse_forced_clm pulse_vertical_clm" col_width="66" width="1/2"][prkwp_spacer size="54"][prkwp_styled_title prk_in="Ready For You" align="Center" font_type="custom_font" font_weight="400" text_color="#ffffff" title_size="h3" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="GET IN TOUCH" align="Center" font_weight="600" text_color="#0080bd" title_size="h1" margin_bottom="22px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="prk_smooth_font"]<p style="text-align: center;">Do you have any enquiries? Would you like to send some extra feedback? Contact me by any of the channels below. I usually reply in 24 hours, but it may take a little longer. Let me know your thoughts then.</p>[/vc_column_text][prkwp_spacer][vc_column_text css_animation="pulse_fade_waypoint" el_class="prk_smooth_font"]<p style="text-align: center;"><strong>Matt Riley Design Company</strong></p><p style="text-align: center;">River Street, Blue Building, 1st. floor<br />5690-970 New York City</p><p style="text-align: center;">+1 234 567 890<br /><a href="mailto:matt.riley@pulse.com">matt.riley@pulse.com</a></p>[/vc_column_text][prkwp_spacer size="36"][/vc_column][vc_column column_height="pulse_forced_clm pulse_vertical_clm" width="1/2" bg_image="'.$attachment_b_id.'"][/vc_column][/vc_row][vc_row align="pulse_center_align" font_color="#ffffff" top_padding="72px" bottom_padding="36px" bk_element="colored" el_class="prk_smooth_font" bg_color="#1c1c1d"][vc_column width="1/6"][/vc_column][vc_column width="2/3"][prk_twt username="" consumerkey="" consumersecret="" accesstoken="" accesstokensecret="" cachetime="2" tweetstoshow="4" css_animation="pulse_fade_waypoint"][prkwp_spacer size="72"][prk_line color="#27292c" align="center"][prkwp_spacer size="44"][vc_column_text el_class="prk_9_em"]<span style="color: #ffffff;">Proudly Developed By <a style="color: #ffffff;" href="#" target="_blank">Pirenko</a>.</span><span style="color: #ffffff;"><a style="color: #ffffff;" href="#" target="_blank">Buy Pulse →</a></span>[/vc_column_text][/vc_column][vc_column width="1/6"][/vc_column][/vc_row]';

            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Personal 2';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#work',
                    'menu-item-title' => 'WORK',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact',
                    'menu-item-title' => 'CONTACT',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

        }

        if ($pulse_theme_activation_options['personal-web']!="") {
            $pulse_theme_activation_options['personal-web']="";
            //Personal 3
            $new_page_title = 'Personal 3';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" bk_element="image" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" font_color="#ffffff" preload_bk="yes" top_padding="400px" bottom_padding="54px" margin_bottom="0px"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/2"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/2"][vc_column_text drop_cap="no" el_class="header_font big"]<h3 style="font-weight: 300;">Im Zoe Connor. Digital Artist.<br />I live in Brazil. Lets work <a href="mailto:something@mail.com">together</a>.</h3>[/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="work"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][pirenko_last_portfolios layout_type_folio="packery" cols_number="4" show_load_more="no" cat_filter="" show_filter="no" thumbs_type_folio="overlayed" thumbs_mg="0" multicolored_thumbs="yes" pulse_show_skills="folio_title_and_skills" liner_color="#ffffff" items_number="7"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="120px" bottom_padding="70px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="about" bk_element="colored" bg_color="#1f1f1f" height_adjust="66"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="About Me" align="Center" font_type="header_font" font_weight="300" title_size="h2" use_italic="No" margin_bottom="12px" pulse_show_line="no" width="70px" text_color="#e3494b"][vc_column_text drop_cap="no" el_class="small-10 small-centered columns"]<p style="text-align: center;">For some time they continued through the forest how long I could not guess for I was learning, what was later borne very forcefully to my mind, that time ceases to be a factor the moment means for measuring it cease to exist. Our watches were gone, and we were living beneath a stationary sun. Already I was puzzled to compute the period of time which had elapsed since we broke through the crust of the inner world. It might be hours, or it might be days who in the world could tell where it was always noon! By the sun, no time had elapsed but my judgment told me that we must have been several hours in this strange world.</p>[/vc_column_text][prkwp_spacer size="24"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" el_class="pulse_retina" img_size="full"][prkwp_spacer size="88"][prk_line width="100%" height="1px" align="inherit" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="76"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" el_class="pulse_retina" img_size="full"][vc_row_inner top_padding="18px" bottom_padding="0px"][vc_column_inner css_animation="" el_class="" width="1/1"][vc_column_text drop_cap="no" el_class="prk_9_em"]<p style="text-align: center;">River Street, Blue Building, 1st. floor<br />5690-970 New York City[/vc_column_text][vc_column_text drop_cap="no" el_class="prk_9_em"]<p style="text-align: center;">+123 785 952 354 . <span style="color: #ffffff;"><a style="color: #ffffff;" href="mailto:hello@pulse.com">hello@pulse.com</a></span> . www.pulse.com</p>[/vc_column_text][/vc_column_inner][/vc_row_inner][prkwp_spacer size="36"][prk_line color="#303030" width="90px" height="4px" align="center" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="36"][vc_column_text drop_cap="no" el_class="prk_9_em"]<p style="text-align: center;">  Built with <i class="mdi-heart-outline" style="color: #e3494b;"></i> by Pirenko.</p>[/vc_column_text][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Personal 3';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'Home',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#work',
                    'menu-item-title' => 'Work',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'About',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

        }

        if ($pulse_theme_activation_options['photography']!="") {
            $pulse_theme_activation_options['photography']="";
            //Photography
            $new_page_title = 'Photography';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="72px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ffffff" el_id="about"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#303030" align="Center" icon_type="material_icons" icon_size="28px" icon="fa fa-adjust" icon_material="mdi-fire" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="ABOUT US" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][vc_column_text css_animation="right-to-left" drop_cap="no"]<p style="text-align: right;">Whatever it was, it was coming <strong>slowly toward the entrance of the cave</strong>, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities behind it was such that I knew it would only emanate.</p><p style="text-align: right;">As I backed along the ledge I soon was past the mouth of the cave, where I no longer could see those fearful flaming eyes, but an instant later I caught sight of the fiendish face of a Sagoth as it warily <strong>advanced beyond the cliffs turn</strong> on the far side of the caves mouth. As the fellow saw me he leaped along the ledge in pursuit, and after him came as many of his companions as could crowd upon each other heels. At the same time the beast emerged from the cave.</p><p style="text-align: right;">The thing was an enormous cave bear, rearing its colossal bulk fully eight feet at the shoulder, while from the tip of its nose to the end of its stubby tail it was fully twelve feet in length. As it sighted the Sagoths it emitted a <strong>most frightful roar</strong>, and with open mouth charged full upon them. With a cry of terror the foremost gorilla-man turned to escape, but behind him he ran full upon his on-rushing companions.</p>[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][vc_column_text drop_cap="no" css_animation="left-to-right"]Whatever it was, it was coming slowly toward the entrance of the cave, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The <strong>noise had not been loud</strong> I doubt if the Sagoths heard it at all but the suggestion of latent possibilities behind it was such that I knew it would only emanate.<br />As I backed along the ledge I soon was <strong>past the mouth of the cave,</strong> where I no longer could see those fearful flaming eyes, but an instant later I caught sight of the fiendish face of a Sagoth as it warily advanced beyond the cliffs turn on the far side of the caves mouth. As the fellow saw me he leaped along the ledge in pursuit, and after him came as many of his companions as could crowd upon each others heels. At the same time the beast emerged from the cave.<br />The thing was an enormous cave bear, rearing its colossal bulk fully eight feet at the shoulder, while from the tip of its nose to the <strong>end of its stubby tail</strong> it was fully twelve feet in length. As it sighted the Sagoths it emitted a most frightful roar, and with open mouth charged full upon them. With a cry of terror the foremost gorilla-man turned to escape, but behind him he ran full upon his on-rushing companions.[/vc_column_text][/vc_column_inner][/vc_row_inner][prkwp_spacer size="54"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" el_class="pulse_retina" img_size="full" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" bk_element="colored" bg_color="#ececec"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_line width="100%" height="1px" align="inherit" icon="fa fa-adjust" icon_bk_color="#ffffff" color="#e5e5e5" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="48px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ececec" el_id="team" bk_element="colored"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#303030" align="Center" icon_type="material_icons" icon_size="28px" icon="fa fa-adjust" icon_material="mdi-wallet" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="OUR TEAM" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered" css_animation="bottom-to-top"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="54"][prk_members general_style="classic" category="" items_number="4" columns="2" text_align="text_center" content_amount="compressed" icons_position="inside" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="82px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" el_class="pulse_retina"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" icon_type="material_icons" icon_size="28px" icon="fa fa-adjust" icon_material="mdi-spotlight" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="CLIENT SHOWCASE" align="Center" font_type="header_font" font_weight="600" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" drop_cap="no" el_class="small-9 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="bottom-to-top"][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="102px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ffffff" el_id="services"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#303030" align="Center" icon_type="material_icons" icon_size="28px" icon="fa fa-adjust" icon_material="mdi-google-circles-extended" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="SERVICES" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][prkwp_spacer size="64"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class="" el_id=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Growing Stats" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon="fa fa-adjust" icon_material="mdi-chart-line" icon_up_color="#232323" css_animation="flipin_y"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Timely Deliveries" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon="fa fa-adjust" icon_material="mdi-alarm" icon_up_color="#232323" css_animation="flipin_y" el_class="delay-300"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Cloud Sharing" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon="fa fa-adjust" icon_material="mdi-cloud-outline" icon_up_color="#232323" css_animation="flipin_y" el_class="delay-600"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="66"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class="" el_id=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Love Driven" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#232323" icon="fa fa-adjust" icon_material="mdi-heart-outline" css_animation="flipin_y"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Media Masters" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#232323" icon="fa fa-adjust" icon_material="mdi-presentation-play" css_animation="flipin_y" el_class="delay-300"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Online Support" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#232323" icon="fa fa-adjust" icon_material="mdi-whatsapp" css_animation="flipin_y" el_class="delay-600"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="82px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" icon_type="material_icons" icon_size="28px" icon="fa fa-adjust" icon_material="mdi-comment-multiple-outline" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="RECENT FEEDBACK" align="Center" font_type="header_font" font_weight="600" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered" css_animation="bottom-to-top"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][prk_testimonials category="" color="#ffffff" align="Center" show_controls="yes" autoplay="yes" el_class="pulse_retina" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="72px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="work"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#303030" align="Center" icon_type="material_icons" css_animation="appear" icon_size="28px" icon="fa fa-adjust" icon_material="mdi-lumx"][prkwp_spacer size="4"][prkwp_styled_title prk_in="WORK" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" drop_cap="no" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="54"][pirenko_last_portfolios layout_type_folio="masonry" cols_number="3" items_number="9" show_load_more="yes" cat_filter="" show_filter="yes" thumbs_type_folio="lightboxed" multicolored_thumbs="no" pulse_show_skills="folio_title_and_skills" thumbs_mg="30" liner_color="#ffffff"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" font_color="#ffffff" append_arrow="no" top_padding="90px" bottom_padding="120px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" icon_type="material_icons" css_animation="appear" icon_size="28px" icon="fa fa-adjust" icon_material="mdi-polymer"][prkwp_spacer size="4"][prkwp_styled_title prk_in="PULSE IN NUMBERS" align="Center" font_type="header_font" font_weight="600" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" drop_cap="no" el_class="small-9 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_counter counter_number="458" align="center" prk_in="COFFEES OUT" image="fa fa-bell-o" icon_type="material_icons" icon_material="mdi-coffee" css_animation="bottom-to-top"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_counter counter_number="364" align="center" icon_type="material_icons" prk_in="LOVELY PEOPLE" image="fa fa-bell-o" icon_material="mdi-heart" css_animation="bottom-to-top" el_class="delay-300"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_counter counter_number="612" align="center" icon_type="material_icons" prk_in="MUSIC NOTES" image="fa fa-bell-o" icon_material="mdi-music-note" css_animation="bottom-to-top" el_class="delay-600"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_counter counter_number="152" align="center" icon_type="material_icons" prk_in="SUNNY DAYS" image="fa fa-bell-o" icon_material="mdi-weather-sunny" css_animation="bottom-to-top" el_class="delay-900"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="48px" margin_bottom="0px" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" el_id="contact"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#303030" align="Center" icon_type="material_icons" icon_size="28px" icon="fa fa-adjust" icon_material="mdi-lumx" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="GET IN TOUCH" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" drop_cap="no" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="18"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="72px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css=""][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/6"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="2/3"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="pulse_fade_waypoint"][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Come And Meet Us" icon_type="material_icons" align="left" prk_in="River Street, 1st. floor<br />5690-970 New york City" icon_up_color="#232323" icon="fa fa-adjust" icon_material="mdi-comment-account-outline"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Give Us A Call" icon_type="material_icons" align="left" prk_in="+1 234 567 890" icon_up_color="#232323" icon="fa fa-adjust" icon_material="mdi-cellphone-android"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Send Us Message" icon_type="material_icons" align="left" prk_in="allthelove@pulse.com" icon_up_color="#232323" icon="fa fa-adjust" icon_material="mdi-xml"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/6"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_center_align" bk_element="colored" bg_color="#1a1a1a"][vc_column width="1/1"][prk_instagram title="FOLLOW US ON INSTAGRAM" title_color="#ffffff" user="airbnb" items="6" rows="2" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" css_animation="pulse_fade_waypoint"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_line width="100%" height="1px" align="inherit" icon="fa fa-adjust" icon_bk_color="#ffffff"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_center_align" append_arrow="no" top_padding="72px" bottom_padding="68px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" font_color="#ffffff" bk_element="colored" bg_color="#111111" css_animation="pulse_fade_waypoint"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_column_text drop_cap="no" el_class="header_font prk_heavier_600"]<span style="color: #ffffff;"><a style="color: #ffffff;" href="http://www.twitter.com/" target="_blank">TWITTER</a>    <a style="color: #ffffff;" href="http://www.facebook.com/" target="_blank">FACEBOOK</a>    <a style="color: #ffffff;" href="https://www.youtube.com/" target="_blank">YOUTUBE</a>    <a style="color: #ffffff;" href="https://www.youtube.com/" target="_blank">THEMEFOREST</a>    <a style="color: #ffffff;" href="https://www.youtube.com/" target="_blank">PINTEREST</a></span>[/vc_column_text][prkwp_spacer size="8"][vc_column_text drop_cap="no" el_class="prk_9_em"]<span style="color: #ffffff;">Copyright Text For Pulse WordPress Theme.</span><br /><span style="color: #ffffff;">Proudly Developed By <a style="color: #ffffff;" href="http://www.google.com" target="_blank">Pirenko</a>.</span><br /><span style="color: #ffffff;"><a style="color: #ffffff;" href="http://www.google.com" target="_blank">Buy Pulse →</a></span>[/vc_column_text][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'yes');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Photography';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#team',
                    'menu-item-title' => 'TEAM',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#services',
                    'menu-item-title' => 'SERVICES',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#work',
                    'menu-item-title' => 'WORK',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact',
                    'menu-item-title' => 'CONTACT',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }

        if ($pulse_theme_activation_options['photography-dark']!="") {
            $pulse_theme_activation_options['photography-dark']="";
            //Photography
            $new_page_title = 'Photography - Dark';
            $new_page_content='[vc_row top_padding="72px" bottom_padding="72px" bk_element="colored" bg_color="#0a0a0a" el_id="about"][vc_column width="1/1"][prk_wp_icon text_color="#f1c40f" align="Center" css_animation="appear" icon_size="28px" icon_material="mdi-fire"][prkwp_spacer size="4"][prkwp_styled_title prk_in="ABOUT US" align="Center" font_weight="600" title_size="h3" margin_bottom="54px" css_animation="pulse_fade_waypoint"][vc_row_inner][vc_column_inner width="1/2"][vc_column_text css_animation="right-to-left"]<p style="text-align: right;">Whatever it was, it was coming <strong>slowly toward the entrance of the cave</strong>, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities.</p><p style="text-align: right;">As I backed along the ledge I soon was past the mouth of the cave, where I no longer could see those fearful flaming eyes, but an instant later I caught sight of the fiendish face of a Sagoth as it warily <strong>advanced beyond the cliffs turn</strong> on the far side of the caves mouth. As the fellow saw me he leaped along the ledge in pursuit, and after him came as many of his companions as could crowd upon each others heels.</p><p style="text-align: right;">The thing was an enormous cave bear, rearing its colossal bulk fully eight feet at the shoulder, while from the tip of its nose to the end of its stubby tail it was fully twelve feet in length. As it sighted the Sagoths it emitted a <strong>most frightful roar</strong>.</p>[/vc_column_text][/vc_column_inner][vc_column_inner width="1/2"][vc_column_text css_animation="left-to-right"]<p style="text-align: left;">Whatever it was, it was coming <strong>slowly toward the entrance of the cave</strong>, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities.</p><p style="text-align: left;">As I backed along the ledge I soon was past the mouth of the cave, where I no longer could see those fearful flaming eyes, but an instant later I caught sight of the fiendish face of a Sagoth as it warily <strong>advanced beyond the cliffs turn</strong> on the far side of the caves mouth. As the fellow saw me he leaped along the ledge in pursuit, and after him came as many of his companions as could crowd upon each others heels.</p><p style="text-align: left;">The thing was an enormous cave bear, rearing its colossal bulk fully eight feet at the shoulder, while from the tip of its nose to the end of its stubby tail it was fully twelve feet in length. As it sighted the Sagoths it emitted a <strong>most frightful roar</strong>.</p>[/vc_column_text][/vc_column_inner][/vc_row_inner][prkwp_spacer size="54"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" css_animation="pulse_fade_waypoint" el_class="pulse_retina"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" bk_element="colored" bg_color="#ececec"][vc_column width="1/1"][prk_line color="#212121" icon="fa fa-adjust" icon_bk_color="#ffffff"][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="48px" bk_element="colored" bg_color="#1a1a1a" el_id="team"][vc_column width="1/1"][prk_wp_icon text_color="#f1c40f" align="Center" css_animation="appear" icon_size="28px" icon_material="mdi-wallet"][prkwp_spacer size="4"][prkwp_styled_title prk_in="OUR TEAM" align="Center" font_weight="600" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="54"][prk_members category="" items_number="4" columns="2" css_animation="pulse_fade_waypoint" icons_position="inside"][/vc_column][/vc_row][vc_row top_padding="90px" bottom_padding="82px" bk_element="image" bg_image_repeat="pulse_with_parallax" el_class="pulse_retina" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prk_wp_icon text_color="#f1c40f" align="Center" css_animation="appear" icon_size="28px" icon_material="mdi-spotlight"][prkwp_spacer size="4"][prkwp_styled_title prk_in="CLIENT SHOWCASE" align="Center" font_weight="600" text_color="#ffffff" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner css_animation="bottom-to-top"][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_a_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_a_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_a_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_a_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_a_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_a_id.'" img_size="full" alignment="center"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="102px" bk_element="colored" bg_color="#0a0a0a" el_id="services"][vc_column width="1/1"][prk_wp_icon text_color="#f1c40f" align="Center" css_animation="appear" icon_size="28px" icon_material="mdi-google-circles-extended"][prkwp_spacer size="4"][prkwp_styled_title prk_in="SERVICES" align="Center" font_weight="600" title_size="h3" css_animation="pulse_fade_waypoint"][prkwp_spacer size="64"][vc_row_inner][vc_column_inner width="1/3"][prkwp_service name="Growing Stats" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#f1c40f" css_animation="flipin_y" icon_material="mdi-chart-line"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Timely Deliveries" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#f1c40f" css_animation="flipin_y" icon_material="mdi-alarm" el_class="delay-300"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Cloud Sharing" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#f1c40f" css_animation="flipin_y" icon_material="mdi-cloud-outline" el_class="delay-600"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="66" el_class="hide_later"][vc_row_inner][vc_column_inner width="1/3"][prkwp_service name="Love Driven" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#f1c40f" css_animation="flipin_y" icon_material="mdi-heart-outline"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Media Masters" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#f1c40f" css_animation="flipin_y" icon_material="mdi-presentation-play" el_class="delay-300"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Online Support" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#f1c40f" css_animation="flipin_y" icon_material="mdi-whatsapp" el_class="delay-600"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="90px" bottom_padding="82px" bk_element="image" bg_image_repeat="pulse_with_parallax" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prk_wp_icon text_color="#f1c40f" align="Center" css_animation="appear" icon_size="28px" icon_material="mdi-comment-multiple-outline"][prkwp_spacer size="4"][prkwp_styled_title prk_in="RECENT FEEDBACK" align="Center" font_weight="600" text_color="#ffffff" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][prk_testimonials category="" color="#ffffff" nav_color=" pls_btn_like" css_animation="pulse_fade_waypoint" el_class="pulse_retina"][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="72px" bk_element="colored" el_id="work" bg_color="#0a0a0a"][vc_column width="1/1"][prk_wp_icon text_color="#f1c40f" align="Center" css_animation="appear" icon_size="28px" icon_material="mdi-lumx"][prkwp_spacer size="4"][prkwp_styled_title prk_in="WORK" align="Center" font_weight="600" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="54"][pirenko_last_portfolios layout_type_folio="masonry" items_number="9" cat_filter="" thumbs_type_folio="lightboxed" thumbs_mg="30" multicolored_thumbs="no" liner_color="#111111"][/vc_column][/vc_row][vc_row font_color="#ffffff" top_padding="90px" bottom_padding="120px" bk_element="image" bg_image_repeat="pulse_with_parallax" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prk_wp_icon text_color="#f1c40f" align="Center" css_animation="appear" icon_size="28px" icon_material="mdi-polymer"][prkwp_spacer size="4"][prkwp_styled_title prk_in="PULSE IN NUMBERS" align="Center" font_weight="600" text_color="#ffffff" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="458" prk_in="COFFEES OUT" css_animation="bottom-to-top" icon_material="mdi-coffee"][/vc_column_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="364" prk_in="LOVELY PEOPLE" css_animation="bottom-to-top" icon_material="mdi-heart" el_class="delay-300"][/vc_column_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="612" prk_in="MUSIC NOTES" css_animation="bottom-to-top" icon_material="mdi-music-note" el_class="delay-600"][/vc_column_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="152" prk_in="SUNNY DAYS" css_animation="bottom-to-top" icon_material="mdi-weather-sunny" el_class="delay-900"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="48px" bk_element="colored" el_id="contact" bg_color="#1a1a1a"][vc_column width="1/1"][prk_wp_icon text_color="#f1c40f" align="Center" css_animation="appear" icon_size="28px" icon_material="mdi-lumx"][prkwp_spacer size="4"][prkwp_styled_title prk_in="GET IN TOUCH" align="Center" font_weight="600" text_color="#ffffff" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer][/vc_column][/vc_row][vc_row top_padding="30px" bottom_padding="60px" bk_element="colored" bg_color="#1a1a1a"][vc_column width="1/6"][vc_column_text][/vc_column_text][/vc_column][vc_column width="2/3"][vc_row_inner css_animation="pulse_fade_waypoint"][vc_column_inner width="1/3"][prkwp_service name="Come And Meet Us" text_color="#ffffff" align="left" prk_in="River Street, 1st. floor<br />5690-970 New york City" icon_up_color="#f1c40f" icon_material="mdi-comment-account-outline"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Give Us A Call" text_color="#ffffff" align="left" prk_in="+1 234 567 890" icon_up_color="#f1c40f" icon_material="mdi-cellphone-android"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Send Us Message" text_color="#ffffff" align="left" prk_in="allthelove@pulse.com" icon_up_color="#f1c40f" icon_material="mdi-xml"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/6"][vc_column_text][/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_center_align" bk_element="colored" bg_color="#1a1a1a"][vc_column width="1/1"][prk_instagram title="FOLLOW US ON INSTAGRAM" title_color="#ffffff" user="airbnb" items="6" rows="2" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" css_animation="pulse_fade_waypoint"][vc_column width="1/1"][prk_line icon="fa fa-adjust" icon_bk_color="#ffffff"][/vc_column][/vc_row][vc_row align="pulse_center_align" font_color="#ffffff" top_padding="72px" bottom_padding="68px" bk_element="colored" css_animation="pulse_fade_waypoint" bg_color="#111111"][vc_column width="1/1"][vc_column_text el_class="header_font prk_heavier_600"]<span style="color: #f1c40f;"><a style="color: #f1c40f;" href="http://www.twitter.com/" target="_blank">TWITTER</a>    <a style="color: #f1c40f;" href="http://www.facebook.com/" target="_blank">FACEBOOK</a>    <a style="color: #f1c40f;" href="https://www.youtube.com/" target="_blank">YOUTUBE</a>    <a style="color: #f1c40f;" href="https://www.youtube.com/" target="_blank">THEMEFOREST</a>    <a style="color: #f1c40f;" href="https://www.youtube.com/" target="_blank">PINTEREST</a></span>[/vc_column_text][prkwp_spacer size="8"][vc_column_text el_class="prk_9_em"]<span style="color: #ffffff;">Copyright Text For Pulse WordPress Theme.</span><br /><span style="color: #ffffff;">Proudly Developed By <a style="color: #ffffff;" href="https://www.youtube.com/" target="_blank">Pirenko</a>.</span><br /><span style="color: #ffffff;"><a style="color: #ffffff;" href="https://www.youtube.com/" target="_blank">Buy Pulse →</a></span>[/vc_column_text][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'yes');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Photography - Dark';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#team',
                    'menu-item-title' => 'TEAM',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#services',
                    'menu-item-title' => 'SERVICES',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#work',
                    'menu-item-title' => 'WORK',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact',
                    'menu-item-title' => 'CONTACT',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }

        if ($pulse_theme_activation_options['restaurant']!="") {
            $pulse_theme_activation_options['restaurant']="";
            //Restaurant
            $new_page_title = 'Restaurant';
            $new_page_content='[vc_row bk_type="pulse_full_row" row_height="forced_row vertical_forced_row" bottom_padding="58px" bk_element="image" bg_image_repeat="pulse_cover" font_color="#c19556" append_arrow="yes" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_spacer size="72"][prkwp_styled_title prk_in="A Fancy &amp; Vibrant Dining Experience" align="Center" font_type="body_font" font_weight="400" text_color="#ffffff" title_size="h4" use_italic="Yes" margin_bottom="12px" css_animation="bottom-to-top" el_class="delay-500"][prkwp_styled_title prk_in="FINE RESTAURANT" align="Center" font_weight="600" text_color="#ffffff" title_size="h1" css_animation="bottom-to-top" el_class="delay-800"][/vc_column][/vc_row][vc_row top_padding="72px" margin_bottom="90px" el_id="about"][vc_column width="1/1"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" el_class="pulse_retina"][prkwp_spacer size="28"][prkwp_styled_title prk_in="Simply The Best" align="Center" font_type="custom_font" font_weight="700" text_color="#c7c7c7" title_size="h4" pulse_show_line="double_lined" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="WELCOME TO PULSE" align="Center" font_weight="700" text_color="#c19556" title_size="h2" margin_bottom="40px" css_animation="pulse_fade_waypoint"][vc_row_inner][vc_column_inner width="1/2"][vc_column_text css_animation="left-to-right" drop_cap="yes" append_arrow="yes"]The three men at her mast-head wore long streamers of narrow red bunting at their hats; from the stern, a whale-boat was suspended, bottom down; and hanging captive from the bowsprit was seen the long lower jaw of the last whale.<strong>Signals, ensigns, and jacks</strong> of all colours were flying from her rigging, on every side. Sideways lashed in each of her three basketed tops were two barrels of sperm; above which, in her top-mast cross-trees, you saw slender breakers of the same precious fluid; and nailed to her main truck was a brazen lamp.As was afterwards learned, the <em>Bachelor</em> had met with the most surprising success; all the more wonderful, for that while cruising in the same seas numerous other vessels had gone entire months without securing a single fish. Not only had barrels of beef and bread been given away to make room for the far more valuable sperm, but additional <strong>supplemental casks</strong> had been bartered for, from the ships she had met; and these were stowed along the deck, and in the captains and officers state-rooms.[/vc_column_text][/vc_column_inner][vc_column_inner width="1/2"][vc_column_text css_animation="right-to-left"]In the forecastle, the sailors had actually caulked and pitched their chests, and filled them; it was humorously added, that the cook had clapped a head on his <em>largest boiler</em>, and filled it; that the steward had plugged his spare coffee-pot and filled it. The harpooneers had headed the sockets of their irons and filled them; that indeed everything was filled with sperm, except the captains pantaloons pockets, and those he reserved to thrust his hands into, in self-complacent testimony of his entire satisfaction.As this glad ship of good luck bore down upon the moody Pequod, the <strong>Barbarian Sound</strong> of enormous drums came from her forecastle.Drawing still nearer, <strong>a crowd of men were seen standing</strong> round her huge try-pots, which, covered her with the parchment-like POKE or stomach skin of the black fish, gave forth a loud roar to every stroke of the clenched hands of the crew. On the quarter-deck, the mates and harpooneers were dancing with the olive-hued girls who had eloped with them from the Polynesian Isles.[/vc_column_text][/vc_column_inner][/vc_row_inner][prkwp_spacer][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" css_animation="pulse_fade_waypoint" el_class="pulse_retina"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" bk_element="colored" el_id="reasons" bg_color="#1d1d1d"][vc_column column_height="pulse_forced_clm" width="7/12" bg_image="'.$attachment_a_id.'"][vc_column_text][/vc_column_text][/vc_column][vc_column col_width="60" css_animation="right-to-left" el_class="delay-300" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="Reasons To Join" font_type="custom_font" font_weight="700" text_color="#c19556" title_size="h4" margin_bottom="-10px"][prkwp_styled_title prk_in="01" font_weight="700" text_color="#c19556" title_size="h1" margin_bottom="18px" custom_css="font-size:110px;padding-left: 0px;"][prkwp_styled_title prk_in="FRESH FOOD FOR EVERYONE, EVERY DAY" font_weight="700" text_color="#ffffff" title_size="h3" margin_bottom="18px"][vc_column_text el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl.[/vc_column_text][prkwp_spacer size="130"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" bk_element="colored" bg_color="#1d1d1d"][vc_column align="pulse_right_align" col_width="60" css_animation="left-to-right" el_class="delay-300" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="Reasons To Join" align="Right" font_type="custom_font" font_weight="700" text_color="#c19556" title_size="h4" margin_bottom="-10px"][prkwp_styled_title prk_in="02" align="Right" font_weight="700" text_color="#c19556" title_size="h1" margin_bottom="18px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="FOOD PREPARATION WITH LOVE AND CARE" align="Right" font_weight="700" text_color="#ffffff" title_size="h3" margin_bottom="18px"][vc_column_text el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl.[/vc_column_text][prkwp_spacer size="130"][/vc_column][vc_column column_height="pulse_forced_clm" width="7/12" bg_image="'.$attachment_b_id.'"][vc_column_text][/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" bk_element="colored" bg_color="#1d1d1d"][vc_column column_height="pulse_forced_clm" bg_image_hz_align="pulse_hz_right" width="7/12" bg_image="'.$attachment_c_id.'"][vc_column_text][/vc_column_text][/vc_column][vc_column col_width="60" css_animation="right-to-left" el_class="delay-300" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="Reasons To Join" font_type="custom_font" font_weight="700" text_color="#c19556" title_size="h4" margin_bottom="-10px"][prkwp_styled_title prk_in="03" font_weight="700" text_color="#c19556" title_size="h1" margin_bottom="18px" custom_css="font-size:110px;padding-left: 0px;"][prkwp_styled_title prk_in="COOKING WITH SCIENCE FOR PERFECT RESULTS" font_weight="700" text_color="#ffffff" title_size="h3" margin_bottom="18px"][vc_column_text el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl.[/vc_column_text][prkwp_spacer size="130"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" bk_element="colored" bg_color="#1d1d1d"][vc_column align="pulse_right_align" column_height="pulse_forced_clm" col_width="60" css_animation="left-to-right" el_class="delay-300" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="Reasons To Join" align="Right" font_type="custom_font" font_weight="700" text_color="#c19556" title_size="h4" margin_bottom="-10px"][prkwp_styled_title prk_in="04" align="Right" font_weight="700" text_color="#c19556" title_size="h1" margin_bottom="18px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="FINISH WITH ALL THE FLAVOR AND STYLE" align="Right" font_weight="700" text_color="#ffffff" title_size="h3" margin_bottom="18px"][vc_column_text el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl.[/vc_column_text][prkwp_spacer size="130"][/vc_column][vc_column column_height="pulse_forced_clm" width="7/12" bg_image="'.$attachment_a_id.'"][vc_column_text][/vc_column_text][/vc_column][/vc_row][vc_row top_padding="72px" margin_bottom="48px" el_id="menu"][vc_column width="1/1"][vc_single_image image="'.$attachment_d_id.'" img_size="full" alignment="center" el_class="pulse_retina"][prkwp_spacer size="28"][prkwp_styled_title prk_in="Variety &amp; Flavor" align="Center" font_type="custom_font" font_weight="700" text_color="#c7c7c7" title_size="h4" pulse_show_line="double_lined" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="OUR AWARDED MENU" align="Center" font_weight="700" text_color="#c19556" title_size="h2" margin_bottom="20px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression.<br />From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][/vc_column][/vc_row][vc_row bottom_padding="90px"][vc_column width="1/2"][vc_tta_accordion active_section="3" c_position="right" custom_css="margin-bottom:0px;" collapsible_all="true"][vc_tta_section title="SNACKS" tab_id="1443522770881-ab0e96be-e8b3"][vc_row_inner][vc_column_inner][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>An Awesome Snack</strong></div><div class="prk_right_floated"><strong>4,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Great Appetizer</strong></div><div class="prk_right_floated"><strong>7,49USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated" custom_css="margin-bottom:0px;"]<div class="small-12"><div class="prk_left_floated"><strong>Delicious Bread</strong></div><div class="prk_right_floated"><strong>5,99USD</strong></div></div>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_tta_section][/vc_tta_accordion][vc_tta_accordion active_section="3" c_position="right" custom_css="margin-bottom:0px;" collapsible_all="true"][vc_tta_section title="SOUPS" tab_id="1443629443389-7aaa5293-cee9"][vc_row_inner][vc_column_inner][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Onion Soup</strong></div><div class="prk_right_floated"><strong>4,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Fisherman Soup</strong></div><div class="prk_right_floated"><strong>7,49USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Vegetables Soup</strong></div><div class="prk_right_floated"><strong>5,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated" custom_css="margin-bottom:0px;"]<div class="small-12"><div class="prk_left_floated"><strong>Tomato &amp; Egg Soup</strong></div><div class="prk_right_floated"><strong>5,99USD</strong></div></div>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_tta_section][/vc_tta_accordion][vc_tta_accordion active_section="3" c_position="right" custom_css="margin-bottom:0px;" collapsible_all="true"][vc_tta_section title="VEGAN" tab_id="1443629529411-9e5bed8b-3f4a"][vc_row_inner][vc_column_inner][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Onion Salad</strong></div><div class="prk_right_floated"><strong>4,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><b>Tofu &amp; Greenies Mix </b></div><div class="prk_right_floated"><strong>12,49USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><b>Alaskan Green Rice</b></div><div class="prk_right_floated"><strong>8,49USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated" custom_css="margin-bottom:0px;"]<div class="small-12"><div class="prk_left_floated"><strong>Tomato Bread &amp; Garlic Mix</strong></div><div class="prk_right_floated"><strong>10,99USD</strong></div></div>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_tta_section][/vc_tta_accordion][vc_tta_accordion active_section="3" c_position="right" custom_css="margin-bottom:0px;" collapsible_all="true"][vc_tta_section title="FISH" tab_id="1443629545218-9680e89f-97b9"][vc_row_inner][vc_column_inner][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><b>Plain Fried Fish</b></div><div class="prk_right_floated"><strong>9,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Fishermans Dream (for 2)</strong></div><div class="prk_right_floated"><strong>37,49USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Shrimp Mixture With Rice</strong></div><div class="prk_right_floated"><strong>25,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Fish &amp; Potato Chips </strong></div><div class="prk_right_floated"><strong>25,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Boiled Catfish &amp; Greenies</strong></div><div class="prk_right_floated"><strong>17,29USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated" custom_css="margin-bottom:0px;"]<div class="small-12"><div class="prk_left_floated"><strong>Fresh Fish Basket</strong></div><div class="prk_right_floated"><strong>12,99USD</strong></div></div>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_tta_section][/vc_tta_accordion][vc_tta_accordion active_section="3" c_position="right" custom_css="margin-bottom:0px;" collapsible_all="true"][vc_tta_section title="MEAT" tab_id="1443629556883-cc15990d-89bb"][vc_row_inner][vc_column_inner][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><b>Special Burger</b></div><div class="prk_right_floated"><strong>6,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Pulses Big Burguer</strong></div><div class="prk_right_floated"><strong>17,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>New York Strip &amp; Fries</strong></div><div class="prk_right_floated"><strong>28,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Fantasy Meatball</strong></div><div class="prk_right_floated"><strong>15,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated" custom_css="margin-bottom:0px;"]<div class="small-12"><div class="prk_left_floated"><strong>Landmarks Meat Dream</strong></div><div class="prk_right_floated"><strong>5,99USD</strong></div></div>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_tta_section][/vc_tta_accordion][vc_tta_accordion active_section="3" c_position="right" custom_css="margin-bottom:0px;" collapsible_all="true"][vc_tta_section title="DESSERTS" tab_id="1443629567502-d71eb065-a494"][vc_row_inner][vc_column_inner][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Fruit Of The Day</strong></div><div class="prk_right_floated"><strong>3,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Chocolate Cake</strong></div><div class="prk_right_floated"><strong>7,49USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Ice-Cream With Topping</strong></div><div class="prk_right_floated"><strong>5,39USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated" custom_css="margin-bottom:0px;"]<div class="small-12"><div class="prk_left_floated"><strong>Italys Big Selection</strong></div><div class="prk_right_floated"><strong>10,99USD</strong></div></div>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_tta_section][/vc_tta_accordion][vc_tta_accordion active_section="3" c_position="right" custom_css="margin-bottom:0px;" collapsible_all="true"][vc_tta_section title="DRINKS" tab_id="1443629579085-adc33faa-06da"][vc_row_inner][vc_column_inner][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Bottle Of Water</strong></div><div class="prk_right_floated"><strong>2,49USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Soda (All Kinds)</strong></div><div class="prk_right_floated"><strong>2,99USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Wine (Glass)</strong></div><div class="prk_right_floated"><strong>4,49USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated"]<div class="small-12"><div class="prk_left_floated"><strong>Wine (Bottle)</strong></div><div class="prk_right_floated"><strong>16,49USD</strong></div></div>[/vc_column_text][vc_column_text el_class="prk_left_floated" custom_css="margin-bottom:0px;"]<div class="small-12"><div class="prk_left_floated"><strong>Premium Beer</strong></div><div class="prk_right_floated"><strong>6,99USD</strong></div></div>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_tta_section][/vc_tta_accordion][/vc_column][vc_column width="1/2"][pirenko_gallery type="grid" show_titles="no" thumbs_mg="10" images="'.$attachment_a_id.','.$attachment_b_id.','.$attachment_c_id.','.$attachment_d_id.'"][/vc_column][/vc_row][vc_row top_padding="90px" bottom_padding="90px" el_class="pulse_retina" bg_color="#1d1d1d"][vc_column width="1/1"][prkwp_styled_title prk_in="Our clients love us and we are truly proud of sharing their feedback.<br />Come and visit us. You will not regret the experience." align="Center" font_weight="300" text_color="#ffffff" title_size="h3" margin_bottom="36px" css_animation="pulse_fade_waypoint"][prk_testimonials category="" items_number="3" nav_color=" pls_btn_like" css_animation="pulse_fade_waypoint" el_class="small-10 small-centered columns"][/vc_column][/vc_row][vc_row row_height="pls_fixed_height" top_padding="260px" bottom_padding="260px" bk_element="image" bg_image_repeat="pulse_fixed_bk" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="Enjoy Cheerful Moments" align="Center" font_type="custom_font" font_weight="700" text_color="#ffffff" title_size="h1_bigger"][/vc_column][/vc_row][vc_row top_padding="72px" el_id="chefs"][vc_column width="1/1"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" el_class="pulse_retina"][prkwp_spacer size="28"][prkwp_styled_title prk_in="Talent &amp; Experience" align="Center" font_type="custom_font" font_weight="700" text_color="#c7c7c7" title_size="h4" pulse_show_line="double_lined" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="KITCHEN SCIENTISTS" align="Center" font_weight="700" text_color="#c19556" title_size="h2" margin_bottom="20px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression.<br />From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="36"][prk_members items_number="3" css_animation="pulse_fade_waypoint"][prkwp_spacer size="46"][prk_line color="#313131" css_animation="pulse_fade_waypoint"][prkwp_spacer size="98"][/vc_column][/vc_row][vc_row margin_bottom="108px" align="pulse_center_align"][vc_column width="1/1"][prk_instagram title="FOLLOW US ON INSTAGRAM" title_color="#ffffff" user="airbnb" items="6" rows="2" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row top_padding="90px" bottom_padding="110px" bk_element="image" bg_image_repeat="pulse_cover" align="pulse_center_align" bg_image="'.$attachment_d_id.'" el_id="reservation"][vc_column width="1/1"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" el_class="pulse_retina"][prkwp_spacer size="28"][prkwp_styled_title prk_in="Instant Confirmation" align="Center" font_type="custom_font" font_weight="700" text_color="#c7c7c7" title_size="h4" pulse_show_line="double_lined" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="MAKE YOUR RESERVATION" align="Center" font_weight="700" text_color="#ffffff" title_size="h2" margin_bottom="20px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression.<br />From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner css_animation="pulse_fade_waypoint"][vc_column_inner width="1/6"][/vc_column_inner][vc_column_inner width="2/3"][vc_column_text css_animation="" el_class=""]Contact Form 7 Shorcode Goes Here![/vc_column_text][/vc_column_inner][vc_column_inner width="1/6"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="108px" bottom_padding="48px" align="pulse_center_align" el_id="contact"][vc_column width="1/1"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" el_class="pulse_retina"][prkwp_spacer][vc_column_text el_class="prk_9_em"]<p style="text-align: center;">River Street, Blue Building, 1st. floor<br />5690-970 New York City</p>[/vc_column_text][vc_column_text el_class="prk_9_em"]<p style="text-align: center;">+123 785 952 354 . <a href="mailto:hello@pulse.com">hello@pulse.com</a> . www.pulse.com</p>[/vc_column_text][pirenko_social_nets icons_size="20" icons_padding="4" text_color="#ffffff" hover_color="#c19556" custom_opacity="90" net_1="facebook" net_2="gplus" net_3="instagram" net_4="youtube" net_5="vimeo" link_1="#" link_2="#" link_3="#" link_4="#" link_5="#"][prkwp_spacer size="90"][prk_line color="#c19556" width="90px" height="4px" align="center"][prkwp_spacer size="38"][vc_column_text el_class="prk_9_em"]<p style="text-align: center;">Built with <i class="mdi-heart-outline" style="color: #c19556;"></i> by Pirenko.</p>[/vc_column_text][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Restaurant';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#menu',
                    'menu-item-title' => 'MENU',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#chefs',
                    'menu-item-title' => 'CHEFS',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#reservation',
                    'menu-item-title' => 'MAKE A RESERVATION',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact',
                    'menu-item-title' => 'CONTACT US',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }

        if ($pulse_theme_activation_options['wedding']!="") {
            $pulse_theme_activation_options['wedding']="";
            //Wedding
            $new_page_title = 'Wedding';
            $new_page_content='
          [vc_row font_color="#ffffff" row_height="forced_row vertical_forced_row" append_arrow="yes" bk_element="image" preload_bk="yes" bg_image_repeat="pulse_cover" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="WE ARE PROUD TO SAY" align="Center" font_weight="600" text_color="#ffffff" title_size="h4" margin_bottom="-4px"][prk_wptext_rotator text_color="#D4537B" prk_in="We Are In Love+We Are Soulmates+We Are Getting Married" el_class="custom_font"][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="108px" el_id="party"][vc_column width="1/1"][prkwp_styled_title prk_in="Preparing An Awesome Party" align="Center" font_type="custom_font" font_weight="400" text_color="#d4537b" title_size="h1" margin_bottom="18px" pulse_show_line="above thin" width="98px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 small-centered columns"]<div style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident, inside a huge hanging ornament which swung from the ceiling.<br />He was truly off the hall and about ten feet from the floor and I was amazed.</div>[/vc_column_text][prkwp_spacer size="36"][vc_row_inner][vc_column_inner width="1/3"][prkwp_service name="Fancy Dressing" align="left" prk_in="Now, when with royal Tranquo I visited this wondrous whale, and saw the skull an altar, and the artificial smoke ascending from where the real jet." css_animation="bottom-to-top" icon_material="mdi-content-cut"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="River Cruise" align="left" prk_in="Now, when with royal Tranquo I visited this wondrous whale, and saw the skull an altar, and the artificial smoke ascending from where the real jet." css_animation="bottom-to-top" icon_material="mdi-ferry" el_class="delay-400"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Room Service" align="left" prk_in="Now, when with royal Tranquo I visited this wondrous whale, and saw the skull an altar, and the artificial smoke ascending from where the real jet." css_animation="bottom-to-top" icon_material="mdi-key-variant" el_class="delay-800"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="36"][vc_row_inner][vc_column_inner width="1/3"][prkwp_service name="Great Food" align="left" prk_in="Now, when with royal Tranquo I visited this wondrous whale, and saw the skull an altar, and the artificial smoke ascending from where the real jet." css_animation="bottom-to-top" icon_material="mdi-silverware"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Loud Music" align="left" prk_in="Now, when with royal Tranquo I visited this wondrous whale, and saw the skull an altar, and the artificial smoke ascending from where the real jet." css_animation="bottom-to-top" icon_material="mdi-wallet" el_class="delay-400"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="All Night Long" align="left" prk_in="Now, when with royal Tranquo I visited this wondrous whale, and saw the skull an altar, and the artificial smoke ascending from where the real jet." css_animation="bottom-to-top" icon_material="mdi-cake" el_class="delay-800"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_center_align" font_color="#ffffff" el_class="pulse_retina" el_id="about"][vc_column col_width="70" width="1/2" bg_color="#d4537b"][prkwp_spacer size="90"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center"][prkwp_spacer size="24"][prkwp_styled_title prk_in="Jules Miller" align="Center" font_type="custom_font" font_weight="400" text_color="#ffffff" title_size="h1" margin_bottom="16px"][vc_column_text]<p style="text-align: center;">This was <strong>my opportunity</strong> and slim straighting it appeared I grasped it, realisticaly number of soldiers came hurrying past my hiding place I fell in behind them and followed through the mazes of the palace until, in passing through a great hall, I saw the blessed light of day coming in through.</p><p style="text-align: center;">Here I left my guides, and, slipping to the nearest window, sought for an avenue of escape. The windows opened upon a great balcony which overlooked one of the broad <strong>avenues of Zodanga</strong>. The ground was about thirty feet below, and at a like distance from the building was a wall fully twenty feet high.</p>[/vc_column_text][prkwp_spacer size="14"][pirenko_social_nets icons_size="22" icons_padding="2" text_color="#ffffff" net_1="facebook" net_2="twitter" net_3="gplus" link_1="#" link_2="#" link_3="#"][prkwp_spacer size="72"][/vc_column][vc_column col_width="70" width="1/2" bg_color="#353535"][prkwp_spacer size="90"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center"][prkwp_spacer size="24"][prkwp_styled_title prk_in="Anthony Parker" align="Center" font_type="custom_font" font_weight="400" text_color="#ffffff" title_size="h1" margin_bottom="16px"][vc_column_text]<p style="text-align: center;">This was <strong>my opportunity</strong> and slim straighting it appeared I grasped it, realisticaly number of soldiers came hurrying past my hiding place I fell in behind them and followed through the mazes of the palace until, in passing through a great hall, I saw the blessed light of day coming in through.</p><p style="text-align: center;">Here I left my guides, and, slipping to the nearest window, sought for an avenue of escape. The windows opened upon a great balcony which overlooked one of the broad <strong>avenues of Zodanga</strong>. The ground was about thirty feet below, and at a like distance from the building was a wall fully twenty feet high.</p>[/vc_column_text][prkwp_spacer size="14"][pirenko_social_nets icons_size="22" icons_padding="2" text_color="#ffffff" net_1="facebook" net_2="twitter" net_3="gplus" link_1="#" link_2="#" link_3="#"][prkwp_spacer size="72"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" el_id="gallery"][vc_column css_animation="pulse_fade_waypoint" width="1/1"][pirenko_last_portfolios items_number="7" show_load_more="no" cat_filter="" show_filter="no" thumbs_type_folio="lightboxed" thumbs_mg="0" pulse_show_skills="folio_title_only"][/vc_column][/vc_row][vc_row align="pulse_center_align" top_padding="72px" bottom_padding="108px" el_id="brides"][vc_column width="1/1"][prkwp_styled_title prk_in="Bridesmaids &amp; Groomsman" align="Center" font_type="custom_font" font_weight="400" text_color="#d4537b" title_size="h1" margin_bottom="18px" pulse_show_line="above thin" width="98px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 small-centered columns"]<div style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident, inside a huge hanging ornament which swung from the ceiling.<br />He was truly off the hall and about ten feet from the floor and I was amazed.</div>[/vc_column_text][prkwp_spacer size="36"][vc_row_inner][vc_column_inner width="1/4" css_animation="pls_fadeInLeftBig" el_class="delay-400"][prkwp_service name="Rachel Muttley" icon_type="custom_image" serv_image="'.$attachment_u_id.'" align="center" prk_in="He was an old man, who, at the age of nearly sixty, had postponedly encountered that thing in sorrows technicals called." image="fa fa-adjust"][/vc_column_inner][vc_column_inner width="1/4" css_animation="pls_fadeInLeftBig"][prkwp_service name="Jessica Strong" icon_type="custom_image" serv_image="'.$attachment_u_id.'" align="center" prk_in="He was an old man, who, at the age of nearly sixty, had postponedly encountered that thing in sorrows technicals called." image="fa fa-adjust"][/vc_column_inner][vc_column_inner width="1/4" css_animation="pls_fadeInRightBig"][prkwp_service name="Peter Frank" icon_type="custom_image" serv_image="'.$attachment_u_id.'" align="center" prk_in="He was an old man, who, at the age of nearly sixty, had postponedly encountered that thing in sorrows technicals called." image="fa fa-adjust"][/vc_column_inner][vc_column_inner width="1/4" css_animation="pls_fadeInRightBig" el_class="delay-400"][prkwp_service name="John Mellon" icon_type="custom_image" serv_image="'.$attachment_u_id.'" align="center" prk_in="He was an old man, who, at the age of nearly sixty, had postponedly encountered that thing in sorrows technicals called." image="fa fa-adjust"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row align="pulse_center_align" top_padding="190px" bottom_padding="190px" bk_element="image" bg_image_repeat="pulse_fixed_bk" bg_image="'.$attachment_a_id.'"][vc_column width="1/1"][prk_wptext_rotator title_size="h2" text_color="#ffffff" effect="scale letters" prk_in="I promise to love and care for you.+I will always be honest with you.+ I take you to be my partner for life.+I give you my hand and my heart."][/vc_column][/vc_row][vc_row align="pulse_center_align" top_padding="72px" bottom_padding="108px" bk_element="colored" bg_color="#ffffff" el_id="gift"][vc_column width="1/1"][prkwp_styled_title prk_in="Gift Registry" align="Center" font_type="custom_font" font_weight="400" text_color="#d4537b" title_size="h1" margin_bottom="18px" pulse_show_line="above thin" width="98px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 small-centered columns"]<div style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident, inside a huge hanging ornament which swung from the ceiling.<br />He was truly off the hall and about ten feet from the floor and I was amazed.</div>[/vc_column_text][prkwp_spacer size="30"][vc_row_inner bottom_padding="90px"][vc_column_inner width="1/6"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" img_link_target="_blank" css_animation="left-to-right" el_class="delay-400" link="#"][prkwp_spacer el_class="show_later"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" img_link_target="_blank" css_animation="left-to-right" link="#"][prkwp_spacer el_class="show_later"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" img_link_target="_blank" css_animation="right-to-left" link="#"][prkwp_spacer el_class="show_later"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center" img_link_target="_blank" css_animation="right-to-left" el_class="delay-400" link="#"][prkwp_spacer el_class="show_later"][/vc_column_inner][vc_column_inner width="1/6"][/vc_column_inner][/vc_row_inner][vc_text_separator title="Join all the buzz and let us know your thoughts" color="custom" font_type="body_font" css_animation="pulse_fade_waypoint" el_class="zero_color" accent_color="#ededed"][prkwp_spacer size="48"][vc_row_inner][vc_column_inner width="1/12"][/vc_column_inner][vc_column_inner width="10/12"][prk_testimonials category="" size="pulse_smaller" nav_color=" pls_btn_like"][/vc_column_inner][vc_column_inner width="1/12"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_full_row"][vc_column width="1/1"][prk_instagram user="airbnb" items="6" rows="2" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row align="pulse_center_align" top_padding="72px" el_id="contact"][vc_column width="1/1"][prkwp_styled_title prk_in="Make A Wish" align="Center" font_type="custom_font" font_weight="400" text_color="#d4537b" title_size="h1" margin_bottom="18px" pulse_show_line="above thin" width="98px" css_animation="pulse_fade_waypoint"][vc_column_text el_class="small-9 small-centered columns"]<p style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident, inside a huge hanging ornament which swung from the ceiling of the hall, and about ten feet from the floor.</p>[/vc_column_text][prkwp_spacer size="30"][prk_contact_form email_adr="pirenko.themeforest@gmail.com" el_class="small-9 columns small-centered"][prkwp_spacer size="48"][prk_line width="75%" align="center" icon="fa fa-adjust" icon_bk_color="#ffffff"][/vc_column][/vc_row][vc_row top_padding="60px" bottom_padding="144px"][vc_column width="1/6"][vc_column_text][/vc_column_text][/vc_column][vc_column width="2/3"][vc_row_inner][vc_column_inner width="1/3"][prkwp_service name="Come And Join Us" text_color="#D4537B" align="left" prk_in="River Street, 1st. floor<br />5690-970 New york City" icon_up_color="#D4537B" icon_material="mdi-comment-account-outline"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Give Us A Call" text_color="#D4537B" align="left" prk_in="+1 234 567 890" icon_up_color="#D4537B" icon_material="mdi-cellphone-android"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Send Us Message" text_color="#D4537B" align="left" prk_in="allthelove@pulse.com" icon_up_color="#D4537B" icon_material="mdi-xml"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/6"][vc_column_text]
[/vc_column_text][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Wedding';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#party',
                    'menu-item-title' => 'THE PARTY',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'COUPLE',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#gallery',
                    'menu-item-title' => 'GALLERY',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#brides',
                    'menu-item-title' => 'GUESTS',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#gift',
                    'menu-item-title' => 'GIFTS',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact',
                    'menu-item-title' => 'GET IN TOUCH',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

        }

        if ($pulse_theme_activation_options['lawyer']!="") {
            $pulse_theme_activation_options['lawyer']="";
            //Lawyer
            $new_page_title = 'Lawyer';
            $new_page_content='[vc_row bk_type="pulse_full_row" align="pulse_left_align" row_height="forced_row bottom_forced_row" append_arrow="yes" top_padding="0px" bottom_padding="58px" margin_bottom="0px" bk_element="image" preload_bk="yes" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_with_parallax" font_color="#ffffff"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_row_inner][vc_column_inner css_animation="" el_class="" width="1/2"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/2"][prkwp_styled_title prk_in="ACCORDING TO THE ADVOCACY MAG" align="Right" font_type="header_font" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="4px" pulse_show_line="no" width="70px" css_animation="bottom-to-top" el_class="delay-1500"][prkwp_styled_title prk_in="Best Lawyers Company" align="Right" font_type="custom_font" text_color="#f1c40f" title_size="h3" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px" css_animation="bottom-to-top" el_class="delay-1800"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="about"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="ABOUT" align="Center" font_type="header_font" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="above thicker" width="70px" line_color="#f1c40f" css_animation="appear"][prkwp_styled_title prk_in="We Are Known For Efficiency &amp; Readiness" align="Center" font_type="custom_font" title_size="h4" use_italic="Yes" margin_bottom="48px" pulse_show_line="no" width="70px" css_animation="appear"][vc_row_inner][vc_column_inner css_animation="" el_class="" width="1/2"][vc_column_text append_arrow="yes" drop_cap="yes" css_animation="pulse_fade_waypoint"]The three men at her mast-head wore long streamers of narrow red bunting at their hats; from the stern, a whale-boat was suspended, bottom down; and hanging captive from the bowsprit was seen the long lower jaw of the last whale. Signals, ensigns, and jacks of all colours were flying from her rigging, on every side. Sideways lashed in each of her three basketed tops were two barrels of sperm; above which, in her top-mast cross-trees, you saw slender breakers of the same precious fluid; and nailed to her main truck was a brazen lamp. As was afterwards learned, the Bachelor had met with the most surprising success; all the more wonderful, for that while cruising in the same seas numerous other vessels had gone entire months without securing a single fish. Not only had barrels of beef and bread been given away to make room for the far more valuable sperm, but additional supplemental casks had been bartered for, from the ships she had met; and these were stowed along the deck, and in the captains and officers state-rooms.[/vc_column_text][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/2"][vc_column_text drop_cap="no" css_animation="pulse_fade_waypoint"]In the forecastle, the sailors had actually caulked and pitched their chests, and filled them; it was humorously added, that the cook had clapped a head on his largest boiler, and filled it; that the steward had plugged his spare coffee-pot and filled it. The harpooneers had headed the sockets of their irons and filled them; that indeed everything was filled with sperm, except the captains pantaloons pockets, and those he reserved to thrust his hands into, in self-complacent testimony of his entire satisfaction.As this glad ship of good luck bore down upon the moody Pequod, the barbarian sound of enormous drums came from her forecastle. Drawing still nearer, a crowd of her men were seen standing round her huge try-pots, which, covered with the parchment-like POKE or stomach skin of the black fish, gave forth a loud roar to every stroke of the clenched hands of the crew. On the quarter-deck, the mates and harpooneers were dancing with the olive-hued girls who had eloped with them from the Polynesian Isles.[/vc_column_text][/vc_column_inner][/vc_row_inner][prkwp_spacer size="76"][vc_text_separator title="We Have Offices Europe &amp; North America" title_align="separator_align_center" align="align_center" color="custom" accent_color="#cecece" font_type="custom_font" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="0px" margin_bottom="108px" preload_bk="no" vid_parallax="no" hide_with_css=""][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][pirenko_last_portfolios layout_type_folio="packery" cols_number="2" show_load_more="no" cat_filter="" show_filter="no" thumbs_type_folio="pls_unlinked" multicolored_thumbs="no" pulse_show_skills="folio_noinfo" items_number="3" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="prk_9_em" css_animation="pulse_fade_waypoint"]<strong>Top</strong>) Our New York office main desk at the first floor. We have 3 floors with over 500 square feet; <strong>Left</strong>) Angie Miller preparing for the next court session; <strong>Right</strong>) Small Conference Room at our Canadian Office located in Ontario;[/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="72px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_cover" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" el_class="pulse_retina" font_color="#ffffff"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="RECENT FEEDBACK" align="Center" font_type="header_font" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="above thicker" line_color="#f1c40f" width="70px" text_color="#ffffff" css_animation="appear"][vc_column_text css_animation="pulse_fade_waypoint" drop_cap="no" el_class="prk_9_em small-10 small-centered columns"]<p style="text-align: center;">The leading matter of it requires to be still further and more familiarly enlarged upon, in order to be adequately understood, and moreover to take away any incredulity which a profound expertise.</p>[/vc_column_text][prkwp_spacer size="36"][prk_testimonials category="" color="#ffffff" align="Center" show_controls="yes" autoplay="yes" delay="8000" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="90px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="work"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="SHOWCASE" align="Center" font_type="header_font" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="above thicker" line_color="#f1c40f" width="70px" css_animation="appear"][prkwp_styled_title prk_in="Proudly Showcasing The Latest &amp; Most Relevant Cases" align="Center" font_type="custom_font" title_size="h4" use_italic="Yes" margin_bottom="26px" pulse_show_line="no" width="70px" css_animation="appear"][vc_column_text drop_cap="no" el_class="small-10 columns small-centered" css_animation="pulse_fade_waypoint"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression by separate citations of items, practically or reliably known to me as a whaleman. From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="36"][prkwp_board cols_width="15%|45%|20%|20%" board_header="Date|Description|Client|Case Study" values="Apr 2015|Something Fancy Goes Here Rigth|John Norton|http://www.google.com,Feb 2015|An Awesome Description For You|Lundy Industries|http://www.google.com,Dec 2014|This Is Some Dummy Text |Rita Miller|,Dec 2014|He Was Hoisted Against The Ship|Golden Wings|http://www.google.com,Jun 2014|Silence reigned Over The Before|Ten Records Inc.|http://www.google.com,Feb 2014|Stood Leaning Over With Big Eyes|Diego Tudor|,Jan 2014|Hanging There Midst Intense Calm|Mary Stiller|,Nov 2013|Planets Lake Infidel Abraham Head|Robert Ride|http://www.google.com" link_text="View Report →" css_animation="bottom-to-top"][vc_row_inner el_id="services" top_padding="72px" bottom_padding="0px"][vc_column_inner css_animation="" el_class="" width="1/1"][vc_text_separator title="We Offer a Wide & Varied Range Of Services" title_align="separator_align_center" align="align_center" color="custom" font_type="custom_font" css_animation="pulse_fade_waypoint" accent_color="#cecece"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="72"][vc_row_inner css_animation=""][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Custom Feedback" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-forum" icon_up_color="#f1c40f" css_animation="bottom-to-top"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Trusted Lawyers" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-google-circles" icon_up_color="#f1c40f" css_animation="bottom-to-top"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Online Reports" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-keyboard-close" icon_up_color="#f1c40f" css_animation="bottom-to-top"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="72"][vc_row_inner css_animation="" el_id=""][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Case Solving" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-omega" css_animation="bottom-to-top" icon_up_color="#f1c40f"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Awarded Speakers" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-tooltip-text" icon_up_color="#f1c40f" css_animation="bottom-to-top"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Hub Conferences" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#f1c40f" icon="fa fa-adjust" icon_material="mdi-spotlight" css_animation="bottom-to-top"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" bk_element="image" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#d6d6d6" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_fixed_bk" font_color="#ffffff"][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="2/3"][prkwp_spacer size="72"][prkwp_styled_title prk_in="An Insider Look At Pulse" align="Left" font_type="header_font" title_size="h3" use_italic="No" margin_bottom="12px" pulse_show_line="above thicker" width="70px" text_color="#f2f2f2" line_color="#f1c40f" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="prk_85_em" css_animation="pulse_fade_waypoint"]Nevertheless, it may well be believed that since they have such a ravenous finger in the pie, it is deemed but wise to look sharp to them. Accordingly, besides the monkey-rope, with which I now and then jerked the poor fellow from too close a vicinity to the maw of what seemed a peculiarly ferocious shark—he was provided with still another protection. Suspended over the side in one of the stages, Tashtego and Daggoo continually flourished over his head a couple of keen whale-spades, wherewith they slaughtered as many sharks as they could reach. This procedure of theirs, to be sure, was very disinterested and benevolent of them. They meant Queequegs best happiness, I admit; but in their hasty zeal to befriend him, and from the circumstance that both he and the sharks were at times half hidden by the blood-muddled water, those indiscreet spades of theirs would come nearer amputating a leg than a tall.[/vc_column_text][prk_wp_theme_button type="colored_theme_button prk_small" prk_in="Request A Quote →" link="#form-row" window="No" css_animation="flipin_x"][prkwp_spacer size="72"][/vc_column][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_right" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/3" column_height="pulse_forced_clm pulse_vertical_clm"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="52px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="contact"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="CONTACT" align="Center" font_type="header_font" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="above thicker" line_color="#f1c40f" width="70px" css_animation="appear"][prkwp_styled_title prk_in="Get In Touch With Us For More Info" align="Center" font_type="custom_font" title_size="h4" use_italic="Yes" margin_bottom="26px" pulse_show_line="no" width="70px" css_animation="appear"][vc_column_text css_animation="pulse_fade_waypoint" drop_cap="no" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression by separate citations of items, practically or reliably known to me as a whaleman. From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="form-row"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_spacer size="36"][vc_row_inner css_animation="pulse_fade_waypoint"][vc_column_inner css_animation="" el_class="" width="2/3"][prk_contact_form email_adr="hello@pulse.com"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/3"][pirenko_contact_info company_name="Pulse Lawyers Inc. " street_address="River Street, Blue Building, 1st. floor" postal_code="5690-970 New york City" tel="+1 (245) 785 952 354" email="hello@pulse.com"][/pirenko_contact_info][/vc_column_inner][/vc_row_inner][prkwp_spacer size="72"][vc_text_separator title="Come &amp; Visit Us In New York City" title_align="separator_align_center" align="align_center" color="custom" font_type="custom_font" accent_color="#cecece" css_animation="pulse_fade_waypoint"][prkwp_spacer size="72"][vc_gmaps map_style="almost_gray" zoom="14" map_latitude="40.6700" map_longitude="-73.9400" size="400"][prkwp_spacer size="72"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css=""][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_line width="100%" height="1px" align="inherit" icon="fa fa-adjust" icon_bk_color="#ffffff"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" font_color="" row_height="" height_adjust="" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" bk_element="" preload_bk="no" bg_image_repeat="" vid_parallax="no" bk_overlay="" css_animation="" el_class="" hide_with_css=""][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_spacer size="48"][vc_column_text drop_cap="no" el_class="prk_75_em zero_color"]<p style="text-align: center;">Copyright Text For Pulse WordPress Theme.<br />Proudly Developed By <a href="#" target="_blank">Pirenko</a>.<a href="#" target="_blank">Twitter</a> | <a href="#" target="_blank">Facebook</a> | <a href="#" target="_blank">YouTube</a>[/vc_column_text][prkwp_spacer size="20"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Lawyer';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#services',
                    'menu-item-title' => 'SERVICES',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#work',
                    'menu-item-title' => 'WORK',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#reasons',
                    'menu-item-title' => 'WHY US',
                    //'menu-item-attr-title' => 'our team',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact-us',
                    'menu-item-title' => 'GET IN TOUCH',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }
        if ($pulse_theme_activation_options['artist-minimal']!="") {
            $pulse_theme_activation_options['artist-minimal']="";
            //Artist
            $new_page_title = 'Artist - Minimal';
            $new_page_content='[vc_row bk_type="pulse_full_row" row_height="forced_row bottom_forced_row" bk_element="image" preload_bk="yes" bg_image_repeat="pulse_cover" align="pulse_center_align" font_color="#557799" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="The Stunning Gallery Of" align="Center" font_type="custom_font" font_weight="600" text_color="#272727" title_size="h4" margin_bottom="4px" css_animation="pls_fadeInDownBig" el_class="delay-500"][prkwp_styled_title prk_in="Paul Rudy" align="Center" font_weight="600" text_color="#272727" title_size="h1_bigger" css_animation="pls_fadeInUpBig" custom_css="letter-spacing:3px;" el_class="delay-500"][prkwp_spacer size="54"][/vc_column][/vc_row][vc_row top_padding="108px" bottom_padding="108px" el_id="about"][vc_column width="1/1"][prkwp_styled_title prk_in="Sharing &amp; Loving" align="Center" font_type="custom_font" font_weight="700" text_color="#557799" title_size="h4" margin_bottom="4px" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="CREATIVE PROCESS" align="Center" font_weight="700" title_size="h2" margin_bottom="16px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them.</p>[/vc_column_text][prkwp_spacer size="36"][vc_row_inner][vc_column_inner width="1/3" css_animation="bottom-to-top"][vc_single_image image="'.$attachment_a_id.'" img_size="full"][prkwp_spacer][vc_column_text el_class="zero_color extra_font" custom_css="margin-bottom:8px;"]<h4 class="big"><strong><span style="color: #557799;">01.</span> Gathering Up Tools</strong></h4>[/vc_column_text][vc_column_text]In the first place, the enormous cutting tackles, among other ponderous things comprising a cluster of blocks generally painted green, and which no single man can possibly lift this vast bunch of grapes. Lovely idea he said.[/vc_column_text][/vc_column_inner][vc_column_inner width="1/3" css_animation="bottom-to-top" el_class="delay-400"][vc_single_image image="'.$attachment_b_id.'" img_size="full"][prkwp_spacer][vc_column_text el_class="zero_color extra_font" custom_css="margin-bottom:8px;"]<h4 class="big"><strong><span style="color: #557799;">02.</span> Creating The Scenery</strong></h4>[/vc_column_text][vc_column_text]In the first place, the enormous cutting tackles, among other ponderous things comprising a cluster of blocks generally painted green, and which no single man can possibly lift this vast bunch of grapes. Lovely idea he said.[/vc_column_text][/vc_column_inner][vc_column_inner width="1/3" css_animation="bottom-to-top" el_class="delay-800"][vc_single_image image="'.$attachment_c_id.'" img_size="full"][prkwp_spacer][vc_column_text el_class="zero_color extra_font" custom_css="margin-bottom:8px;"]<h4 class="big"><strong><span style="color: #557799;">03.</span> Filling The Gaps</strong></h4>[/vc_column_text][vc_column_text]In the first place, the enormous cutting tackles, among other ponderous things comprising a cluster of blocks generally painted green, and which no single man can possibly lift this vast bunch of grapes. Lovely idea he said.[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="126px" bottom_padding="108px" bk_element="image" bg_image_repeat="pulse_fixed_bk" el_class="pulse_retina" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="GALLERIES SHOWCASE" align="Center" font_weight="700" text_color="#ffffff" title_size="h2" margin_bottom="16px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner css_animation="bottom-to-top"][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6" el_class="hide_later"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6" el_class="hide_later"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center"][/vc_column_inner][vc_column_inner width="1/6" el_class="hide_later"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="72px" el_id="work"][vc_column width="1/1"][prkwp_styled_title prk_in="With Pride &amp; Joy" align="Center" font_type="custom_font" font_weight="700" text_color="#557799" title_size="h4" margin_bottom="4px" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="OUR WORK" align="Center" font_weight="700" title_size="h2" margin_bottom="16px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them.</p>[/vc_column_text][pirenko_last_portfolios layout_type_folio="masonry" items_number="9" cat_filter="" thumbs_type_folio="lightboxed" thumbs_mg="30" multicolored_thumbs="no" pulse_show_skills="folio_title_only" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row top_padding="90px" bottom_padding="82px" bk_element="image" bg_image_repeat="pulse_with_parallax" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="PRESS RELEASES" align="Center" font_weight="700" text_color="#ffffff" title_size="h2" margin_bottom="16px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them.</span></p>[/vc_column_text][prkwp_spacer][prk_testimonials category="" color="#ffffff" nav_color=" pls_btn_like" css_animation="pulse_fade_waypoint" el_class="pulse_retina"][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="48px" el_id="contact"][vc_column width="1/1"][prkwp_styled_title prk_in="Love Your Feedback" align="Center" font_type="custom_font" font_weight="700" text_color="#557799" title_size="h4" margin_bottom="4px" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="GET IN TOUCH" align="Center" font_weight="700" title_size="h2" margin_bottom="16px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them.</p>[/vc_column_text][prkwp_spacer][/vc_column][/vc_row][vc_row bottom_padding="108px"][vc_column width="1/6"][vc_column_text][/vc_column_text][/vc_column][vc_column width="2/3"][vc_row_inner css_animation="pulse_fade_waypoint"][vc_column_inner width="1/3"][prkwp_service name="Lets Get Together" align="left" prk_in="River Street, 1st. floor<br />5690-970 New york City" icon_up_color="#232323" icon_material="mdi-comment-account-outline"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Give Us A Call" align="left" prk_in="+1 234 567 890" icon_up_color="#232323" icon_material="mdi-cellphone-android"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Send Us Message" align="left" prk_in="hello@pulse.com" icon_up_color="#232323" icon_material="mdi-xml"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column width="1/6"][vc_column_text][/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_center_align"][vc_column width="1/1"][prk_instagram title="FOLLOW US ON INSTAGRAM" title_color="#303030" user="airbnb" items="6" rows="2" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Artist - Minimal';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#work',
                    'menu-item-title' => 'WORK',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact',
                    'menu-item-title' => 'GET IN TOUCH',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }

        if ($pulse_theme_activation_options['kindergarten']!="") {
            $pulse_theme_activation_options['kindergarten']="";
            //Kindergarten
            $new_page_title = 'Kindergarten';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="yes" top_padding="0px" bottom_padding="0px" margin_bottom="0px" bk_element="image" preload_bk="yes" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" row_height="forced_row" bg_image_repeat="pulse_cover" font_color="#23aae5"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/2"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/2"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="3/4"][prkwp_spacer size="220"][prkwp_styled_title prk_in="A Place For Every Child" align="Left" font_type="header_font" font_weight="400" text_color="#23aae5" title_size="h2" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no"]<span style="color: #ffffff;">Lorem ipsum dolor sit amet, consectetur adipiscing elit. Duis convallis aliquam ipsum et pulvinar. Maecenas viverra ultrices hendrerit. Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac turpis egestas.</span>[/vc_column_text][prk_wp_theme_button type="theme_button" button_size="prk_large" prk_in="Our Services" window="No" link="#services"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="72px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="about"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#fad46b" align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-home-variant" icon_size="48px" css_animation="appear"][prkwp_styled_title prk_in="The Kindergarten" align="Center" font_type="header_font" title_size="h1" use_italic="No" pulse_show_line="no" width="70px" text_color="#a8a8a8" margin_bottom="18px" font_weight="400" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered" css_animation="pulse_fade_waypoint"]<p style="text-align: center;">In a moment the entire palace was alive with people. Guardsmen, officers, courtiers, servants, and slaves ran helter-skelter through the corridors and apartments carrying messages and orders, and searching for signs.</p>[/vc_column_text][prkwp_spacer size="30"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="left-to-right" width="1/3"][prkwp_service name="Classrooms" icon_type="custom_image" serv_image="'.$attachment_a_id.'" align="center" icon="fa fa-adjust" icon_material="mdi-account" prk_in="In a moment the entire palace was alive with people. Guardsmen, officers, courtiers, servants, and slaves ran helter-skelter through." text_color="#fad46b"][prkwp_spacer size="18"][prk_line color="" width="22px" height="4px" align="center" icon="fa fa-adjust" icon_color="" icon_bk_color="#ffffff" css_animation=""][prkwp_spacer size="18"][vc_column_text drop_cap="no" el_class="not_zero_color header_font"]<p style="text-align: center;"><a href="http://www.google.com" target="blank">READ MORE</a></p>[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="top-to-bottom" width="1/3"][prkwp_service name="Staff and Teachers" icon_type="custom_image" serv_image="'.$attachment_a_id.'" align="center" prk_in="In a moment the entire palace was alive with people. Guardsmen, officers, courtiers, servants, and slaves ran helter-skelter through." icon="fa fa-adjust" icon_material="mdi-account" text_color="#fad46b"][prkwp_spacer size="18"][prk_line width="22px" height="4px" align="center" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="18"][vc_column_text css_animation="" drop_cap="no" el_class="not_zero_color header_font"]<p style="text-align: center;"><a href="http://www.google.com" target="blank">READ MORE</a></p>[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="right-to-left" width="1/3"][prkwp_service name="Healthy Meals" icon_type="custom_image" serv_image="'.$attachment_a_id.'" align="center" prk_in="In a moment the entire palace was alive with people. Guardsmen, officers, courtiers, servants, and slaves ran helter-skelter through." icon="fa fa-adjust" icon_material="mdi-account" text_color="#fad46b"][prkwp_spacer size="18"][prk_line color="" width="22px" height="4px" align="center" icon="fa fa-adjust" icon_color="" icon_bk_color="#ffffff" css_animation=""][prkwp_spacer size="18"][vc_column_text css_animation="" drop_cap="no" el_class="not_zero_color header_font"]<p style="text-align: center;"><a href="http://www.google.com" target="blank">READ MORE</a></p>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="72px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#f5f5f5" el_id="learn"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#fad46b" align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-brush" icon_size="48px" css_animation="appear"][prkwp_styled_title prk_in="Learning System" align="Center" font_type="header_font" text_color="#a8a8a8" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" font_weight="400" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" drop_cap="no" el_class="small-9 columns small-centered"]<div style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident.</div><div style="text-align: center;">Inside a huge hanging ornament which swung from the ceiling of the hall, and about ten feet from the floor.</div>[/vc_column_text][prkwp_spacer size="50"][vc_row_inner][vc_column_inner align="pulse_center_align" width="1/2"][vc_single_image image="'.$attachment_a_id.'" border_color="grey" img_link_large="" img_link_target="_self" alignment="center" css_animation="pulse_fade_waypoint"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="pulse_fade_waypoint" width="1/2"][prkwp_styled_title prk_in="Growing &amp; Changing" align="Left" font_type="header_font" font_weight="100" title_size="h3" use_italic="No" margin_bottom="14px" pulse_show_line="above thicker" width="70px" text_color="#fad46b" line_color="#fad46b"][vc_column_text drop_cap="no"]The brothers had supplied me with a reddish oil with which I anointed my entire body and one of them cut my hair, which had grown quite long, in the prevailing fashion of the time, square at the back and banged in front, so that I could have passed anywhere upon Barsoom as a full-fledged red Martian.[/vc_column_text][vc_column_text drop_cap="no"]<div style="font-size: 20px;"><a href="http://www.google.com" target="blank">How we  stimulate children’s curiosity →</a></div>[/vc_column_text][/vc_column_inner][/vc_row_inner][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/1"][prkwp_spacer size="50"][/vc_column_inner][/vc_row_inner][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class="" el_id=""][vc_column_inner align="pulse_inherit_align" css_animation="pulse_fade_waypoint" width="1/2"][prkwp_styled_title prk_in="Developing Skills" align="Left" font_type="header_font" font_weight="100" text_color="#fad46b" title_size="h3" use_italic="No" margin_bottom="14px" pulse_show_line="above thicker" line_color="#fad46b" width="70px"][vc_column_text css_animation="" drop_cap="no" el_class=""]The brothers had supplied me with a reddish oil with which I anointed my entire body and one of them cut my hair, which had grown quite long, in the prevailing fashion of the time, square at the back and banged in front, so that I could have passed anywhere upon Barsoom as a full-fledged red Martian.[/vc_column_text][vc_column_text drop_cap="no"]<div style="font-size: 20px;"><a href="http://www.google.com" target="_blank">How we play with language with silly rhymes →</a></div>[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_center_align" width="1/2"][vc_single_image image="'.$attachment_a_id.'" border_color="grey" img_link_large="" img_link_target="_self" alignment="center" css_animation="pulse_fade_waypoint"][/vc_column_inner][/vc_row_inner][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class="" el_id=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/1"][prkwp_spacer size="50"][/vc_column_inner][/vc_row_inner][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_center_align" width="1/2"][vc_single_image image="'.$attachment_a_id.'" border_color="grey" img_link_large="" img_link_target="_self" alignment="center" css_animation="pulse_fade_waypoint"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="pulse_fade_waypoint" width="1/2"][prkwp_styled_title prk_in="Follow &amp; Care" align="Left" font_type="header_font" font_weight="100" text_color="#fad46b" title_size="h3" use_italic="No" margin_bottom="14px" pulse_show_line="above thicker" line_color="#fad46b" width="70px"][vc_column_text css_animation="" drop_cap="no" el_class=""]The brothers had supplied me with a reddish oil with which I anointed my entire body and one of them cut my hair, which had grown quite long, in the prevailing fashion of the time, square at the back and banged in front, so that I could have passed anywhere upon Barsoom as a full-fledged red Martian.[/vc_column_text][vc_column_text drop_cap="no"]<div style="font-size: 20px;"><a href="http://www.google.com" target="_blank">How we teach and have fun →</a></div>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_center_align" append_arrow="no" top_padding="72px" bottom_padding="90px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="services"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#fad46b" align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-flower" icon_size="48px" css_animation="appear"][prkwp_styled_title prk_in="Our Services" align="Center" font_type="header_font" text_color="#a8a8a8" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" font_weight="400" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" drop_cap="no" el_class="small-9 columns small-centered"]<div style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident.</div><div style="text-align: center;">Inside a huge hanging ornament which swung from the ceiling of the hall, and about ten feet from the floor.</div>[/vc_column_text][prkwp_spacer size="20"][vc_row_inner top_padding="0px" bottom_padding="0px"][vc_column_inner align="pulse_inherit_align" css_animation="pls_fadeInLeftBig" el_class="" width="1/3"][prkwp_service name="Meals &amp; Baby Food" serv_image="'.$attachment_c_id.'" align="center" prk_in="They filled a little sack at my side with Zodangan money. The medium of exchange upon Mars is not dissimilar from our own except that the coins are oval. Paper money is issued by individuals as they require." text_color="#a8a8a8" image="fa fa-adjust" icon_type="custom_image" icon="fa fa-adjust" icon_material="mdi-account"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="pls_fadeInUpBig" width="1/3"][prkwp_service name="Sleep Area" serv_image="'.$attachment_c_id.'" align="center" prk_in="They filled a little sack at my side with Zodangan money. The medium of exchange upon Mars is not dissimilar from our own except that the coins are oval. Paper money is issued by individuals as they require." text_color="#a8a8a8" image="fa fa-adjust" icon_type="custom_image" icon="fa fa-adjust" icon_material="mdi-account"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="pls_fadeInRightBig" el_class="" width="1/3"][prkwp_service name="Confort Objects" serv_image="'.$attachment_c_id.'" align="center" prk_in="They filled a little sack at my side with Zodangan money. The medium of exchange upon Mars is not dissimilar from our own except that the coins are oval. Paper money is issued by individuals as they require." text_color="#a8a8a8" image="fa fa-adjust" icon_type="custom_image" icon="fa fa-adjust" icon_material="mdi-account"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="48"][vc_row_inner top_padding="0px" bottom_padding="0px"][vc_column_inner align="pulse_inherit_align" css_animation="pls_fadeInLeftBig" el_class="" width="1/3"][prkwp_service name="Play Room" icon_type="custom_image" serv_image="'.$attachment_c_id.'" align="center" prk_in="They filled a little sack at my side with Zodangan money. The medium of exchange upon Mars is not dissimilar from our own except that the coins are oval. Paper money is issued by individuals as they require." text_color="#a8a8a8" image="fa fa-adjust" icon="fa fa-adjust" icon_material="mdi-account"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="pls_fadeInUpBig" width="1/3"][prkwp_service name="Clean and Healthy" icon_type="custom_image" serv_image="'.$attachment_c_id.'" align="center" prk_in="They filled a little sack at my side with Zodangan money. The medium of exchange upon Mars is not dissimilar from our own except that the coins are oval. Paper money is issued by individuals as they require." text_color="#a8a8a8" image="fa fa-adjust" icon="fa fa-adjust" icon_material="mdi-account"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="pls_fadeInRightBig" el_class="" width="1/3"][prkwp_service name="Baby Development" icon_type="custom_image" serv_image="'.$attachment_c_id.'" align="center" prk_in="They filled a little sack at my side with Zodangan money. The medium of exchange upon Mars is not dissimilar from our own except that the coins are oval. Paper money is issued by individuals as they require." text_color="#a8a8a8" image="fa fa-adjust" icon="fa fa-adjust" icon_material="mdi-account"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_center_align" font_color="#ffffff" append_arrow="no" top_padding="90px" bottom_padding="90px" margin_bottom="0px" bk_element="colored" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" bg_color="#fad46b"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-castle" text_color="#ffffff" icon_size="48px" css_animation="appear"][prkwp_styled_title prk_in="Activities" align="Center" font_type="header_font" font_weight="400" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered" css_animation="pulse_fade_waypoint"]<div style="text-align: center;"><span style="color: #ffffff;">Accordingly I searched for a hiding place and finally found one by accident.</span></div><div style="text-align: center;"><span style="color: #ffffff;">Inside a huge hanging ornament which swung from the ceiling of the hall, and about ten feet from the floor.</span></div>[/vc_column_text][prkwp_spacer size="30"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="bottom-to-top"][vc_column_inner css_animation="" el_class="" width="1/6"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" border_color="grey" img_link_large="" img_link_target="_self" img_size="full" alignment="center" css_animation="pls_fadeInUpBig"][prkwp_spacer size="18"][vc_column_text drop_cap="no" css_animation="pulse_fade_waypoint"]<p style="text-align: center;"><strong>Outdoor Activities</strong></p>[/vc_column_text][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" border_color="grey" img_link_large="" img_link_target="_self" img_size="full" alignment="center" css_animation="pls_fadeInUpBig" el_class="delay-400"][prkwp_spacer size="18"][vc_column_text drop_cap="no" css_animation="pulse_fade_waypoint" el_class="delay-400"]<p style="text-align: center;"><strong>Educational Games</strong></p>[/vc_column_text][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" border_color="grey" img_link_large="" img_link_target="_self" img_size="full" alignment="center" css_animation="pls_fadeInUpBig" el_class="delay-800"][prkwp_spacer size="18"][vc_column_text drop_cap="no" css_animation="pulse_fade_waypoint" el_class="delay-800"]<p style="text-align: center;"><b>Drawing and Painting</b></p>[/vc_column_text][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" border_color="grey" img_link_large="" img_link_target="_self" img_size="full" alignment="center" css_animation="pls_fadeInUpBig" el_class="delay-1200"][prkwp_spacer size="18"][vc_column_text drop_cap="no" css_animation="pulse_fade_waypoint" el_class="delay-1200"]<p style="text-align: center;"><strong>Book a Babysitter</strong></p>[/vc_column_text][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/6"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_center_align" append_arrow="no" top_padding="80px" bottom_padding="60px" margin_bottom="30px" bk_element="colored" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" bg_color="#ffffff" el_id="teachers"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#fad46b" align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-account-multiple" icon_size="48px" css_animation="appear"][prkwp_styled_title prk_in="Our Teachers" align="Center" font_type="header_font" font_weight="400" text_color="#a8a8a8" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered" css_animation="pulse_fade_waypoint"]<div style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident.</div><div style="text-align: center;">Inside a huge hanging ornament which swung from the ceiling of the hall, and about ten feet from the floor.</div>[/vc_column_text][prkwp_spacer size="30"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="bottom-to-top" el_class="" el_id=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="BRENDA MOE" icon_type="custom_image" serv_image="'.$attachment_u_id.'" align="center" prk_in="PROFESOR" icon="fa fa-adjust" icon_material="mdi-account" text_color="#fad46b"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="JULIA VON" icon_type="custom_image" serv_image="'.$attachment_u_id.'" align="center" prk_in="PRESCHOOL" text_color="#fad46b" icon="fa fa-adjust" icon_material="mdi-account"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="MARGARET MORE" icon_type="custom_image" serv_image="'.$attachment_u_id.'" align="center" prk_in="TEACHER" text_color="#fad46b" icon="fa fa-adjust" icon_material="mdi-account"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="60px" bottom_padding="60px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_cover_bottom" vid_parallax="no" hide_with_css="" bg_color="#e1eef3" bg_image="'.$attachment_d_id.'" font_color="#ffffff" el_class="pulse_retina"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-microphone" icon_size="48px" css_animation="appear"][prkwp_styled_title prk_in="What Parents Think" align="Center" font_type="header_font" font_weight="400" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" drop_cap="no" el_class="small-9 columns small-centered"]<div style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident.</div><div style="text-align: center;">Inside a huge hanging ornament which swung from the ceiling of the hall, and about ten feet from the floor.</div>[/vc_column_text][prkwp_spacer size="20"][prk_testimonials category="" color="#ffffff" align="Center" show_controls="yes" autoplay="yes"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="90px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ffffff" bg_image_repeat="pulse_cover_bottom" el_id="gallery"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#fad46b" align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-camera" icon_size="48px" css_animation="appear"][prkwp_styled_title prk_in="Gallery" align="Center" font_type="header_font" font_weight="400" text_color="#a8a8a8" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered" css_animation="pulse_fade_waypoint"]<div style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident.</div><div style="text-align: center;">Inside a huge hanging ornament which swung from the ceiling of the hall, and about ten feet from the floor.</div>[/vc_column_text][prkwp_spacer size="20"][pirenko_last_portfolios layout_type_folio="masonry" cols_number="3" show_load_more="yes" cat_filter="" show_filter="no" thumbs_type_folio="lightboxed" multicolored_thumbs="yes" pulse_show_skills="folio_noinfo" thumbs_mg="10" items_number="99" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_center_align" append_arrow="no" top_padding="70px" bottom_padding="60px" margin_bottom="0px" bk_element="image" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#fad46b" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_cover_top" font_color="#ffffff"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="Follow Your Favorite Kindergarten" align="Center" font_type="header_font" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" font_weight="400" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" drop_cap="no" el_class="small-9 columns small-centered"]<div style="text-align: center;">Accordingly I searched for a hiding place and finally found one by accident.</div><div style="text-align: center;">Inside a huge hanging ornament which swung from the ceiling of the hall, and about ten feet from the floor.</div>[/vc_column_text][prkwp_spacer size="30"][pirenko_social_nets icons_style="minimal_icons" icons_size="50" text_color="#eb4549" custom_opacity="100" net_1="facebook" net_2="twitter" net_3="pinterest" net_4="dribbble" net_5="none" net_6="none" net_7="none" net_8="none" link_1="http://www.google.com" link_2="http://www.google.com" link_3="http://www.google.com" hover_color="#ffffff" link_4="http://www.google.com" css_animation="pulse_fade_waypoint" icons_padding="9"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_center_align" append_arrow="no" top_padding="100px" bottom_padding="90px" margin_bottom="0px" bk_element="image" preload_bk="no" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_fixed_bk"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#fad46b" align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-panda" icon_size="48px" css_animation="appear"][prkwp_styled_title prk_in="Babysitting" align="Center" font_type="header_font" font_weight="400" text_color="#fad46b" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][vc_column_text drop_cap="no" css_animation="pls_fadeInLeftBig"]<p style="text-align: right;">5th Jonh Avenue, 456</p><p style="text-align: right;">345675 New York</p>[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][vc_column_text css_animation="pls_fadeInRightBig" drop_cap="no"]<p style="text-align: left;"><strong>Phone</strong> +345 123 435 657</p><p style="text-align: left;"><strong>Email</strong> <a href="mailto:info@kindergarten.com">info@kindergarten.com</a></p>[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="20"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/1"][vc_column_text drop_cap="no" css_animation="pulse_fade_waypoint"]<p style="text-align: center;">If you want help just book a Babysitter or spread the word with your friends.</p>[/vc_column_text][prkwp_spacer size="20"][prk_wp_theme_button type="theme_button" button_size="prk_large" prk_in="Book Now" link="http://www.google.com" window="Yes" css_animation="pls_fadeInUpBig"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="48px" bottom_padding="48px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" bk_element="colored" bg_color="#bad85e"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_column_text drop_cap="no" el_class="prk_85_em"]<p style="text-align: center;"><span style="color: #ffffff;">Kindergarten 2015 - Proudly Developed by <a href="http://www.google.com" target="_blank">Pirenko</a>.</span></p>[/vc_column_text][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Kindergarten';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT US',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#learn',
                    'menu-item-title' => 'OUR PROCESS',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#services',
                    'menu-item-title' => 'SERVICES',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#teachers',
                    'menu-item-title' => 'TEACHERS',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#gallery',
                    'menu-item-title' => 'GALLERY',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

        }

        if ($pulse_theme_activation_options['event']!="") {
            $pulse_theme_activation_options['event']="";
            //Event
            $new_page_title = 'Event';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_center_align" row_height="forced_row vertical_forced_row" height_adjust="0" append_arrow="yes" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" bk_element="image" vid_mp4="" vid_webm="" bk_overlay="" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_cover" font_color="#ffffff"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="An Event That Is All about" align="Center" font_type="custom_font" font_weight="400" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][prk_wptext_rotator title_size="h1" effect="rotate-1" prk_in="LIFESTYLE+RELAXATION+LEISURE+COMFORT+CONDUCT" text_color="#65caf7" el_class="prk_heavier_600"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="90px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="about"][vc_column align="pulse_right_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/3"][prk_line width="120px" height="7px" align="right" icon="fa fa-adjust" icon_bk_color="#ffffff" color="#65caf7"][prkwp_spacer size="43"][prkwp_styled_title prk_in="You Really Cant Miss" align="Right" font_type="custom_font" font_weight="400" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px" text_color="#37393c"][prkwp_styled_title prk_in="A LIFESTYLE EVENT" align="Right" font_type="header_font" font_weight="700" title_size="h2" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px" text_color="#37393c"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="2/3"][prkwp_spacer size="-6"][vc_column_text drop_cap="no"]<strong>It had cooled and crystallized</strong> to such a degree, that when, with several others, I sat down before a large Constantines bath of it, I found it strangely concreted into lumps, here and there rolling about in the liquid part. It was our business to squeeze these lumps back into fluid. A sweet and unctuous duty! No wonder that in old times this sperm was such a <strong>favorite cosmetic</strong>. Such a clearer, such a sweetener, such a softener, such a delicious molifier... After having my hands in it for only a few minutes, my fingers felt like eels, and began, as it were, to serpentine and spiralise.But had Stubb really abandoned the poor little negro to his fate? No; he did not mean to, at least. Because there were two boats in his wake, and he supposed, no doubt, that they would of course come up to <strong>Pip very quickly</strong>, and pick him up.Though, indeed, such considerations towards oarsmen jeopardized through their own timidity, is not always <strong>manifested by the hunters</strong> in all similar instances; and such instances not infrequently occur; almost invariably in the fishery, a coward, so called, is marked with the same ruthless detestation peculiar to military navies and armies.[/vc_column_text][prkwp_spacer size="12"][prk_wp_theme_button type="colored_theme_button" button_size="prk_medium" prk_in="Join The Event" link="#signup" window="No"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" bk_element="colored" bg_color="#ecf5fd"][vc_column align="pulse_inherit_align" column_height="pulse_forced_clm" bg_image_hz_align="pulse_hz_right" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="7/12" bg_image="'.$attachment_a_id.'"][/vc_column][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="60" caption_position="prk_caption_left" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="Reason Number" align="Left" font_type="custom_font" font_weight="400" text_color="#37393c" title_size="h5" use_italic="No" margin_bottom="-10px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="01" align="Left" font_type="header_font" font_weight="700" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="WE ARE GOING TO DO SOMETHING COOL" align="Left" font_type="header_font" font_weight="700" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl she turned her face up.[/vc_column_text][prkwp_spacer size="130"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ecf5fd"][vc_column align="pulse_right_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="60" caption_position="prk_caption_left" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="Reason Number" align="Right" font_type="custom_font" font_weight="400" text_color="#37393c" title_size="h5" use_italic="No" margin_bottom="-10px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="02" align="Right" font_type="header_font" font_weight="700" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="WE ARE GOING TO CLIMB A MOUNTAIN" align="Right" font_type="header_font" font_weight="700" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][vc_column_text css_animation="" drop_cap="no" el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl she turned her face up.[/vc_column_text][prkwp_spacer size="130"][/vc_column][vc_column align="pulse_inherit_align" column_height="pulse_forced_clm" bg_image_hz_align="pulse_hz_right" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="7/12" bg_image="'.$attachment_b_id.'"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ecf5fd"][vc_column align="pulse_inherit_align" column_height="pulse_forced_clm" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="7/12" bg_image="'.$attachment_c_id.'"][/vc_column][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="60" caption_position="prk_caption_left" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="Reason Number" align="Left" font_type="custom_font" font_weight="400" text_color="#37393c" title_size="h5" use_italic="No" margin_bottom="-10px" pulse_show_line="no" line_color="" width="70px" underlined="" css_animation="" custom_css=""][prkwp_styled_title prk_in="03" align="Left" font_type="header_font" font_weight="700" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="WE ARE GOING TO WATCH THE SUNRISE" align="Left" font_type="header_font" font_weight="700" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][vc_column_text css_animation="" drop_cap="no" el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl she turned her face up.[/vc_column_text][prkwp_spacer size="130"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ecf5fd"][vc_column align="pulse_right_align" column_height="pulse_forced_clm" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="60" caption_position="prk_caption_left" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="Reason Number" align="Right" font_type="custom_font" font_weight="400" text_color="#37393c" title_size="h5" use_italic="No" margin_bottom="-10px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="04" align="Right" font_type="header_font" font_weight="700" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="WE ARE GOING TO DO SOMETHING COOL" align="Right" font_type="header_font" font_weight="700" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][vc_column_text css_animation="" drop_cap="no" el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl she turned her face up.[/vc_column_text][prkwp_spacer size="130"][/vc_column][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="7/12" bg_image="'.$attachment_a_id.'" column_height="pulse_forced_clm"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="90px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="speakers"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="2/3"][prkwp_spacer size="-6"][vc_column_text drop_cap="no"]From the far north they heard a low wail of the wind, and <strong>Uncle Henry and Dorothy</strong> could see where the long grass bowed in waves before the coming storm. There now came a sharp whistling in the air from the south, and as they turned their eyes that way they saw ripples in the grass coming from that direction also.[/vc_column_text][prkwp_spacer size="12"][prk_members general_style="classic" category="" items_number="6" columns="2" text_align="text_center" content_amount="compressed" icons_position="under"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/3"][prk_line color="#65caf7" width="120px" height="7px" align="inherit" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="36"][prkwp_styled_title prk_in="Respected People Only" align="Left" font_type="custom_font" font_weight="400" text_color="#37393c" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="ACCLAIMED SPEAKERS" align="Left" font_type="header_font" font_weight="700" text_color="#37393c" title_size="h2" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="82px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_b_id.'" el_class="pulse_retina" el_id="sponsors"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_line color="#65caf7" width="120px" height="7px" align="center" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="36"][prkwp_styled_title prk_in="The Companies Behind" align="Center" font_type="custom_font" font_weight="400" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="EVENT SPONSORS" align="Center" font_type="header_font" font_weight="700" text_color="#ffffff" title_size="h2" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][prkwp_spacer size="12"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered prk_85_em"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][vc_single_image image="'.$attachment_u_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][vc_single_image image="'.$attachment_u_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][vc_single_image image="'.$attachment_u_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="36"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][vc_single_image image="'.$attachment_u_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][vc_single_image image="'.$attachment_u_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][vc_single_image image="'.$attachment_u_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" bk_element="colored" bg_color="#ecf5fd"][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/2"][vc_gmaps map_style="almost_gray" zoom="14" map_latitude="40.6700" map_longitude="-73.9400" size="600"][/vc_column][vc_column align="pulse_left_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="60" caption_position="prk_caption_left" width="1/2"][prkwp_spacer size="140"][prkwp_styled_title prk_in="Easy Access" align="Left" font_type="custom_font" font_weight="400" text_color="#37393c" title_size="h5" use_italic="No" margin_bottom="-10px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="MAP" align="Left" font_type="header_font" font_weight="700" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="MAKE SURE YOU DONT GET LOST" align="Left" font_type="header_font" font_weight="700" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][vc_column_text css_animation="" drop_cap="no" el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl she turned her face up.[/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="90px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="signup"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/3"][prk_line color="#65caf7" width="120px" height="7px" align="right" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="43"][prkwp_styled_title prk_in="You Really Cant Miss" align="Right" font_type="custom_font" font_weight="400" text_color="#37393c" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="BUY YOUR TICKETS NOW" align="Right" font_type="header_font" font_weight="700" text_color="#37393c" title_size="h2" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="2/3"][prkwp_spacer size="-6"][vc_column_text drop_cap="no"]<strong>It had cooled and crystallized</strong> to such a degree, that when, with several others, I sat down before a large Constantines bath of it, I found it strangely concreted into lumps, here and there rolling about in the liquid part. It was our business to squeeze these lumps back into fluid. A sweet and unctuous duty![/vc_column_text][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][prkwp_price_table header="REGULAR PACK" price="159 USD" under_price="weekend" prk_in="<strong>3 Nights</strong> B &amp; B,<strong>Airport</strong> Transfers,<strong>Horseback</strong> Riding,<strong>Surfing</strong> Lessons,<strong>Farewell</strong> Brunch" button_label="Buy Now →" button_link="#"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][prkwp_price_table featured="Regular Pack" header="PREMIUM PACK" price="199 USD" under_price="per day" prk_in="<strong>4 Nights</strong> B &amp; B,<strong>Airport</strong> Taxi,<strong>Horseback</strong> Riding,<strong>Personal</strong> Lessons,<strong>Farewell</strong> Dinner" button_label="Buy Now →" button_link="#"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="120px" bottom_padding="102px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" font_color="#ffffff" bg_color="#37393c"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/3"][prkwp_spacer size="48"][prkwp_styled_title prk_in="CONTACT US" align="Left" font_type="header_font" font_weight="400" title_size="h5" use_italic="No" margin_bottom="24px" pulse_show_line="no" width="70px" text_color="#ffffff"][vc_column_text drop_cap="no" el_class="prk_85_em"]<span style="color: #65caf7;">EMAIL: hello@stamp.com</span><span style="color: #65caf7;">PHONE: + 1 234 567 890</span>[/vc_column_text][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/3"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" el_class="pulse_retina" img_size="full"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/3"][prkwp_spacer size="48"][prkwp_styled_title prk_in="LOCATION" align="Right" font_type="header_font" font_weight="400" title_size="h5" use_italic="No" margin_bottom="24px" pulse_show_line="no" width="70px" text_color="#ffffff"][vc_column_text drop_cap="no" el_class="prk_85_em"]<p style="text-align: right;"><span style="color: #65caf7;">River Street, Blue Building, 1st. floor</span><span style="color: #65caf7;">5690-970 New York City</span>[/vc_column_text][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Event';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#speakers',
                    'menu-item-title' => 'SPEAKERS',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#sponsors',
                    'menu-item-title' => 'SPONSORS',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#signup',
                    'menu-item-title' => 'SIGN UP',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

        }

        if ($pulse_theme_activation_options['agency-dark']!="") {
            $pulse_theme_activation_options['agency-dark']="";
            //Agency Dark
            $new_page_title = 'Agency - Dark';
            $new_page_content='[vc_row font_color="#ffffff" row_height="forced_row bottom_forced_row" append_arrow="yes" bk_element="image" preload_bk="yes" bg_image_repeat="pulse_with_parallax" bg_image="'.$attachment_d_id.'"][vc_column width="1/2"][/vc_column][vc_column width="1/2"][vc_column_text el_class="header_font big"]<h3 style="font-weight: 300; text-align: right;">We Are Pulse. Digital Artists.<br />Awarded Studio. Lets work <a href="mailto:hello@hello.com">together</a>.</h3>[/vc_column_text][prkwp_spacer size="72"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" el_id="about"][vc_column column_height="pulse_forced_clm" caption="Creative Team Working" caption_position="prk_caption_right" width="1/2" bg_image="'.$attachment_b_id.'"][/vc_column][vc_column col_width="70" css_animation="right-to-left" el_class="pulse_retina delay-300" width="1/2"][prkwp_spacer size="120"][prkwp_styled_title prk_in="WHO WE ARE." font_weight="700" text_color="#49b6b2" title_size="h1" margin_bottom="18px"][vc_column_text]Doubtless one leading reason why the world declines honouring us whalemen, is this: they think that, at best, our vocation amounts to a butchering sort of business; and that when actively engaged therein, we are surrounded by all manner of defilements. Butchers we are, that is true. But butchers, also, and butchers of the bloodiest badge have been all Martial Commanders whom the world invariably delights to honour. And as for the matter of the alleged uncleanliness of our business, ye shall soon be initiated into certain facts hitherto pretty generally unknown, and which, upon the whole, will triumphantly plant the sperm whale-ship at least among the cleanliest things of this tidy earth.[/vc_column_text][vc_single_image image="'.$attachment_u_id.'"][prkwp_spacer size="120"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" el_id="work"][vc_column width="1/1"][pirenko_last_portfolios cols_number="4" items_number="7" show_load_more="no" cat_filter="" show_filter="no" thumbs_mg="0" css_animation="pulse_fade_waypoint" liner_color="#ffffff"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" el_id="reasons"][vc_column column_height="pulse_forced_clm" width="7/12" bg_image="'.$attachment_c_id.'"][/vc_column][vc_column col_width="60" css_animation="right-to-left" el_class="delay-300" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="REASONS TO JOIN US" font_weight="300" text_color="#49b6b2" title_size="h5" margin_bottom="-10px" custom_css="font-size:1em;"][prkwp_styled_title prk_in="01" font_weight="700" text_color="#49b6b2" title_size="h1" margin_bottom="18px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="WE ARE A TALENTED AND SOLID TEAM." font_weight="700" text_color="#ffffff" title_size="h3" margin_bottom="18px"][vc_column_text el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl.[/vc_column_text][prkwp_spacer size="130"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row"][vc_column align="pulse_right_align" col_width="60" css_animation="left-to-right" el_class="delay-300" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="REASONS TO JOIN US" align="Right" font_weight="300" text_color="#49b6b2" title_size="h5" margin_bottom="-10px" el_class="font-size:1em;"][prkwp_styled_title prk_in="02" align="Right" font_weight="700" text_color="#49b6b2" title_size="h1" margin_bottom="18px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="WE ARE CREATIVE AND HONEST PEOPLE." align="Right" font_weight="700" text_color="#ffffff" title_size="h3" margin_bottom="18px"][vc_column_text el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl.[/vc_column_text][prkwp_spacer size="130"][/vc_column][vc_column column_height="pulse_forced_clm" width="7/12" bg_image="'.$attachment_a_id.'"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row"][vc_column column_height="pulse_forced_clm" width="7/12" bg_image="'.$attachment_b_id.'"][/vc_column][vc_column col_width="60" css_animation="right-to-left" el_class="delay-300" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="REASONS TO JOIN US" font_weight="300" text_color="#49b6b2" title_size="h5" margin_bottom="-10px" custom_css="font-size:1em;"][prkwp_styled_title prk_in="03" font_weight="700" text_color="#49b6b2" title_size="h1" margin_bottom="18px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="WE HAVE THE BEST RESOURCES AVAILABLE." font_weight="700" text_color="#ffffff" title_size="h3" margin_bottom="18px"][vc_column_text el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl.[/vc_column_text][prkwp_spacer size="130"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row"][vc_column align="pulse_right_align" column_height="pulse_forced_clm" col_width="60" css_animation="left-to-right" el_class="delay-300" width="5/12"][prkwp_spacer size="140"][prkwp_styled_title prk_in="REASONS TO JOIN US" align="Right" font_weight="300" text_color="#49b6b2" title_size="h5" margin_bottom="-10px" custom_css="font-size:1em;"][prkwp_styled_title prk_in="04" align="Right" font_weight="700" text_color="#49b6b2" title_size="h1" margin_bottom="18px" custom_css="font-size:110px;"][prkwp_styled_title prk_in="WE ARE GOING TO SURPRISE YOU" align="Right" font_weight="700" text_color="#ffffff" title_size="h3" margin_bottom="18px"][vc_column_text el_class="prk_9_em"]At the next halt Hooja the Sly One managed to find enough slack chain to permit him to worm himself back quite close to Dian. We were all standing, and as he edged near the girl.[/vc_column_text][prkwp_spacer size="130"][/vc_column][vc_column column_height="pulse_forced_clm" width="7/12" bg_image="'.$attachment_c_id.'"][/vc_column][/vc_row][vc_row font_color="#ffffff" top_padding="90px" bottom_padding="90px" bk_element="image" bg_image_repeat="pulse_fixed_bk" el_id="services" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="OUR SERVICES" align="Center" font_weight="600" text_color="#49b6b2" title_size="h1" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-9 columns small-centered prk_9_em"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression by separate citations of items, practically or reliably known to me as a whaleman. From these citations, I take it and dash.</p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner][vc_column_inner width="1/3"][prkwp_service name="Custom Feedback" text_color="#49b6b2" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#49b6b2" css_animation="bottom-to-top" icon_material="mdi-forum"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Trusted Designers" text_color="#49b6b2" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#49b6b2" css_animation="bottom-to-top" icon_material="mdi-google-circles"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Online Reports" text_color="#49b6b2" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#49b6b2" css_animation="bottom-to-top" icon_material="mdi-keyboard-close"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="72" el_class="hide_later"][vc_row_inner][vc_column_inner width="1/3"][prkwp_service name="Problem Solving" text_color="#49b6b2" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#49b6b2" css_animation="bottom-to-top" icon_material="mdi-omega"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Awarded Speakers" text_color="#49b6b2" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#49b6b2" css_animation="bottom-to-top" icon_material="mdi-tooltip-text"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Hub Conferences" text_color="#49b6b2" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#49b6b2" css_animation="bottom-to-top" icon_material="mdi-spotlight"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="126px" bottom_padding="126px" el_class="pulse_retina"][vc_column width="1/6"][/vc_column][vc_column width="2/3"][prkwp_styled_title prk_in="Our clients love us and we are truly proud of sharing their feedback. Awesome as usual." align="Center" font_weight="300" text_color="#ffffff" title_size="h3" css_animation="pulse_fade_waypoint"][prkwp_spacer size="36"][prk_testimonials category="" items_number="3" size="pulse_smaller" nav_color=" pls_btn_like" css_animation="pulse_fade_waypoint" el_class="small-10 small-centered columns"][/vc_column][vc_column width="1/6"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" el_id="contact"][vc_column css_animation="pulse_fade_waypoint" el_class="delay-300" custom_css="padding-right:0px;" width="1/2"][vc_gmaps map_style="theme_special_dk" zoom="12" marker_image="8041" size="600" map_latitude="40.6700" map_longitude="-73.9400"][/vc_column][vc_column column_height="pulse_forced_clm pulse_vertical_clm" col_width="70" css_animation="pulse_fade_waypoint" el_class="delay-300" width="1/2" bg_image="'.$attachment_a_id.'"][prkwp_spacer size="54"][vc_single_image image="7579" alignment="center" el_class="pulse_retina"][prkwp_spacer size="28"][vc_column_text el_class="prk_9_em"]<p style="text-align: center;">River Street, Blue Building, 1st. floor<br />5690-970 New York City[/vc_column_text][vc_column_text el_class="prk_9_em"]<p style="text-align: center;">+123 785 952 354 . <a href="mailto:hello@pulse.com">hello@pulse.com</a> . www.pulse.com</p>[/vc_column_text][prkwp_spacer size="54"][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="54px"][vc_column width="1/1"][vc_column_text css_animation="bottom-to-top" el_class="prk_9_em"]<p style="text-align: center;">Built with <i class="mdi-heart-outline" style="color: #49b6b2;"></i> by Pirenko.</p>[/vc_column_text][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Agency - Dark';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#work',
                    'menu-item-title' => 'WORK',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#reasons',
                    'menu-item-title' => 'WHY US',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#services',
                    'menu-item-title' => 'SERVICES',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact',
                    'menu-item-title' => 'GET IN TOUCH',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }

        if ($pulse_theme_activation_options['adventure']!="") {
            $pulse_theme_activation_options['adventure']="";
            //Adventure
            $new_page_title = 'Adventure Travel';
            $new_page_content='[vc_row bk_type="pulse_full_row" font_color="#d84f0c" row_height="forced_row bottom_forced_row" append_arrow="yes" bottom_padding="58px" bk_element="image" preload_bk="yes" bg_image_repeat="pulse_fixed_bk" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="Challenge Yourself Today &amp; Get Started" align="Center" font_type="body_font" font_weight="400" text_color="#ffffff" title_size="h4" use_italic="Yes" margin_bottom="12px" css_animation="bottom-to-top" el_class="delay-500"][prkwp_styled_title prk_in="Explore Our Adventures" align="Center" font_weight="500" text_color="#ffffff" title_size="h1" css_animation="bottom-to-top" el_class="delay-800"][prkwp_spacer size="28"][/vc_column][/vc_row][vc_row top_padding="72px" margin_bottom="90px" el_id="about"][vc_column width="1/1"][prk_wp_icon text_color="#d84f0c" align="Center" css_animation="pulse_fade_waypoint" icon_size="54px" icon_material="mdi-image-filter-hdr"][prkwp_styled_title prk_in="About Us" align="Center" font_weight="500" text_color="#445f50" title_size="h1" margin_bottom="6px" pulse_show_line="double_lined" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="We Are Known For Efficiency &amp; Readiness" align="Center" font_type="custom_font" title_size="h4" use_italic="Yes" margin_bottom="48px" css_animation="pulse_fade_waypoint"][vc_row_inner][vc_column_inner width="1/2"][vc_column_text css_animation="left-to-right" drop_cap="yes" append_arrow="yes"]The three men at her mast-head wore long streamers of narrow red bunting at their hats; from the stern, a whale-boat was suspended, bottom down; and hanging captive from the bowsprit was seen the long lower jaw of the last whale.<strong>Signals, ensigns, and jacks</strong> of all colours were flying from her rigging, on every side. Sideways lashed in each of her three basketed tops were two barrels of sperm; above which, in her top-mast cross-trees, you saw slender breakers of the same precious fluid; and nailed to her main truck was a brazen lamp.As was afterwards learned, the <em>Bachelor</em> had met with the most surprising success; all the more wonderful, for that while cruising in the same seas numerous other vessels had gone entire months without securing a single fish. Not only had barrels of beef and bread been given away to make room for the far more valuable sperm, but additional <strong>supplemental casks</strong> had been bartered for, from the ships she had met; and these were stowed along the deck, and in the captains and officers state-rooms.[/vc_column_text][/vc_column_inner][vc_column_inner width="1/2"][vc_column_text css_animation="right-to-left"]In the forecastle, the sailors had actually caulked and pitched their chests, and filled them; it was humorously added, that the cook had clapped a head on his <em>largest boiler</em>, and filled it; that the steward had plugged his spare coffee-pot and filled it. The harpooneers had headed the sockets of their irons and filled them; that indeed everything was filled with sperm, except the captains pantaloons pockets, and those he reserved to thrust his hands into, in self-complacent testimony of his entire satisfaction.As this glad ship of good luck bore down upon the moody Pequod, the <strong>Barbarian Sound</strong> of enormous drums came from her forecastle.Drawing still nearer, <strong>a crowd of men were seen standing</strong> round her huge try-pots, which, covered her with the parchment-like POKE or stomach skin of the black fish, gave forth a loud roar to every stroke of the clenched hands of the crew. On the quarter-deck, the mates and harpooneers were dancing with the olive-hued girls who had eloped with them from the Polynesian Isles.[/vc_column_text][/vc_column_inner][/vc_row_inner][prkwp_spacer][vc_single_image image="8622" img_size="full" alignment="center" css_animation="pulse_fade_waypoint" el_class="pulse_retina"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" bk_element="colored" bg_color="#eff1f0"][vc_column column_height="pulse_forced_clm pulse_vertical_clm" bg_image_hz_align="pulse_hz_left" width="1/2" bg_image="'.$attachment_a_id.'"][vc_column_text][/vc_column_text][/vc_column][vc_column align="pulse_center_align" col_width="70" width="1/2"][prkwp_spacer size="158"][prkwp_styled_title prk_in="Living On The Edge" align="Center" font_weight="500" text_color="#d84f0c" title_size="h2" margin_bottom="8px"][prkwp_styled_title prk_in="Get Ready For An Awesome Day" align="Center" font_type="custom_font" font_weight="400" title_size="h5" use_italic="Yes" margin_bottom="24px"][prk_line color="#b1bcb7" width="52px" height="4px" align="center"][prkwp_spacer size="22"][vc_column_text el_class="prk_9_em"]<p style="text-align: center;">Forgetful of us, our guards joined in the general rush for the exits, many of which pierced the wall of the amphitheater behind us. Perry, Ghak, and I became separated in the chaos which reigned for a few moments after the beast cleared the wall of the arena, each intent upon saving his own hide.</p>[/vc_column_text][prkwp_spacer size="14"][prk_wp_theme_button button_size="prk_medium" prk_in="JUMP IN →" link="#tours"][prkwp_spacer size="144"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" bk_element="colored" bg_color="#eff1f0"][vc_column align="pulse_center_align" col_width="70" width="1/2"][prkwp_spacer size="158"][prkwp_styled_title prk_in="Finding Your Rythm" align="Center" font_weight="500" text_color="#d84f0c" title_size="h2" margin_bottom="8px"][prkwp_styled_title prk_in="Our Team Will Assist You" align="Center" font_type="custom_font" font_weight="400" title_size="h5" use_italic="Yes" margin_bottom="24px"][prk_line color="#b1bcb7" width="52px" height="4px" align="center"][prkwp_spacer size="22"][vc_column_text el_class="prk_9_em"]<p style="text-align: center;">Forgetful of us, our guards joined in the general rush for the exits, many of which pierced the wall of the amphitheater behind us. Perry, Ghak, and I became separated in the chaos which reigned for a few moments after the beast cleared the wall of the arena, each intent upon saving his own hide.</p>[/vc_column_text][prkwp_spacer size="14"][prk_wp_theme_button button_size="prk_medium" prk_in="GET IN TOUCH →" link="#contact"][prkwp_spacer size="144"][/vc_column][vc_column column_height="pulse_forced_clm pulse_vertical_clm" bg_image_hz_align="pulse_hz_right" width="1/2" bg_image="'.$attachment_b_id.'"][vc_column_text][/vc_column_text][/vc_column][/vc_row][vc_row font_color="#ffffff" top_padding="108px" bottom_padding="108px" bk_element="image" bg_image_repeat="pulse_cover" el_class="pulse_retina" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="RECENT FEEDBACK" align="Center" font_weight="500" text_color="#ffffff" title_size="h3" margin_bottom="8px" pulse_show_line="above thicker" line_color="#d84f0c" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 small-centered columns"]<p style="text-align: center;">The leading matter of it requires to be still further and more familiarly enlarged upon. Moreover to take away any incredulity which a profound expertise.</p>[/vc_column_text][prkwp_spacer size="36"][prk_testimonials category="" color="#ffffff" delay="8000" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row top_padding="72px" margin_bottom="54px" el_id="team"][vc_column width="1/1"][prk_wp_icon text_color="#d84f0c" align="Center" css_animation="pulse_fade_waypoint" icon_size="54px" icon_material="mdi-run"][prkwp_styled_title prk_in="Our Team" align="Center" font_weight="500" text_color="#445f50" title_size="h1" margin_bottom="6px" pulse_show_line="double_lined" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="Experts In Making People Feel Good" align="Center" font_type="custom_font" font_weight="400" title_size="h4" use_italic="Yes" margin_bottom="24px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression.From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="36"][prk_members category="" items_number="3" css_animation="pulse_fade_waypoint"][prkwp_spacer size="46"][vc_text_separator title="We Have A Wide Range Of Services" color="custom" css_animation="pulse_fade_waypoint" accent_color="#dbdbdb"][/vc_column][/vc_row][vc_row el_id="services"][vc_column width="1/3"][prkwp_service name="Custom Feedback" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#d84f0c" css_animation="pulse_fade_waypoint" icon_material="mdi-forum"][/vc_column][vc_column width="1/3"][prkwp_service name="Trusted Instructors" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#d84f0c" css_animation="pulse_fade_waypoint" icon_material="mdi-google-circles" el_class="delay-400"][/vc_column][vc_column width="1/3"][prkwp_service name="Online Reports" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#d84f0c" css_animation="pulse_fade_waypoint" icon_material="mdi-keyboard-close" el_class="delay-800"][/vc_column][/vc_row][vc_row top_padding="54px" bottom_padding="126px"][vc_column width="1/3"][prkwp_service name="Random Activites" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#d84f0c" css_animation="pulse_fade_waypoint" icon_material="mdi-omega"][/vc_column][vc_column width="1/3"][prkwp_service name="Awarded Speakers" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#d84f0c" css_animation="pulse_fade_waypoint" icon_material="mdi-tooltip-text" el_class="delay-400"][/vc_column][vc_column width="1/3"][prkwp_service name="Hub Conferences" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#d84f0c" css_animation="pulse_fade_waypoint" icon_material="mdi-spotlight" el_class="delay-800"][/vc_column][/vc_row][vc_row font_color="#ffffff" top_padding="126px" bottom_padding="126px" bk_element="image" bg_image_repeat="pulse_cover_top" el_class="pulse_retina" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="LATEST ACHIEVMENTS" align="Center" font_weight="500" text_color="#ffffff" title_size="h3" margin_bottom="8px" pulse_show_line="above thicker" line_color="#d84f0c" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 small-centered columns"]<p style="text-align: center;">The leading matter of it requires to be still further and more familiarly enlarged upon.Moreover to take away any incredulity which a profound expertise.</p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="2345" prk_in="MILES RAN" icon_material="mdi-bike"][/vc_column_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="1168" prk_in="NEW SPECIES" icon_material="mdi-flower"][/vc_column_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="5892" prk_in="BIG HEARBEATS" icon_material="mdi-heart"][/vc_column_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="1459" prk_in="FACEBOOK FANS" icon_material="mdi-thumb-up"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="60px" el_id="tours"][vc_column width="1/1"][prk_wp_icon text_color="#d84f0c" align="Center" css_animation="pulse_fade_waypoint" icon_size="54px" icon_material="mdi-ticket"][prkwp_styled_title prk_in="Featured Tours" align="Center" font_weight="500" text_color="#445f50" title_size="h1" margin_bottom="6px" pulse_show_line="double_lined" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="Pick Your Flavor And Enjoy" align="Center" font_type="custom_font" font_weight="400" title_size="h4" use_italic="Yes" margin_bottom="24px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression.From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_full_row"][vc_column width="1/1"][pirenko_last_portfolios cols_number="4" items_number="6" show_load_more="no" show_filter="no" thumbs_mg="0" liner_color="#ffffff"][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="24px" el_id="faqs"][vc_column width="1/1"][prk_wp_icon text_color="#d84f0c" align="Center" css_animation="pulse_fade_waypoint" icon_size="54px" icon_material="mdi-map"][prkwp_styled_title prk_in="FAQS" align="Center" font_weight="500" text_color="#445f50" title_size="h1" margin_bottom="6px" pulse_show_line="double_lined" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="Dont Worry, Be Happy" align="Center" font_type="custom_font" font_weight="400" title_size="h4" use_italic="Yes" margin_bottom="24px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression.From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][/vc_column][/vc_row][vc_row][vc_column width="2/3"][vc_tta_accordion active_section="10" collapsible_all="true"][vc_tta_section title="Having now led for many years the bold life of the fishery in the ships?" tab_id="1441971960530-108f6374-7866"][vc_column_text]As for the residue of the Pequods company, be it said, that at the present day not one in two of the many thousand men before the mast employed in the American whale fishery, are Americans born, though pretty nearly all the officers are. Herein it is the same with the American whale fishery as with the American army and military and merchant navies, and the engineering forces employed in the construction of the American Canals and Railroads. The same, I say, because in all these cases the native American liberally provides the brains, the rest of the world as generously supplying the muscles. No small number of these whaling seamen belong to the Azores, where the outward bound Nantucket whalers frequently touch to augment their crews from the hardy peasants of those rocky shores. In like manner, the Greenland whalers sailing out of Hull or London, put in at the Shetland Islands, to receive the full complement of their crew. Upon the passage homewards, they drop them there again.[/vc_column_text][/vc_tta_section][vc_tta_section title="First of all was Queequeg, whom Starbuck, the chief mate?" tab_id="1441976590108-bb247c3f-d08e"][vc_column_text]As for the residue of the Pequods company, be it said, that at the present day not one in two of the many thousand men before the mast employed in the American whale fishery, are Americans born, though pretty nearly all the officers are. Herein it is the same with the American whale fishery as with the American army and military and merchant navies, and the engineering forces employed in the construction of the American Canals and Railroads. The same, I say, because in all these cases the native American liberally provides the brains, the rest of the world as generously supplying the muscles. No small number of these whaling seamen belong to the Azores, where the outward bound Nantucket whalers frequently touch to augment their crews from the hardy peasants of those rocky shores. In like manner, the Greenland whalers sailing out of Hull or London, put in at the Shetland Islands, to receive the full complement of their crew. Upon the passage homewards, they drop them there again.[/vc_column_text][/vc_tta_section][vc_tta_section title="Since in this famous fishery, each mate or headsman or woman?" tab_id="1441971960285-8bdc5158-2a4a"][vc_column_text]All this sufficiently proclaimed him an inheritor of the unvitiated blood of those proud warrior hunters, who, in quest of the great New England moose, had scoured, bow in hand, the aboriginal forests of the main. But no longer snuffing in the trail of the wild beasts of the woodland, Tashtego now hunted in the wake of the great whales of the sea; the unerring harpoon of the son fitly replacing the infallible arrow of the sires. To look at the tawny brawn of his lithe snaky limbs, you would almost have credited the superstitions of some of the earlier Puritans, and half-believed this wild Indian to be a son of the Prince of the Powers of the Air. Tashtego was Stubb the second mates squire.[/vc_column_text][/vc_tta_section][vc_tta_section title="No small number of these whaling seamen belong to the Azores?" tab_id="1441975493988-956e767a-6d88"][vc_column_text]All this sufficiently proclaimed him an inheritor of the unvitiated blood of those proud warrior hunters, who, in quest of the great New England moose, had scoured, bow in hand, the aboriginal forests of the main. But no longer snuffing in the trail of the wild beasts of the woodland, Tashtego now hunted in the wake of the great whales of the sea; the unerring harpoon of the son fitly replacing the infallible arrow of the sires. To look at the tawny brawn of his lithe snaky limbs, you would almost have credited the superstitions of some of the earlier Puritans, and half-believed this wild Indian to be a son of the Prince of the Powers of the Air. Tashtego was Stubb the second mates squire.[/vc_column_text][/vc_tta_section][vc_tta_section title="I call such, not acknowledging the common continent of men?" tab_id="1441975503204-6443a679-b993"][vc_column_text]All this sufficiently proclaimed him an inheritor of the unvitiated blood of those proud warrior hunters, who, in quest of the great New England moose, had scoured, bow in hand, the aboriginal forests of the main. But no longer snuffing in the trail of the wild beasts of the woodland, Tashtego now hunted in the wake of the great whales of the sea; the unerring harpoon of the son fitly replacing the infallible arrow of the sires. To look at the tawny brawn of his lithe snaky limbs, you would almost have credited the superstitions of some of the earlier Puritans, and half-believed this wild Indian to be a son of the Prince of the Powers of the Air. Tashtego was Stubb the second mates squire.[/vc_column_text][/vc_tta_section][vc_tta_section title="In the fishery, they usually go by the generic name of Peter?" tab_id="1441975804691-ee8e9248-cc91"][vc_column_text]All this sufficiently proclaimed him an inheritor of the unvitiated blood of those proud warrior hunters, who, in quest of the great New England moose, had scoured, bow in hand, the aboriginal forests of the main. But no longer snuffing in the trail of the wild beasts of the woodland, Tashtego now hunted in the wake of the great whales of the sea; the unerring harpoon of the son fitly replacing the infallible arrow of the sires. To look at the tawny brawn of his lithe snaky limbs, you would almost have credited the superstitions of some of the earlier Puritans, and half-believed this wild Indian to be a son of the Prince of the Powers of the Air. Tashtego was Stubb the second mates squire.[/vc_column_text][/vc_tta_section][vc_tta_section title="Since in this famous fishery, each mate or headsman or woman?" tab_id="1441976579108-d6107d00-f0e4"][vc_column_text]All this sufficiently proclaimed him an inheritor of the unvitiated blood of those proud warrior hunters, who, in quest of the great New England moose, had scoured, bow in hand, the aboriginal forests of the main. But no longer snuffing in the trail of the wild beasts of the woodland, Tashtego now hunted in the wake of the great whales of the sea; the unerring harpoon of the son fitly replacing the infallible arrow of the sires. To look at the tawny brawn of his lithe snaky limbs, you would almost have credited the superstitions of some of the earlier Puritans, and half-believed this wild Indian to be a son of the Prince of the Powers of the Air. Tashtego was Stubb the second mates squire.[/vc_column_text][/vc_tta_section][vc_tta_section title="First of all was Queequeg, whom Starbuck, the chief mate?" tab_id="1441975602366-771a8a8f-c436"][vc_column_text]As for the residue of the Pequods company, be it said, that at the present day not one in two of the many thousand men before the mast employed in the American whale fishery, are Americans born, though pretty nearly all the officers are. Herein it is the same with the American whale fishery as with the American army and military and merchant navies, and the engineering forces employed in the construction of the American Canals and Railroads. The same, I say, because in all these cases the native American liberally provides the brains, the rest of the world as generously supplying the muscles. No small number of these whaling seamen belong to the Azores, where the outward bound Nantucket whalers frequently touch to augment their crews from the hardy peasants of those rocky shores. In like manner, the Greenland whalers sailing out of Hull or London, put in at the Shetland Islands, to receive the full complement of their crew. Upon the passage homewards, they drop them there again.[/vc_column_text][/vc_tta_section][/vc_tta_accordion][/vc_column][vc_column width="1/3"][vc_single_image image="'.$attachment_u_id.'" img_size="full" alignment="center"][/vc_column][/vc_row][vc_row margin_bottom="108px"][vc_column width="1/1"][prkwp_spacer size="54"][vc_text_separator title="Latest From Our Instagram" color="custom" css_animation="pulse_fade_waypoint" accent_color="#dbdbdb"][prkwp_spacer size="54"][prk_instagram user="alexstrohl" items="4" rows="2" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row font_color="#ffffff" top_padding="90px" bottom_padding="52px" bk_element="image" bg_image_repeat="pulse_fixed_bk" el_id="contact" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prkwp_styled_title prk_in="CONTACT INFORMATION" align="Center" font_weight="500" text_color="#ffffff" title_size="h3" margin_bottom="8px" pulse_show_line="above thicker" line_color="#d84f0c" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression.From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="36"][vc_row_inner css_animation="pulse_fade_waypoint"][vc_column_inner width="2/3"][prk_contact_form email_adr="something@gmail.com" backs_color="rgba(255,255,255,0.08)" css_animation="left-to-right" el_class="pulse_transparent"][/vc_column_inner][vc_column_inner width="1/3"][pirenko_contact_info company_name="PULSE TOURS INC." street_address="River Street, Blue Building, 1st. floor" postal_code="5690-970 New york City" tel="+1 (245) 785 952 354" email="hello@pulse.com" text_color="#ffffff" css_animation="right-to-left"][/pirenko_contact_info][/vc_column_inner][/vc_row_inner][prkwp_spacer size="48"][prk_line color="#ffffff" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="12"][vc_row_inner][vc_column_inner width="1/2"][vc_column_text el_class="prk_75_em"]Follow us on: <a href="http://www.twitter.com/" target="_blank">Twitter</a> | <a href="http://www.facebook.com/" target="_blank">Facebook</a> | <a href="https://www.youtube.com/" target="_blank">YouTube</a>[/vc_column_text][/vc_column_inner][vc_column_inner width="1/2"][vc_column_text el_class="prk_75_em"]<p style="text-align: right;">Proudly Developed By <a href="#" target="_blank">Pirenko</a>.</p>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Adventure Travel';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#team',
                    'menu-item-title' => 'EXPERTS',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#tours',
                    'menu-item-title' => 'TOURS',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#faqs',
                    'menu-item-title' => 'FAQS',
                    //'menu-item-attr-title' => 'our team',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact',
                    'menu-item-title' => 'CONTACT US',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }

        if ($pulse_theme_activation_options['business']!="") {
            $pulse_theme_activation_options['business']="";
            //Business 1
            $new_page_title = 'Business';
            $new_page_content='[vc_row top_padding="72px" bottom_padding="72px" bk_element="colored" bg_color="#ffffff" el_id="about"][vc_column width="1/1"][prk_wp_icon text_color="#49b6b2" align="Center" css_animation="appear" icon_size="38px" icon_material="mdi-fire"][prkwp_spacer size="8"][prkwp_styled_title prk_in="Awarded Company" align="Center" font_type="custom_font" font_weight="400" title_size="h4" margin_bottom="6px" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="WE TAKE CARE OF YOUR WORK" align="Center" font_weight="600" title_size="h2" margin_bottom="6px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner][vc_column_inner width="1/3" css_animation="bottom-to-top"][prkwp_styled_title prk_in="WITH LOVE." font_weight="700" title_size="h4" margin_bottom="4px"][vc_column_text]Whatever it was, it was coming <strong>slowly toward the entrance of the cave</strong>, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities.[/vc_column_text][/vc_column_inner][vc_column_inner width="1/3" css_animation="bottom-to-top" el_class="delay-400"][prkwp_styled_title prk_in="WITH CARE." font_weight="700" title_size="h4" margin_bottom="4px"][vc_column_text]Whatever it was, it was coming <strong>slowly toward the entrance of the cave</strong>, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities.[/vc_column_text][/vc_column_inner][vc_column_inner width="1/3" css_animation="bottom-to-top" el_class="delay-800"][prkwp_styled_title prk_in="WITH POWER." font_weight="700" title_size="h4" margin_bottom="4px"][vc_column_text]Whatever it was, it was coming <strong>slowly toward the entrance of the cave</strong>, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities.[/vc_column_text][/vc_column_inner][/vc_row_inner][prkwp_spacer size="36"][prk_line][/vc_column][/vc_row][vc_row bottom_padding="72px"][vc_column width="1/2"][vc_single_image image="8298" img_size="full" alignment="right"][/vc_column][vc_column width="1/2"][prkwp_styled_title prk_in="WE ARE SKILLED." font_weight="700" title_size="h4" margin_bottom="4px" css_animation="pulse_fade_waypoint"][vc_column_text]Whatever it was, it was coming <strong>slowly toward the entrance of the cave</strong>, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities. Is this the right time? We hope so.[/vc_column_text][prkwp_spacer][vc_progress_bar values="90|Development,80|Design,70|Marketing,85|Photography" bgcolor="custom" margin_bottom="12px" custombgcolor="#49b6b2" units="%" custombgcolor_back="#eaeaea"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" font_color="#707b86" bk_element="colored" bg_color="#e7ebec"][vc_column align="pulse_right_align" col_width="70" width="1/2"][prkwp_spacer size="108"][prkwp_styled_title prk_in="LETS WORK TOGETHER" align="Right" font_weight="400" text_color="#a8b1b7" title_size="h5" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="WE ARE ORIGINAL" align="Right" font_weight="900" title_size="h2" margin_bottom="18px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint"]<p style="text-align: right;">Doubtless one leading reason why the world declines honouring us whalemen, is this: they think that, at best, our vocation amounts to a butchering sort of business; and that when actively engaged therein, we are surrounded by all manner of defilements. Butchers we are, that is true. But butchers, also, and butchers of the bloodiest badge have been all Martial Commanders whom the world invariably delights to honour. And as for the matter of the alleged uncleanliness of our business, ye shall soon be initiated into certain facts hitherto pretty generally unknown, and which, upon the whole, will triumphantly plant the sperm whale-ship.</p>[/vc_column_text][prkwp_spacer][prk_wp_theme_button type="colored_theme_button" prk_in="LEARN MORE" link="#" window="Yes" css_animation="pulse_fade_waypoint"][prkwp_spacer size="260"][/vc_column][vc_column column_height="pulse_forced_clm" width="1/2" bg_image="'.$attachment_a_id.'"]<br />[/vc_column][/vc_row][vc_row bk_type="pulse_full_row" font_color="#707b86" bk_element="colored" bg_color="#e7ebec"][vc_column column_height="pulse_forced_clm" width="1/2" bg_image="'.$attachment_b_id.'"]<br />[/vc_column][vc_column col_width="70" width="1/2"][prkwp_spacer size="108"][prkwp_styled_title prk_in="DOING GOOD THINGS" font_weight="400" text_color="#a8b1b7" title_size="h5" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="WE ARE CREATIVE" font_weight="900" title_size="h2" margin_bottom="18px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="pulse_fade_waypoint"]<p style="text-align: left;">Doubtless one leading reason why the world declines honouring us whalemen, is this: they think that, at best, our vocation amounts to a butchering sort of business; and that when actively engaged therein, we are surrounded by all manner of defilements. Butchers we are, that is true. But butchers, also, and butchers of the bloodiest badge have been all Martial Commanders whom the world invariably delights to honour. And as for the matter of the alleged uncleanliness of our business, ye shall soon be initiated into certain facts hitherto pretty generally unknown, and which, upon the whole, will triumphantly plant the sperm whale-ship.</p>[/vc_column_text][prkwp_spacer][prk_wp_theme_button type="colored_theme_button" prk_in="LEARN MORE" link="#" window="Yes" css_animation="pulse_fade_waypoint"][prkwp_spacer size="260"][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="90px" bk_element="colored" el_id="services"][vc_column width="1/1"][prk_wp_icon text_color="#49b6b2" align="Center" css_animation="appear" icon_size="38px" icon_material="mdi-wallet"][prkwp_spacer size="8"][prkwp_styled_title prk_in="Wide &amp; Powerful" align="Center" font_type="custom_font" font_weight="400" title_size="h4" margin_bottom="6px" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="OUR SERVICES" align="Center" font_weight="600" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner][vc_column_inner width="1/3"][prkwp_service name="Growing Stats" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#49b6b2" css_animation="flipin_y" icon_material="mdi-chart-line"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Timely Deliveries" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#49b6b2" css_animation="flipin_y" icon_material="mdi-alarm" el_class="delay-300"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Cloud Sharing" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#49b6b2" css_animation="flipin_y" icon_material="mdi-cloud-outline" el_class="delay-600"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="54"][vc_row_inner][vc_column_inner width="1/3"][prkwp_service name="Love Driven" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#49b6b2" css_animation="flipin_y" icon_material="mdi-heart-outline"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Media Masters" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#49b6b2" css_animation="flipin_y" icon_material="mdi-presentation-play" el_class="delay-300"][/vc_column_inner][vc_column_inner width="1/3"][prkwp_service name="Online Support" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#49b6b2" css_animation="flipin_y" icon_material="mdi-whatsapp" el_class="delay-600"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="90px" bottom_padding="82px" bk_element="image" bg_image_repeat="pulse_with_parallax" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" css_animation="appear" icon_size="38px" icon_material="mdi-comment-multiple-outline"][prkwp_spacer size="8"][prkwp_styled_title prk_in="RECENT FEEDBACK" align="Center" font_weight="600" text_color="#ffffff" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][prk_testimonials category="" align="Center" color="#ffffff" css_animation="pulse_fade_waypoint" el_class="pulse_retina"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" top_padding="72px" el_id="work"][vc_column width="1/1"][prk_wp_icon text_color="#49b6b2" align="Center" css_animation="appear" icon_size="38px" icon_material="mdi-lumx"][prkwp_spacer size="8"][prkwp_styled_title prk_in="Pride &amp; Joy" align="Center" font_type="custom_font" font_weight="400" title_size="h4" margin_bottom="6px" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="LATEST WORK" align="Center" font_weight="600" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="54"][pirenko_last_portfolios cols_number="4" items_number="7" show_load_more="no" cat_filter="" thumbs_mg="0" css_animation="pulse_fade_waypoint" liner_color="#ffffff"][/vc_column][/vc_row][vc_row font_color="#ffffff" top_padding="90px" bottom_padding="120px" bk_element="image" bg_image_repeat="pulse_cover" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" css_animation="appear" icon_size="38px" icon_material="mdi-polymer"][prkwp_spacer size="8"][prkwp_styled_title prk_in="PULSE IN NUMBERS" align="Center" font_weight="600" text_color="#ffffff" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="458" prk_in="COFFEES OUT" css_animation="bottom-to-top" icon_material="mdi-coffee"][/vc_column_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="364" prk_in="LOVELY PEOPLE" css_animation="bottom-to-top" icon_material="mdi-heart" el_class="delay-300"][/vc_column_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="612" prk_in="MUSIC NOTES" css_animation="bottom-to-top" icon_material="mdi-music-note" el_class="delay-600"][/vc_column_inner][vc_column_inner width="1/4"][prkwp_counter counter_number="152" prk_in="SUNNY DAYS" css_animation="bottom-to-top" icon_material="mdi-weather-sunny" el_class="delay-900"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row top_padding="72px" bottom_padding="48px" el_id="team"][vc_column width="1/1"][prk_wp_icon text_color="#49b6b2" align="Center" css_animation="appear" icon_size="38px" icon_material="mdi-camera-iris"][prkwp_spacer size="8"][prkwp_styled_title prk_in="Fast &amp; Reliable" align="Center" font_type="custom_font" font_weight="400" title_size="h4" margin_bottom="6px" css_animation="pulse_fade_waypoint"][prkwp_styled_title prk_in="THE APP SPECIALISTS" align="Center" font_weight="600" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="36"][prk_members category="" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row font_color="#ffffff" top_padding="72px" bottom_padding="52px" bk_element="image" bg_image_repeat="pulse_fixed_bk" el_id="contact" bg_image="'.$attachment_d_id.'"][vc_column width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" css_animation="appear" icon_size="38px" icon_material="mdi-google-pages"][prkwp_spacer size="8"][prkwp_styled_title prk_in="GET IN TOUCH WITH US" align="Center" font_weight="600" text_color="#ffffff" title_size="h3" margin_bottom="8px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression by separate citations of items, practically or reliably known to me as a whaleman. From these citations, I take it and dash.</p>[/vc_column_text][prkwp_spacer size="36"][vc_row_inner css_animation="pulse_fade_waypoint"][vc_column_inner width="2/3"][prk_contact_form email_adr="hello@pulse.com" backs_color="rgba(255,255,255,0.08)" css_animation="left-to-right" el_class="pulse_transparent"][/vc_column_inner][vc_column_inner width="1/3"][pirenko_contact_info company_name="Pulse Business Inc. " street_address="River Street, Blue Building, 1st. floor" postal_code="5690-970 New york City" tel="+1 (245) 785 952 354" email="hello@pulse.com" text_color="#ffffff" css_animation="right-to-left"]
[/pirenko_contact_info][/vc_column_inner][/vc_row_inner][prkwp_spacer size="48"][prk_line color="#ffffff" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="12"][vc_row_inner][vc_column_inner width="1/2"][vc_column_text el_class="prk_75_em"]Follow us on: <a href="http://www.twitter.com/" target="_blank">Twitter</a> | <a href="http://www.facebook.com/" target="_blank">Facebook</a> | <a href="https://www.youtube.com/" target="_blank">YouTube</a>[/vc_column_text][/vc_column_inner][vc_column_inner width="1/2"][vc_column_text el_class="prk_75_em"]<p style="text-align: right;">Proudly Developed By <a href="#" target="_blank">Pirenko</a>.</p>[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'yes');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Business';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#services',
                    'menu-item-title' => 'SERVICES',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#work',
                    'menu-item-title' => 'WORK',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#reasons',
                    'menu-item-title' => 'WHY US',
                    //'menu-item-attr-title' => 'our team',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact-us',
                    'menu-item-title' => 'GET IN TOUCH',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }

        if ($pulse_theme_activation_options['app-tech']!="") {
            $pulse_theme_activation_options['app-tech']="";
            //App 1
            $new_page_title = 'App 1';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" row_height="forced_row vertical_forced_row" append_arrow="yes" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="yes" vid_parallax="no" hide_with_css="" row_fixed="580" bk_element="image" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_cover" font_color="#ffffff"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/2"][/vc_column][vc_column align="pulse_left_align" column_height="pulse_forced_clm pulse_vertical_clm" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/2"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="5/6"][vc_column_text drop_cap="no"]<h2 style="text-align: left; font-weight: 300;"><span style="color: #ffffff;">Stay Connected With</span><span style="color: #ffffff;">Family &amp; Friends</span></h2>[/vc_column_text][vc_column_text drop_cap="no"]Then suddenly the white flashes of the Heat-Ray came leaping towards me. The houses caved in as they dissolved at its touch, and darted out flames truly amazing.[/vc_column_text][prk_wp_theme_button type="ghost_theme_button" button_size="prk_medium" prk_in="About The App" link="#about" window="No" button_bk_color="#ffffff"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" mobile_mode="pls_sooner" el_id="about"][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_right" bg_image_vt_align="pulse_vt_top" col_width="100" caption_position="prk_caption_left" width="1/2"][vc_single_image image="'.$attachment_a_id.'" border_color="grey" img_link_large="" img_link_target="_self" img_size="full" alignment="right"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/2"][prkwp_spacer size="90"][prkwp_styled_title align="Left" font_type="header_font" font_weight="300" title_size="h2" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" prk_in="The Future Is Today"][prkwp_styled_title prk_in="Share all the action with family &amp; friends." align="Left" font_type="header_font" font_weight="300" title_size="h4" use_italic="No" margin_bottom="36px" pulse_show_line="no" width="70px" text_color="#3694ca"][prk_line width="90px" height="5px" align="inherit" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="36"][vc_column_text drop_cap="no"]In another moment the huge wave, well-nigh at the boiling-point had rushed upon me. I screamed aloud, and scalded, half blinded, agonised, I staggered through the leaping, hissing water towards the shore. Had my foot stumbled, it would have been the end. I fell helplessly, in full sight of the Martians, upon the broad, bare gravelly spit that runs down to mark the angle of the Wey and Thames. I expected nothing but death.[/vc_column_text][prkwp_spacer size="18"][prk_wp_theme_button type="colored_theme_button" button_size="prk_medium" prk_in="Buy This App →" link="#" window="Yes"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_center_align" append_arrow="no" top_padding="90px" bottom_padding="90px" margin_bottom="0px" bk_element="image" preload_bk="no" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax" el_class="pulse_retina"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="Recent Reviews" align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h2" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="prk_9_em"]Perry realized that he was jeopardizing Ghaks life and mine and the old fellow fairly begged us to go on without him, although I knew that he was suffering a perfect anguish of terror at the thought of falling into the hands of the Sagoths.[/vc_column_text][prk_testimonials category="" color="#ffffff" align="Center" show_controls="yes" autoplay="yes"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="features"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="Fingertips Magic " align="Center" font_type="header_font" font_weight="300" title_size="h2" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][prkwp_spacer size="12"][prkwp_styled_title prk_in="Easy navigation all the way." align="Center" font_type="header_font" font_weight="300" text_color="#3694ca" title_size="h4" use_italic="No" margin_bottom="36px" pulse_show_line="no" width="70px"][prk_line width="90px" height="5px" align="center" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="90"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_service icon_type="material_icons" align="center" prk_in="The Sagoths were gaining on us rapidly, for once they had sighted us they had greatly increased their speed. On and on we stumbled up the narrow canyon that Ghak." icon="fa fa-adjust" icon_material="mdi-screen-rotation-lock" name="Screen Locker" icon_up_color="#114b79"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_service name="Safe Passwords" icon_type="material_icons" align="center" prk_in="The Sagoths were gaining on us rapidly, for once they had sighted us they had greatly increased their speed. On and on we stumbled up the narrow canyon that Ghak." icon="fa fa-adjust" icon_material="mdi-key-variant" icon_up_color="#114b79"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_service name="Cloud Storage" icon_type="material_icons" align="center" prk_in="The Sagoths were gaining on us rapidly, for once they had sighted us they had greatly increased their speed. On and on we stumbled up the narrow canyon that Ghak." icon="fa fa-adjust" icon_material="mdi-cloud-outline" icon_up_color="#114b79"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_service name="Extended Features" icon_type="material_icons" align="center" prk_in="The Sagoths were gaining on us rapidly, for once they had sighted us they had greatly increased their speed. On and on we stumbled up the narrow canyon that Ghak." icon="fa fa-adjust" icon_material="mdi-google-circles-extended" icon_up_color="#114b79"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="90"][prk_line width="100%" height="1px" align="center" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="90"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_spacer size="90"][prkwp_styled_title prk_in="Rating System" align="Right" font_type="header_font" font_weight="400" title_size="h4" use_italic="No" margin_bottom="12px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="prk_9_em"]<p style="text-align: right;">Ahead we neither saw nor heard any sign which might betoken the success of Hoojas mission. By now he should have reached the outposts.</p>[/vc_column_text][prkwp_spacer size="54"][prkwp_styled_title prk_in="File Vault" align="Right" font_type="header_font" font_weight="400" title_size="h4" use_italic="No" margin_bottom="12px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="prk_9_em"]<p style="text-align: right;">Ahead we neither saw nor heard any sign which might betoken the success of Hoojas mission. By now he should have reached the outposts.</p>[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_spacer size="90"][prkwp_styled_title prk_in="Email Ready" align="Left" font_type="header_font" font_weight="400" title_size="h4" use_italic="No" margin_bottom="12px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="prk_9_em"]Ahead we neither saw nor heard any sign which might betoken the success of Hoojas mission. By now he should have reached the outposts.[/vc_column_text][prkwp_spacer size="54"][prkwp_styled_title prk_in="App Store" align="Left" font_type="header_font" font_weight="400" title_size="h4" use_italic="No" margin_bottom="12px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="prk_9_em"]Ahead we neither saw nor heard any sign which might betoken the success of Hoojas mission. By now he should have reached the outposts.[/vc_column_text][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_center_align" font_color="#ffffff" append_arrow="no" top_padding="90px" bottom_padding="76px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_cover" vid_parallax="no" el_class="pulse_retina" hide_with_css="" bg_image="'.$attachment_d_id.'" el_id="interface"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/6"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="2/3"][prkwp_styled_title prk_in="The Best Interface" align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h2" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="prk_9_em"]Perry realized that he was jeopardizing Ghaks life and mine and the old fellow fairly begged us to go on without him, although I knew that he was suffering a perfect anguish of terror at the thought of falling into the hands of the Sagoths.[/vc_column_text][prkwp_spacer size="38"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][prk_wp_icon align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-apple" icon_size="70px"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][prk_wp_icon align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-windows" icon_size="70px"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][prk_wp_icon align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-android" icon_size="70px"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][prk_wp_icon align="Center" icon_type="material_icons" icon="fa fa-adjust" icon_material="mdi-apple-finder" icon_size="70px"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="82"][prk_line width="90px" height="1px" align="center" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="70"][prkwp_styled_title prk_in="Ready For Everything" align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h2" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="prk_9_em"]Perry realized that he was jeopardizing Ghaks life and mine and the old fellow fairly begged us to go on without him, although I knew that he was suffering a perfect anguish of terror at the thought of falling into the hands of the Sagoths.[/vc_column_text][prkwp_spacer size="36"][prk_wp_theme_button type="ghost_theme_button" button_bk_color="#ffffff" button_size="prk_medium" prk_in="Request Free Trial" link="#" window="Yes"][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/6"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_center_align" append_arrow="no" top_padding="120px" bottom_padding="120px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_class="pulse_retina"][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="60" caption_position="prk_caption_left" width="1/2"][prkwp_spacer size="150"][prkwp_styled_title prk_in="Best 2015 App" align="Center" font_type="header_font" font_weight="300" title_size="h2" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="Available On Your Store" align="Center" font_type="header_font" font_weight="300" text_color="#3694ca" title_size="h4" use_italic="No" margin_bottom="36px" pulse_show_line="no" width="70px"][prk_line width="90px" height="5px" align="center" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="36"][vc_column_text drop_cap="no"]<p style="text-align: center;">Had my foot stumbled, it would have been the end. I fell helplessly, in full sight of the Martians, upon the broad, bare gravelly spit that runs down to mark the angle.</p>[/vc_column_text][prkwp_spacer size="16"][prk_wp_theme_button type="colored_theme_button" button_bk_color="" button_size="prk_medium" prk_in="Buy This App →" link="#" window="Yes" css_animation=""][/vc_column][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_left" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/2" bg_image="'.$attachment_d_id.'"][vc_single_image image="'.$attachment_c_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_center_align" font_color="#ffffff" append_arrow="no" top_padding="80px" bottom_padding="40px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#1d1d1f" el_class="pulse_retina"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][prkwp_spacer size="16"][prkwp_styled_title prk_in="Pulse Mobile App" align="Center" font_type="header_font" font_weight="400" title_size="h3" use_italic="No" margin_bottom="72px" pulse_show_line="no" width="70px" text_color="#ffffff"][prk_wp_theme_button type="colored_theme_button" button_size="prk_large" prk_in="GET PULSE IN YOUR APP STORE" link="#" window="Yes"][prkwp_spacer size="90"][prk_line width="90px" height="5px" align="center" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="18"][vc_column_text drop_cap="no" el_class="prk_75_em"]<p style="text-align: center;">+123 785 952 354 . <span style="color: #ffffff;"><a style="color: #ffffff;" href="mailto:hello@pulse.com">hello@pulse.com</a></span> . www.pulse.com</p>[/vc_column_text][prkwp_spacer size="-12"][vc_column_text drop_cap="no" el_class="prk_75_em"]<p style="text-align: center;">  Built with <i class="mdi-heart-outline" style="color: #e3494b;"></i> by Pirenko.</p>[/vc_column_text][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'App 1';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'HOME',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#about',
                    'menu-item-title' => 'ABOUT',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#features',
                    'menu-item-title' => 'FEATURES',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#interface',
                    'menu-item-title' => 'INTERFACE',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }

        if ($pulse_theme_activation_options['app_2']!="") {
            $pulse_theme_activation_options['app_2']="";
            //App 2
            $new_page_title = 'App 2';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_center_align" append_arrow="yes" top_padding="0px" bottom_padding="0px" margin_bottom="0px" bk_element="image" preload_bk="yes" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" row_height="forced_row vertical_forced_row" bg_image_repeat="pulse_cover" font_color="#0f75bc"][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="2/3"][prkwp_spacer size="160"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="3/4"][vc_single_image image="'.$attachment_a_id.'" border_color="grey" img_link_large="" img_link_target="_self" css_animation="pls_fadeInDownBig" el_class="delay-100"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="50"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" custom_css="" width="1/2"][vc_single_image image="'.$attachment_b_id.'" border_color="grey" img_link_large="" img_link_target="_blank" alignment="right" link="#" css_animation="bottom-to-top" el_class="delay-1200"][/vc_column_inner][vc_column_inner align="pulse_right_align" css_animation="" el_class="" custom_css="" width="1/2"][vc_single_image image="'.$attachment_c_id.'" border_color="grey" img_link_large="" img_link_target="_blank" link="#" css_animation="bottom-to-top" el_class="delay-1800"][/vc_column_inner][/vc_row_inner][/vc_column][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/3"][vc_single_image image="'.$attachment_a_id.'" border_color="grey" img_link_large="" img_link_target="_self" img_size="full" css_animation="pls_fadeInRightBig" el_class="delay-100"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="yes" top_padding="12px" bottom_padding="12px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="intro" row_height="forced_row vertical_forced_row" font_color="#0f75bc"][vc_column align="pulse_inherit_align" column_height="pulse_forced_clm pulse_vertical_clm" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/2" css_animation="pls_fadeInLeftBig"][prkwp_styled_title prk_in="ABOUT GAMETIME" align="Left" font_type="custom_font" font_weight="400" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px" text_color="#111111"][prkwp_styled_title prk_in="A Stunning App" align="Left" font_type="custom_font" font_weight="400" text_color="#0f75bc" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][prk_line width="25%" height="1px" align="left" icon="fa fa-adjust" icon_bk_color="#ffffff"][prkwp_spacer size="22"][vc_column_text drop_cap="no"]<span style="color: #7a7a7a;">Go and gaze upon the iron emblematical harpoons round yonder lofty mansion, and your question will be answered. Yes; all these brave houses and flowery gardens came from the Atlantic, Pacific, and Indian oceans. One and all, they were harpooned and dragged up hither from the bottom of the sea.</span><span style="color: #7a7a7a;">In New Bedford, fathers, they say, give whales for dowers to their daughters, and portion off their nieces with a few porpoises a-piece. You must go to New Bedford to see a brilliant wedding; for, they say, they have reservoirs of oil in every house, and every night recklessly burn their lengths in spermaceti candles.</span>[/vc_column_text][prkwp_spacer size="4"][prk_wp_theme_button type="theme_button" button_size="prk_tiny" prk_in="Read More →" link="#" window="Yes"][/vc_column][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/2" column_height="pulse_forced_clm pulse_vertical_clm"][vc_single_image image="'.$attachment_b_id.'" border_color="grey" img_link_large="" img_link_target="_self" css_animation="pls_fadeInRightBig" alignment="center"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="yes" top_padding="0px" bottom_padding="0px" bk_element="image" preload_bk="no" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_cover_top" el_id="intro2" margin_bottom="0px" row_height="forced_row vertical_forced_row" font_color="#0f75bc"][vc_column align="pulse_inherit_align" column_height="pulse_forced_clm pulse_vertical_clm" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/2"][vc_single_image image="'.$attachment_c_id.'" border_color="grey" img_link_large="" img_link_target="_self" alignment="center" css_animation="pls_fadeInLeftBig"][/vc_column][vc_column align="pulse_inherit_align" column_height="pulse_forced_clm pulse_vertical_clm" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/2" css_animation="pls_fadeInRightBig"][prkwp_styled_title prk_in="FAST &amp; RELIABLE" align="Left" font_type="custom_font" font_weight="400" text_color="#111111" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="Live Results" align="Left" font_type="custom_font" title_size="h1" use_italic="No" pulse_show_line="no" width="70px" text_color="#0f75bc" margin_bottom="18px" font_weight="400"][prk_line color="" width="25%" height="1px" align="left" icon="fa fa-adjust" icon_color="" icon_bk_color="#ffffff" css_animation=""][prkwp_spacer size="22"][vc_column_text css_animation="" drop_cap="no" el_class=""]<span style="color: #7a7a7a;">Go and gaze upon the iron emblematical harpoons round yonder lofty mansion, and your question will be answered. Yes; all these brave houses and flowery gardens came from the Atlantic, Pacific, and Indian oceans. One and all, they were harpooned and dragged up hither from the bottom of the sea.</span><span style="color: #7a7a7a;">In New Bedford, fathers, they say, give whales for dowers to their daughters, and portion off their nieces with a few porpoises a-piece. You must go to New Bedford to see a brilliant wedding; for, they say, they have reservoirs of oil in every house, and every night recklessly burn their lengths in spermaceti candles.</span>[/vc_column_text][prkwp_spacer size="4"][prk_wp_theme_button type="theme_button" button_size="prk_tiny" prk_in="View Scores →" link="#" window="Yes"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="yes" top_padding="12px" bottom_padding="12px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="intro3" row_height="forced_row vertical_forced_row" font_color="#0f75bc"][vc_column align="pulse_inherit_align" column_height="pulse_forced_clm pulse_vertical_clm" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/2" css_animation="pls_fadeInLeftBig"][prkwp_styled_title prk_in="LIVE PLATFORM" align="Left" font_type="custom_font" font_weight="400" text_color="#111111" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px"][prkwp_styled_title prk_in="Place Your Bets" align="Left" font_type="custom_font" font_weight="400" text_color="#0f75bc" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px"][prk_line color="" width="25%" height="1px" align="left" icon="fa fa-adjust" icon_color="" icon_bk_color="#ffffff" css_animation=""][prkwp_spacer size="22"][vc_column_text css_animation="" drop_cap="no" el_class=""]<span style="color: #7a7a7a;">Go and gaze upon the iron emblematical harpoons round yonder lofty mansion, and your question will be answered. Yes; all these brave houses and flowery gardens came from the Atlantic, Pacific, and Indian oceans. One and all, they were harpooned and dragged up hither from the bottom of the sea.</span><span style="color: #7a7a7a;">In New Bedford, fathers, they say, give whales for dowers to their daughters, and portion off their nieces with a few porpoises a-piece. You must go to New Bedford to see a brilliant wedding; for, they say, they have reservoirs of oil in every house, and every night recklessly burn their lengths in spermaceti candles.</span>[/vc_column_text][prkwp_spacer size="4"][prk_wp_theme_button type="theme_button" button_size="prk_tiny" prk_in="Test Drive →" link="#" window="Yes"][/vc_column][vc_column align="pulse_inherit_align" column_height="pulse_forced_clm pulse_vertical_clm" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" width="1/2"][vc_single_image image="'.$attachment_a_id.'" border_color="grey" img_link_large="" img_link_target="_self" alignment="center" css_animation="pls_fadeInRightBig"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_center_align" append_arrow="no" top_padding="250px" bottom_padding="20px" margin_bottom="0px" bk_element="image" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#fad46b" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_cover_bottom" el_id="contact" row_height="forced_row vertical_forced_row"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner css_animation="" el_class="" width="1/4"][/vc_column_inner][vc_column_inner css_animation="pls_fadeInUpBig" width="1/2" align="pulse_inherit_align"][prkwp_styled_title prk_in="Share The Love" align="Center" font_type="custom_font" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" font_weight="400"][vc_column_text drop_cap="no"]<p style="text-align: center;"><span style="color: #ffffff;">Spread the word about our services. Accordingly I searched for a hiding place and finally found one by accident, inside a huge hanging ornament which swung from the ceiling of the hall.</span></p>[/vc_column_text][prkwp_spacer size="50"][pirenko_social_nets icons_style="minimal_icons" icons_size="50" text_color="#ffffff" custom_opacity="100" net_1="facebook" net_2="twitter" net_3="instagram" net_4="pinterest" net_5="none" net_6="none" net_7="none" net_8="none" link_1="#" link_2="#" link_3="#" hover_color="#eb4549" icons_padding="12" link_4="#"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/4"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="150"][vc_column_text drop_cap="no" css_animation="pulse_fade_waypoint" el_class="delay-600"]<p style="text-align: center;"><span style="color: #ffffff;">A partnership with</span></p>[/vc_column_text][prkwp_spacer size="-10"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" css_animation="pulse_fade_waypoint" el_class="delay-600"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'App 2';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            $post_for_menu = get_post($new_page_id);
            $page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#',
                    'menu-item-title' => 'Intro',
                    //'menu-item-attr-title' => 'start here',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#intro',
                    'menu-item-title' => 'About',
                    //'menu-item-attr-title' => 'know more',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#intro2',
                    'menu-item-title' => 'Live Results',
                    //'menu-item-attr-title' => 'varied skills',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#intro3',
                    'menu-item-title' => 'Online Bets',
                    //'menu-item-attr-title' => 'our work',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
            $mn_item =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => $page_slug.'/#contact',
                    'menu-item-title' => 'Share',
                    //'menu-item-attr-title' => 'get in touch',
                    'menu-item-status' => 'publish'
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

        }

        if ($pulse_theme_activation_options['coming-soon']!="") {
            $pulse_theme_activation_options['coming-soon']="";
            //COMING SOON
            $new_page_title = 'Coming Soon';
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="18px" preload_bk="no" vid_parallax="no" el_class="pulse_retina" hide_with_css="" font_color="#FFFFFF"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self"][prkwp_spacer size="8"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][vc_column_text drop_cap="no"]<p style="text-align: center;">This personage, who had taken the train at Elko, was tall and dark, with black moustache, black stockings, a black silk hat and a black waistcoat.</p>[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row]';
                $new_page = array(
                    'post_type' => 'page',
                    'post_title' => $new_page_title,
                    'post_content' => $new_page_content,
                    'post_status' => 'publish'
                );
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "page-coming-soon.php");
                add_post_meta($new_page_id, 'image_back', $attachment_d_id);
                add_post_meta($new_page_id, 'text_color', '#FFFFFF');
                add_post_meta($new_page_id, 'launch_date', '20180331');
                add_post_meta($new_page_id, 'below_headings_text', '');
            }
        }

        if ($pulse_theme_activation_options['agency']!="") {
            $pulse_theme_activation_options['agency']="";
            //AGENCY 1 - HOME
            $new_page_title = 'Agency 1';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_center_align" row_height="forced_row bottom_forced_row" height_adjust="0" append_arrow="yes" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" bk_element="image" vid_mp4="" vid_webm="" bk_overlay="" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_cover" font_color="#ffffff"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="WE ARE KNOWN FOR
GREATNESS AND VERSATILITY" align="Center" font_type="header_font" font_weight="400" title_size="h2" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px" text_color="#ffffff"][prkwp_spacer size="36"][prk_wp_theme_button type="ghost_theme_button" button_bk_color="#ffffff" button_size="prk_medium" prk_in="LATEST WORK" link="#work" window="No" custom_css="margin-right:8px;"][prk_wp_theme_button type="ghost_theme_button" button_bk_color="#ffffff" button_size="prk_medium" prk_in="GET IN TOUCH" link="#" window="No"][prkwp_spacer size="72"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="90px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="services"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="OUR SERVICES" align="Center" font_type="header_font" font_weight="600" title_size="h1" use_italic="No" margin_bottom="0px" pulse_show_line="above thicker" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Wide &amp; Relevant Range" align="Center" font_type="custom_font" font_weight="400" title_size="h4" use_italic="No" margin_bottom="12px" pulse_show_line="no" width="70px"][vc_column_text css_animation="" drop_cap="no" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression by separate citations of items, practically or reliably known to me as a whaleman. From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner css_animation=""][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Custom Feedback" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-forum" icon_up_color="#c19556" css_animation="bottom-to-top"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Trusted Designers" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-google-circles" icon_up_color="#c19556" css_animation="bottom-to-top"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Online Reports" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-keyboard-close" icon_up_color="#c19556" css_animation="bottom-to-top"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="72"][vc_row_inner css_animation="" el_id=""][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Problem Solving" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-omega" css_animation="bottom-to-top" icon_up_color="#c19556"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Awarded Speakers" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon="fa fa-adjust" icon_material="mdi-tooltip-text" icon_up_color="#c19556" css_animation="bottom-to-top"][/vc_column_inner][vc_column_inner css_animation="" el_class="" width="1/3"][prkwp_service name="Hub Conferences" icon_type="material_icons" align="center" prk_in="In this one matter, Ahab seemed no exception to most American whale captains, who, as a set, rather incline to the opinion that by rights the ship cabin belongs to them." icon_up_color="#c19556" icon="fa fa-adjust" icon_material="mdi-spotlight" css_animation="bottom-to-top"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="72px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" el_class="pulse_retina" font_color="#ffffff"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="RECENT FEEDBACK" align="Center" font_type="header_font" font_weight="600" text_color="#ffffff" title_size="h2" use_italic="No" margin_bottom="10px" pulse_show_line="no" line_color="#c19556" width="70px"][vc_column_text drop_cap="no" el_class="small-10 columns small-centered prk_9_em"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression by separate citations of items, practically or reliably known to me as a whaleman. From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="36"][prk_testimonials category="" align="Center" show_controls="yes" autoplay="yes" color="#ffffff"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="work"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="LATEST WORK" align="Center" font_type="header_font" font_weight="600" title_size="h1" use_italic="No" margin_bottom="0px" pulse_show_line="above thicker" line_color="#c19556" width="70px"][prkwp_styled_title prk_in="With Pride &amp; Pleasure" align="Center" font_type="custom_font" font_weight="400" title_size="h4" use_italic="No" margin_bottom="12px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression by separate citations of items, practically or reliably known to me as a whaleman. From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="54"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css=""][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][pirenko_last_portfolios layout_type_folio="packery" cols_number="4" items_number="7" show_load_more="no" cat_filter="" show_filter="no" thumbs_type_folio="classiqued" thumbs_mg="0" multicolored_thumbs="yes" pulse_show_skills="folio_title_and_skills"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            $mn_name = 'Agency 1';
            $mn_menu_out = wp_create_nav_menu($mn_name);
            $mn_menu_id = get_term_by( 'name', $mn_name, 'nav_menu' );

            add_post_meta($new_page_id, 'top_menu', $mn_menu_id->term_id);

            //$post_for_menu = get_post($new_page_id);
            //$page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-title' => 'HOME',
                    'menu-item-status' => 'publish',
                    //'menu-item-type' => 'custom',
                    //'menu-item-url' => $page_slug.'/',
                    'menu-item-type' => 'post_type',
                    'menu-item-object' => 'page',
                    'menu-item-object-id' => $new_page_id,
                    'menu-item-position' => 0
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

            //AGENCY 1 - ABOUT US
            $new_page_title = 'Agency 1 - About Us';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="0px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="ABOUT US" align="Center" font_type="header_font" font_weight="600" text_color="#c19556" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" line_color="#c19556"][vc_column_text drop_cap="no" el_class="small-10 columns small-centered"]
<p style="text-align: center;">So that overawed by the rumors and portents concerning him, not a few of the fishermen recalled, in reference to Moby Dick, the earlier days of the Sperm Whale fishery, when it was oftentimes hard to induce long practised Right whalemen to embark in the perils of this new and daring warfare</p>[/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="72px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ffffff" el_id="about"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][vc_column_text drop_cap="yes"]Whatever it was, it was coming slowly toward the entrance of the cave, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities behind it was such that I knew it <strong>would only emanate</strong>.As I backed along the ledge I soon was past the mouth of the cave, where I no longer could see those fearful flaming eyes, but an instant later I caught <strong>sight of the fiendish face</strong> of a Sagoth as it warily advanced beyond the cliffs turn on the far side of the caves mouth. As the fellow saw me he leaped along the ledge in pursuit, and after him came as many of his companions as could crowd upon each others heels. At the same time the beast emerged from the cave.The thing was an enormous cave bear, rearing its colossal bulk fully eight feet at the shoulder, while from the tip of its nose to the end of its stubby tail it was fully twelve feet in length. As it sighted the Sagoths it emitted a <strong>most frightful roar</strong>, and with open mouth charged full upon them. With a cry of terror the foremost gorilla-man turned to escape, but behind him he ran full upon his on-rushing companions.[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][vc_column_text drop_cap="no"]Whatever it was, it was coming <strong>slowly toward the entrance</strong> of the cave, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities behind it was such that I knew it would only emanate.As I backed along the ledge I soon was past the mouth of the cave, where I no longer could see those fearful flaming eyes, but an instant later I caught sight of the fiendish face of a Sagoth as it warily advanced beyond the cliffs turn on the far side of the caves mouth. As the fellow saw me he leaped along <strong>the ledge in pursuit</strong>, and after him came as many of his companions as could crowd upon each others heels. At the same time the beast emerged from the cave.The thing was an <strong>enormous cave bear</strong>, rearing its colossal bulk fully eight feet at the shoulder, while from the tip of its nose to the end of its stubby tail it was fully twelve feet in length. As it sighted the Sagoths it emitted a most frightful roar, and with open mouth charged full upon them. With a cry of terror the foremost gorilla-man turned to escape, but behind him he ran full upon his on-rushing companions.[/vc_column_text][/vc_column_inner][/vc_row_inner][prkwp_spacer size="54"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" el_class="pulse_retina" img_size="full"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="82px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_cover" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" el_class="pulse_retina"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="CLIENT SHOWCASE" align="Center" font_type="header_font" font_weight="600" text_color="#ffffff" title_size="h2" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" line_color="#ffffff"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before. And man, was he happy with this new product.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_a_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="48px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="team"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="OUR TEAM" align="Center" font_type="header_font" font_weight="600" title_size="h1" use_italic="No" margin_bottom="0px" pulse_show_line="above thicker" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="Flexible &amp; Professional" align="Center" font_type="custom_font" font_weight="400" title_size="h4" use_italic="No" margin_bottom="12px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no" el_class="small-10 columns small-centered"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression by separate citations of items, practically or reliably known to me as a whaleman. From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="54"][prk_members general_style="classic" category="" items_number="4" columns="2" text_align="text_center" content_amount="compressed" icons_position="inside" css_animation=""][prkwp_spacer size="36"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_center_align" bk_element="colored" bg_color="#1a1a1a"][vc_column width="1/1"][prk_instagram title="FOLLOW US ON INSTAGRAM" title_color="#ffffff" user="airbnb" items="6" rows="2" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            //$post_for_menu = get_post($new_page_id);
            //$page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-title' => 'ABOUT US',
                    'menu-item-status' => 'publish',
                    //'menu-item-type' => 'custom',
                    //'menu-item-url' => $page_slug.'/',
                    'menu-item-type' => 'post_type',
                    'menu-item-object' => 'page',
                    'menu-item-object-id' => $new_page_id,
                    'menu-item-position' => 0
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

            //AGENCY 1 - PORTFOLIO
            $new_page_title = 'Agency 1 - Portfolio';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="0px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="PORTFOLIO" align="Center" font_type="header_font" font_weight="600" text_color="#c19556" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.<br />New work will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            update_post_meta($new_page_id, "_wp_page_template", "page-portfolio.php");

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'portfolio_layout', 'packery');
            add_post_meta($new_page_id, 'thumbs_type_folio', 'classiqued');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'limited_width', '0');
            add_post_meta($new_page_id, 'thumbs_mg', '0');
            add_post_meta($new_page_id, 'cols_number', '4');
            add_post_meta($new_page_id, 'items_number', '7');

            //ADD THE PAGE CUSTOM MENU
            //$post_for_menu = get_post($new_page_id);
            //$page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-title' => 'PORTFOLIO',
                    'menu-item-status' => 'publish',
                    //'menu-item-type' => 'custom',
                    //'menu-item-url' => $page_slug.'/',
                    'menu-item-type' => 'post_type',
                    'menu-item-object' => 'page',
                    'menu-item-object-id' => $new_page_id,
                    'menu-item-position' => 0
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

            //AGENCY 1 - BLOG
            $new_page_title = 'Agency 1 - Blog';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="0px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="OUR BLOG" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.<br />New articles will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            update_post_meta($new_page_id, "_wp_page_template", "template_blog.php");

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'blog_layout', 'masonry');
            add_post_meta($new_page_id, 'show_filter', '1');
            add_post_meta($new_page_id, 'filter_align', 'filter_center');
            add_post_meta($new_page_id, 'navigation_type', 'ajaxed');
            add_post_meta($new_page_id, 'hide_title', '1');

            //ADD THE PAGE CUSTOM MENU
            //$post_for_menu = get_post($new_page_id);
            //$page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-title' => 'BLOG',
                    'menu-item-status' => 'publish',
                    //'menu-item-type' => 'custom',
                    //'menu-item-url' => $page_slug.'/',
                    'menu-item-type' => 'post_type',
                    'menu-item-object' => 'page',
                    'menu-item-object-id' => $new_page_id,
                    'menu-item-position' => 0
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );

            //AGENCY 1 - CONTACT
            $new_page_title = 'Agency 1 - Contact';
            $new_page_content='[vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="54px" preload_bk="yes" vid_parallax="no" hide_with_css="" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_gmaps map_style="cobalt" zoom="14" map_latitude="40.6700" map_longitude="-73.94000" size="490"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            update_post_meta($new_page_id, "_wp_page_template", "page-contact.php");

            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'hide_title', '1');
            add_post_meta($new_page_id, 'content_type', 'none');
            //add_post_meta($new_page_id, 'map_image', $attachment_e_id);
            //add_post_meta($new_page_id, 'map_longitude', '-73.9400');
            //add_post_meta($new_page_id, 'map_height', '400');
            //add_post_meta($new_page_id, 'zoom_level', '13');
            //add_post_meta($new_page_id, 'map_style', 'subtle_grayscale');
            add_post_meta($new_page_id, 'show_contact_form', '1');
            add_post_meta($new_page_id, 'prk_email_address', 'something@mail.com');
            add_post_meta($new_page_id, 'info_title_form', 'We Are Eager To Hear From You');
            add_post_meta($new_page_id, 'contact-form-teaser', 'The try-works are planted between the foremast and mainmast, the most roomy part of the deck. The timbers beneath are of a peculiar strength, fitted to sustain the weight of an almost solid mass of brick and mortar, some ten feet by eight square, and five in height. The foundation does not penetrate the deck.');
            add_post_meta($new_page_id, 'show_contact_information', '1');
            add_post_meta($new_page_id, 'contact-info_title', 'Get In Touch');
            add_post_meta($new_page_id, 'contact-teaser', 'On the flanks it is cased with wood, and at top completely covered by him.');
            add_post_meta($new_page_id, 'contact-company', 'Pulse Company');
            add_post_meta($new_page_id, 'contact-address', 'River Street, Blue Building, 1st. floor<br />5690-970 New york City');
            add_post_meta($new_page_id, 'contact-info_tel', '+1 (234) 567 890');
            //add_post_meta($new_page_id, 'contact-info_fax', '+1 234 555 990');
            add_post_meta($new_page_id, 'contact-info_email', 'allthelove@pulse.com');

            //ADD THE PAGE CUSTOM MENU
            //$post_for_menu = get_post($new_page_id);
            //$page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-title' => 'CONTACT US',
                    'menu-item-status' => 'publish',
                    //'menu-item-type' => 'custom',
                    //'menu-item-url' => $page_slug.'/',
                    'menu-item-type' => 'post_type',
                    'menu-item-object' => 'page',
                    'menu-item-object-id' => $new_page_id,
                    'menu-item-position' => 0
                );
            wp_update_nav_menu_item( $mn_menu_id->term_id, 0, $mn_item );
        }

        if ($pulse_theme_activation_options['main']!="") {
            $pulse_theme_activation_options['main']="";

            //CREATE MENU IF NEEDED
            if ( is_nav_menu( PRK_THEME_NAME.' Main Menu'  ) )
            {
                //DO NOTHING. THE MENU ALREADY EXISTS
            }
            else
            {
                //ADD THE DEFAULT MENU
                $name = PRK_THEME_NAME.' Main Menu';
                $menu_id = wp_create_nav_menu($name);
                $menu = get_term_by( 'name', $name, 'nav_menu' );
                //ASSIGN THE MENU TO THE DEFAULT LOCATION
                $locations = get_theme_mod('nav_menu_locations');
                $locations['prk_main_navigation'] = $menu->term_id;
                $locations['prk_mirror_navigation'] = $menu->term_id;
                set_theme_mod( 'nav_menu_locations', $locations );
            }
            $menu_id = get_term_by( 'name', PRK_THEME_NAME.' Main Menu', 'nav_menu' );

            //MAIN - HOME
            $new_page_title = 'Main';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="72px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ffffff" el_id="about"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#24b397" align="Center" icon_type="material_icons" icon_size="34px" icon="fa fa-adjust" icon_material="mdi-fire" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="ABOUT PULSE STUDIO" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][vc_column_text css_animation="pls_fadeInLeftBig" drop_cap="no"]<p style="text-align: right;">Whatever it was, it was coming <strong>slowly toward the entrance of the cave</strong>, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities.</p><p style="text-align: right;">As I backed along the ledge I soon was past the mouth of the cave, where I no longer could see those fearful flaming eyes, but an instant later I caught sight of the fiendish face of a Sagoth as it warily <strong>advanced beyond the cliffs turn</strong> on the far side of the caves mouth. As the fellow saw me he leaped along the ledge in pursuit, and after him came as many of his companions as could crowd upon each others heels.</p><p style="text-align: right;">The thing was an enormous cave bear, rearing its colossal bulk fully eight feet at the shoulder, while from the tip of its nose to the end of its stubby tail it was fully twelve feet in length. As it sighted the Sagoths it emitted a <strong>most frightful roar</strong>, and with open mouth charged full upon them. With a cry of terror the foremost gorilla-man turned to escape.</p>[/vc_column_text][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/2"][vc_column_text css_animation="pls_fadeInRightBig" drop_cap="no"]<p style="text-align: left;">Whatever it was, it was coming <strong>slowly toward the entrance of the cave</strong>, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities.</p><p style="text-align: left;">As I backed along the ledge I soon was past the mouth of the cave, where I no longer could see those fearful flaming eyes, but an instant later I caught sight of the fiendish face of a Sagoth as it warily <strong>advanced beyond the cliffs turn</strong> on the far side of the caves mouth. As the fellow saw me he leaped along the ledge in pursuit, and after him came as many of his companions as could crowd upon each others heels.</p><p style="text-align: left;">The thing was an enormous cave bear, rearing its colossal bulk fully eight feet at the shoulder, while from the tip of its nose to the end of its stubby tail it was fully twelve feet in length. As it sighted the Sagoths it emitted a <strong>most frightful roar</strong>, and with open mouth charged full upon them. With a cry of terror the foremost gorilla-man turned to escape.</p>[/vc_column_text][/vc_column_inner][/vc_row_inner][prkwp_spacer size="54"][vc_single_image image="'.$attachment_u_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" el_class="pulse_retina" img_size="full" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" bk_element="colored" bg_color="#ececec"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_line width="100%" height="1px" align="inherit" icon="fa fa-adjust" icon_bk_color="#ffffff" color="#ededed" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="90px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#fafafa" el_id="team" bk_element="colored"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#24b397" align="Center" icon_type="material_icons" icon_size="34px" icon="fa fa-adjust" icon_material="mdi-wallet" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="OUR SERVICES" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered" css_animation="bottom-to-top"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class="" el_id=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Growing Stats" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon="fa fa-adjust" icon_material="mdi-chart-line" icon_up_color="#24b397" css_animation="flipin_y"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Timely Deliveries" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon="fa fa-adjust" icon_material="mdi-alarm" icon_up_color="#24b397" css_animation="flipin_y" el_class="delay-300"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Cloud Sharing" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon="fa fa-adjust" icon_material="mdi-cloud-outline" icon_up_color="#24b397" css_animation="flipin_y" el_class="delay-600"][/vc_column_inner][/vc_row_inner][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class="" el_id=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Love Driven" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#24b397" icon="fa fa-adjust" icon_material="mdi-heart-outline" css_animation="flipin_y"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Media Masters" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#24b397" icon="fa fa-adjust" icon_material="mdi-presentation-play" css_animation="flipin_y" el_class="delay-300"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/3"][prkwp_service name="Online Support" icon_type="material_icons" align="center" prk_in="My brother felt no anxiety about us, as he knew from the description in the papers that the cylinder was a good two miles from my house. He made up his mind straight. Since then he had been skulking along." icon_up_color="#24b397" icon="fa fa-adjust" icon_material="mdi-whatsapp" css_animation="flipin_y" el_class="delay-600"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="82px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" icon_type="material_icons" icon_size="34px" icon="fa fa-adjust" icon_material="mdi-comment-multiple-outline" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="RECENT FEEDBACK" align="Center" font_type="header_font" font_weight="600" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered" css_animation="bottom-to-top"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][prk_testimonials category="" color="#ffffff" align="Center" show_controls="yes" autoplay="yes" el_class="pulse_retina" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="72px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="work"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#24b397" align="Center" icon_type="material_icons" css_animation="appear" icon_size="34px" icon="fa fa-adjust" icon_material="mdi-lumx"][prkwp_spacer size="4"][prkwp_styled_title prk_in="RECENT WORK" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" drop_cap="no" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][prkwp_spacer size="54"][pirenko_last_portfolios layout_type_folio="squares" cols_number="3" items_number="9" show_load_more="yes" cat_filter="" show_filter="yes" thumbs_type_folio="classiqued" multicolored_thumbs="yes" pulse_show_skills="folio_title_and_skills" thumbs_mg="10" liner_color="#ffffff"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" font_color="#ffffff" append_arrow="no" top_padding="90px" bottom_padding="120px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_cover" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" icon_type="material_icons" css_animation="appear" icon_size="34px" icon="fa fa-adjust" icon_material="mdi-polymer"][prkwp_spacer size="4"][prkwp_styled_title prk_in="PULSE IN NUMBERS" align="Center" font_type="header_font" font_weight="600" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" drop_cap="no" el_class="small-9 columns small-centered"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="" el_class=""][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_counter counter_number="458" align="center" prk_in="COFFEES OUT" image="fa fa-bell-o" icon_type="material_icons" icon_material="mdi-coffee" css_animation="bottom-to-top"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_counter counter_number="364" align="center" icon_type="material_icons" prk_in="LOVELY PEOPLE" image="fa fa-bell-o" icon_material="mdi-heart" css_animation="bottom-to-top" el_class="delay-300"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_counter counter_number="612" align="center" icon_type="material_icons" prk_in="MUSIC NOTES" image="fa fa-bell-o" icon_material="mdi-music-note" css_animation="bottom-to-top" el_class="delay-600"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/4"][prkwp_counter counter_number="152" align="center" icon_type="material_icons" prk_in="SUNNY DAYS" image="fa fa-bell-o" icon_material="mdi-weather-sunny" css_animation="bottom-to-top" el_class="delay-900"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="48px" margin_bottom="0px" preload_bk="no" bg_image_repeat="pulse_with_parallax" vid_parallax="no" hide_with_css="" el_id="contact"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#24b397" align="Center" icon_type="material_icons" icon_size="34px" icon="fa fa-adjust" icon_material="mdi-lumx" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="THE APP SPECIALISTS" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" css_animation="pulse_fade_waypoint"][vc_column_text css_animation="bottom-to-top" drop_cap="no" el_class="small-9 columns small-centered"]<p style="text-align: center;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before.</p>[/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="72px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_class="pulse_retina" bg_image_repeat="pulse_cover_bottom"][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" css_animation="pls_fadeInLeftBig" width="1/2"][vc_single_image image="'.$attachment_a_id.'" border_color="grey" img_link_large="" img_link_target="_self"][/vc_column][vc_column align="pulse_inherit_align" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption_position="prk_caption_left" css_animation="pls_fadeInRightBig" width="1/2"][prkwp_spacer size="18"][prkwp_styled_title prk_in="Awarded Products Available" align="Left" font_type="header_font" font_weight="600" title_size="h4" use_italic="No" margin_bottom="16px" pulse_show_line="no" width="70px"][vc_column_text drop_cap="no"]<p style="text-align: left;">Were this world an endless plain, and by sailing eastward we could for ever reach new distances, and discover sights more sweet and strange than any Cyclades or Islands of King Solomon, then there were promise in the voyage. But in pursuit of those far mysteries we dream of, or in tormented chase of that demon phantom that, some time or other, swims before all human hearts; while chasing such over this round globe, they either lead us on in barren mazes or midway leave us whelmed.</p>[/vc_column_text][prkwp_spacer size="6"][prk_wp_theme_button type="theme_button" button_size="prk_small" prk_in="Buy This Theme →" link="http://www.google.com" window="Yes"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'yes');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'custom_menu', $menu_id);

            //ADD THE PAGE CUSTOM MENU
            //$post_for_menu = get_post($new_page_id);
            //$page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-title' => 'HOME',
                    'menu-item-status' => 'publish',
                    //'menu-item-type' => 'custom',
                    //'menu-item-url' => $page_slug.'/',
                    'menu-item-type' => 'post_type',
                    'menu-item-object' => 'page',
                    'menu-item-object-id' => $new_page_id,
                    'menu-item-position' => 0
                );
            wp_update_nav_menu_item( $menu_id->term_id, 0, $mn_item );

            //MAIN - FOOTER
            $new_page_title = 'Main - Footer';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_center_align" append_arrow="no" top_padding="108px" bottom_padding="108px" margin_bottom="0px" bk_element="image" preload_bk="no" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="READY FOR SOME AWESOMENESS?" align="Center" font_type="header_font" font_weight="600" text_color="#ffffff" title_size="h1" use_italic="No" margin_bottom="32px" pulse_show_line="no" width="70px"][prk_wp_theme_button type="ghost_theme_button" button_size="prk_large" prk_in="Contact Pulse" link="http://www.google.com" window="Yes" css_animation="right-to-left" custom_css="margin-right:16px;" button_bk_color="#ffffff"][prk_wp_theme_button type="ghost_theme_button" button_bk_color="#ffffff" button_size="prk_large" prk_in="Stay Awesome" link="http://www.google.com" window="Yes" css_animation="left-to-right"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);


            //MAIN - ABOUT US
            $new_page_title = 'Main - About Us';
            $new_page_content='[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="0px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="ABOUT US" align="Center" font_type="header_font" font_weight="600" text_color="#27394a" title_size="h1" use_italic="No" margin_bottom="18px" pulse_show_line="no" width="70px" line_color="#c19556" css_animation="appear"][vc_column_text drop_cap="no" el_class="small-8 columns small-centered" css_animation="pulse_fade_waypoint"]
<p style="text-align: center;">So that overawed by the rumors and portents concerning him, not a few of the fishermen recalled, in reference to Moby Dick, the earlier days of the Sperm Whale fishery, when it was oftentimes hard to induce long practised.</p>[/vc_column_text][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="36px" margin_bottom="0px" bk_element="colored" preload_bk="no" vid_parallax="no" hide_with_css="" bg_color="#ffffff" el_id="about"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/3"][vc_column_text drop_cap="yes" css_animation="bottom-to-top"]Beautiful it was, it was coming slowly toward the entrance of the cave, and now, deep and forbidding, it uttered a low and ominous growl. I waited no longer to dispute <strong>possession of the ledge</strong> with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities behind it was such that I knew.<br />As I backed along the ledge I soon was past the mouth of the cave, where I no longer could see those fearful flaming eyes, but an instant later I caught <strong>sight of the fiendish face</strong> of a Sagoth as it warily advanced beyond the cliffs turn on the far side of the caves mouth. As the fellow saw me he leaped along the ledge in pursuit.[/vc_column_text][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/3"][vc_column_text drop_cap="no" css_animation="bottom-to-top" el_class="delay-300"]Whereas it was, it was coming slowly toward the entrance of the cave, and now, deep and forbidding, it uttered a <strong>low and ominous growl</strong>. I waited no longer to dispute possession of the ledge with the thing which owned that voice. The noise had not been loud I doubt if the Sagoths heard it at all but the suggestion of latent possibilities.<br />The thing was an enormous cave bear, rearing its colossal bulk fully eight feet at the shoulder, while from the tip of its nose to the end of its stubby tail it was fully twelve feet in length. As it sighted the Sagoths it emitted a <strong>most frightful roar</strong>, and with open mouth charged full upon them. With a cry of terror the foremost gorilla-man turned to escape, but behind him he ran full upon his on-rushing companions.[/vc_column_text][/vc_column][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/3"][vc_single_image image="'.$attachment_a_id.'" border_color="grey" img_link_large="" img_link_target="_self" css_animation="bottom-to-top" el_class="delay-600"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="42px" bottom_padding="0px" margin_bottom="108px" preload_bk="no" vid_parallax="no" hide_with_css=""][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_text_separator title="We have offices in Europe &amp; North America" title_align="separator_align_center" align="align_center" color="custom" font_type="header_font" accent_color="#efefef" el_class="not_zero_color" css_animation="pulse_fade_waypoint"][prkwp_spacer size="36"][pirenko_last_portfolios items_number="3" layout_type_folio="packery" cols_number="2" show_load_more="no" cat_filter="" show_filter="no" thumbs_type_folio="pls_unlinked" multicolored_thumbs="no" pulse_show_skills="folio_noinfo" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="90px" bottom_padding="82px" margin_bottom="0px" bk_element="image" preload_bk="no" bg_image_repeat="pulse_cover" vid_parallax="no" hide_with_css="" bg_image="'.$attachment_d_id.'" el_class="pulse_retina"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#ffffff" align="Center" icon_type="material_icons" icon_size="34px" icon="fa fa-adjust" icon_material="mdi-polymer" css_animation="appear"][prkwp_spacer size="4"][prkwp_styled_title prk_in="CLIENT SHOWCASE" align="Center" font_type="header_font" font_weight="600" text_color="#ffffff" title_size="h3" use_italic="No" margin_bottom="8px" pulse_show_line="no" width="70px" line_color="#ffffff" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-9 columns small-centered" css_animation="bottom-to-top"]<p style="text-align: center;"><span style="color: #ffffff;">Stubb did but speak out for well nigh all that crew. The frenzies of the chase had by this time worked them bubblingly up, like old wine worked anew. Whatever pale fears and forebodings some of them might have felt before. And man, was he happy with this new product.</span></p>[/vc_column_text][prkwp_spacer size="54"][vc_row_inner top_padding="0px" bottom_padding="0px" css_animation="pulse_fade_waypoint"][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][vc_column_inner align="pulse_inherit_align" css_animation="" el_class="" width="1/6"][vc_single_image image="'.$attachment_b_id.'" alignment="center" border_color="grey" img_link_large="" img_link_target="_self" img_size="full"][/vc_column_inner][/vc_row_inner][/vc_column][/vc_row][vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="72px" bottom_padding="80px" margin_bottom="0px" preload_bk="no" vid_parallax="no" hide_with_css="" el_id="team"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prk_wp_icon text_color="#49b6b2" align="Center" icon_type="material_icons" css_animation="appear" icon_size="34px" icon="fa fa-adjust" icon_material="mdi-camera-iris"][prkwp_spacer size="4"][prkwp_styled_title prk_in="OUR TEAM" align="Center" font_type="header_font" font_weight="600" title_size="h3" use_italic="No" margin_bottom="0px" pulse_show_line="no" width="70px" line_color="#c19556" css_animation="pulse_fade_waypoint"][vc_column_text drop_cap="no" el_class="small-10 columns small-centered" css_animation="bottom-to-top"]<p style="text-align: center;">I care not to perform this part of my task methodically. But shall be content to produce the desired impression by separate citations of items, practically or reliably known to me as a whaleman. From these citations, I take it and dash the conclusion aimed at will naturally follow of itself.</p>[/vc_column_text][prkwp_spacer size="54"][prk_members general_style="classic" category="" items_number="6" columns="3" text_align="text_center" content_amount="compressed" icons_position="inside" css_animation="pulse_fade_waypoint"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);

            add_post_meta($new_page_id, 'show_title', 'no');
            add_post_meta($new_page_id, 'show_sidebar', 'no');
            add_post_meta($new_page_id, 'below_headings_text', '');
            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'featured_slider', 'no');
            add_post_meta($new_page_id, 'featured_slider_anim', 'fadeUp');
            add_post_meta($new_page_id, 'featured_slider_supersize', '1');
            add_post_meta($new_page_id, 'featured_slider_parallax', '1');
            add_post_meta($new_page_id, 'featured_slider_arrows', '1');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');
            add_post_meta($new_page_id, 'featured_arrow_color', '#FFFFFF');
            add_post_meta($new_page_id, 'featured_slider_down_arrow', '1');

            //ADD THE PAGE CUSTOM MENU
            //$post_for_menu = get_post($new_page_id);
            //$page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-title' => 'ABOUT US',
                    'menu-item-status' => 'publish',
                    //'menu-item-type' => 'custom',
                    //'menu-item-url' => $page_slug.'/',
                    'menu-item-type' => 'post_type',
                    'menu-item-object' => 'page',
                    'menu-item-object-id' => $new_page_id,
                    'menu-item-position' => 0
                );
            wp_update_nav_menu_item( $menu_id->term_id, 0, $mn_item );


            //------------------------ BLOG ------------------------ //

            //ADD THE BLOG PARENT BUTTON TO THE MENU
            $menu =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => '#',
                    'menu-item-title' => 'BLOG',
                    'menu-item-status' => 'publish'
                );
            $parent_button=wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );

            //BLOG PAGE - MASONRY
            $new_page_title = 'Main - Blog Masonry';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="54px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="OUR BLOG" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.
    New articles will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish',
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "template_blog.php");
                add_post_meta($new_page_id, 'navigation_type', 'ajaxed');
                add_post_meta($new_page_id, 'hide_title', '1');
                add_post_meta($new_page_id, 'blog_layout', 'masonry');
                add_post_meta($new_page_id, 'show_sidebar', 'no');
                add_post_meta($new_page_id, 'featured_header', '1');
                add_post_meta($new_page_id, 'featured_slider', 'no');
                add_post_meta($new_page_id, 'show_filter', '1');
                add_post_meta($new_page_id, 'filter_align', 'filter_center');
                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => 'Masonry',
                        'menu-item-status' => 'publish',
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }

            //BLOG PAGE - CLASSIC
            $new_page_title = 'Main - Blog Classic';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="54px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="OUR BLOG" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.
    New articles will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "template_blog.php");
                add_post_meta($new_page_id, 'navigation_type', 'paginated');
                add_post_meta($new_page_id, 'hide_title', '1');
                add_post_meta($new_page_id, 'blog_layout', 'classic');
                add_post_meta($new_page_id, 'show_sidebar', 'yes');
                add_post_meta($new_page_id, 'featured_header', '1');
                add_post_meta($new_page_id, 'featured_slider', 'no');
                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => 'Classic & Sidebar',
                        'menu-item-status' => 'publish',
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }

            //BLOG PAGE - STACKED
            $new_page_title = 'Blog - Modern';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="54px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="OUR BLOG" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.
    New articles will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "template_blog.php");
                add_post_meta($new_page_id, 'navigation_type', 'ajaxed');
                add_post_meta($new_page_id, 'hide_title', '1');
                add_post_meta($new_page_id, 'blog_layout', 'stacked');
                add_post_meta($new_page_id, 'show_sidebar', 'no');
                add_post_meta($new_page_id, 'featured_header', '1');
                add_post_meta($new_page_id, 'featured_slider', 'no');
                add_post_meta($new_page_id, 'show_filter', '0');
                add_post_meta($new_page_id, 'filter_align', 'filter_center');
                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => 'Modern',
                        'menu-item-status' => 'publish',
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }

            //BLOG PAGE - IMAGE GRID
            $new_page_title = 'Main - Blog Grid';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="54px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="OUR BLOG" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.
        New articles will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "template_blog.php");
                add_post_meta($new_page_id, 'navigation_type', 'ajaxed');
                add_post_meta($new_page_id, 'hide_title', '1');
                add_post_meta($new_page_id, 'blog_layout', 'squares');
                add_post_meta($new_page_id, 'show_sidebar', 'no');
                add_post_meta($new_page_id, 'featured_header', '1');
                add_post_meta($new_page_id, 'featured_slider', 'no');
                add_post_meta($new_page_id, 'show_filter', '0');
                add_post_meta($new_page_id, 'filter_align', 'filter_center');
                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => 'Grid',
                        'menu-item-status' => 'publish',
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }


            //------------------------ PORTFOLIO ------------------------//

            //ADD THE PORTFOLIO PARENT BUTTON TO THE MENU
            $menu =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => '#',
                    'menu-item-title' => 'PORTFOLIO',
                    'menu-item-status' => 'publish'
                );
            $parent_button=wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );

            //PORTFOLIO PAGE - MULTI-WIDTH
            $new_page_title = 'Main - Portfolio Multi-width';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="0px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="PORTFOLIO" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.<br />New work will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "page-portfolio.php");
                add_post_meta($new_page_id, 'portfolio_layout', 'packery');
                add_post_meta($new_page_id, 'limited_width', '0');
                add_post_meta($new_page_id, 'cols_number', '4');
                add_post_meta($new_page_id, 'items_number', '7');
                add_post_meta($new_page_id, 'show_filter', '0');
                add_post_meta($new_page_id, 'filter_align', 'filter_center');
                add_post_meta($new_page_id, 'thumbs_mg', '0');
                add_post_meta($new_page_id, 'multicolored_thumbs', '1');
                add_post_meta($new_page_id, 'thumbs_type_folio', 'overlayed');
                add_post_meta($new_page_id, 'pulse_show_skills', 'folio_title_and_skills');
                add_post_meta($new_page_id, 'show_title', '0');
                add_post_meta($new_page_id, 'liner_color', '#FFFFFF');

                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => "Multi-width & Wide",
                        'menu-item-status' => 'publish',
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }

            //PORTFOLIO PAGE - MASONRY & FULLWIDTH
            $new_page_title = 'Main - Portfolio Masonry';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="72px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="PORTFOLIO" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.<br />New work will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "page-portfolio.php");
                add_post_meta($new_page_id, '', '');
                add_post_meta($new_page_id, 'portfolio_layout', 'masonry');
                add_post_meta($new_page_id, 'limited_width', '0');
                add_post_meta($new_page_id, 'cols_number', '4');
                add_post_meta($new_page_id, 'items_number', '12');
                add_post_meta($new_page_id, 'show_filter', '1');
                add_post_meta($new_page_id, 'filter_align', 'filter_center');
                add_post_meta($new_page_id, 'thumbs_mg', '18');
                add_post_meta($new_page_id, 'multicolored_thumbs', '1');
                add_post_meta($new_page_id, 'thumbs_type_folio', 'classiqued');
                add_post_meta($new_page_id, 'pulse_show_skills', 'folio_title_and_skills');
                add_post_meta($new_page_id, 'show_title', '0');
                add_post_meta($new_page_id, 'liner_color', '#FFFFFF');
                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => "Masonry & Wide",
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }

            //PORTFOLIO PAGE - SQUARES
            $new_page_title = 'Main - Portfolio Squares';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="72px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="PORTFOLIO" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.<br />New work will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "page-portfolio.php");
                add_post_meta($new_page_id, '', '');
                add_post_meta($new_page_id, 'portfolio_layout', 'squares');
                add_post_meta($new_page_id, 'limited_width', '1');
                add_post_meta($new_page_id, 'thumbs_mg', '18');
                add_post_meta($new_page_id, 'cols_number', '3');
                add_post_meta($new_page_id, 'items_number', '9');
                add_post_meta($new_page_id, 'show_filter', '1');
                add_post_meta($new_page_id, 'filter_align', 'filter_center');
                add_post_meta($new_page_id, 'multicolored_thumbs', '1');
                add_post_meta($new_page_id, 'thumbs_type_folio', 'classiqued');
                add_post_meta($new_page_id, 'pulse_show_skills', 'folio_title_and_skills');
                add_post_meta($new_page_id, 'show_title', '0');
                add_post_meta($new_page_id, 'liner_color', '#FFFFFF');
                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => "Squared & Contained",
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }

            //PORTFOLIO PAGE - TITLES UNDER
            $new_page_title = 'Main - Portfolio Titles Under';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="72px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="PORTFOLIO" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.<br />New work will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "page-portfolio.php");
                add_post_meta($new_page_id, '', '');
                add_post_meta($new_page_id, 'portfolio_layout', 'grid');
                add_post_meta($new_page_id, 'limited_width', '1');
                add_post_meta($new_page_id, 'cols_number', '3');
                add_post_meta($new_page_id, 'items_number', '9');
                add_post_meta($new_page_id, 'show_filter', '1');
                add_post_meta($new_page_id, 'filter_align', 'filter_center');
                add_post_meta($new_page_id, 'thumbs_mg', '18');
                add_post_meta($new_page_id, 'multicolored_thumbs', '1');
                add_post_meta($new_page_id, 'thumbs_type_folio', 'lightboxed');
                add_post_meta($new_page_id, 'pulse_show_skills', 'folio_always_title_and_skills');
                add_post_meta($new_page_id, 'show_title', '0');
                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => "Titles Under & Lightbox",
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }

            //PORTFOLIO PAGE - RECTANGLES
            $new_page_title = 'Portfolio - Horizontal Rectangles';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="72px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="PORTFOLIO" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.<br />New work will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "page-portfolio.php");
                add_post_meta($new_page_id, '', '');
                add_post_meta($new_page_id, 'portfolio_layout', 'grid');
                add_post_meta($new_page_id, 'limited_width', '1');
                add_post_meta($new_page_id, 'thumbs_mg', '18');
                add_post_meta($new_page_id, 'cols_number', '3');
                add_post_meta($new_page_id, 'items_number', '9');
                add_post_meta($new_page_id, 'show_filter', '1');
                add_post_meta($new_page_id, 'filter_align', 'filter_center');
                add_post_meta($new_page_id, 'multicolored_thumbs', '1');
                add_post_meta($new_page_id, 'thumbs_type_folio', 'classiqued');
                add_post_meta($new_page_id, 'pulse_show_skills', 'folio_title_and_skills');
                add_post_meta($new_page_id, 'show_title', '0');
                add_post_meta($new_page_id, 'liner_color', '#FFFFFF');
                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => "Horizontal Rectangles",
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }

            //PORTFOLIO PAGE - VERTICAL RECTANGLES
            $new_page_title = 'Main - Portfolio Vertical Rectangles';
            $new_page_content = '[vc_row bk_type="pulse_boxed_row" align="pulse_left_align" append_arrow="no" top_padding="216px" bottom_padding="154px" margin_bottom="72px" preload_bk="yes" vid_parallax="no" hide_with_css="" bk_element="image" bg_image="'.$attachment_d_id.'" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][prkwp_styled_title prk_in="PORTFOLIO" align="Center" font_type="header_font" font_weight="600" text_color="#2b93a3" title_size="h1" use_italic="No" margin_bottom="6px" pulse_show_line="no" width="70px" line_color="#c19556"][prkwp_styled_title prk_in="A Collection of Bits and Bytes that will make your day.<br />New work will be posted every week." align="Center" font_type="header_font" font_weight="300" text_color="#ffffff" title_size="h5" use_italic="No" margin_bottom="0px" pulse_show_line="no" line_color="#c19556" width="70px"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            //CHECK IF PAGE EXISTS
            $page_id = get_page_by_title($new_page_title);
            if(!isset($page_id->ID)) {
                $new_page_id = wp_insert_post($new_page);
                update_post_meta($new_page_id, "_wp_page_template", "page-portfolio.php");
                add_post_meta($new_page_id, '', '');
                add_post_meta($new_page_id, 'portfolio_layout', 'grid_vertical');
                add_post_meta($new_page_id, 'limited_width', '1');
                add_post_meta($new_page_id, 'cols_number', '3');
                add_post_meta($new_page_id, 'items_number', '9');
                add_post_meta($new_page_id, 'show_filter', '1');
                add_post_meta($new_page_id, 'filter_align', 'filter_center');
                add_post_meta($new_page_id, 'thumbs_mg', '18');
                add_post_meta($new_page_id, 'multicolored_thumbs', '1');
                add_post_meta($new_page_id, 'thumbs_type_folio', 'classiqued');
                add_post_meta($new_page_id, 'pulse_show_skills', 'folio_title_and_skills');
                add_post_meta($new_page_id, 'show_title', '0');
                add_post_meta($new_page_id, 'liner_color', '#FFFFFF');
                //ADD THE PAGE TO THE MENU
                $menu =
                    array(
                        'menu-item-title' => "Vertical Rectangles",
                        //'menu-item-type' => 'custom',
                        //'menu-item-url' => $page_slug.'/',
                        'menu-item-type' => 'post_type',
                        'menu-item-object' => 'page',
                        'menu-item-object-id' => $new_page_id,
                        'menu-item-position' => 0,
                        'menu-item-parent-id' => $parent_button
                    );
                wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            }

            //------------------------ CONTACT ------------------------ //

            //ADD THE CONTACT PARENT BUTTON TO THE MENU
            $menu =
                array(
                    'menu-item-type' => 'custom',
                    'menu-item-url' => '#',
                    'menu-item-title' => 'CONTACT US',
                    'menu-item-status' => 'publish'
                );
            $parent_button=wp_update_nav_menu_item( $menu_id->term_id, 0, $menu );
            //MAIN - CONTACT MAP
            $new_page_title = 'Main - Contact Map';
            $new_page_content='[vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="54px" preload_bk="yes" vid_parallax="no" hide_with_css="" font_color="#ffffff" bg_image_repeat="pulse_with_parallax"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][vc_gmaps map_style="theme_special_dk" zoom="14" map_latitude="40.6700" map_longitude="-73.94000" size="490"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            update_post_meta($new_page_id, "_wp_page_template", "page-contact.php");

            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'hide_title', '1');
            add_post_meta($new_page_id, 'content_type', 'none');
            //add_post_meta($new_page_id, 'map_image', $attachment_e_id);
            //add_post_meta($new_page_id, 'map_longitude', '-73.9400');
            //add_post_meta($new_page_id, 'map_height', '400');
            //add_post_meta($new_page_id, 'zoom_level', '13');
            //add_post_meta($new_page_id, 'map_style', 'subtle_grayscale');
            add_post_meta($new_page_id, 'show_contact_form', '1');
            add_post_meta($new_page_id, 'prk_email_address', 'something@mail.com');
            add_post_meta($new_page_id, 'info_title_form', 'We Are Eager To Hear From You');
            add_post_meta($new_page_id, 'contact-form-teaser', 'The try-works are planted between the foremast and mainmast, the most roomy part of the deck. The timbers beneath are of a peculiar strength, fitted to sustain the weight of an almost solid mass of brick and mortar, some ten feet by eight square, and five in height. The foundation does not penetrate the deck.');
            add_post_meta($new_page_id, 'show_contact_information', '1');
            add_post_meta($new_page_id, 'contact-info_title', 'Get In Touch');
            add_post_meta($new_page_id, 'contact-teaser', 'On the flanks it is cased with wood, and at top completely covered by him.');
            add_post_meta($new_page_id, 'contact-company', 'Pulse Company');
            add_post_meta($new_page_id, 'contact-address', 'River Street, Blue Building, 1st. floor<br />5690-970 New york City');
            add_post_meta($new_page_id, 'contact-info_tel', '+1 (234) 567 890');
            //add_post_meta($new_page_id, 'contact-info_fax', '+1 234 555 990');
            add_post_meta($new_page_id, 'contact-info_email', 'allthelove@pulse.com');

            //ADD THE PAGE CUSTOM MENU
            //$post_for_menu = get_post($new_page_id);
            //$page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-title' => 'Featured Map',
                    'menu-item-status' => 'publish',
                    //'menu-item-type' => 'custom',
                    //'menu-item-url' => $page_slug.'/',
                    'menu-item-type' => 'post_type',
                    'menu-item-object' => 'page',
                    'menu-item-object-id' => $new_page_id,
                    'menu-item-position' => 0,
                    'menu-item-parent-id' => $parent_button
                );
            wp_update_nav_menu_item( $menu_id->term_id, 0, $mn_item );

            //MAIN - CONTACT IMAGE
            $new_page_title = 'Main - Contact Image';
            $new_page_content='[vc_row bk_type="pulse_full_row" align="pulse_left_align" append_arrow="no" top_padding="0px" bottom_padding="0px" margin_bottom="54px" preload_bk="yes" vid_parallax="no" hide_with_css="" font_color="#ffffff" bg_image_repeat="pulse_cover" row_height="pls_fixed_height" row_fixed="480" bk_element="image" bg_image="'.$attachment_b_id.'"][vc_column align="pulse_inherit_align" column_height="" bg_image_hz_align="pulse_hz_center" bg_image_vt_align="pulse_vt_center" col_width="100" caption="" caption_position="prk_caption_left" css_animation="" el_class="" width="1/1"][/vc_column][/vc_row]';
            $new_page = array(
                'post_type' => 'page',
                'post_title' => $new_page_title,
                'post_content' => $new_page_content,
                'post_status' => 'publish'
            );
            $new_page_id = wp_insert_post($new_page);
            update_post_meta($new_page_id, "_wp_page_template", "page-contact.php");

            add_post_meta($new_page_id, 'featured_header', '1');
            add_post_meta($new_page_id, 'hide_title', '1');
            add_post_meta($new_page_id, 'content_type', 'none');
            //add_post_meta($new_page_id, 'map_image', $attachment_e_id);
            //add_post_meta($new_page_id, 'map_longitude', '-73.9400');
            //add_post_meta($new_page_id, 'map_height', '400');
            //add_post_meta($new_page_id, 'zoom_level', '13');
            //add_post_meta($new_page_id, 'map_style', 'subtle_grayscale');
            add_post_meta($new_page_id, 'show_contact_form', '1');
            add_post_meta($new_page_id, 'prk_email_address', 'something@mail.com');
            add_post_meta($new_page_id, 'info_title_form', 'We Are Eager To Hear From You');
            add_post_meta($new_page_id, 'contact-form-teaser', 'The try-works are planted between the foremast and mainmast, the most roomy part of the deck. The timbers beneath are of a peculiar strength, fitted to sustain the weight of an almost solid mass of brick and mortar, some ten feet by eight square, and five in height. The foundation does not penetrate the deck.');
            add_post_meta($new_page_id, 'show_contact_information', '1');
            add_post_meta($new_page_id, 'contact-info_title', 'Get In Touch');
            add_post_meta($new_page_id, 'contact-teaser', 'On the flanks it is cased with wood, and at top completely covered by him.');
            add_post_meta($new_page_id, 'contact-company', 'Pulse Company');
            add_post_meta($new_page_id, 'contact-address', 'River Street, Blue Building, 1st. floor<br />5690-970 New york City');
            add_post_meta($new_page_id, 'contact-info_tel', '+1 (234) 567 890');
            //add_post_meta($new_page_id, 'contact-info_fax', '+1 234 555 990');
            add_post_meta($new_page_id, 'contact-info_email', 'allthelove@pulse.com');

            //ADD THE PAGE CUSTOM MENU
            //$post_for_menu = get_post($new_page_id);
            //$page_slug = site_url().'/'.$post_for_menu->post_name;
            $mn_item =
                array(
                    'menu-item-title' => 'Featured Image',
                    'menu-item-status' => 'publish',
                    //'menu-item-type' => 'custom',
                    //'menu-item-url' => $page_slug.'/',
                    'menu-item-type' => 'post_type',
                    'menu-item-object' => 'page',
                    'menu-item-object-id' => $new_page_id,
                    'menu-item-position' => 0,
                    'menu-item-parent-id' => $parent_button
                );
            wp_update_nav_menu_item( $menu_id->term_id, 0, $mn_item );

        }
        update_option('pulse_theme_activation_options', $pulse_theme_activation_options);
        wp_redirect( admin_url('edit.php?post_type=page&prk_gen=true') );
        exit;
    }
    //ONE CLICK CONTENT
    update_option('pulse_theme_activation_options', $pulse_theme_activation_options);

}

//CUSTOM ADMIN NOTICE
function pirenko_tools_admin_notice() {
    $screen = get_current_screen();
    if ($screen->id === 'edit-page') {
        if (isset($_GET['prk_gen'])) {
            if ($_GET['prk_gen'] === 'true') : ?>
                <div class="notice notice-success is-dismissible">
                    <p><?php _e('Good news! Your content was successfully generated.', 'pulse'); ?></p>
                </div>
            <?php endif;
        }
    }
}
add_action('admin_notices', 'pirenko_tools_admin_notice');

if (is_admin() && isset($_GET['page']) && $_GET['page'] === 'theme_activation_options') {
    add_action('admin_init','pulse_theme_activation_action');
}

function pulse_deactivation_action() {
    update_option('pulse_theme_activation_options', pulse_get_default_theme_activation_options());
}

add_action('switch_theme', 'pulse_deactivation_action');